<?php
/**
 * Loop Add to Cart
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/loop/add-to-cart.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version 10.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $product;

// get theme customizer data
$sProduct_addcart = royal_get_option( 'royal_sProduct_addcart' );
$addcart_icon = '<i class="fa fa-'. $sProduct_addcart['icon'] .'"></i>';

if ( $product->get_stock_status() === 'outofstock' ) {
	$add_to_cart_text = $sProduct_addcart['outstock_txt'];
} elseif ( $product->get_type() === 'variable' ) {
	$add_to_cart_text = $sProduct_addcart['selectopts_txt'];
} elseif ( $product->get_type() === 'variable' ) {
	$add_to_cart_text = $sProduct_addcart['selectopts_txt'];
} elseif ( $product->get_type() === 'simple' ) {
	$add_to_cart_text = $sProduct_addcart['addcart_txt'];
} else {
	$add_to_cart_text = $product->add_to_cart_text() .'&nbsp;';
}

echo '<div class="woopost-addcart">';

	echo apply_filters( 'woocommerce_loop_add_to_cart_link',
		sprintf( '<a rel="nofollow" href="%s" data-quantity="%s" data-product_id="%s" data-product_sku="%s" class="woopost-addcart-in rf-button %s"><span>%s</span>%s</a>',
			esc_url( $product->add_to_cart_url() ),
			esc_attr( isset( $quantity ) ? $quantity : 1 ),
			esc_attr( $product->get_id() ),
			esc_attr( $product->get_sku() ),
			esc_attr( isset( $class ) ? $class : 'button' ),
			esc_html( $add_to_cart_text ),
			$addcart_icon
		),
	$product );

echo '</div>';