<?php
/**
 * The template for displaying product search form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/product-searchform.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 10.0
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>

<?php $inputs_search = get_option( 'royal_inputs_search' ); ?>

<form role="search" method="get" class="woocommerce-product-search" action="<?php echo esc_url( home_url( '/' ) ); ?>">

	<div class="search-wrap">
		<input type="text" value="<?php esc_html_e( 'Search Products', 'hyperx' ); ?>" data-placeholder="<?php esc_attr_e( 'Search Products', 'hyperx' ); ?>" name="s" id="s" />
		<i class="fa fa-<?php echo esc_attr( $inputs_search['icon'] ); ?> search-icon"></i>
		<input type="submit" id="searchsubmit" value="<?php esc_attr__( 'Search', 'hyperx' ); ?>" />
	</div>

</form>