<?php


/*
***************************************************************
* This File Renders Theme Customizer Control Panel.
* All Customizer Controls Are Created From Here.
* Please Don't Edit/Delete Something. THIS IS VITAL.
***************************************************************
*/



function royal_register_customizer( $wp_customize ) {

	// remove native sections
	$wp_customize->remove_section( 'themes' );
	$wp_customize->remove_section( 'colors' );
	$wp_customize->remove_section( 'static_front_page' );


/*
***************************************************************
* #Custom Controls
***************************************************************
*/
	
	// Textarea ---------------------------------------------------
	class Royal_Textarea_Control extends WP_Customize_Control {
	    public $type = 'textarea';
	 
	    public function render_content() {

	    	$html  = '<label>';
	    		$html .= '<span class="customize-control-title">'. esc_html( $this->label ) .'</span>';
	    		$html .= '<textarea rows="6" '. $this->get_link() .'>'. esc_textarea( $this->value() ) .'</textarea>';
	    	$html .= '</label>';
	        
	        echo ''. $html;
	    }
	}


	// Slider -----------------------------------------------------
	class Royal_Slider_Control extends WP_Customize_Control {
	    public $type = 'slider';
	 
	    public function render_content() {

	    	// remove unnecessary characters
	    	$id = str_replace( array( 'royal_', ']' ), '', $this->id );
	    	$id = str_replace( '[', '_', $id );

	    	$html  = '<div class="rf-slider-wrap">';
	    		$html .= '<span class="customize-control-title">'. esc_html( $this->label ) .'<strong></strong></span>';
	    		$html .= '<input type="text" '. $this->get_link() .' value="'. esc_attr( $this->value() ) .'" id="royal_rg_'. esc_attr( $id ) .'" />';
	    		$html .= '<div id="royal_sl_'. esc_attr( $id ) .'" class="rf-slider"></div>';
	    	$html .= '</div>';

	    	echo ''. $html;

	    }
	}


	// Tabs Label ---------------------------------------------------
	class Royal_Custom_Label_Control extends WP_Customize_Control {
	    public $type = 'tablabel';
	 
	    public function render_content() {

	        echo '<span class="customize-control-title rf-custom-label">'. esc_html( $this->label ) .'</span>';

	    }
	}
	
	// Google Fonts ---------------------------------------------------
	class Royal_Google_Fonts_Control extends WP_Customize_Control {
	    public $type = 'gfonts';
	 
	    public function render_content() {

	    	// remove unnecessary characters
	    	$id = str_replace( array( 'royal_', ']' ), '', $this->id );
	    	$id = str_replace( '[', '_', $id );

	    	$html  = '<label>';
	    		$html .= '<span class="customize-control-title">'. esc_html( $this->label ) .'</span>';
	    		$html .= royal_google_fonts_dropdown( $id, $this->value(), $this->get_link() );
	    	$html .= '</label>';
	        
	        echo ''. $html;

	    }
	}

	// Sanitize Callbacks -----------------------------------------------------
		
		// sanitize number inputs / sliders
		function royal_sanitize_number( $input ) {
			return floatval( $input );
		}

		// sanitize text inputs
		function royal_sanitize_string( $input ) {
			return wp_kses( $input, array(
				'strong' => array(),
				'em' => array(),
				'br' => array(),
				'a' => array(
					'href'   => array(),
					'title'  => array(),
					'target' => array()
				)
			) );
		}

		// sanitize checkbox
		function royal_sanitize_checkbox( $input ) {
			return $input;
		}

		// sanitize radio
		function royal_sanitize_radio( $input ) {
			return $input;
		}

		// sanitize dropdown
		function royal_sanitize_dropdown( $input ) {
			return $input;
		}

		// sanitize textarea
		function royal_sanitize_textarea( $input ) {
			return $input;
		}

		// sanitize sample
		function royal_sanitize_sample( $input ) {
			return $input;
		}


// ------------------------------------------------------------



/*
***************************************************************
* #Colors
***************************************************************
*/

	$section_colors = 'colors_disabled';

	// add Colors Section -------------------------------------------
	$wp_customize->add_section( $section_colors, array(
	    'title' 		=> esc_html__( 'Colors', 'hyperx' ),
	    'description' 	=> '',
	    'priority' 		=> 101
	) );

// Sidebar Colors Tabs
	class Royal_Sidebar_Colors_Tabs extends WP_Customize_Control {
	    public $type = 'sidebar_colors';
	 
	    public function render_content() {

	    	$html  = '<label>';
	    		$html .= '<span class="customize-control-title">'. esc_html( $this->label ) .'</span>';
	    		$html .= '<textarea rows="10" style="width:100%;" '. $this->get_link() .'>'. esc_textarea( $this->value() ) .'</textarea>';
	    	$html .= '</label>';
	        
	        echo ''. $html;

	        // get options from db
	        $sidebar_colors = royal_get_option('royal_sidebar_colors');
	        
			?>

			<!-- Label -->
			<li id="customize-control-royal_sidebar_colors-label" class="customize-control customize-control-tablabel rf-tabs-label rf-tabs-label-active" style="display: list-item;">
				<span class="customize-control-title rf-custom-label"><?php esc_html_e( 'Sidebar', 'hyperx' ); ?></span>
			</li>

			<!-- Styling Options -->
			<li id="customize-control-royal_sidebar_colors-background" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Background', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sidebar_colors['background']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_sidebar_colors-text" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Text', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sidebar_colors['text']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_sidebar_colors-link" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Link', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sidebar_colors['link']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_sidebar_colors-link_hover" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Link Hover', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sidebar_colors['link_hover']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_sidebar_colors-border" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Border', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sidebar_colors['border']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_sidebar_colors-button" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Button', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sidebar_colors['button']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_sidebar_colors-button_text" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Button Text', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sidebar_colors['button_text']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_sidebar_colors-button_hover" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Button Hover', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sidebar_colors['button_hover']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_sidebar_colors-button_text_hover" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Button Text Hover', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sidebar_colors['button_text_hover']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>


			<?php
	    }
	}


	// sidebar colors
	$wp_customize->add_setting( 'royal_sidebar_colors[db_input]', array(
	    'default' 	=> 'sidebar_colors-background[#ffffff]___sidebar_colors-text[#ffffff]___sidebar_colors-link[#ffffff]___sidebar_colors-link_hover[#ffffff]___sidebar_colors-border[#ffffff]___sidebar_colors-button[#ffffff]___sidebar_colors-button_text[#ffffff]___sidebar_colors-button_hover[#ffffff]___sidebar_colors-button_text_hover[#ffffff]',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_textarea'
	) );

	$wp_customize->add_control(
		new Royal_Sidebar_Colors_Tabs( $wp_customize, 'royal_sidebar_colors[db_input]', array(
			'label'    => '',
			'section'  => 'colors',
			'priority' => 10
		)
	) );

// Content Colors Tabs
	class Royal_Content_Colors_Tabs extends WP_Customize_Control {
	    public $type = 'content_colors';
	 
	    public function render_content() {

	    	$html  = '<label>';
	    		$html .= '<span class="customize-control-title">'. esc_html( $this->label ) .'</span>';
	    		$html .= '<textarea rows="10" style="width:100%;" '. $this->get_link() .'>'. esc_textarea( $this->value() ) .'</textarea>';
	    	$html .= '</label>';
	        
	        echo ''. $html;

	        // get options from db
	        $content_colors = royal_get_option('royal_content_colors');
	        
			?>

			<!-- Label -->
			<li id="customize-control-royal_content_colors-label" class="customize-control customize-control-tablabel rf-tabs-label rf-tabs-label-active" style="display: list-item;">
				<span class="customize-control-title rf-custom-label"><?php esc_html_e( 'Content', 'hyperx' ); ?></span>
			</li>

			<!-- Styling Options -->
			<li id="customize-control-royal_content_colors-background" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Background', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($content_colors['background']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_content_colors-text" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Text', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($content_colors['text']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_content_colors-link" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Link', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($content_colors['link']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_content_colors-link_hover" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Link Hover', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($content_colors['link_hover']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_content_colors-border" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Border', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($content_colors['border']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_content_colors-button" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Button', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($content_colors['button']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_content_colors-button_text" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Button Text', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($content_colors['button_text']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_content_colors-button_hover" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Button Hover', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($content_colors['button_hover']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_content_colors-button_text_hover" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Button Text Hover', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($content_colors['button_text_hover']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>


			<?php
	    }
	}


	// content colors
	$wp_customize->add_setting( 'royal_content_colors[db_input]', array(
	    'default' 	=> 'content_colors-background[#ffffff]___content_colors-text[#ffffff]___content_colors-link[#ffffff]___content_colors-link_hover[#ffffff]___content_colors-border[#ffffff]___content_colors-button[#ffffff]___content_colors-button_text[#ffffff]___content_colors-button_hover[#ffffff]___content_colors-button_text_hover[#ffffff]',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_textarea'
	) );

	$wp_customize->add_control(
		new Royal_Content_Colors_Tabs( $wp_customize, 'royal_content_colors[db_input]', array(
			'label'    => '',
			'section'  => 'colors',
			'priority' => 20
		)
	) );

// Footer Colors Tabs
	class Royal_Footer_Colors_Tabs extends WP_Customize_Control {
	    public $type = 'footer_colors';
	 
	    public function render_content() {

	    	$html  = '<label>';
	    		$html .= '<span class="customize-control-title">'. esc_html( $this->label ) .'</span>';
	    		$html .= '<textarea rows="10" style="width:100%;" '. $this->get_link() .'>'. esc_textarea( $this->value() ) .'</textarea>';
	    	$html .= '</label>';
	        
	        echo ''. $html;

	        // get options from db
	        $footer_colors = royal_get_option('royal_footer_colors');
	        
			?>

			<!-- Label -->
			<li id="customize-control-royal_footer_colors-label" class="customize-control customize-control-tablabel rf-tabs-label rf-tabs-label-active" style="display: list-item;">
				<span class="customize-control-title rf-custom-label"><?php esc_html_e( 'Footer', 'hyperx' ); ?></span>
			</li>

			<!-- Styling Options -->
			<li id="customize-control-royal_footer_colors-background" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Background', 'hyperx' ); ?></span>
		            <div class="customize-control-footer">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($footer_colors['background']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_footer_colors-text" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Text', 'hyperx' ); ?></span>
		            <div class="customize-control-footer">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($footer_colors['text']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_footer_colors-link" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Link', 'hyperx' ); ?></span>
		            <div class="customize-control-footer">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($footer_colors['link']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_footer_colors-link_hover" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Link Hover', 'hyperx' ); ?></span>
		            <div class="customize-control-footer">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($footer_colors['link_hover']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_footer_colors-border" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Border', 'hyperx' ); ?></span>
		            <div class="customize-control-footer">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($footer_colors['border']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_footer_colors-button" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Button', 'hyperx' ); ?></span>
		            <div class="customize-control-footer">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($footer_colors['button']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_footer_colors-button_text" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Button Text', 'hyperx' ); ?></span>
		            <div class="customize-control-footer">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($footer_colors['button_text']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_footer_colors-button_hover" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Button Hover', 'hyperx' ); ?></span>
		            <div class="customize-control-footer">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($footer_colors['button_hover']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_footer_colors-button_text_hover" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Button Text Hover', 'hyperx' ); ?></span>
		            <div class="customize-control-footer">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($footer_colors['button_text_hover']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>


			<?php
	    }
	}


	// footer colors
	$wp_customize->add_setting( 'royal_footer_colors[db_input]', array(
	    'default' 	=> 'footer_colors-background[#ffffff]___footer_colors-text[#ffffff]___footer_colors-link[#ffffff]___footer_colors-link_hover[#ffffff]___footer_colors-border[#ffffff]___footer_colors-button[#ffffff]___footer_colors-button_text[#ffffff]___footer_colors-button_hover[#ffffff]___footer_colors-button_text_hover[#ffffff]',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_textarea'
	) );

	$wp_customize->add_control(
		new Royal_Footer_Colors_Tabs( $wp_customize, 'royal_footer_colors[db_input]', array(
			'label'    => '',
			'section'  => 'colors',
			'priority' => 30
		)
	) );


/*
***************************************************************
* #Body
***************************************************************
*/

	$section_body = 'body';
	
	if ( get_option('section_body') === '' ) {
		$section_body = 'body_disabled';
	}

	// add Body Section -------------------------------------------
	$wp_customize->add_section( $section_body, array(
	    'title' 		=> esc_html__( 'Body', 'hyperx' ),
	    'description' 	=> '',
	    'priority' 		=> 5
	) );

	// body general options tabs label
	$wp_customize->add_setting( 'royal_body[general_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_body[general_label]', array(
			'label'    => esc_html__( 'General', 'hyperx' ),
			'section'  => 'body',
			'priority' => 1
		)
	) );

/* ----------------- Body General Options ----------------- */

	// onePage website
	$wp_customize->add_setting( 'royal_body[onepage]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_body[onepage]', array(
		'label'    => esc_html__( 'Enable OnePage Feature', 'hyperx' ),
		'section'  => 'body',
		'type'     => 'checkbox',
		'priority' => 3
	) );

	// smooth scroll
	$wp_customize->add_setting( 'royal_body[smoothscroll]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_body[smoothscroll]', array(
		'label'    => esc_html__( 'Enable Smooth Scroll', 'hyperx' ),
		'section'  => 'body',
		'type'     => 'checkbox',
		'priority' => 4
	) );

	// layout mode
	$wp_customize->add_setting( 'royal_body[layout]', array(
	    'default' 	=> 'unlimited',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_body[layout]', array(
		'label'    => esc_html__( 'Layout', 'hyperx' ),
		'section'  => 'body',
		'type'     => 'select',
		'choices'  => array(
			'unlimited' => esc_html__( 'Unlimited Width', 'hyperx' ),
			'limited' 	=> esc_html__( 'Limited Width', 'hyperx' )
		),
		'priority' => 5
	) );

	// max width - slider
	$wp_customize->add_setting( 'royal_body[max_width]', array(
	    'default' 	=> 1200,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_body[max_width]', array(
			'label'    => esc_html__( 'Max Width', 'hyperx' ),
			'section'  => 'body',
			'priority' => 10
		)
	) );

	// align
	$wp_customize->add_setting( 'royal_body[align]', array(
	    'default' 	=> 'none',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_body[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'body',
		'type'     => 'select',
		'choices'  => array(
			'left'	=> 'Left',
			'none'	=> 'Center',
			'right'	=> 'Right'
		),
		'priority' => 15
	) );


/* ----------------- Body Spacing Options ----------------- */

	// padding general
	$wp_customize->add_setting( 'royal_body[padding_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_body[padding_gen]', array(
			'label'    => esc_html__( 'Padding', 'hyperx' ),
			'section'  => 'body',
			'priority' => 20
		)
	) );

	// padding top
	$wp_customize->add_setting( 'royal_body[padding_tp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_body[padding_tp]', array(
			'label'    => esc_html__( 'Padding Top', 'hyperx' ),
			'section'  => 'body',
			'priority' => 21
		)
	) );

	// padding right
	$wp_customize->add_setting( 'royal_body[padding_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_body[padding_rt]', array(
			'label'    => esc_html__( 'Padding Right', 'hyperx' ),
			'section'  => 'body',
			'priority' => 22
		)
	) );

	// padding bottom
	$wp_customize->add_setting( 'royal_body[padding_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_body[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'body',
			'priority' => 23
		)
	) );

	// padding left
	$wp_customize->add_setting( 'royal_body[padding_lt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_body[padding_lt]', array(
			'label'    => esc_html__( 'Padding Left', 'hyperx' ),
			'section'  => 'body',
			'priority' => 24
		)
	) );

	// padding advanced button
	$wp_customize->add_setting( 'royal_body[padding_ad]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_body[padding_ad]', array(
		'label'    => '',
		'section'  => 'body',
		'type'     => 'checkbox',
		'priority' => 25
	) );


/* ----------------- Body Styling Options ----------------- */

	// background
	$wp_customize->add_setting( 'royal_body[background]', array(
	    'default' 	=> 'color',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_body[background]', array(
		'label'    => esc_html__( 'Background', 'hyperx' ),
		'section'  => 'body',
		'type'     => 'select',
		'choices'  => array(
			'color' 	=> esc_html__( 'Color', 'hyperx' ),
			'gradient' 	=> esc_html__( 'Gradient', 'hyperx' ),
			'image' 	=> esc_html__( 'Image', 'hyperx' )
		),
		'priority' => 30
	) );

	// background color
	$wp_customize->add_setting( 'royal_body[bg_color]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_body[bg_color]', array(
			'label'    => '',
			'section'  => 'body',
			'priority' => 31
		)
	) );

	// background gradient angle
	$wp_customize->add_setting( 'royal_body[bg_grad_angle]', array(
	    'default' 	=> 180,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_body[bg_grad_angle]', array(
			'label'    => esc_html__( 'Angle', 'hyperx' ),
			'section'  => 'body',
			'priority' => 32
		)
	) );

	// background gradient color 1
	$wp_customize->add_setting( 'royal_body[bg_grad_col_1]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_body[bg_grad_col_1]', array(
			'label'    => esc_html__( 'Start Color', 'hyperx' ),
			'section'  => 'body',
			'priority' => 33
		)
	) );

	// background gradient color 1 transparency
	$wp_customize->add_setting( 'royal_body[bg_grad_col_1_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_body[bg_grad_col_1_tr]', array(
			'label'    => esc_html__( 'Start Color Transparency', 'hyperx' ),
			'section'  => 'body',
			'priority' => 34
		)
	) );

	// background gradient color 1 position
	$wp_customize->add_setting( 'royal_body[bg_grad_col_1_ps]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_body[bg_grad_col_1_ps]', array(
			'label'    => esc_html__( 'Start Color Position', 'hyperx' ),
			'section'  => 'body',
			'priority' => 35
		)
	) );

	// background gradient color 2
	$wp_customize->add_setting( 'royal_body[bg_grad_col_2]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_body[bg_grad_col_2]', array(
			'label'    => esc_html__( 'End Color', 'hyperx' ),
			'section'  => 'body',
			'priority' => 36
		)
	) );

	// background gradient color 2 transparency
	$wp_customize->add_setting( 'royal_body[bg_grad_col_2_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_body[bg_grad_col_2_tr]', array(
			'label'    => esc_html__( 'End Color Transparency', 'hyperx' ),
			'section'  => 'body',
			'priority' => 37
		)
	) );

	// background gradient color 2 position
	$wp_customize->add_setting( 'royal_body[bg_grad_col_2_ps]', array(
	    'default' 	=> 100,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_body[bg_grad_col_2_ps]', array(
			'label'    => esc_html__( 'End Color Position', 'hyperx' ),
			'section'  => 'body',
			'priority' => 38
		)
	) );

	// background image upload
	$wp_customize->add_setting( 'royal_body[bg_img]', array(
	    'default' 	=> '',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'esc_url_raw'
	) );

	$wp_customize->add_control(
		new WP_Customize_Image_Control( $wp_customize, 'royal_body[bg_img]', array(
			'label'    => esc_html__( 'Upload', 'hyperx' ),
			'section'  => 'body',
			'priority' => 39
		)
	) );

	// background image size
	$wp_customize->add_setting( 'royal_body[bg_img_sz]', array(
	    'default' 	=> 'pattern',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_body[bg_img_sz]', array(
		'label'    => esc_html__( 'Size', 'hyperx' ),
		'section'  => 'body',
		'type'     => 'radio',
		'choices'  => array(
			'pattern' => esc_html__( 'Pattern', 'hyperx' ),
			'cover'   => esc_html__( 'Cover', 'hyperx' )
		),
		'priority' => 40
	) );

	// background image attachment
	$wp_customize->add_setting( 'royal_body[bg_img_att]', array(
	    'default' 	=> 'scroll',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_body[bg_img_att]', array(
		'label'    => esc_html__( 'Attachment', 'hyperx' ),
		'section'  => 'body',
		'type'     => 'radio',
		'choices'  => array(
			'scroll' => esc_html__( 'Scroll', 'hyperx' ),
			'fixed'  => esc_html__( 'Fixed', 'hyperx' )
		),
		'priority' => 41
	) );


	// border label
	$wp_customize->add_setting( 'royal_body[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_body[border_label]', array(
		'label'    => esc_html__( 'Border', 'hyperx' ),
		'section'  => 'body',
		'type'     => 'checkbox',
		'priority' => 44
	) );

	// border size general
	$wp_customize->add_setting( 'royal_body[bd_size_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_body[bd_size_gen]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'body',
			'priority' => 45
		)
	) );

	// border style general
	$wp_customize->add_setting( 'royal_body[bd_style_gen]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_body[bd_style_gen]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'body',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 46
	) );

	// border color general
	$wp_customize->add_setting( 'royal_body[bd_col_gen]', array(
	    'default' 	=> '#e8e8e8',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_body[bd_col_gen]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'body',
			'priority' => 47
		)
	) );

	// border top size
	$wp_customize->add_setting( 'royal_body[bd_size_tp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_body[bd_size_tp]', array(
			'label'    => esc_html__( 'Top Size', 'hyperx' ),
			'section'  => 'body',
			'priority' => 48
		)
	) );

	// border top style
	$wp_customize->add_setting( 'royal_body[bd_style_tp]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_body[bd_style_tp]', array(
		'label'    => esc_html__( 'Top Style', 'hyperx' ),
		'section'  => 'body',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 49
	) );

	// border top color
	$wp_customize->add_setting( 'royal_body[bd_col_tp]', array(
	    'default' 	=> '#e8e8e8',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_body[bd_col_tp]', array(
			'label'    => esc_html__( 'Top Color', 'hyperx' ),
			'section'  => 'body',
			'priority' => 50
		)
	) );

	// border right size
	$wp_customize->add_setting( 'royal_body[bd_size_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_body[bd_size_rt]', array(
			'label'    => esc_html__( 'Right Size', 'hyperx' ),
			'section'  => 'body',
			'priority' => 51
		)
	) );

	// border right style
	$wp_customize->add_setting( 'royal_body[bd_style_rt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_body[bd_style_rt]', array(
		'label'    => esc_html__( 'Right Style', 'hyperx' ),
		'section'  => 'body',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 52
	) );

	// border right color
	$wp_customize->add_setting( 'royal_body[bd_col_rt]', array(
	    'default' 	=> '#e8e8e8',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_body[bd_col_rt]', array(
			'label'    => esc_html__( 'Right Color', 'hyperx' ),
			'section'  => 'body',
			'priority' => 53
		)
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_body[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_body[bd_size_bt]', array(
			'label'    => esc_html__( 'Bottom Size', 'hyperx' ),
			'section'  => 'body',
			'priority' => 54
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_body[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_body[bd_style_bt]', array(
		'label'    => esc_html__( 'Bottom Style', 'hyperx' ),
		'section'  => 'body',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 55
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_body[bd_col_bt]', array(
	    'default' 	=> '#e8e8e8',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_body[bd_col_bt]', array(
			'label'    => esc_html__( 'Bottom Color', 'hyperx' ),
			'section'  => 'body',
			'priority' => 56
		)
	) );

	// border left size
	$wp_customize->add_setting( 'royal_body[bd_size_lt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_body[bd_size_lt]', array(
			'label'    => esc_html__( 'Left Size', 'hyperx' ),
			'section'  => 'body',
			'priority' => 57
		)
	) );

	// border left style
	$wp_customize->add_setting( 'royal_body[bd_style_lt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_body[bd_style_lt]', array(
		'label'    => esc_html__( 'Left Style', 'hyperx' ),
		'section'  => 'body',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 58
	) );

	// border left color
	$wp_customize->add_setting( 'royal_body[bd_col_lt]', array(
	    'default' 	=> '#e8e8e8',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_body[bd_col_lt]', array(
			'label'    => esc_html__( 'Left Color', 'hyperx' ),
			'section'  => 'body',
			'priority' => 59
		)
	) );

	// border advanced button
	$wp_customize->add_setting( 'royal_body[bd_ad]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_body[bd_ad]', array(
		'label'    => '',
		'section'  => 'body',
		'type'     => 'checkbox',
		'priority' => 60
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_body[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_body[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'body',
		'type'     => 'checkbox',
		'priority' => 65
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_body[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_body[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'body',
			'priority' => 66
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_body[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_body[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'body',
			'priority' => 67
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_body[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_body[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'body',
			'priority' => 68
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_body[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_body[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'body',
			'priority' => 69
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_body[shad_col]', array(
	    'default' 	=> '#cecece',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_body[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'body',
			'priority' => 70
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_body[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_body[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'body',
			'priority' => 71
		)
	) );



// content label
	$wp_customize->add_setting( 'royal_content[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_content[label]', array(
			'label'    => esc_html__( 'Content', 'hyperx' ),
			'section'  => 'body',
			'priority' => 199
		)
	) );

/* ----------------- Content Spacing Options ----------------- */

	// padding general
	$wp_customize->add_setting( 'royal_content[padding_gen]', array(
	    'default' 	=> 25,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_content[padding_gen]', array(
			'label'    => esc_html__( 'Padding', 'hyperx' ),
			'section'  => 'body',
			'priority' => 200
		)
	) );

	// padding top
	$wp_customize->add_setting( 'royal_content[padding_tp]', array(
	    'default' 	=> 35,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_content[padding_tp]', array(
			'label'    => esc_html__( 'Padding Top', 'hyperx' ),
			'section'  => 'body',
			'priority' => 201
		)
	) );

	// padding right
	$wp_customize->add_setting( 'royal_content[padding_rt]', array(
	    'default' 	=> 34,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_content[padding_rt]', array(
			'label'    => esc_html__( 'Padding Right', 'hyperx' ),
			'section'  => 'body',
			'priority' => 202
		)
	) );

	// padding bottom
	$wp_customize->add_setting( 'royal_content[padding_bt]', array(
	    'default' 	=> 30,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_content[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'body',
			'priority' => 203
		)
	) );

	// padding left
	$wp_customize->add_setting( 'royal_content[padding_lt]', array(
	    'default' 	=> 34,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_content[padding_lt]', array(
			'label'    => esc_html__( 'Padding Left', 'hyperx' ),
			'section'  => 'body',
			'priority' => 204
		)
	) );

	// padding advanced button
	$wp_customize->add_setting( 'royal_content[padding_ad]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_content[padding_ad]', array(
		'label'    => '',
		'section'  => 'body',
		'type'     => 'checkbox',
		'priority' => 205
	) );

	// space between sections
	$wp_customize->add_setting( 'royal_content[section_space]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_content[section_space]', array(
			'label'    => esc_html__( 'Space Between Sections', 'hyperx' ),
			'section'  => 'body',
			'priority' => 210
		)
	) );


/* ----------------- Content Styling Options ----------------- */

	// background
	$wp_customize->add_setting( 'royal_content[background]', array(
	    'default' 	=> 'color',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_content[background]', array(
		'label'    => esc_html__( 'Background', 'hyperx' ),
		'section'  => 'body',
		'type'     => 'select',
		'choices'  => array(
			'color' 	=> esc_html__( 'Color', 'hyperx' ),
			'gradient' 	=> esc_html__( 'Gradient', 'hyperx' ),
			'image' 	=> esc_html__( 'Image', 'hyperx' )
		),
		'priority' => 300
	) );

	// background color
	$wp_customize->add_setting( 'royal_content[bg_color]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_content[bg_color]', array(
			'label'    => '',
			'section'  => 'body',
			'priority' => 301
		)
	) );

	// background color transparency
	$wp_customize->add_setting( 'royal_content[bg_color_tr]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_content[bg_color_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'body',
			'priority' => 302
		)
	) );

	// background gradient angle
	$wp_customize->add_setting( 'royal_content[bg_grad_angle]', array(
	    'default' 	=> 180,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_content[bg_grad_angle]', array(
			'label'    => esc_html__( 'Angle', 'hyperx' ),
			'section'  => 'body',
			'priority' => 302
		)
	) );

	// background gradient color 1
	$wp_customize->add_setting( 'royal_content[bg_grad_col_1]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_content[bg_grad_col_1]', array(
			'label'    => esc_html__( 'Start Color', 'hyperx' ),
			'section'  => 'body',
			'priority' => 303
		)
	) );

	// background gradient color 1 transparency
	$wp_customize->add_setting( 'royal_content[bg_grad_col_1_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_content[bg_grad_col_1_tr]', array(
			'label'    => esc_html__( 'Start Color Transparency', 'hyperx' ),
			'section'  => 'body',
			'priority' => 304
		)
	) );

	// background gradient color 1 position
	$wp_customize->add_setting( 'royal_content[bg_grad_col_1_ps]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_content[bg_grad_col_1_ps]', array(
			'label'    => esc_html__( 'Start Color Position', 'hyperx' ),
			'section'  => 'body',
			'priority' => 305
		)
	) );

	// background gradient color 2
	$wp_customize->add_setting( 'royal_content[bg_grad_col_2]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_content[bg_grad_col_2]', array(
			'label'    => esc_html__( 'End Color', 'hyperx' ),
			'section'  => 'body',
			'priority' => 306
		)
	) );

	// background gradient color 2 transparency
	$wp_customize->add_setting( 'royal_content[bg_grad_col_2_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_content[bg_grad_col_2_tr]', array(
			'label'    => esc_html__( 'End Color Transparency', 'hyperx' ),
			'section'  => 'body',
			'priority' => 307
		)
	) );

	// background gradient color 2 position
	$wp_customize->add_setting( 'royal_content[bg_grad_col_2_ps]', array(
	    'default' 	=> 100,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_content[bg_grad_col_2_ps]', array(
			'label'    => esc_html__( 'End Color Position', 'hyperx' ),
			'section'  => 'body',
			'priority' => 308
		)
	) );

	// background image upload
	$wp_customize->add_setting( 'royal_content[bg_img]', array(
	    'default' 	=> '',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'esc_url_raw'
	) );

	$wp_customize->add_control(
		new WP_Customize_Image_Control( $wp_customize, 'royal_content[bg_img]', array(
			'label'    => esc_html__( 'Upload', 'hyperx' ),
			'section'  => 'body',
			'priority' => 309
		)
	) );

	// background image size
	$wp_customize->add_setting( 'royal_content[bg_img_sz]', array(
	    'default' 	=> 'pattern',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_content[bg_img_sz]', array(
		'label'    => esc_html__( 'Size', 'hyperx' ),
		'section'  => 'body',
		'type'     => 'radio',
		'choices'  => array(
			'pattern' 	=> esc_html__( 'Pattern', 'hyperx' ),
			'cover' 	=> esc_html__( 'Cover', 'hyperx' )
		),
		'priority' => 400
	) );

	// background image attachment
	$wp_customize->add_setting( 'royal_content[bg_img_att]', array(
	    'default' 	=> 'scroll',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_content[bg_img_att]', array(
		'label'    => esc_html__( 'Attachment', 'hyperx' ),
		'section'  => 'body',
		'type'     => 'radio',
		'choices'  => array(
			'scroll' 	=> esc_html__( 'Scroll', 'hyperx' ),
			'fixed' 	=> esc_html__( 'Fixed', 'hyperx' )
		),
		'priority' => 410
	) );



// inner content label
	$wp_customize->add_setting( 'royal_inner_content[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_inner_content[label]', array(
			'label'    => esc_html__( 'Inner Content', 'hyperx' ),
			'section'  => 'body',
			'priority' => 500
		)
	) );

/* ----------------- Inner Content General Options ----------------- */

	// max width - slider
	$wp_customize->add_setting( 'royal_inner_content[max_width]', array(
	    'default' 	=> 1300,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inner_content[max_width]', array(
			'label'    => esc_html__( 'Max Width', 'hyperx' ),
			'section'  => 'body',
			'priority' => 520
		)
	) );


/* ----------------- Inner Content Spacing Options ----------------- */

	// padding general
	$wp_customize->add_setting( 'royal_inner_content[padding_gen]', array(
	    'default' 	=> 25,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inner_content[padding_gen]', array(
			'label'    => esc_html__( 'Padding', 'hyperx' ),
			'section'  => 'body',
			'priority' => 550
		)
	) );

	// padding top
	$wp_customize->add_setting( 'royal_inner_content[padding_tp]', array(
	    'default' 	=> 20,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inner_content[padding_tp]', array(
			'label'    => esc_html__( 'Padding Top', 'hyperx' ),
			'section'  => 'body',
			'priority' => 551
		)
	) );

	// padding right
	$wp_customize->add_setting( 'royal_inner_content[padding_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inner_content[padding_rt]', array(
			'label'    => esc_html__( 'Padding Right', 'hyperx' ),
			'section'  => 'body',
			'priority' => 552
		)
	) );

	// padding bottom
	$wp_customize->add_setting( 'royal_inner_content[padding_bt]', array(
	    'default' 	=> 25,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inner_content[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'body',
			'priority' => 553
		)
	) );

	// padding left
	$wp_customize->add_setting( 'royal_inner_content[padding_lt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inner_content[padding_lt]', array(
			'label'    => esc_html__( 'Padding Left', 'hyperx' ),
			'section'  => 'body',
			'priority' => 554
		)
	) );

	// padding advanced button
	$wp_customize->add_setting( 'royal_inner_content[padding_ad]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_inner_content[padding_ad]', array(
		'label'    => '',
		'section'  => 'body',
		'type'     => 'checkbox',
		'priority' => 555
	) );


/* ----------------- Inner Content Styling Options ----------------- */

	// background color
	$wp_customize->add_setting( 'royal_inner_content[bg_color]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inner_content[bg_color]', array(
			'label'    => 'Background Color',
			'section'  => 'body',
			'priority' => 600
		)
	) );

	// background color transparency
	$wp_customize->add_setting( 'royal_inner_content[bg_color_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inner_content[bg_color_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'body',
			'priority' => 601
		)
	) );

	// heading color
	$wp_customize->add_setting( 'royal_inner_content[head_color]', array(
	    'default' 	=> '#3a3a3a',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inner_content[head_color]', array(
			'label'    => 'Heading Color',
			'section'  => 'body',
			'priority' => 610
		)
	) );

	// text color
	$wp_customize->add_setting( 'royal_inner_content[text_color]', array(
	    'default' 	=> '#8d8d8d',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inner_content[text_color]', array(
			'label'    => 'Text Color',
			'section'  => 'body',
			'priority' => 615
		)
	) );

	// meta color
	$wp_customize->add_setting( 'royal_inner_content[meta_color]', array(
	    'default' 	=> '#999999',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inner_content[meta_color]', array(
			'label'    => 'Meta Color',
			'section'  => 'body',
			'priority' => 616
		)
	) );

	// link color
	$wp_customize->add_setting( 'royal_inner_content[link_color]', array(
	    'default' 	=> '#e5ae47',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inner_content[link_color]', array(
			'label'    => 'Link Color',
			'section'  => 'body',
			'priority' => 620
		)
	) );

	// link hover color
	$wp_customize->add_setting( 'royal_inner_content[link_hcolor]', array(
	    'default' 	=> '#333333',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inner_content[link_hcolor]', array(
			'label'    => 'Hover Link Color',
			'section'  => 'body',
			'priority' => 621
		)
	) );

	// border color
	$wp_customize->add_setting( 'royal_inner_content[border_color]', array(
	    'default' 	=> '#ededed',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inner_content[border_color]', array(
			'label'    => 'Border Color',
			'section'  => 'body',
			'priority' => 622
		)
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_inner_content[radius_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_inner_content[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'body',
		'type'     => 'checkbox',
		'priority' => 625
	) );

	// border radius
	$wp_customize->add_setting( 'royal_inner_content[radius]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inner_content[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'body',
			'priority' => 626
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_inner_content[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_inner_content[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'body',
		'type'     => 'checkbox',
		'priority' => 655
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_inner_content[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inner_content[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'body',
			'priority' => 656
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_inner_content[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inner_content[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'body',
			'priority' => 657
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_inner_content[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inner_content[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'body',
			'priority' => 658
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_inner_content[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inner_content[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'body',
			'priority' => 659
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_inner_content[shad_col]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inner_content[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'body',
			'priority' => 670
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_inner_content[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inner_content[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'body',
			'priority' => 671
		)
	) );


	// box shadow inset
	$wp_customize->add_setting( 'royal_inner_content[shad_in]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_inner_content[shad_in]', array(
		'label'    => esc_html__( 'Inner', 'hyperx' ),
		'section'  => 'body',
		'type'     => 'checkbox',
		'priority' => 672
	) );


/* ----------------- Inner Content Font Options ----------------- */

	// underline
	$wp_customize->add_setting( 'royal_inner_content[underline]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_inner_content[underline]', array(
		'label'    => esc_html__( 'Link Underline', 'hyperx' ),
		'section'  => 'body',
		'type'     => 'checkbox',
		'priority' => 675
	) );



/*
***************************************************************
* #Sidebar
***************************************************************
*/

	$section_sidebar = 'sidebar';
	
	if ( get_option('section_sidebar') === '' ) {
		$section_sidebar = 'sidebar_disabled';
	}

	// add Sidebar Section -------------------------------------------
	$wp_customize->add_section( $section_sidebar, array(
	    'title' 		=> esc_html__( 'Sidebar', 'hyperx' ),
	    'description' 	=> '',
	    'priority' 		=> 10
	) );

	// General Position Select
	$wp_customize->add_setting( 'royal_sidebar[general_position]', array(
	    'default' 	=> 'top',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_sidebar[general_position]', array(
		'label'    => esc_html__( 'General Position', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'select',
		'choices'  => array(
			'top' 	=> esc_html__( 'Top', 'hyperx' ),
			'left' 	=> esc_html__( 'Left', 'hyperx' )
		),
		'priority' => 1
	) );


	// sidebar general options tabs label
	$wp_customize->add_setting( 'royal_sidebar[general_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_sidebar[general_label]', array(
			'label'    => esc_html__( 'General', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 4
		)
	) );

/* ----------------- General Options ----------------- */

	// position
	$wp_customize->add_setting( 'royal_sidebar[position]', array(
	    'default' 	=> 'static',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_sidebar[position]', array(
		'label'    => esc_html__( 'Attachment', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'select',
		'choices'  => array(
			'static' 	=> esc_html__( 'Scroll', 'hyperx' ),
			'fixed' 	=> esc_html__( 'Fixed', 'hyperx' )
		),
		'priority' => 5
	) );


	// equal height
	$wp_customize->add_setting( 'royal_sidebar[equal]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sidebar[equal]', array(
		'label'    => esc_html__( 'Equal height to Content', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'checkbox',
		'priority' => 6
	) );

	// show/hide on load
	$wp_customize->add_setting( 'royal_sidebar[on_load]', array(
	    'default' 	=> 'show',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_sidebar[on_load]', array(
		'label'    => esc_html__( 'Default', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'radio',
		'choices'  => array(
			'show' 	=> esc_html__( 'Show', 'hyperx' ),
			'hide' 	=> esc_html__( 'Hide', 'hyperx' )
		),
		'priority' => 10
	) );


/* ----------------- Spacing Options ----------------- */

	// width
	$wp_customize->add_setting( 'royal_sidebar[width]', array(
	    'default' 	=> 280,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar[width]', array(
			'label'    => esc_html__( 'Width', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 15
		)
	) );

	// padding general
	$wp_customize->add_setting( 'royal_sidebar[padding_gen]', array(
	    'default' 	=> 53,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar[padding_gen]', array(
			'label'    => esc_html__( 'Padding', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 20
		)
	) );

	// padding top
	$wp_customize->add_setting( 'royal_sidebar[padding_tp]', array(
	    'default' 	=> 32,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar[padding_tp]', array(
			'label'    => esc_html__( 'Padding Top', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 21
		)
	) );

	// padding right
	$wp_customize->add_setting( 'royal_sidebar[padding_rt]', array(
	    'default' 	=> 55,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar[padding_rt]', array(
			'label'    => esc_html__( 'Padding Right', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 22
		)
	) );

	// padding bottom
	$wp_customize->add_setting( 'royal_sidebar[padding_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 23
		)
	) );

	// padding left
	$wp_customize->add_setting( 'royal_sidebar[padding_lt]', array(
	    'default' 	=> 58,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar[padding_lt]', array(
			'label'    => esc_html__( 'Padding Left', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 24
		)
	) );

	// padding advanced button
	$wp_customize->add_setting( 'royal_sidebar[padding_ad]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sidebar[padding_ad]', array(
		'label'    => '',
		'section'  => 'sidebar',
		'type'     => 'checkbox',
		'priority' => 25
	) );

	// section margin
	$wp_customize->add_setting( 'royal_sidebar[section_marg]', array(
	    'default' 	=> 27,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar[section_marg]', array(
			'label'    => esc_html__( 'Space between Sections', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 26
		)
	) );


/* ----------------- Styling Options ----------------- */

	// Background
	$wp_customize->add_setting( 'royal_sidebar[background]', array(
	    'default' 	=> 'color',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_sidebar[background]', array(
		'label'    => esc_html__( 'Background', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'select',
		'choices'  => array(
			'color' 	=> esc_html__( 'Color', 'hyperx' ),
			'gradient' 	=> esc_html__( 'Gradient', 'hyperx' ),
			'image' 	=> esc_html__( 'Image', 'hyperx' )
		),
		'priority' => 30
	) );

	// background color
	$wp_customize->add_setting( 'royal_sidebar[bg_color]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_sidebar[bg_color]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 31
		)
	) );

	// background gradient color 1 transparency
	$wp_customize->add_setting( 'royal_sidebar[bg_color_tr]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar[bg_color_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 32
		)
	) );

	// background gradient angle
	$wp_customize->add_setting( 'royal_sidebar[bg_grad_angle]', array(
	    'default' 	=> 180,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar[bg_grad_angle]', array(
			'label'    => esc_html__( 'Angle', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 33
		)
	) );

	// background gradient color 1
	$wp_customize->add_setting( 'royal_sidebar[bg_grad_col_1]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_sidebar[bg_grad_col_1]', array(
			'label'    => esc_html__( 'Start Color', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 34
		)
	) );

	// background gradient color 1 transparency
	$wp_customize->add_setting( 'royal_sidebar[bg_grad_col_1_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar[bg_grad_col_1_tr]', array(
			'label'    => esc_html__( 'Start Color Transparency', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 35
		)
	) );

	// background gradient color 1 position
	$wp_customize->add_setting( 'royal_sidebar[bg_grad_col_1_ps]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar[bg_grad_col_1_ps]', array(
			'label'    => esc_html__( 'Start Color Position', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 36
		)
	) );

	// background gradient color 2
	$wp_customize->add_setting( 'royal_sidebar[bg_grad_col_2]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_sidebar[bg_grad_col_2]', array(
			'label'    => esc_html__( 'End Color', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 37
		)
	) );

	// background gradient color 2 transparency
	$wp_customize->add_setting( 'royal_sidebar[bg_grad_col_2_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar[bg_grad_col_2_tr]', array(
			'label'    => esc_html__( 'End Color Transparency', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 38
		)
	) );

	// background gradient color 2 position
	$wp_customize->add_setting( 'royal_sidebar[bg_grad_col_2_ps]', array(
	    'default' 	=> 100,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar[bg_grad_col_2_ps]', array(
			'label'    => esc_html__( 'End Color Position', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 39
		)
	) );

	// background image upload
	$wp_customize->add_setting( 'royal_sidebar[bg_img]', array(
	    'default' 	=> '',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'esc_url_raw'
	) );

	$wp_customize->add_control(
		new WP_Customize_Image_Control( $wp_customize, 'royal_sidebar[bg_img]', array(
			'label'    => esc_html__( 'Upload', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 40
		)
	) );

	// background image size
	$wp_customize->add_setting( 'royal_sidebar[bg_img_sz]', array(
	    'default' 	=> 'pattern',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_sidebar[bg_img_sz]', array(
		'label'    => esc_html__( 'Size', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'radio',
		'choices'  => array(
			'pattern' 	=> esc_html__( 'Pattern', 'hyperx' ),
			'cover' 	=> esc_html__( 'Cover', 'hyperx' )
		),
		'priority' => 41
	) );

	// background image attachment
	$wp_customize->add_setting( 'royal_sidebar[bg_img_att]', array(
	    'default' 	=> 'scroll',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_sidebar[bg_img_att]', array(
		'label'    => esc_html__( 'Attachment', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'radio',
		'choices'  => array(
			'scroll' 	=> esc_html__( 'Scroll', 'hyperx' ),
			'fixed' 	=> esc_html__( 'Fixed', 'hyperx' )
		),
		'priority' => 42
	) );

	// border label
	$wp_customize->add_setting( 'royal_sidebar[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sidebar[border_label]', array(
		'label'    => esc_html__( 'Border', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'checkbox',
		'priority' => 44
	) );

	// border size general
	$wp_customize->add_setting( 'royal_sidebar[bd_size_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar[bd_size_gen]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 45
		)
	) );

	// border style general
	$wp_customize->add_setting( 'royal_sidebar[bd_style_gen]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_sidebar[bd_style_gen]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 46
	) );

	// border color general
	$wp_customize->add_setting( 'royal_sidebar[bd_col_gen]', array(
	    'default' 	=> '#e8e8e8',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_sidebar[bd_col_gen]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 47
		)
	) );

	// border top size
	$wp_customize->add_setting( 'royal_sidebar[bd_size_tp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar[bd_size_tp]', array(
			'label'    => esc_html__( 'Top Size', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 48
		)
	) );

	// border top style
	$wp_customize->add_setting( 'royal_sidebar[bd_style_tp]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_sidebar[bd_style_tp]', array(
		'label'    => esc_html__( 'Top Style', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 49
	) );

	// border top color
	$wp_customize->add_setting( 'royal_sidebar[bd_col_tp]', array(
	    'default' 	=> '#e8e8e8',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_sidebar[bd_col_tp]', array(
			'label'    => esc_html__( 'Top Color', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 50
		)
	) );

	// border right size
	$wp_customize->add_setting( 'royal_sidebar[bd_size_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar[bd_size_rt]', array(
			'label'    => esc_html__( 'Right Size', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 51
		)
	) );

	// border right style
	$wp_customize->add_setting( 'royal_sidebar[bd_style_rt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_sidebar[bd_style_rt]', array(
		'label'    => esc_html__( 'Right Style', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 52
	) );

	// border right color
	$wp_customize->add_setting( 'royal_sidebar[bd_col_rt]', array(
	    'default' 	=> '#e8e8e8',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_sidebar[bd_col_rt]', array(
			'label'    => esc_html__( 'Right Color', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 53
		)
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_sidebar[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar[bd_size_bt]', array(
			'label'    => esc_html__( 'Bottom Size', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 54
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_sidebar[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_sidebar[bd_style_bt]', array(
		'label'    => esc_html__( 'Bottom Style', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 55
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_sidebar[bd_col_bt]', array(
	    'default' 	=> '#e8e8e8',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_sidebar[bd_col_bt]', array(
			'label'    => esc_html__( 'Bottom Color', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 56
		)
	) );

	// border left size
	$wp_customize->add_setting( 'royal_sidebar[bd_size_lt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar[bd_size_lt]', array(
			'label'    => esc_html__( 'Left Size', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 57
		)
	) );

	// border left style
	$wp_customize->add_setting( 'royal_sidebar[bd_style_lt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_sidebar[bd_style_lt]', array(
		'label'    => esc_html__( 'Left Style', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 58
	) );

	// border left color
	$wp_customize->add_setting( 'royal_sidebar[bd_col_lt]', array(
	    'default' 	=> '#e8e8e8',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_sidebar[bd_col_lt]', array(
			'label'    => esc_html__( 'Left Color', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 59
		)
	) );

	// border advanced button
	$wp_customize->add_setting( 'royal_sidebar[bd_ad]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sidebar[bd_ad]', array(
		'label'    => '',
		'section'  => 'sidebar',
		'type'     => 'checkbox',
		'priority' => 60
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_sidebar[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sidebar[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'checkbox',
		'priority' => 65
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_sidebar[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 66
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_sidebar[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 67
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_sidebar[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 68
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_sidebar[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 69
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_sidebar[shad_col]', array(
	    'default' 	=> '#e5ae47',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_sidebar[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 70
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_sidebar[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 71
		)
	) );


	// box shadow inset
	$wp_customize->add_setting( 'royal_sidebar[shad_in]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sidebar[shad_in]', array(
		'label'    => esc_html__( 'Inner', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'checkbox',
		'priority' => 72
	) );



// sidebar fold button tabs label
	$wp_customize->add_setting( 'royal_sidebar_fold_btn[label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sidebar_fold_btn[label]', array(
		'label'    => esc_html__( 'Fold Button', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'checkbox',
		'priority' => 80
	) );

/* ----------------- Fold Button General Options ----------------- */

	// FontAwesome icon select
	$wp_customize->add_setting( 'royal_sidebar_fold_btn[icon]', array(
	    'default' 	=> 'navicon',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_sidebar_fold_btn[icon]', array(
		'label'    => esc_html__( 'Select Icon', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'select',
		'choices'  => array(
			'align-justify' 		=> '&#xf039;',
			'navicon' 				=> '&#xf0c9;',
			'list' 					=> '&#xf03a;',
			'th-list' 				=> '&#xf00b;',
			'th' 					=> '&#xf00a;',
			'th-large' 				=> '&#xf009;',
			'times' 				=> '&#xf00d;',
			'angle-double-left' 	=> '&#xf100;',
			'angle-double-right' 	=> '&#xf101;',
			'angle-left' 			=> '&#xf104;',
			'angle-right' 			=> '&#xf105;',
			'arrow-left' 			=> '&#xf060;',
			'arrow-right' 			=> '&#xf061;'
		),
		'priority' => 85
	) ); 

	// attachment
	$wp_customize->add_setting( 'royal_sidebar_fold_btn[position]', array(
	    'default' 	=> 'fixed',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_sidebar_fold_btn[position]', array(
		'label'    => esc_html__( 'Attachment', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'radio',
		'choices'  => array(
			'absolute' 	=> esc_html__( 'Scroll', 'hyperx' ),
			'fixed' 	=> esc_html__( 'Fixed', 'hyperx' )
		),
		'priority' => 92
	) );


/* ----------------- Fold Button Spacing Options ----------------- */

	// width
	$wp_customize->add_setting( 'royal_sidebar_fold_btn[width]', array(
	    'default' 	=> 34,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_fold_btn[width]', array(
			'label'    => esc_html__( 'Width', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 90
		)
	) );

	// height
	$wp_customize->add_setting( 'royal_sidebar_fold_btn[height]', array(
	    'default' 	=> 32,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_fold_btn[height]', array(
			'label'    => esc_html__( 'Height', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 91
		)
	) );

	// top position
	$wp_customize->add_setting( 'royal_sidebar_fold_btn[pos_tp]', array(
	    'default' 	=> 5,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_fold_btn[pos_tp]', array(
			'label'    => esc_html__( 'Top Position', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 93
		)
	) );

	// left position
	$wp_customize->add_setting( 'royal_sidebar_fold_btn[pos_lt]', array(
	    'default' 	=> 5,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_fold_btn[pos_lt]', array(
			'label'    => esc_html__( 'Left Position', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 94
		)
	) );

	// folded left position
	$wp_customize->add_setting( 'royal_sidebar_fold_btn[fpos_lt]', array(
	    'default' 	=> 5,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_fold_btn[fpos_lt]', array(
			'label'    => esc_html__( 'Folded Left Position', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 95
		)
	) );


/* ----------------- Fold Button Styling Options ----------------- */

	// static colors label
	$wp_customize->add_setting( 'royal_sidebar_fold_btn[static_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_sidebar_fold_btn[static_colors_label]', array(
			'label'    => esc_html__( 'Static Colors', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 99
		)
	) );

	// color
	$wp_customize->add_setting( 'royal_sidebar_fold_btn[color]', array(
	    'default' 	=> '#e5ae47',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_sidebar_fold_btn[color]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 100
		)
	) );

	// transparency
	$wp_customize->add_setting( 'royal_sidebar_fold_btn[col_tr]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_fold_btn[col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 101
		)
	) );

	// text color
	$wp_customize->add_setting( 'royal_sidebar_fold_btn[txt_col]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_sidebar_fold_btn[txt_col]', array(
			'label'    => esc_html__( 'Text Color', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 102
		)
	) );

	// hover colors label
	$wp_customize->add_setting( 'royal_sidebar_fold_btn[hover_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_sidebar_fold_btn[hover_colors_label]', array(
			'label'    => esc_html__( 'hover Colors', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 103
		)
	) );

	// hover color
	$wp_customize->add_setting( 'royal_sidebar_fold_btn[hcol]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_sidebar_fold_btn[hcol]', array(
			'label'    => esc_html__( 'Hover Color', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 104
		)
	) );

	// transparency
	$wp_customize->add_setting( 'royal_sidebar_fold_btn[hcol_tr]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_fold_btn[hcol_tr]', array(
			'label'    => esc_html__( 'Hover Transparency', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 105
		)
	) );

	// hover text color
	$wp_customize->add_setting( 'royal_sidebar_fold_btn[txt_hcol]', array(
	    'default' 	=> '#e5ae47',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_sidebar_fold_btn[txt_hcol]', array(
			'label'    => esc_html__( 'Hover Text Color', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 106
		)
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_sidebar_fold_btn[radius_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sidebar_fold_btn[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'checkbox',
		'priority' => 127
	) );

	// border radius
	$wp_customize->add_setting( 'royal_sidebar_fold_btn[radius]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_fold_btn[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 128
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_sidebar_fold_btn[shadow_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sidebar_fold_btn[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'checkbox',
		'priority' => 129
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_sidebar_fold_btn[shad_h]', array(
	    'default' 	=> 2,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_fold_btn[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 130
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_sidebar_fold_btn[shad_v]', array(
	    'default' 	=> 2,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_fold_btn[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 131
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_sidebar_fold_btn[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_fold_btn[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 132
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_sidebar_fold_btn[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_fold_btn[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 133
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_sidebar_fold_btn[shad_col]', array(
	    'default' 	=> '#3a3a3a',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_sidebar_fold_btn[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 134
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_sidebar_fold_btn[shad_col_tr]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_fold_btn[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 135
		)
	) );

	// box shadow inset
	$wp_customize->add_setting( 'royal_sidebar_fold_btn[shad_in]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sidebar_fold_btn[shad_in]', array(
		'label'    => esc_html__( 'Inner', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'checkbox',
		'priority' => 136
	) );


/* ----------------- Fold Button Font Options ----------------- */

	// text size
	$wp_customize->add_setting( 'royal_sidebar_fold_btn[txt_sz]', array(
	    'default' 	=> 18,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_fold_btn[txt_sz]', array(
			'label'    => esc_html__( 'Text Size', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 140
		)
	) );



// sidebar Scrollbar tabs label
	$wp_customize->add_setting( 'royal_sidebar_scroll[label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sidebar_scroll[label]', array(
		'label'    => esc_html__( 'Scrollbar', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'checkbox',
		'priority' => 154
	) );

/* ----------------- Scrollbar Spacing Options ----------------- */

	// width
	$wp_customize->add_setting( 'royal_sidebar_scroll[width]', array(
	    'default' 	=> 4,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_scroll[width]', array(
			'label'    => esc_html__( 'Width', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 155
		)
	) );


/* ----------------- Scrollbar Styling Options ----------------- */

	// color
	$wp_customize->add_setting( 'royal_sidebar_scroll[color]', array(
	    'default' 	=> '#e8e8e8',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_sidebar_scroll[color]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 160
		)
	) );

	// transparency
	$wp_customize->add_setting( 'royal_sidebar_scroll[col_tr]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_scroll[col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 161
		)
	) );

	// hover color
	$wp_customize->add_setting( 'royal_sidebar_scroll[hcol]', array(
	    'default' 	=> '#d6d6d6',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_sidebar_scroll[hcol]', array(
			'label'    => esc_html__( 'Hover Color', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 162
		)
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_sidebar_scroll[radius_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sidebar_scroll[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'checkbox',
		'priority' => 182
	) );

	// border radius
	$wp_customize->add_setting( 'royal_sidebar_scroll[radius]', array(
	    'default' 	=> 10,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_scroll[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 183
		)
	) );



/*
***************************************************************
* #Top Sidebar
***************************************************************
*/

// top sidebar general label
	$wp_customize->add_setting( 'royal_sidebar_top[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_sidebar_top[label]', array(
			'label'    => esc_html__( 'General', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 300
		)
	) );

/* ----------------- General Options ----------------- */

	// arrange
	$wp_customize->add_setting( 'royal_sidebar_top[arrange]', array(
	    'default' 	=> 'vertical_2',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_sidebar_top[arrange]', array(
		'label'    => esc_html__( 'Arrangement', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'select',
		'choices'  => array(
			'vertical' 		=> esc_html__( 'Vertical Logo / Menu', 'hyperx' ),
			'vertical_2' 	=> esc_html__( 'Vertical Menu / Logo / Menu', 'hyperx' ),
			'horizontal_1' 	=> esc_html__( 'Horizontal Logo / Menu', 'hyperx' ),
			'horizontal_2' 	=> esc_html__( 'Horizontal Menu / Logo', 'hyperx' )
		),
		'priority' => 305
	) );

	// position
	$wp_customize->add_setting( 'royal_sidebar_top[position]', array(
	    'default' 	=> 'fixed',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_sidebar_top[position]', array(
		'label'    => esc_html__( 'Attachment', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'select',
		'choices'  => array(
			'static' 	=> esc_html__( 'Static', 'hyperx' ),
			'fixed' 	=> esc_html__( 'Fixed', 'hyperx' )
		),
		'priority' => 310
	) );

	// full width
	$wp_customize->add_setting( 'royal_sidebar_top[fullwidth]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sidebar_top[fullwidth]', array(
		'label'    => esc_html__( 'Full Width', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'checkbox',
		'priority' => 311
	) );

	// scale on scroll
	$wp_customize->add_setting( 'royal_sidebar_top[scale]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sidebar_top[scale]', array(
		'label'    => esc_html__( 'Scale on Scroll', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'checkbox',
		'priority' => 315
	) );

	// scale height
	$wp_customize->add_setting( 'royal_sidebar_top[scale_height]', array(
	    'default' 	=> 90,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_top[scale_height]', array(
			'label'    => esc_html__( 'Scale Down Height', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 316
		)
	) );


/* ----------------- Spacing Options ----------------- */

	// padding general
	$wp_customize->add_setting( 'royal_sidebar_top[padding_gen]', array(
	    'default' 	=> 32,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_top[padding_gen]', array(
			'label'    => esc_html__( 'Padding', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 340
		)
	) );

	// padding top
	$wp_customize->add_setting( 'royal_sidebar_top[padding_tp]', array(
	    'default' 	=> 5,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_top[padding_tp]', array(
			'label'    => esc_html__( 'Padding Top', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 341
		)
	) );

	// padding right
	$wp_customize->add_setting( 'royal_sidebar_top[padding_rt]', array(
	    'default' 	=> 25,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_top[padding_rt]', array(
			'label'    => esc_html__( 'Padding Right', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 342
		)
	) );

	// padding bottom
	$wp_customize->add_setting( 'royal_sidebar_top[padding_bt]', array(
	    'default' 	=> 7,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_top[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 343
		)
	) );

	// padding left
	$wp_customize->add_setting( 'royal_sidebar_top[padding_lt]', array(
	    'default' 	=> 33,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_top[padding_lt]', array(
			'label'    => esc_html__( 'Padding Left', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 344
		)
	) );

	// padding advanced button
	$wp_customize->add_setting( 'royal_sidebar_top[padding_ad]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sidebar_top[padding_ad]', array(
		'label'    => '',
		'section'  => 'sidebar',
		'type'     => 'checkbox',
		'priority' => 345
	) );

	// margin bottom
	$wp_customize->add_setting( 'royal_sidebar_top[margin_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_top[margin_bt]', array(
			'label'    => esc_html__( 'Margin Bottom', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 350
		)
	) );

	// fixed sidebar height
	$wp_customize->add_setting( 'royal_sidebar_top[alt_height]', array(
	    'default' 	=> 147,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_top[alt_height]', array(
			'label'    => esc_html__( 'Fixed Alt Height', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 351
		)
	) );


/* ----------------- Styling Options----------------- */

	// background color
	$wp_customize->add_setting( 'royal_sidebar_top[bg_color]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_sidebar_top[bg_color]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 470
		)
	) );

	// background color transparency
	$wp_customize->add_setting( 'royal_sidebar_top[bg_color_tr]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_top[bg_color_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 471
		)
	) );

	// scale background color
	$wp_customize->add_setting( 'royal_sidebar_top[scale_bg_color]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_sidebar_top[scale_bg_color]', array(
			'label'    => esc_html__( 'Scale Color', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 474
		)
	) );

	// scale background color transparency
	$wp_customize->add_setting( 'royal_sidebar_top[scale_bg_color_tr]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_top[scale_bg_color_tr]', array(
			'label'    => esc_html__( 'Scale Transparency', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 475
		)
	) );

	// border label
	$wp_customize->add_setting( 'royal_sidebar_top[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sidebar_top[border_label]', array(
		'label'    => esc_html__( 'Border Bottom', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'checkbox',
		'priority' => 479
	) );

	// scale border label
	$wp_customize->add_setting( 'royal_sidebar_top[scale_border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sidebar_top[scale_border_label]', array(
		'label'    => esc_html__( 'Only on Scale', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'checkbox',
		'priority' => 481
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_sidebar_top[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_top[bd_size_bt]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 481
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_sidebar_top[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_sidebar_top[bd_style_bt]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 482
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_sidebar_top[bd_col_bt]', array(
	    'default' 	=> '#e0e0e0',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_sidebar_top[bd_col_bt]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 483
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_sidebar_top[shadow_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sidebar_top[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'checkbox',
		'priority' => 489
	) );

	// scale border label
	$wp_customize->add_setting( 'royal_sidebar_top[scale_shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sidebar_top[scale_shadow_label]', array(
		'label'    => esc_html__( 'Only on Scale', 'hyperx' ),
		'section'  => 'sidebar',
		'type'     => 'checkbox',
		'priority' => 490
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_sidebar_top[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_top[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 491
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_sidebar_top[shad_v]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_top[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 492
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_sidebar_top[shad_bl]', array(
	    'default' 	=> 2,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_top[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 493
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_sidebar_top[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_top[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 494
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_sidebar_top[shad_col]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_sidebar_top[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 495
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_sidebar_top[shad_col_tr]', array(
	    'default' 	=> 0.1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sidebar_top[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'sidebar',
			'priority' => 496
		)
	) );




/*
***************************************************************
* #Logo
***************************************************************
*/

	$section_logo = 'logo';
	
	if ( get_option('section_logo') === '' ) {
		$section_logo = 'logo_disabled';
	}

	// add Logo Section -------------------------------------------
	$wp_customize->add_section( $section_logo, array(
	    'title' 		=> esc_html__( 'Logo & Tagline', 'hyperx' ),
	    'description' 	=> '',
	    'priority' 		=> 15
	) );

	// logo general options tabs label
	$wp_customize->add_setting( 'royal_logo[label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_logo[label]', array(
		'label'    => esc_html__( 'Logo', 'hyperx' ),
		'section'  => 'logo',
		'type'     => 'checkbox',
		'priority' => 4
	) );

/* ----------------- General Options ----------------- */

	// logo type select
	$wp_customize->add_setting( 'royal_logo[type]', array(
	    'default' 	=> 'image',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_logo[type]', array(
		'label'    => esc_html__( 'Type', 'hyperx' ),
		'section'  => 'logo',
		'type'     => 'select',
		'choices'  => array(
			'image' => esc_html__( 'Image', 'hyperx' ),
			'text' 	=> esc_html__( 'Text', 'hyperx' )
		),
		'priority' => 5
	) );


	// 1x logo image upload
	$wp_customize->add_setting( 'royal_logo[image]', array(
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'esc_url_raw'
	) );

	$wp_customize->add_control(
		new WP_Customize_Image_Control( $wp_customize, 'royal_logo[image]', array(
			'label'    => esc_html__( 'Upload Normal (1x) Image', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 6
		)
	) );

	// 2x logo image upload
	$wp_customize->add_setting( 'royal_logo[image_retina]', array(
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'esc_url_raw'
	) );

	$wp_customize->add_control(
		new WP_Customize_Image_Control( $wp_customize, 'royal_logo[image_retina]', array(
			'label'    => esc_html__( 'Upload Retina (2x) Image', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 7
		)
	) );

	// logo text - actually site title
	$wp_customize->get_setting( 'blogname'  )->transport   	= 'postMessage';
	$wp_customize->get_setting( 'blogname'  )->sanitize_callback  = 'royal_sanitize_string';
	$wp_customize->get_control( 'blogname'  )->label   		= 'Hyper-X';
	$wp_customize->get_control( 'blogname'  )->section 		= 'logo';
	$wp_customize->get_control( 'blogname'  )->priority 	= 8;

	// align
	$wp_customize->add_setting( 'royal_logo[align]', array(
	    'default' 	=> 'center',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_logo[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'logo',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 9
	) );


/* ----------------- Spacing Options ----------------- */

	// width
	$wp_customize->add_setting( 'royal_logo[width]', array(
	    'default' 	=> 350,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_logo[width]', array(
			'label'    => esc_html__( 'Width', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 19
		)
	) );

	// padding general
	$wp_customize->add_setting( 'royal_logo[padding_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_logo[padding_gen]', array(
			'label'    => esc_html__( 'Margin', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 20
		)
	) );

	// padding top
	$wp_customize->add_setting( 'royal_logo[padding_tp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_logo[padding_tp]', array(
			'label'    => esc_html__( 'Margin Top', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 21
		)
	) );

	// padding right
	$wp_customize->add_setting( 'royal_logo[padding_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_logo[padding_rt]', array(
			'label'    => esc_html__( 'Margin Right', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 22
		)
	) );

	// padding bottom
	$wp_customize->add_setting( 'royal_logo[padding_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_logo[padding_bt]', array(
			'label'    => esc_html__( 'Margin Bottom', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 23
		)
	) );

	// padding left
	$wp_customize->add_setting( 'royal_logo[padding_lt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_logo[padding_lt]', array(
			'label'    => esc_html__( 'Margin Left', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 24
		)
	) );

	// padding advanced button
	$wp_customize->add_setting( 'royal_logo[padding_ad]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_logo[padding_ad]', array(
		'label'    => '',
		'section'  => 'logo',
		'type'     => 'checkbox',
		'priority' => 25
	) );


/* ----------------- Styling Options----------------- */

	// background color
	$wp_customize->add_setting( 'royal_logo[bg_col]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_logo[bg_col]', array(
			'label'    => esc_html__( 'Background Color', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 30
		)
	) );

	// background color transparency
	$wp_customize->add_setting( 'royal_logo[bg_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_logo[bg_col_tr]', array(
			'label'    => esc_html__( 'Background Transparency', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 31
		)
	) );

	// text color
	$wp_customize->add_setting( 'royal_logo[txt_col]', array(
	    'default' 	=> '#3a3a3a',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_logo[txt_col]', array(
			'label'    => esc_html__( 'Text Color', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 33
		)
	) );

	// text color
	$wp_customize->add_setting( 'royal_logo[txt_hcol]', array(
	    'default' 	=> '#3a3a3a',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_logo[txt_hcol]', array(
			'label'    => esc_html__( 'Hover Text Color', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 34
		)
	) );

	// border label
	$wp_customize->add_setting( 'royal_logo[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_logo[border_label]', array(
		'label'    => esc_html__( 'Border', 'hyperx' ),
		'section'  => 'logo',
		'type'     => 'checkbox',
		'priority' => 44
	) );

	// border size general
	$wp_customize->add_setting( 'royal_logo[bd_size_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_logo[bd_size_gen]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 45
		)
	) );

	// border style general
	$wp_customize->add_setting( 'royal_logo[bd_style_gen]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_logo[bd_style_gen]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'logo',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 46
	) );

	// border color general
	$wp_customize->add_setting( 'royal_logo[bd_col_gen]', array(
	    'default' 	=> '#e0e0e0',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_logo[bd_col_gen]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 47
		)
	) );

	// border top size
	$wp_customize->add_setting( 'royal_logo[bd_size_tp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_logo[bd_size_tp]', array(
			'label'    => esc_html__( 'Top Size', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 48
		)
	) );

	// border top style
	$wp_customize->add_setting( 'royal_logo[bd_style_tp]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_logo[bd_style_tp]', array(
		'label'    => esc_html__( 'Top Style', 'hyperx' ),
		'section'  => 'logo',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 49
	) );

	// border top color
	$wp_customize->add_setting( 'royal_logo[bd_col_tp]', array(
	    'default' 	=> '#e0e0e0',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_logo[bd_col_tp]', array(
			'label'    => esc_html__( 'Top Color', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 50
		)
	) );

	// border right size
	$wp_customize->add_setting( 'royal_logo[bd_size_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_logo[bd_size_rt]', array(
			'label'    => esc_html__( 'Right Size', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 51
		)
	) );

	// border right style
	$wp_customize->add_setting( 'royal_logo[bd_style_rt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_logo[bd_style_rt]', array(
		'label'    => esc_html__( 'Right Style', 'hyperx' ),
		'section'  => 'logo',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 52
	) );

	// border right color
	$wp_customize->add_setting( 'royal_logo[bd_col_rt]', array(
	    'default' 	=> '#e0e0e0',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_logo[bd_col_rt]', array(
			'label'    => esc_html__( 'Right Color', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 53
		)
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_logo[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_logo[bd_size_bt]', array(
			'label'    => esc_html__( 'Bottom Size', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 54
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_logo[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_logo[bd_style_bt]', array(
		'label'    => esc_html__( 'Bottom Style', 'hyperx' ),
		'section'  => 'logo',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 55
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_logo[bd_col_bt]', array(
	    'default' 	=> '#e0e0e0',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_logo[bd_col_bt]', array(
			'label'    => esc_html__( 'Bottom Color', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 56
		)
	) );

	// border left size
	$wp_customize->add_setting( 'royal_logo[bd_size_lt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_logo[bd_size_lt]', array(
			'label'    => esc_html__( 'Left Size', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 57
		)
	) );

	// border left style
	$wp_customize->add_setting( 'royal_logo[bd_style_lt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_logo[bd_style_lt]', array(
		'label'    => esc_html__( 'Left Style', 'hyperx' ),
		'section'  => 'logo',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 58
	) );

	// border left color
	$wp_customize->add_setting( 'royal_logo[bd_col_lt]', array(
	    'default' 	=> '#e0e0e0',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_logo[bd_col_lt]', array(
			'label'    => esc_html__( 'Left Color', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 59
		)
	) );

	// border advanced button
	$wp_customize->add_setting( 'royal_logo[bd_ad]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_logo[bd_ad]', array(
		'label'    => '',
		'section'  => 'logo',
		'type'     => 'checkbox',
		'priority' => 60
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_logo[radius_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_logo[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'logo',
		'type'     => 'checkbox',
		'priority' => 62
	) );

	// border radius
	$wp_customize->add_setting( 'royal_logo[radius]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_logo[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 63
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_logo[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_logo[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'logo',
		'type'     => 'checkbox',
		'priority' => 65
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_logo[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_logo[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 66
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_logo[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_logo[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 67
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_logo[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_logo[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 68
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_logo[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_logo[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 69
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_logo[shad_col]', array(
	    'default' 	=> '#494949',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_logo[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 70
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_logo[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_logo[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 71
		)
	) );


	// box shadow inset
	$wp_customize->add_setting( 'royal_logo[shad_in]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_logo[shad_in]', array(
		'label'    => esc_html__( 'Inner', 'hyperx' ),
		'section'  => 'logo',
		'type'     => 'checkbox',
		'priority' => 72
	) );


/* ----------------- Font Options ----------------- */

	// font family
	$wp_customize->add_setting( 'royal_logo[font_family]', array(
	    'default' 	=> 'Lato',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control(
		new Royal_Google_Fonts_Control( $wp_customize, 'royal_logo[font_family]', array(
			'label'    => esc_html__( 'Family', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 80
		)
	) );

	// font size
	$wp_customize->add_setting( 'royal_logo[font_size]', array(
	    'default' 	=> 35,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_logo[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 81
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_logo[line_height]', array(
	    'default' 	=> 65,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_logo[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 82
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_logo[letter_space]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_logo[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 83
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_logo[font_weight]', array(
	    'default' 	=> 800,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_logo[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 84
		)
	) );

	// italic
	$wp_customize->add_setting( 'royal_logo[italic]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_logo[italic]', array(
		'label'    => esc_html__( 'Italic', 'hyperx' ),
		'section'  => 'logo',
		'type'     => 'checkbox',
		'priority' => 85
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_logo[uppercase]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_logo[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'logo',
		'type'     => 'checkbox',
		'priority' => 86
	) );

	// underline
	$wp_customize->add_setting( 'royal_logo[underline]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_logo[underline]', array(
		'label'    => esc_html__( 'Underline', 'hyperx' ),
		'section'  => 'logo',
		'type'     => 'checkbox',
		'priority' => 87
	) );

	// line throught
	$wp_customize->add_setting( 'royal_logo[line_through]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_logo[line_through]', array(
		'label'    => esc_html__( 'Line Through', 'hyperx' ),
		'section'  => 'logo',
		'type'     => 'checkbox',
		'priority' => 88
	) );

	// text shadow label
	$wp_customize->add_setting( 'royal_logo[txt_shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_logo[txt_shadow_label]', array(
		'label'    => esc_html__( 'Text Shadow', 'hyperx' ),
		'section'  => 'logo',
		'type'     => 'checkbox',
		'priority' => 90
	) );

	// text shadow horizontal
	$wp_customize->add_setting( 'royal_logo[txt_shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_logo[txt_shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 91
		)
	) );

	// text shadow vertical
	$wp_customize->add_setting( 'royal_logo[txt_shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_logo[txt_shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 92
		)
	) );

	// text shadow blur
	$wp_customize->add_setting( 'royal_logo[txt_shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_logo[txt_shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 93
		)
	) );

	// text shadow color
	$wp_customize->add_setting( 'royal_logo[txt_shad_col]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_logo[txt_shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 94
		)
	) );



/*
***************************************************************
* #Tagline
***************************************************************
*/

	// tagline general options tabs label
	$wp_customize->add_setting( 'royal_tagline[label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_tagline[label]', array(
		'label'    => esc_html__( 'Tagline', 'hyperx' ),
		'section'  => 'logo',
		'type'     => 'checkbox',
		'priority' => 110
	) );


/* ----------------- General Options ----------------- */
	// site tagline
	$wp_customize->get_setting( 'blogdescription'  )->transport  = 'postMessage';
	$wp_customize->get_setting( 'blogdescription'  )->sanitize_callback  = 'royal_sanitize_string';
	$wp_customize->get_control( 'blogdescription'  )->label   	 = 'Customizable Portfolio';
	$wp_customize->get_control( 'blogdescription'  )->section 	 = 'logo';
	$wp_customize->get_control( 'blogdescription'  )->priority 	 = 111;


	// align
	$wp_customize->add_setting( 'royal_tagline[align]', array(
	    'default' 	=> 'center',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_tagline[align]', array(
		'label'    => esc_html__( 'left', 'hyperx' ),
		'section'  => 'logo',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 115
	) );


/* ----------------- Spacing Options ----------------- */

	// top margin
	$wp_customize->add_setting( 'royal_tagline[margin_tp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_tagline[margin_tp]', array(
			'label'    => esc_html__( 'Top Distance', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 120
		)
	) );


/* ----------------- Styling Options ----------------- */

	// color
	$wp_customize->add_setting( 'royal_tagline[color]', array(
	    'default' 	=> '#8d8d8d',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_tagline[color]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 125
		)
	) );


/* ----------------- Font Options ----------------- */

	// font family
	$wp_customize->add_setting( 'royal_tagline[font_family]', array(
	    'default' 	=> 'Arial',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control(
		new Royal_Google_Fonts_Control( $wp_customize, 'royal_tagline[font_family]', array(
			'label'    => esc_html__( 'Family', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 130
		)
	) );

	// font size
	$wp_customize->add_setting( 'royal_tagline[font_size]', array(
	    'default' 	=> 13,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_tagline[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 131
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_tagline[line_height]', array(
	    'default' 	=> 30,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_tagline[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 132
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_tagline[letter_space]', array(
	    'default' 	=> -0.5,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_tagline[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 133
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_tagline[font_weight]', array(
	    'default' 	=> 300,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_tagline[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 134
		)
	) );

	// italic
	$wp_customize->add_setting( 'royal_tagline[italic]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_tagline[italic]', array(
		'label'    => esc_html__( 'Italic', 'hyperx' ),
		'section'  => 'logo',
		'type'     => 'checkbox',
		'priority' => 135
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_tagline[uppercase]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_tagline[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'logo',
		'type'     => 'checkbox',
		'priority' => 136
	) );

	// underline
	$wp_customize->add_setting( 'royal_tagline[underline]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_tagline[underline]', array(
		'label'    => esc_html__( 'Underline', 'hyperx' ),
		'section'  => 'logo',
		'type'     => 'checkbox',
		'priority' => 137
	) );

	// line throught
	$wp_customize->add_setting( 'royal_tagline[line_through]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_tagline[line_through]', array(
		'label'    => esc_html__( 'Line Through', 'hyperx' ),
		'section'  => 'logo',
		'type'     => 'checkbox',
		'priority' => 138
	) );

	// text shadow label
	$wp_customize->add_setting( 'royal_tagline[txt_shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_tagline[txt_shadow_label]', array(
		'label'    => esc_html__( 'Text Shadow', 'hyperx' ),
		'section'  => 'logo',
		'type'     => 'checkbox',
		'priority' => 150
	) );

	// text shadow horizontal
	$wp_customize->add_setting( 'royal_tagline[txt_shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_tagline[txt_shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 151
		)
	) );

	// text shadow vertical
	$wp_customize->add_setting( 'royal_tagline[txt_shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_tagline[txt_shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 152
		)
	) );

	// text shadow blur
	$wp_customize->add_setting( 'royal_tagline[txt_shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_tagline[txt_shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 153
		)
	) );

	// text shadow color
	$wp_customize->add_setting( 'royal_tagline[txt_shad_col]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_tagline[txt_shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'logo',
			'priority' => 154
		)
	) );



/*
***************************************************************
* #Menu
***************************************************************
*/

	$section_menu = 'menu';
	
	if ( get_option('section_menu') === '' ) {
		$section_menu = 'menu_disabled';
	}

	// add Menu & Filters Section -------------------------------------------
	$wp_customize->add_section( $section_menu, array(
	    'title' 		=> esc_html__( 'Menu & Filters', 'hyperx' ),
	    'priority' 		=> 20
	) );

	// menu title label
	$wp_customize->add_setting( 'royal_menu_title[label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_menu_title[label]', array(
		'label'    => esc_html__( 'Menu Title', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 9
	) );

/* ----------------- Title General Options ----------------- */

	// title text
	$wp_customize->add_setting( 'royal_menu_title[text]', array(
	    'default' 	=> 'Menu',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_menu_title[text]', array(
		'label'    => esc_html__( 'Enter Text', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'text',
		'priority' => 10
	) );

	// align
	$wp_customize->add_setting( 'royal_menu_title[align]', array(
	    'default' 	=> 'left',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_menu_title[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 15
	) );


/* ----------------- Title Spacing Options ----------------- */

	// padding bottom
	$wp_customize->add_setting( 'royal_menu_title[padding_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_title[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 30
		)
	) );

	// margin bottom
	$wp_customize->add_setting( 'royal_menu_title[margin_bt]', array(
	    'default' 	=> 12,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_title[margin_bt]', array(
			'label'    => esc_html__( 'Margin Bottom', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 35
		)
	) );


/* ----------------- Title Styling Options----------------- */

	// color
	$wp_customize->add_setting( 'royal_menu_title[color]', array(
	    'default' 	=> '#3a3a3a',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_menu_title[color]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 40
		)
	) );

	// border label
	$wp_customize->add_setting( 'royal_menu_title[border_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_menu_title[border_label]', array(
		'label'    => esc_html__( 'Border Bottom', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 49
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_menu_title[bd_size_bt]', array(
	    'default' 	=> 2,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_title[bd_size_bt]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 50
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_menu_title[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_menu_title[bd_style_bt]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 51
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_menu_title[bd_col_bt]', array(
	    'default' 	=> '#f4f4f4',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_menu_title[bd_col_bt]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 52
		)
	) );

	// full width border
	$wp_customize->add_setting( 'royal_menu_title[bd_full_width]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_menu_title[bd_full_width]', array(
		'label'    => esc_html__( 'Full Width Border', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 53
	) );


/* ----------------- Title Font Options ----------------- */

	// font family
	$wp_customize->add_setting( 'royal_menu_title[font_family]', array(
	    'default' 	=> 'Lato',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control(
		new Royal_Google_Fonts_Control( $wp_customize, 'royal_menu_title[font_family]', array(
			'label'    => esc_html__( 'Family', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 60
		)
	) );

	// font size
	$wp_customize->add_setting( 'royal_menu_title[font_size]', array(
	    'default' 	=> 15,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_title[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 61
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_menu_title[line_height]', array(
	    'default' 	=> 30,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_title[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 62
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_menu_title[letter_space]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_title[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 63
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_menu_title[font_weight]', array(
	    'default' 	=> 700,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_title[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 64
		)
	) );

	// italic
	$wp_customize->add_setting( 'royal_menu_title[italic]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_menu_title[italic]', array(
		'label'    => esc_html__( 'Italic', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 65
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_menu_title[uppercase]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_menu_title[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 66
	) );



// Fold Menu Icon Tabs
	class Royal_Fold_Menu_Icon_Tabs extends WP_Customize_Control {
	    public $type = 'fold_menu_icon';
	 
	    public function render_content() {

	    	$html  = '<label>';
	    		$html .= '<span class="customize-control-title">'. esc_html( $this->label ) .'</span>';
	    		$html .= '<textarea rows="1" style="width:100%;" '. $this->get_link() .'>'. esc_textarea( $this->value() ) .'</textarea>';
	    	$html .= '</label>';
	        
	        echo ''. $html;

	        // get options from db
	        $menu_fold = royal_get_option('royal_menu_fold');
	        
			?>

			<!-- Label -->
			<li id="customize-control-royal_menu_fold-label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $menu_fold['label'], true); ?>>
					<?php esc_html_e( 'Menu Fold Icon', 'hyperx' ); ?>
				</label>
			</li>

			<!-- General Options -->
			<li id="customize-control-royal_menu_fold-icon" class="customize-control customize-control-select" style="display: list-item;">
				<label>
				<span class="customize-control-title">Select Icon</span>

				<select>
					<option <?php selected('align-justify', $menu_fold['icon'], true); ?> value="align-justify">&#xf039;</option>
					<option <?php selected('navicon', $menu_fold['icon'], true); ?> value="navicon">&#xf0c9;</option>
					<option <?php selected('list', $menu_fold['icon'], true); ?> value="list">&#xf03a;</option>
					<option <?php selected('th-list', $menu_fold['icon'], true); ?> value="th-list">&#xf00b;</option>
					<option <?php selected('th', $menu_fold['icon'], true); ?> value="th">&#xf00a;</option>
					<option <?php selected('th-large', $menu_fold['icon'], true); ?> value="th-large">&#xf009;</option>
				</select>
				
				</label>
			</li>

			<li id="customize-control-royal_menu_fold-align" class="customize-control customize-control-select" style="display: list-item;">
				<label>
				<span class="customize-control-title"><?php esc_html_e( 'Align', 'hyperx' ); ?></span>

				<select>
					<option <?php selected('left', $menu_fold['align'], true); ?> value="left"><?php esc_html_e( 'Left', 'hyperx' ); ?></option>
					<option <?php selected('center', $menu_fold['align'], true); ?> value="center"><?php esc_html_e( 'Center', 'hyperx' ); ?></option>
					<option <?php selected('right', $menu_fold['align'], true); ?> value="right"><?php esc_html_e( 'Right', 'hyperx' ); ?></option>
				</select>
				
				</label>
			</li>

			<!-- Spacing Options -->
			<li id="customize-control-royal_menu_fold-width" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Width', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($menu_fold['width']); ?>" id="royal_rg_menu_fold_width" />
					<div id="royal_sl_menu_fold_width" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_menu_fold-height" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Height', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($menu_fold['height']); ?>" id="royal_rg_menu_fold_height" />
					<div id="royal_sl_menu_fold_height" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_menu_fold-margin_tp" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Top Distance', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($menu_fold['margin_tp']); ?>" id="royal_rg_menu_fold_margin_tp" />
					<div id="royal_sl_menu_fold_margin_tp" class="rf-slider"></div>
				</div>
			</li>

			<!-- Styling Options -->
			<li id="customize-control-royal_menu_fold-static_colors_label" class="customize-control" style="display: list-item;">
				<span class="customize-control-title rf-custom-label"><?php esc_html_e( 'Static Colors', 'hyperx' ); ?></span>
			</li>
			<li id="customize-control-royal_menu_fold-color" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($menu_fold['color']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_menu_fold-txt_color" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Text Color', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($menu_fold['txt_color']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>

			<li id="customize-control-royal_menu_fold-hover_colors_label" class="customize-control" style="display: list-item;">
				<span class="customize-control-title rf-custom-label"><?php esc_html_e( 'Hover Colors', 'hyperx' ); ?></span>
			</li>
			<li id="customize-control-royal_menu_fold-hover_color" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($menu_fold['hover_color']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_menu_fold-hover_txt_color" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Text Color', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($menu_fold['hover_txt_color']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>

			<li id="customize-control-royal_menu_fold-radius_label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $menu_fold['radius_label'], true); ?>>
					<?php esc_html_e( 'Corner Radius', 'hyperx' ); ?>
				</label>
			</li>
			<li id="customize-control-royal_menu_fold-radius" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Radius', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($menu_fold['radius']); ?>" id="royal_rg_menu_fold_radius" />
					<div id="royal_sl_menu_fold_radius" class="rf-slider"></div>
				</div>
			</li>

			<li id="customize-control-royal_menu_fold-shadow_label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $menu_fold['shadow_label'], true); ?>>
					Shadow
				</label>
			</li>
			<li id="customize-control-royal_menu_fold-shad_h" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Horizontal', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($menu_fold['shad_h']); ?>" id="royal_rg_menu_fold_shad_h" />
					<div id="royal_sl_menu_fold_shad_h" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_menu_fold-shad_v" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Vertical', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($menu_fold['shad_v']); ?>" id="royal_rg_menu_fold_shad_v" />
					<div id="royal_sl_menu_fold_shad_v" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_menu_fold-shad_bl" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Blur', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($menu_fold['shad_bl']); ?>" id="royal_rg_menu_fold_shad_bl" />
					<div id="royal_sl_menu_fold_shad_bl" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_menu_fold-shad_sp" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Spread', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($menu_fold['shad_sp']); ?>" id="royal_rg_menu_fold_shad_sp" />
					<div id="royal_sl_menu_fold_shad_sp" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_menu_fold-shad_col" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($menu_fold['shad_col']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_menu_fold-shad_col_tr" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Transparency', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($menu_fold['shad_col_tr']); ?>" id="royal_rg_menu_fold_shad_col_tr" />
					<div id="royal_sl_menu_fold_shad_col_tr" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_menu_fold-shad_in" class="customize-control customize-control-checkbox" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $menu_fold['shad_in'], true); ?>>
					Inset
				</label>
			</li>
			<!-- Font Options -->
			<li id="customize-control-royal_menu_fold-txt_sz" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Font Size', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($menu_fold['txt_sz']); ?>" id="royal_rg_menu_fold_txt_sz" />
					<div id="royal_sl_menu_fold_txt_sz" class="rf-slider"></div>
				</div>
			</li>

			<?php
	    }
	}


	// menu fold button
	$wp_customize->add_setting( 'royal_menu_fold[db_input]', array(
	    'default' 	=> 'menu_fold-label[true]___menu_fold-icon[navicon]___menu_fold-align[center]___menu_fold-width[45]___menu_fold-height[45]___menu_fold-margin_tp[10]___menu_fold-color[#222222]___menu_fold-txt_color[#fcfcfc]___menu_fold-hover_color[#fcfcfc]___menu_fold-hover_txt_color[#222222]___menu_fold-radius_label[false]___menu_fold-radius[0]___menu_fold-shadow_label[false]___menu_fold-shad_h[0]___menu_fold-shad_v[0]___menu_fold-shad_bl[0]___menu_fold-shad_sp[0]___menu_fold-shad_col[#000000]___menu_fold-shad_col_tr[0]___menu_fold-shad_in[false]___menu_fold-txt_sz[28]',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_textarea'
	) );

	$wp_customize->add_control(
		new Royal_Fold_Menu_Icon_Tabs( $wp_customize, 'royal_menu_fold[db_input]', array(
			'label'    => '',
			'section'  => 'menu',
			'priority' => 30
		)
	) );


// Fold Menu Wrapper Tabs
	class Royal_Fold_Menu_Wrapper extends WP_Customize_Control {
	    public $type = 'fold_menu_wrap';
	 
	    public function render_content() {

	    	$html  = '<label>';
	    		$html .= '<span class="customize-control-title">'. esc_html( $this->label ) .'</span>';
	    		$html .= '<textarea rows="1" style="width:100%;" '. $this->get_link() .'>'. esc_textarea( $this->value() ) .'</textarea>';
	    	$html .= '</label>';
	        
	        echo ''. $html;

	        // get options from db
	        $menu_fold_wrap = royal_get_option('royal_menu_fold_wrap');
	        
			?>

			<!-- Label -->
			<li id="customize-control-royal_menu_fold_wrap-label" class="customize-control" style="display: list-item;">
				<span class="customize-control-title rf-custom-label"><?php esc_html_e( 'Menu Fold Popup', 'hyperx' ); ?></span>
			</li>

			<!-- General Options -->
			<li id="customize-control-royal_menu_fold_wrap-pupup_fx" class="customize-control customize-control-select" style="display: list-item;">
				<label>
				<span class="customize-control-title"><?php esc_html_e( 'Select Popup FX', 'hyperx' ); ?></span>

				<select>
					<option <?php selected('tp-fade', $menu_fold_wrap['pupup_fx'], true); ?> value="tn-fade">Fade</option>
					<option <?php selected('tn-top-slide', $menu_fold_wrap['pupup_fx'], true); ?> value="tn-top-slide">Slide Top</option>
					<option <?php selected('tn-right-slide', $menu_fold_wrap['pupup_fx'], true); ?> value="tn-right-slide">Slide Right</option>
					<option <?php selected('tn-bottom-slide', $menu_fold_wrap['pupup_fx'], true); ?> value="tn-bottom-slide">Slide Bottom</option>
					<option <?php selected('tn-left-slide', $menu_fold_wrap['pupup_fx'], true); ?> value="tn-left-slide">Slide Left</option>
					<option <?php selected('tn-center-grow', $menu_fold_wrap['pupup_fx'], true); ?> value="tn-center-grow">Grow Center</option>
					<option <?php selected('tn-top-left-grow', $menu_fold_wrap['pupup_fx'], true); ?> value="tn-top-left-grow">Grow Top-Left</option>
					<option <?php selected('tn-top-right-grow', $menu_fold_wrap['pupup_fx'], true); ?> value="tn-top-right-grow">Grow Top-Right</option>
					<option <?php selected('tn-bottom-left-grow', $menu_fold_wrap['pupup_fx'], true); ?> value="tn-bottom-left-grow">Grow Bottom-Left</option>
					<option <?php selected('tn-bottom-right-grow', $menu_fold_wrap['pupup_fx'], true); ?> value="tn-bottom-right-grow">Grow Bottom-Right</option>
					<option <?php selected('tn-skew-top', $menu_fold_wrap['pupup_fx'], true); ?> value="tn-skew-top">Skew Top</option>
					<option <?php selected('tn-skew-right', $menu_fold_wrap['pupup_fx'], true); ?> value="tn-skew-right">Skew Right</option>
					<option <?php selected('tn-skew-bottom', $menu_fold_wrap['pupup_fx'], true); ?> value="tn-skew-bottom">Skew Bottom</option>
					<option <?php selected('tn-skew-left', $menu_fold_wrap['pupup_fx'], true); ?> value="tn-skew-left">Skew Left</option>
					<option <?php selected('tn-skew-fade-top', $menu_fold_wrap['pupup_fx'], true); ?> value="tn-skew-fade-top">Skew Fade Top</option>
					<option <?php selected('tn-skew-fade-right', $menu_fold_wrap['pupup_fx'], true); ?> value="tn-skew-fade-right">Skew Fade Right</option>
					<option <?php selected('tn-skew-fade-bottom', $menu_fold_wrap['pupup_fx'], true); ?> value="tn-skew-fade-bottom">Skew Fade Bottom</option>
					<option <?php selected('tn-skew-fade-left', $menu_fold_wrap['pupup_fx'], true); ?> value="tn-skew-fade-left">Skew Fade Left</option>
				</select>
				
				</label>
			</li>
			<li id="customize-control-royal_menu_fold_wrap-pupup_fx_trans" class="customize-control customize-control-select" style="display: list-item;">
				<label>
				<span class="customize-control-title"><?php esc_html_e( 'Popup FX Transition', 'hyperx' ); ?></span>

				<select>
					<option <?php selected('0', $menu_fold_wrap['pupup_fx_trans'], true); ?> value="0">0 ms</option>
					<option <?php selected('50', $menu_fold_wrap['pupup_fx_trans'], true); ?> value="50">50 ms</option>
					<option <?php selected('100', $menu_fold_wrap['pupup_fx_trans'], true); ?> value="100">100 ms</option>
					<option <?php selected('150', $menu_fold_wrap['pupup_fx_trans'], true); ?> value="150">150 ms</option>
					<option <?php selected('200', $menu_fold_wrap['pupup_fx_trans'], true); ?> value="200">200 ms</option>
					<option <?php selected('250', $menu_fold_wrap['pupup_fx_trans'], true); ?> value="250">250 ms</option>
					<option <?php selected('300', $menu_fold_wrap['pupup_fx_trans'], true); ?> value="300">300 ms</option>
					<option <?php selected('350', $menu_fold_wrap['pupup_fx_trans'], true); ?> value="350">350 ms</option>
					<option <?php selected('400', $menu_fold_wrap['pupup_fx_trans'], true); ?> value="400">400 ms</option>
					<option <?php selected('450', $menu_fold_wrap['pupup_fx_trans'], true); ?> value="450">450 ms</option>
					<option <?php selected('500', $menu_fold_wrap['pupup_fx_trans'], true); ?> value="500">500 ms</option>
					<option <?php selected('550', $menu_fold_wrap['pupup_fx_trans'], true); ?> value="550">550 ms</option>
					<option <?php selected('600', $menu_fold_wrap['pupup_fx_trans'], true); ?> value="600">600 ms</option>
					<option <?php selected('650', $menu_fold_wrap['pupup_fx_trans'], true); ?> value="650">650 ms</option>
					<option <?php selected('700', $menu_fold_wrap['pupup_fx_trans'], true); ?> value="700">700 ms</option>
					<option <?php selected('750', $menu_fold_wrap['pupup_fx_trans'], true); ?> value="750">750 ms</option>
					<option <?php selected('800', $menu_fold_wrap['pupup_fx_trans'], true); ?> value="800">800 ms</option>
					<option <?php selected('850', $menu_fold_wrap['pupup_fx_trans'], true); ?> value="850">850 ms</option>
					<option <?php selected('900', $menu_fold_wrap['pupup_fx_trans'], true); ?> value="900">900 ms</option>
					<option <?php selected('950', $menu_fold_wrap['pupup_fx_trans'], true); ?> value="950">950 ms</option>
					<option <?php selected('1000', $menu_fold_wrap['pupup_fx_trans'], true); ?> value="1000">1000 ms</option>
				</select>
				
				</label>
			</li>
			<li id="customize-control-royal_menu_fold_wrap-item_align" class="customize-control customize-control-select" style="display: list-item;">
				<label>
				<span class="customize-control-title"><?php esc_html_e( 'Item Alignment', 'hyperx' ); ?></span>

				<select>
					<option <?php selected('horizontal', $menu_fold_wrap['item_align'], true); ?> value="horizontal"><?php esc_html_e( 'Horizontal', 'hyperx' ); ?></option>
					<option <?php selected('vertical', $menu_fold_wrap['item_align'], true); ?> value="vertical"><?php esc_html_e( 'Vertical', 'hyperx' ); ?></option>
				</select>
				
				</label>
			</li>

			<!-- Spacing Options -->
			<li id="customize-control-royal_menu_fold_wrap-margin_gen" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Margin', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($menu_fold_wrap['margin_gen']); ?>" id="royal_rg_menu_fold_wrap_margin_gen" />
					<div id="royal_sl_menu_fold_wrap_margin_gen" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_menu_fold_wrap-margin_tp" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Margin Top', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($menu_fold_wrap['margin_tp']); ?>" id="royal_rg_menu_fold_wrap_margin_tp" />
					<div id="royal_sl_menu_fold_wrap_margin_tp" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_menu_fold_wrap-margin_rt" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Margin Right', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($menu_fold_wrap['margin_rt']); ?>" id="royal_rg_menu_fold_wrap_margin_rt" />
					<div id="royal_sl_menu_fold_wrap_margin_rt" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_menu_fold_wrap-margin_bt" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Margin Bottom', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($menu_fold_wrap['margin_bt']); ?>" id="royal_rg_menu_fold_wrap_margin_bt" />
					<div id="royal_sl_menu_fold_wrap_margin_bt" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_menu_fold_wrap-margin_lt" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Margin Left', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($menu_fold_wrap['margin_lt']); ?>" id="royal_rg_menu_fold_wrap_margin_lt" />
					<div id="royal_sl_menu_fold_wrap_margin_lt" class="rf-slider"></div>
				</div>
			</li>

			<li id="customize-control-royal_menu_fold_wrap-margin_ad" class="customize-control customize-control-checkbox" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $menu_fold_wrap['margin_ad'], true); ?>>
				</label>
			</li>

			<!-- Styling Options -->
			<li id="customize-control-royal_menu_fold_wrap-color" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($menu_fold_wrap['color']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_menu_fold_wrap-color_tr" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Transparency', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($menu_fold_wrap['color_tr']); ?>" id="royal_rg_menu_fold_wrap_color_tr" />
					<div id="royal_sl_menu_fold_wrap_color_tr" class="rf-slider"></div>
				</div>
			</li>

			<li id="customize-control-royal_menu_fold_wrap-shadow_label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $menu_fold_wrap['shadow_label'], true); ?>>
					<?php esc_html_e( 'Shadow', 'hyperx' ); ?>
				</label>
			</li>
			<li id="customize-control-royal_menu_fold_wrap-shad_h" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Horizontal', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($menu_fold_wrap['shad_h']); ?>" id="royal_rg_menu_fold_wrap_shad_h" />
					<div id="royal_sl_menu_fold_wrap_shad_h" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_menu_fold_wrap-shad_v" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Vertical', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($menu_fold_wrap['shad_v']); ?>" id="royal_rg_menu_fold_wrap_shad_v" />
					<div id="royal_sl_menu_fold_wrap_shad_v" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_menu_fold_wrap-shad_bl" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Blur', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($menu_fold_wrap['shad_bl']); ?>" id="royal_rg_menu_fold_wrap_shad_bl" />
					<div id="royal_sl_menu_fold_wrap_shad_bl" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_menu_fold_wrap-shad_sp" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Spread', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($menu_fold_wrap['shad_sp']); ?>" id="royal_rg_menu_fold_wrap_shad_sp" />
					<div id="royal_sl_menu_fold_wrap_shad_sp" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_menu_fold_wrap-shad_col" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($menu_fold_wrap['shad_col']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_menu_fold_wrap-shad_col_tr" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Transparency', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($menu_fold_wrap['shad_col_tr']); ?>" id="royal_rg_menu_fold_wrap_shad_col_tr" />
					<div id="royal_sl_menu_fold_wrap_shad_col_tr" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_menu_fold_wrap-shad_in" class="customize-control customize-control-checkbox" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $menu_fold_wrap['shad_in'], true); ?>>
					<?php esc_html_e( 'Inset', 'hyperx' ); ?>
				</label>
			</li>

			<?php
	    }
	}


	// menu fold button
	$wp_customize->add_setting( 'royal_menu_fold_wrap[db_input]', array(
	    'default' 	=> 'menu_fold_wrap-pupup_fx[tn-center-grow]___menu_fold_wrap-pupup_fx_trans[500]___menu_fold_wrap-item_align[vertical]___menu_fold_wrap-margin_gen[0]___menu_fold_wrap-margin_tp[0]___menu_fold_wrap-margin_rt[0]___menu_fold_wrap-margin_bt[0]___menu_fold_wrap-margin_lt[0]___menu_fold_wrap-margin_ad[false]___menu_fold_wrap-color[#ffffff]___menu_fold_wrap-color_tr[0.9]___menu_fold_wrap-shadow_label[false]___menu_fold_wrap-shad_h[0]___menu_fold_wrap-shad_v[0]___menu_fold_wrap-shad_bl[0]___menu_fold_wrap-shad_sp[0]___menu_fold_wrap-shad_col[#000000]___menu_fold_wrap-shad_col_tr[0]___menu_fold_wrap-shad_in[false]',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_textarea'
	) );

	$wp_customize->add_control(
		new Royal_Fold_Menu_Wrapper( $wp_customize, 'royal_menu_fold_wrap[db_input]', array(
			'label'    => '',
			'section'  => 'menu',
			'priority' => 31
		)
	) );


// menu items label
	$wp_customize->add_setting( 'royal_menu_items[label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_menu_items[label]', array(
		'label'    => esc_html__( 'Menu Items', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 99
	) );

/* ----------------- Items General Options ----------------- */

	// item width
	$wp_customize->add_setting( 'royal_menu_items[width]', array(
	    'default' 	=> 'block',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_menu_items[width]', array(
		'label'    => esc_html__( 'Item Style', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'radio',
		'choices'  => array(
			'block' 		=> esc_html__( 'Full Width', 'hyperx' ),
			'inline-block' 	=> esc_html__( 'Button', 'hyperx' )
		),
		'priority' => 100
	) );

	// sub menu
	$wp_customize->add_setting( 'royal_menu_items[sub]', array(
	    'default' 	=> 'hover',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_menu_items[sub]', array(
		'label'    => esc_html__( 'Show Sub Items', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'radio',
		'choices'  => array(
			'hover' => esc_html__( 'On Hover', 'hyperx' ),
			'click' => esc_html__( 'On Click', 'hyperx' )
		),
		'priority' => 105
	) );

	// align
	$wp_customize->add_setting( 'royal_menu_items[align]', array(
	    'default' 	=> 'left',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_menu_items[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 110
	) );

	// align
	$wp_customize->add_setting( 'royal_menu_items[top_align]', array(
	    'default' 	=> 'center',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_menu_items[top_align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 115
	) );

	// list style
	$wp_customize->add_setting( 'royal_menu_items[list_style]', array(
	    'default' 	=> 'dot',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_menu_items[list_style]', array(
		'label'    => esc_html__( 'List Style', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'select',
		'choices'  => array(
			'none' 	 => esc_html__( 'None', 'hyperx' ),
			'dot' 	 => esc_html__( 'Dot', 'hyperx' ),
			'square' => esc_html__( 'Rect', 'hyperx' ),
			'romb'  => esc_html__( 'Romb', 'hyperx' ),
			'circle'  => esc_html__( 'Circle', 'hyperx' )
		),
		'priority' => 116
	) );

	// active items highlight
	$wp_customize->add_setting( 'royal_menu_items[shop_icon_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_menu_items[shop_icon_label]', array(
		'label'    => esc_html__( 'Display Shop Icon', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 117
	) );

	// FontAwesome icon select
	$wp_customize->add_setting( 'royal_menu_items[shop_icon_select]', array(
	    'default' 	=> 'none',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_menu_items[shop_icon_select]', array(
		'label'    => esc_html__( 'Select Icon', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'select',
		'choices'  => array(
			'shopping-cart' 	=> '&#xf07a;',
			'cart-arrow-down' 	=> '&#xf218;',
			'cart-plus' 		=> '&#xf217;',
			'shopping-bag' 		=> '&#xf290;',
			'shopping-basket' 	=> '&#xf291;',
		),
		'priority' => 118
	) );

	// icon size
	$wp_customize->add_setting( 'royal_menu_items[shop_icon_size]', array(
	    'default' 	=> 16,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_items[shop_icon_size]', array(
			'label'    => esc_html__( 'Icons Size', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 119
		)
	) );


/* ----------------- Items Spacing Options ----------------- */

	// padding general
	$wp_customize->add_setting( 'royal_menu_items[padding_gen]', array(
	    'default' 	=> 8,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_items[padding_gen]', array(
			'label'    => esc_html__( 'Padding', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 120
		)
	) );

	// padding top
	$wp_customize->add_setting( 'royal_menu_items[padding_tp]', array(
	    'default' 	=> 50,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_items[padding_tp]', array(
			'label'    => esc_html__( 'Padding Top', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 121
		)
	) );

	// padding right
	$wp_customize->add_setting( 'royal_menu_items[padding_rt]', array(
	    'default' 	=> 9,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_items[padding_rt]', array(
			'label'    => esc_html__( 'Padding Right', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 122
		)
	) );

	// padding bottom
	$wp_customize->add_setting( 'royal_menu_items[padding_bt]', array(
	    'default' 	=> 16,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_items[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 123
		)
	) );

	// padding left
	$wp_customize->add_setting( 'royal_menu_items[padding_lt]', array(
	    'default' 	=> 9,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_items[padding_lt]', array(
			'label'    => esc_html__( 'Padding Left', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 124
		)
	) );

	// padding advanced button
	$wp_customize->add_setting( 'royal_menu_items[padding_ad]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_menu_items[padding_ad]', array(
		'label'    => '',
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 125
	) );

	// margin general
	$wp_customize->add_setting( 'royal_menu_items[margin_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_items[margin_gen]', array(
			'label'    => esc_html__( 'Margin', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 130
		)
	) );

	// margin top
	$wp_customize->add_setting( 'royal_menu_items[margin_tp]', array(
	    'default' 	=> 43,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_items[margin_tp]', array(
			'label'    => esc_html__( 'Margin Top', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 131
		)
	) );

	// margin right
	$wp_customize->add_setting( 'royal_menu_items[margin_rt]', array(
	    'default' 	=> 2,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_items[margin_rt]', array(
			'label'    => esc_html__( 'Margin Right', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 132
		)
	) );

	// margin bottom
	$wp_customize->add_setting( 'royal_menu_items[margin_bt]', array(
	    'default' 	=> 34,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_items[margin_bt]', array(
			'label'    => esc_html__( 'Margin Bottom', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 133
		)
	) );

	// margin bottom
	$wp_customize->add_setting( 'royal_menu_items[margin_lt]', array(
	    'default' 	=> 2,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_items[margin_lt]', array(
			'label'    => esc_html__( 'Margin Left', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 134
		)
	) );

	// margin advanced button
	$wp_customize->add_setting( 'royal_menu_items[margin_ad]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_menu_items[margin_ad]', array(
		'label'    => '',
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 135
	) );


/* ----------------- Items Styling Options----------------- */

	// static colors label
	$wp_customize->add_setting( 'royal_menu_items[static_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_menu_items[static_colors_label]', array(
			'label'    => esc_html__( 'Static Colors', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 139
		)
	) );

	// background color
	$wp_customize->add_setting( 'royal_menu_items[bg_col]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_menu_items[bg_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 140
		)
	) );

	// sub item background color
	$wp_customize->add_setting( 'royal_menu_items[sub_bg_col]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_menu_items[sub_bg_col]', array(
			'label'    => esc_html__( 'Sub Item Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 141
		)
	) );

	// background color transparency
	$wp_customize->add_setting( 'royal_menu_items[bg_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_items[bg_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 142
		)
	) );

	// text color
	$wp_customize->add_setting( 'royal_menu_items[txt_col]', array(
	    'default' 	=> '#3a3a3a',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_menu_items[txt_col]', array(
			'label'    => esc_html__( 'Text Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 143
		)
	) );

	// mobile text color
	$wp_customize->add_setting( 'royal_menu_items[mob_txt_col]', array(
	    'default' 	=> '#3a3a3a',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_menu_items[mob_txt_col]', array(
			'label'    => esc_html__( 'Mobile Text Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 144
		)
	) );

	// hover colors label
	$wp_customize->add_setting( 'royal_menu_items[hover_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_menu_items[hover_colors_label]', array(
			'label'    => esc_html__( 'Hover Colors', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 145
		)
	) );

	// hover background color
	$wp_customize->add_setting( 'royal_menu_items[bg_hcol]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_menu_items[bg_hcol]', array(
			'label'    => esc_html__( 'Hover Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 150
		)
	) );

	// hover background color transparency
	$wp_customize->add_setting( 'royal_menu_items[bg_hcol_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_items[bg_hcol_tr]', array(
			'label'    => esc_html__( 'Hover Transparency', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 151
		)
	) );

	// hover text color
	$wp_customize->add_setting( 'royal_menu_items[txt_hcol]', array(
	    'default' 	=> '#e5ae47',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_menu_items[txt_hcol]', array(
			'label'    => esc_html__( 'Hover Text Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 152
		)
	) );

	// hover mobile text color
	$wp_customize->add_setting( 'royal_menu_items[mob_txt_hcol]', array(
	    'default' 	=> '#e5ae47',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_menu_items[mob_txt_hcol]', array(
			'label'    => esc_html__( 'Hover Mobile Text Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 153
		)
	) );

	// hover border color
	$wp_customize->add_setting( 'royal_menu_items[bd_hcol]', array(
	    'default' 	=> '#333333',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_menu_items[bd_hcol]', array(
			'label'    => esc_html__( 'Hover Border Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 154
		)
	) );

	// active items highlight
	$wp_customize->add_setting( 'royal_menu_items[active_highlight]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_menu_items[active_highlight]', array(
		'label'    => esc_html__( 'Highlight Active Item', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 155
	) );

	// border label
	$wp_customize->add_setting( 'royal_menu_items[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_menu_items[border_label]', array(
		'label'    => esc_html__( 'Border', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 160
	) );

	// border size general
	$wp_customize->add_setting( 'royal_menu_items[bd_size_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_items[bd_size_gen]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 161
		)
	) );

	// border style general
	$wp_customize->add_setting( 'royal_menu_items[bd_style_gen]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_menu_items[bd_style_gen]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 162
	) );

	// border color general
	$wp_customize->add_setting( 'royal_menu_items[bd_col_gen]', array(
	    'default' 	=> '#e0e0e0',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_menu_items[bd_col_gen]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 163
		)
	) );

	// border top size
	$wp_customize->add_setting( 'royal_menu_items[bd_size_tp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_items[bd_size_tp]', array(
			'label'    => esc_html__( 'Top Size', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 164
		)
	) );

	// border top style
	$wp_customize->add_setting( 'royal_menu_items[bd_style_tp]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_menu_items[bd_style_tp]', array(
		'label'    => esc_html__( 'Top Style', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 165
	) );

	// border top color
	$wp_customize->add_setting( 'royal_menu_items[bd_col_tp]', array(
	    'default' 	=> '#e0e0e0',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_menu_items[bd_col_tp]', array(
			'label'    => esc_html__( 'Top Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 166
		)
	) );

	// border right size
	$wp_customize->add_setting( 'royal_menu_items[bd_size_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_items[bd_size_rt]', array(
			'label'    => esc_html__( 'Right Size', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 167
		)
	) );

	// border right style
	$wp_customize->add_setting( 'royal_menu_items[bd_style_rt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_menu_items[bd_style_rt]', array(
		'label'    => esc_html__( 'Right Style', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 168
	) );

	// border right color
	$wp_customize->add_setting( 'royal_menu_items[bd_col_rt]', array(
	    'default' 	=> '#e0e0e0',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_menu_items[bd_col_rt]', array(
			'label'    => esc_html__( 'Right Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 169
		)
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_menu_items[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_items[bd_size_bt]', array(
			'label'    => esc_html__( 'Bottom Size', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 170
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_menu_items[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_menu_items[bd_style_bt]', array(
		'label'    => esc_html__( 'Bottom Style', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 171
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_menu_items[bd_col_bt]', array(
	    'default' 	=> '#e0e0e0',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_menu_items[bd_col_bt]', array(
			'label'    => esc_html__( 'Bottom Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 172
		)
	) );

	// border left size
	$wp_customize->add_setting( 'royal_menu_items[bd_size_lt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_items[bd_size_lt]', array(
			'label'    => esc_html__( 'Left Size', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 173
		)
	) );

	// border left style
	$wp_customize->add_setting( 'royal_menu_items[bd_style_lt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_menu_items[bd_style_lt]', array(
		'label'    => esc_html__( 'Left Style', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 174
	) );

	// border left color
	$wp_customize->add_setting( 'royal_menu_items[bd_col_lt]', array(
	    'default' 	=> '#e0e0e0',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_menu_items[bd_col_lt]', array(
			'label'    => esc_html__( 'Left Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 175
		)
	) );

	// border advanced button
	$wp_customize->add_setting( 'royal_menu_items[bd_ad]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_menu_items[bd_ad]', array(
		'label'    => '',
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 176
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_menu_items[radius_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_menu_items[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 177
	) );

	// border radius
	$wp_customize->add_setting( 'royal_menu_items[radius]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_items[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 178
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_menu_items[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_menu_items[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 179
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_menu_items[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_items[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 180
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_menu_items[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_items[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 181
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_menu_items[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_items[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 182
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_menu_items[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_items[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 183
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_menu_items[shad_col]', array(
	    'default' 	=> '#494949',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_menu_items[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 184
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_menu_items[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_items[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 185
		)
	) );

	// box shadow inset
	$wp_customize->add_setting( 'royal_menu_items[shad_in]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_menu_items[shad_in]', array(
		'label'    => esc_html__( 'Inner', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 186
	) );


/* ----------------- Items Font Options ----------------- */

	// font family
	$wp_customize->add_setting( 'royal_menu_items[font_family]', array(
	    'default' 	=> 'Lato',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control(
		new Royal_Google_Fonts_Control( $wp_customize, 'royal_menu_items[font_family]', array(
			'label'    => esc_html__( 'Family', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 190
		)
	) );

	// font size
	$wp_customize->add_setting( 'royal_menu_items[font_size]', array(
	    'default' 	=> 12,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_items[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 191
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_menu_items[line_height]', array(
	    'default' 	=> 16,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_items[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 192
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_menu_items[letter_space]', array(
	    'default' 	=> 2,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_items[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 193
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_menu_items[font_weight]', array(
	    'default' 	=> 600,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_items[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 194
		)
	) );

	// italic
	$wp_customize->add_setting( 'royal_menu_items[italic]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_menu_items[italic]', array(
		'label'    => esc_html__( 'Italic', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 195
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_menu_items[uppercase]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_menu_items[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 196
	) );



// sub items label
	$wp_customize->add_setting( 'royal_menu_sub[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_menu_sub[label]', array(
			'label'    => esc_html__( 'Sub Menu Items', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 205
		)
	) );

/* ----------------- Sub Items Spacing Options ----------------- */

	// distance from parent general
	$wp_customize->add_setting( 'royal_menu_sub[width]', array(
	    'default' 	=> 139,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_sub[width]', array(
			'label'    => esc_html__( 'Width', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 209
		)
	) );

	// padding general
	$wp_customize->add_setting( 'royal_menu_sub[padding_gen]', array(
	    'default' 	=> 10,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_sub[padding_gen]', array(
			'label'    => esc_html__( 'Padding', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 211
		)
	) );

	// padding top
	$wp_customize->add_setting( 'royal_menu_sub[padding_tp]', array(
	    'default' 	=> 11,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_sub[padding_tp]', array(
			'label'    => esc_html__( 'Padding Top', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 212
		)
	) );

	// padding right
	$wp_customize->add_setting( 'royal_menu_sub[padding_rt]', array(
	    'default' 	=> 24,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_sub[padding_rt]', array(
			'label'    => esc_html__( 'Padding Right', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 213
		)
	) );

	// padding bottom
	$wp_customize->add_setting( 'royal_menu_sub[padding_bt]', array(
	    'default' 	=> 13,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_sub[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 214
		)
	) );

	// padding left
	$wp_customize->add_setting( 'royal_menu_sub[padding_lt]', array(
	    'default' 	=> 24,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_sub[padding_lt]', array(
			'label'    => esc_html__( 'Padding Left', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 215
		)
	) );

	// padding advanced button
	$wp_customize->add_setting( 'royal_menu_sub[padding_ad]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_menu_sub[padding_ad]', array(
		'label'    => '',
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 216
	) );

	// distance from parent general
	$wp_customize->add_setting( 'royal_menu_sub[top_space]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_sub[top_space]', array(
			'label'    => esc_html__( 'Distance From parent', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 217
		)
	) );


/* ----------------- Sub Items Styling Options----------------- */

	// static colors label
	$wp_customize->add_setting( 'royal_menu_sub[static_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_menu_sub[static_colors_label]', array(
			'label'    => esc_html__( 'Static Colors', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 220
		)
	) );

	// background color
	$wp_customize->add_setting( 'royal_menu_sub[bg_col]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_menu_sub[bg_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 221
		)
	) );

	// text color
	$wp_customize->add_setting( 'royal_menu_sub[txt_col]', array(
	    'default' 	=> '#8d8d8d',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_menu_sub[txt_col]', array(
			'label'    => esc_html__( 'Text Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 222
		)
	) );

	// hover colors label
	$wp_customize->add_setting( 'royal_menu_sub[hover_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_menu_sub[hover_colors_label]', array(
			'label'    => esc_html__( 'Hover Colors', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 223
		)
	) );

	// hover background color
	$wp_customize->add_setting( 'royal_menu_sub[bg_hcol]', array(
	    'default' 	=> '#606060',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_menu_sub[bg_hcol]', array(
			'label'    => esc_html__( 'Hover Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 224
		)
	) );

	// hover text color
	$wp_customize->add_setting( 'royal_menu_sub[txt_hcol]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_menu_sub[txt_hcol]', array(
			'label'    => esc_html__( 'Hover Text Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 225
		)
	) );

	// border label
	$wp_customize->add_setting( 'royal_menu_sub[border_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_menu_sub[border_label]', array(
		'label'    => esc_html__( 'Border Bottom', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 230
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_menu_sub[bd_size_bt]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_sub[bd_size_bt]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 231
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_menu_sub[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_menu_sub[bd_style_bt]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 232
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_menu_sub[bd_col_bt]', array(
	    'default' 	=> '#ededed',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_menu_sub[bd_col_bt]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 233
		)
	) );

	// wrapper border label
	$wp_customize->add_setting( 'royal_menu_sub[wrap_border_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_menu_sub[wrap_border_label]', array(
		'label'    => esc_html__( 'Wrapper Border Top', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 235
	) );

	// wrapper border bottom size
	$wp_customize->add_setting( 'royal_menu_sub[bd_size_tp]', array(
	    'default' 	=> 3,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_sub[bd_size_tp]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 236
		)
	) );

	// wrapper border bottom style
	$wp_customize->add_setting( 'royal_menu_sub[bd_style_tp]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_menu_sub[bd_style_tp]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 237
	) );

	// wrapper border bottom color
	$wp_customize->add_setting( 'royal_menu_sub[bd_col_tp]', array(
	    'default' 	=> '#e5ae47',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_menu_sub[bd_col_tp]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 238
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_menu_sub[shadow_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_menu_sub[shadow_label]', array(
		'label'    => esc_html__( 'Wrapper Shadow', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 240
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_menu_sub[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_sub[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 241
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_menu_sub[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_sub[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 242
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_menu_sub[shad_bl]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_sub[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 243
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_menu_sub[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_sub[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 244
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_menu_sub[shad_col]', array(
	    'default' 	=> '#8d8d8d',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_menu_sub[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 245
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_menu_sub[shad_col_tr]', array(
	    'default' 	=> 0.2,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_sub[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 246
		)
	) );



// mobile menu icon label
	$wp_customize->add_setting( 'royal_menu_mobile[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_menu_mobile[label]', array(
			'label'    => esc_html__( 'Mobile Menu Icon', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 247
		)
	) );

/* ----------------- Mobile Icon General Options ----------------- */

	// FontAwesome icon select
	$wp_customize->add_setting( 'royal_menu_mobile[icon]', array(
	    'default' 	=> 'angle-down',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_menu_mobile[icon]', array(
		'label'    => esc_html__( 'Select Icon', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'select',
		'choices'  => array(
			'align-justify' 		=> '&#xf039;',
			'navicon' 				=> '&#xf0c9;',
			'th' 					=> '&#xf00a;',
			'caret-down' 			=> '&#xf0d7;',
			'angle-down' 			=> '&#xf107;',
			'angle-double-down' 	=> '&#xf103;',
			'chevron-down' 			=> '&#xf078;',
			'arrow-down' 			=> '&#xf063;',
			'long-arrow-down' 		=> '&#xf175;',
			'level-down' 			=> '&#xf149;',
			'arrow-circle-down' 	=> '&#xf0ab;',
			'arrow-circle-o-down' 	=> '&#xf01a;',
			'hand-o-down' 			=> '&#xf0a7;'
		),
		'priority' => 248
	) );


/* ----------------- Mobile Icon Styling Options ----------------- */

	// background color
	$wp_customize->add_setting( 'royal_menu_mobile[bg_color]', array(
	    'default' 	=> '#f5f5f5',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_menu_mobile[bg_color]', array(
			'label'    => esc_html__( 'Background Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 249
		)
	) );

	// background color transparency
	$wp_customize->add_setting( 'royal_menu_mobile[bg_color_tr]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_mobile[bg_color_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 250
		)
	) );

	// text color
	$wp_customize->add_setting( 'royal_menu_mobile[text_color]', array(
	    'default' 	=> '#494949',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_menu_mobile[text_color]', array(
			'label'    => esc_html__( 'Icon Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 251
		)
	) );


/* ----------------- Mobile Icon Font Optins ----------------- */

	// icon size
	$wp_customize->add_setting( 'royal_menu_mobile[icon_size]', array(
	    'default' 	=> 30,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_mobile[icon_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 252
		)
	) );

	// icon line height
	$wp_customize->add_setting( 'royal_menu_mobile[line_height]', array(
	    'default' 	=> 70,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_menu_mobile[line_height]', array(
			'label'    => esc_html__( 'Line Hieght', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 253
		)
	) );




/*
***************************************************************
* #Filters
***************************************************************
*/

	// filters title label
	$wp_customize->add_setting( 'royal_filters_title[label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_filters_title[label]', array(
		'label'    => esc_html__( 'Filters Title', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 254
	) );

/* ----------------- Title General Options ----------------- */

	// blog title text
	$wp_customize->add_setting( 'royal_filters_title[blog_text]', array(
	    'default' 	=> 'Blog Filters',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_filters_title[blog_text]', array(
		'label'    => esc_html__( 'Blog Filters', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'text',
		'priority' => 255
	) );

	// portfolio title text
	$wp_customize->add_setting( 'royal_filters_title[folio_text]', array(
	    'default' 	=> 'Filters',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_filters_title[folio_text]', array(
		'label'    => esc_html__( 'Portfolio Filters', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'text',
		'priority' => 256
	) );

	// align
	$wp_customize->add_setting( 'royal_filters_title[align]', array(
	    'default' 	=> 'left',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_filters_title[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 260
	) );


/* ----------------- Title Spacing Options ----------------- */

	// padding bottom
	$wp_customize->add_setting( 'royal_filters_title[padding_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filters_title[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 270
		)
	) );

	// margin bottom
	$wp_customize->add_setting( 'royal_filters_title[margin_bt]', array(
	    'default' 	=> 12,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filters_title[margin_bt]', array(
			'label'    => esc_html__( 'Margin Bottom', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 271
		)
	) );


/* ----------------- Title Styling Options----------------- */

	// color
	$wp_customize->add_setting( 'royal_filters_title[color]', array(
	    'default' 	=> '#3a3a3a',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_filters_title[color]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 280
		)
	) );

	// border label
	$wp_customize->add_setting( 'royal_filters_title[border_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_filters_title[border_label]', array(
		'label'    => esc_html__( 'Border Bottom', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 290
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_filters_title[bd_size_bt]', array(
	    'default' 	=> 2,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filters_title[bd_size_bt]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 291
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_filters_title[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_filters_title[bd_style_bt]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 292
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_filters_title[bd_col_bt]', array(
	    'default' 	=> '#f4f4f4',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_filters_title[bd_col_bt]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 293
		)
	) );

	// full width border
	$wp_customize->add_setting( 'royal_filters_title[bd_full_width]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_filters_title[bd_full_width]', array(
		'label'    => esc_html__( 'Full Width Border', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 294
	) );


/* ----------------- Title Font Options ----------------- */

	// font family
	$wp_customize->add_setting( 'royal_filters_title[font_family]', array(
	    'default' 	=> 'Lato',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control(
		new Royal_Google_Fonts_Control( $wp_customize, 'royal_filters_title[font_family]', array(
			'label'    => esc_html__( 'Family', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 300
		)
	) );

	// font size
	$wp_customize->add_setting( 'royal_filters_title[font_size]', array(
	    'default' 	=> 15,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filters_title[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 301
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_filters_title[line_height]', array(
	    'default' 	=> 32,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filters_title[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 302
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_filters_title[letter_space]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filters_title[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 303
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_filters_title[font_weight]', array(
	    'default' 	=> 700,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filters_title[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 304
		)
	) );

	// italic
	$wp_customize->add_setting( 'royal_filters_title[italic]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_filters_title[italic]', array(
		'label'    => esc_html__( 'Italic', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 305
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_filters_title[uppercase]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_filters_title[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 306
	) );



// filter items label
	$wp_customize->add_setting( 'royal_filter_items[label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_filter_items[label]', array(
		'label'    => esc_html__( 'Filter Items', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 350
	) );

/* ----------------- Items General Options ----------------- */

	// item width
	$wp_customize->add_setting( 'royal_filter_items[width]', array(
	    'default' 	=> 'block',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_filter_items[width]', array(
		'label'    => esc_html__( 'Item Style', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'radio',
		'choices'  => array(
			'block' 		=> esc_html__( 'Full Width', 'hyperx' ),
			'inline-block' 	=> esc_html__( 'Button', 'hyperx' )
		),
		'priority' => 355
	) );

	// align
	$wp_customize->add_setting( 'royal_filter_items[align]', array(
	    'default' 	=> 'center',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_filter_items[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 356
	) );

	// deeplinking
	$wp_customize->add_setting( 'royal_filter_items[deeplinking]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_filter_items[deeplinking]', array(
		'label'    => esc_html__( 'Deeplinking', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 357
	) );

	// portfolio page url
	$wp_customize->add_setting( 'royal_filter_items[portfolio_url]', array(
	    'default' 	=> '',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'esc_url_raw'
	) );

	$wp_customize->add_control( 'royal_filter_items[portfolio_url]', array(
		'label'    => esc_html__( 'Portfolio Page URL', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'text',
		'priority' => 358
	) );

	// isotope filter
	$wp_customize->add_setting( 'royal_filter_items[isotope]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_filter_items[isotope]', array(
		'label'    => esc_html__( 'Use Isotope Filters', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 360
	) );

	// blog: all text
	$wp_customize->add_setting( 'royal_filter_items[blog_all_text]', array(
	    'default' 	=> 'All',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_filter_items[blog_all_text]', array(
		'label'    => esc_html__( 'Blog: All Text', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'text',
		'priority' => 361
	) );

	// portfolio: all text
	$wp_customize->add_setting( 'royal_filter_items[portfolio_all_text]', array(
	    'default' 	=> 'All Work',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_filter_items[portfolio_all_text]', array(
		'label'    => esc_html__( 'Portfolio: All Text', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'text',
		'priority' => 362
	) );

	// FontAwesome icon select
	$wp_customize->add_setting( 'royal_filter_items[icon]', array(
	    'default' 	=> 'none',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_filter_items[icon]', array(
		'label'    => esc_html__( 'Select Icon', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'select',
		'choices'  => array(
			'none'					=> '&#xf05e;',
			'angle-left' 			=> '&#xf104;',
			'angle-right' 			=> '&#xf105;',
			'angle-double-left' 	=> '&#xf100;',
			'angle-double-right' 	=> '&#xf101;',
			'caret-left' 			=> '&#xf0d9;',
			'caret-right' 			=> '&#xf0da;',
			'chevron-left' 			=> '&#xf053;',
			'chevron-right' 		=> '&#xf054;',
			'arrow-left' 			=> '&#xf060;',
			'arrow-right' 			=> '&#xf061;',
			'arrow-circle-o-left' 	=> '&#xf190;',
			'arrow-circle-o-right' 	=> '&#xf18e;',
			'chevron-circle-left'	=> '&#xf137;',
			'chevron-circle-right' 	=> '&#xf138;',
			'circle-o' 				=> '&#xf10c;',
			'crosshairs' 			=> '&#xf05b;',
			'certificate' 			=> '&#xf0a3;',
			'asterisk' 				=> '&#xf069;',
			'spinner' 				=> '&#xf110;',
			'star-o' 				=> '&#xf006;',
			'heart-o' 				=> '&#xf08a;',
			'check' 				=> '&#xf00c;',
			'check-circle-o' 		=> '&#xf05d;',
			'times' 				=> '&#xf00d;',
			'times-circle-o' 		=> '&#xf05c;',
			'minus' 				=> '&#xf068;',
			'minus-square-o' 		=> '&#xf147;',
			'plus' 					=> '&#xf067;',
			'plus-square-o' 		=> '&#xf196;',
			'square-o' 				=> '&#xf096;',
			'royal-slash'			=> '&#8260;',
			'royal-vbar'			=> '&#921;'
		),
		'priority' => 365
	) );

	// icon side
	$wp_customize->add_setting( 'royal_filter_items[icon_side]', array(
	    'default' 	=> 'left',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_filter_items[icon_side]', array(
		'label'    => esc_html__( 'Icon Side', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'radio',
		'choices'  => array(
			'left' 		=> esc_html__( 'Left', 'hyperx' ),
			'right' 	=> esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 366
	) );


/* ----------------- Items Spacing Options ----------------- */

	// padding general
	$wp_customize->add_setting( 'royal_filter_items[padding_gen]', array(
	    'default' 	=> 7,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filter_items[padding_gen]', array(
			'label'    => esc_html__( 'Padding', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 380
		)
	) );

	// padding top
	$wp_customize->add_setting( 'royal_filter_items[padding_tp]', array(
	    'default' 	=> 4,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filter_items[padding_tp]', array(
			'label'    => esc_html__( 'Padding Top', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 381
		)
	) );

	// padding right
	$wp_customize->add_setting( 'royal_filter_items[padding_rt]', array(
	    'default' 	=> 6,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filter_items[padding_rt]', array(
			'label'    => esc_html__( 'Padding Right', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 382
		)
	) );

	// padding bottom
	$wp_customize->add_setting( 'royal_filter_items[padding_bt]', array(
	    'default' 	=> 9,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filter_items[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 383
		)
	) );

	// padding left
	$wp_customize->add_setting( 'royal_filter_items[padding_lt]', array(
	    'default' 	=> 6,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filter_items[padding_lt]', array(
			'label'    => esc_html__( 'Padding Left', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 384
		)
	) );

	// padding advanced button
	$wp_customize->add_setting( 'royal_filter_items[padding_ad]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_filter_items[padding_ad]', array(
		'label'    => '',
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 385
	) );

	// margin general
	$wp_customize->add_setting( 'royal_filter_items[margin_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filter_items[margin_gen]', array(
			'label'    => esc_html__( 'Margin', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 390
		)
	) );

	// margin top
	$wp_customize->add_setting( 'royal_filter_items[margin_tp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filter_items[margin_tp]', array(
			'label'    => esc_html__( 'Margin Top', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 391
		)
	) );

	// margin right
	$wp_customize->add_setting( 'royal_filter_items[margin_rt]', array(
	    'default' 	=> 5,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filter_items[margin_rt]', array(
			'label'    => esc_html__( 'Margin Right', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 392
		)
	) );

	// margin bottom
	$wp_customize->add_setting( 'royal_filter_items[margin_bt]', array(
	    'default' 	=> 38,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filter_items[margin_bt]', array(
			'label'    => esc_html__( 'Margin Bottom', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 393
		)
	) );

	// margin bottom
	$wp_customize->add_setting( 'royal_filter_items[margin_lt]', array(
	    'default' 	=> 5,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filter_items[margin_lt]', array(
			'label'    => esc_html__( 'Margin Left', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 394
		)
	) );

	// margin advanced button
	$wp_customize->add_setting( 'royal_filter_items[margin_ad]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_filter_items[margin_ad]', array(
		'label'    => '',
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 395
	) );


/* ----------------- Items Styling Options----------------- */

	// wrapper colors label
	$wp_customize->add_setting( 'royal_filter_items[wrapper_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_filter_items[wrapper_colors_label]', array(
			'label'    => esc_html__( 'Wrapper Block Colors', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 396
		)
	) );

	// wrapper background color
	$wp_customize->add_setting( 'royal_filter_items[wrapper_bg_col]', array(
	    'default' 	=> '#fafafa',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_filter_items[wrapper_bg_col]', array(
			'label'    => esc_html__( 'Background Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 397
		)
	) );

	// wrapper background color transparency
	$wp_customize->add_setting( 'royal_filter_items[wrapper_bg_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filter_items[wrapper_bg_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 398
		)
	) );

	// static colors label
	$wp_customize->add_setting( 'royal_filter_items[static_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_filter_items[static_colors_label]', array(
			'label'    => esc_html__( 'Static Colors', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 399
		)
	) );

	// background color
	$wp_customize->add_setting( 'royal_filter_items[bg_col]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_filter_items[bg_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 400
		)
	) );

	// background color transparency
	$wp_customize->add_setting( 'royal_filter_items[bg_col_tr]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filter_items[bg_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 402
		)
	) );

	// text color
	$wp_customize->add_setting( 'royal_filter_items[txt_col]', array(
	    'default' 	=> '#a6a6a6',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_filter_items[txt_col]', array(
			'label'    => esc_html__( 'Text Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 403
		)
	) );

	// hover colors label
	$wp_customize->add_setting( 'royal_filter_items[hover_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_filter_items[hover_colors_label]', array(
			'label'    => esc_html__( 'Hover Colors', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 404
		)
	) );

	// hover background color
	$wp_customize->add_setting( 'royal_filter_items[bg_hcol]', array(
	    'default' 	=> '#e5ae47',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_filter_items[bg_hcol]', array(
			'label'    => esc_html__( 'Hover Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 409
		)
	) );

	// hover background color transparency
	$wp_customize->add_setting( 'royal_filter_items[bg_hcol_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filter_items[bg_hcol_tr]', array(
			'label'    => esc_html__( 'Hover Transparency', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 410
		)
	) );

	// hover text color
	$wp_customize->add_setting( 'royal_filter_items[txt_hcol]', array(
	    'default' 	=> '#727272',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_filter_items[txt_hcol]', array(
			'label'    => esc_html__( 'Hover Text Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 411
		)
	) );

	// hover border color
	$wp_customize->add_setting( 'royal_filter_items[bd_hcol]', array(
	    'default' 	=> '#e0e0e0',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_filter_items[bd_hcol]', array(
			'label'    => esc_html__( 'Hover Border Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 413
		)
	) );

	// active items highlight
	$wp_customize->add_setting( 'royal_filter_items[active_highlight]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_filter_items[active_highlight]', array(
		'label'    => esc_html__( 'Highlight Active Item', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 414
	) );

	// border label
	$wp_customize->add_setting( 'royal_filter_items[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_filter_items[border_label]', array(
		'label'    => esc_html__( 'Border', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 420
	) );

	// border size general
	$wp_customize->add_setting( 'royal_filter_items[bd_size_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filter_items[bd_size_gen]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 421
		)
	) );

	// border style general
	$wp_customize->add_setting( 'royal_filter_items[bd_style_gen]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_filter_items[bd_style_gen]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 422
	) );

	// border color general
	$wp_customize->add_setting( 'royal_filter_items[bd_col_gen]', array(
	    'default' 	=> '#f4f4f4',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_filter_items[bd_col_gen]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 423
		)
	) );

	// border top size
	$wp_customize->add_setting( 'royal_filter_items[bd_size_tp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filter_items[bd_size_tp]', array(
			'label'    => esc_html__( 'Top Size', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 424
		)
	) );

	// border top style
	$wp_customize->add_setting( 'royal_filter_items[bd_style_tp]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_filter_items[bd_style_tp]', array(
		'label'    => esc_html__( 'Top Style', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 425
	) );

	// border top color
	$wp_customize->add_setting( 'royal_filter_items[bd_col_tp]', array(
	    'default' 	=> '#f4f4f4',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_filter_items[bd_col_tp]', array(
			'label'    => esc_html__( 'Top Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 426
		)
	) );

	// border right size
	$wp_customize->add_setting( 'royal_filter_items[bd_size_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filter_items[bd_size_rt]', array(
			'label'    => esc_html__( 'Right Size', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 427
		)
	) );

	// border right style
	$wp_customize->add_setting( 'royal_filter_items[bd_style_rt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_filter_items[bd_style_rt]', array(
		'label'    => esc_html__( 'Right Style', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 428
	) );

	// border right color
	$wp_customize->add_setting( 'royal_filter_items[bd_col_rt]', array(
	    'default' 	=> '#f4f4f4',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_filter_items[bd_col_rt]', array(
			'label'    => esc_html__( 'Right Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 429
		)
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_filter_items[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filter_items[bd_size_bt]', array(
			'label'    => esc_html__( 'Bottom Size', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 430
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_filter_items[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_filter_items[bd_style_bt]', array(
		'label'    => esc_html__( 'Bottom Style', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 431
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_filter_items[bd_col_bt]', array(
	    'default' 	=> '#f4f4f4',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_filter_items[bd_col_bt]', array(
			'label'    => esc_html__( 'Bottom Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 432
		)
	) );

	// border left size
	$wp_customize->add_setting( 'royal_filter_items[bd_size_lt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filter_items[bd_size_lt]', array(
			'label'    => esc_html__( 'Left Size', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 433
		)
	) );

	// border left style
	$wp_customize->add_setting( 'royal_filter_items[bd_style_lt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_filter_items[bd_style_lt]', array(
		'label'    => esc_html__( 'Left Style', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 434
	) );

	// border left color
	$wp_customize->add_setting( 'royal_filter_items[bd_col_lt]', array(
	    'default' 	=> '#f4f4f4',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_filter_items[bd_col_lt]', array(
			'label'    => esc_html__( 'Left Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 435
		)
	) );

	// border advanced button
	$wp_customize->add_setting( 'royal_filter_items[bd_ad]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_filter_items[bd_ad]', array(
		'label'    => '',
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 436
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_filter_items[radius_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_filter_items[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 437
	) );

	// border radius
	$wp_customize->add_setting( 'royal_filter_items[radius]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filter_items[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 438
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_filter_items[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_filter_items[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 439
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_filter_items[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filter_items[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 440
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_filter_items[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filter_items[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 441
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_filter_items[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filter_items[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 442
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_filter_items[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filter_items[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 443
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_filter_items[shad_col]', array(
	    'default' 	=> '#494949',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_filter_items[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 444
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_filter_items[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filter_items[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 445
		)
	) );

	// box shadow inset
	$wp_customize->add_setting( 'royal_filter_items[shad_in]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_filter_items[shad_in]', array(
		'label'    => esc_html__( 'Inner', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 446
	) );


/* ----------------- Items Font Options ----------------- */

	// font family
	$wp_customize->add_setting( 'royal_filter_items[font_family]', array(
	    'default' 	=> 'Lato',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control(
		new Royal_Google_Fonts_Control( $wp_customize, 'royal_filter_items[font_family]', array(
			'label'    => esc_html__( 'Family', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 460
		)
	) );

	// font size
	$wp_customize->add_setting( 'royal_filter_items[font_size]', array(
	    'default' 	=> 12,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filter_items[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 461
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_filter_items[line_height]', array(
	    'default' 	=> 17,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filter_items[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 462
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_filter_items[letter_space]', array(
	    'default' 	=> 2,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filter_items[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 463
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_filter_items[font_weight]', array(
	    'default' 	=> 500,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_filter_items[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'menu',
			'priority' => 464
		)
	) );

	// italic
	$wp_customize->add_setting( 'royal_filter_items[italic]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_filter_items[italic]', array(
		'label'    => esc_html__( 'Italic', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 465
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_filter_items[uppercase]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_filter_items[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 466
	) );

	// line throught
	$wp_customize->add_setting( 'royal_filter_items[line_through]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_filter_items[line_through]', array(
		'label'    => esc_html__( 'Line Through', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 467
	) );

	// sup count
	$wp_customize->add_setting( 'royal_filter_items[sup_count]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_filter_items[sup_count]', array(
		'label'    => esc_html__( 'Sup Count', 'hyperx' ),
		'section'  => 'menu',
		'type'     => 'checkbox',
		'priority' => 468
	) );


/*
***************************************************************
* #Blog Page
***************************************************************
*/

	$section_blog_page = 'blog_page';
	
	if ( get_option('section_blog_page') === '' ) {
		$section_blog_page = 'blog_page_disabled';
	}

	// add Blog Page Section -------------------------------------------
	$wp_customize->add_section( $section_blog_page, array(
	    'title' 		=> esc_html__( 'Blog Page', 'hyperx' ),
	    'priority' 		=> 55
	) );


	// blog page general label
	$wp_customize->add_setting( 'royal_bPage_general[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_bPage_general[label]', array(
			'label'    => esc_html__( 'General', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 11
		)
	) );

/* ----------------- Page General Options ----------------- */

	// layout mode
	$wp_customize->add_setting( 'royal_bPage_general[layout]', array(
	    'default' 	=> 'masonry',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPage_general[layout]', array(
		'label'    => esc_html__( 'Layout Mode', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'masonry' 		=> esc_html__( 'Masonry (Unlimited Height)', 'hyperx' ),
			'masonry-metro' => esc_html__( 'Metro (Masonry - Different Width)', 'hyperx' ),
			'fitRows' 		=> esc_html__( 'FitRows (Limited Height)', 'hyperx' )
		),
		'priority' => 20
	) );

	// aspect ratio X
	$wp_customize->add_setting( 'royal_bPage_general[aspect_x]', array(
	    'default' 	=> 750,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control( 'royal_bPage_general[aspect_x]', array(
		'label'    => esc_html__( 'Aspect Ratio X', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'text',
		'priority' => 24
	) );

	// aspect ratio Y
	$wp_customize->add_setting( 'royal_bPage_general[aspect_y]', array(
	    'default' 	=> 450,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control( 'royal_bPage_general[aspect_y]', array(
		'label'    => esc_html__( 'Aspect Ratio Y', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'text',
		'priority' => 25
	) );

	// columns rate
	$wp_customize->add_setting( 'royal_bPage_general[columns_rate]', array(
	    'default' 	=> '1',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPage_general[columns_rate]', array(
		'label'    => esc_html__( 'Columns Rate', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'-1'	=> '-1',
			'0' 	=> '0',
			'1' 	=> '+1',
			'2' 	=> '+2',
			'one' 	=> esc_html__( '1 Constant', 'hyperx' ),
			'two' 	=> esc_html__( '2 Constant', 'hyperx' ),
			'three' => esc_html__( '3 Constant', 'hyperx' ),
			'four' 	=> esc_html__( '4 Constant', 'hyperx' )
		),
		'priority' => 30
	) );

	// grid animation
	$wp_customize->add_setting( 'royal_bPage_general[grid_animated]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPage_general[grid_animated]', array(
		'label'    => esc_html__( 'Grid Animation', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 31
	) );


/* ----------------- Page Spacing Options ----------------- */

	// padding general
	$wp_customize->add_setting( 'royal_bPage_general[padding_gen]', array(
	    'default' 	=> 5,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_general[padding_gen]', array(
			'label'    => esc_html__( 'Padding', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 50
		)
	) );

	// padding top
	$wp_customize->add_setting( 'royal_bPage_general[padding_tp]', array(
	    'default' 	=> 4,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_general[padding_tp]', array(
			'label'    => esc_html__( 'Padding Top', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 51
		)
	) );

	// padding right
	$wp_customize->add_setting( 'royal_bPage_general[padding_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_general[padding_rt]', array(
			'label'    => esc_html__( 'Padding Right', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 52
		)
	) );

	// padding bottom
	$wp_customize->add_setting( 'royal_bPage_general[padding_bt]', array(
	    'default' 	=> 5,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_general[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 53
		)
	) );

	// padding left
	$wp_customize->add_setting( 'royal_bPage_general[padding_lt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_general[padding_lt]', array(
			'label'    => esc_html__( 'Padding Left', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 54
		)
	) );

	// padding advanced button
	$wp_customize->add_setting( 'royal_bPage_general[padding_ad]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPage_general[padding_ad]', array(
		'label'    => '',
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 55
	) );

	// horizontal gutter
	$wp_customize->add_setting( 'royal_bPage_general[gutter_horz]', array(
	    'default' 	=> 20,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_general[gutter_horz]', array(
			'label'    => esc_html__( 'Horizontal Gutter', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 60
		)
	) );

	// vertical gutter
	$wp_customize->add_setting( 'royal_bPage_general[gutter_vert]', array(
	    'default' 	=> 20,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_general[gutter_vert]', array(
			'label'    => esc_html__( 'Vertical Gutter', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 61
		)
	) );


/* ----------------- Page Styling Options----------------- */

	// background color
	$wp_customize->add_setting( 'royal_bPage_general[bg_col]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPage_general[bg_col]', array(
			'label'    => esc_html__( 'Background Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 80
		)
	) );

	// background color transparency
	$wp_customize->add_setting( 'royal_bPage_general[bg_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_general[bg_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 81
		)
	) );

	// border label
	$wp_customize->add_setting( 'royal_bPage_general[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPage_general[border_label]', array(
		'label'    => esc_html__( 'Border', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 84
	) );

	// border size general
	$wp_customize->add_setting( 'royal_bPage_general[bd_size_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_general[bd_size_gen]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 85
		)
	) );

	// border style general
	$wp_customize->add_setting( 'royal_bPage_general[bd_style_gen]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPage_general[bd_style_gen]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 86
	) );

	// border color general
	$wp_customize->add_setting( 'royal_bPage_general[bd_col_gen]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPage_general[bd_col_gen]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 87
		)
	) );

	// border top size
	$wp_customize->add_setting( 'royal_bPage_general[bd_size_tp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_general[bd_size_tp]', array(
			'label'    => esc_html__( 'Top Size', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 88
		)
	) );

	// border top style
	$wp_customize->add_setting( 'royal_bPage_general[bd_style_tp]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPage_general[bd_style_tp]', array(
		'label'    => esc_html__( 'Top Style', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 89
	) );

	// border top color
	$wp_customize->add_setting( 'royal_bPage_general[bd_col_tp]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPage_general[bd_col_tp]', array(
			'label'    => esc_html__( 'Top Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 90
		)
	) );

	// border right size
	$wp_customize->add_setting( 'royal_bPage_general[bd_size_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_general[bd_size_rt]', array(
			'label'    => esc_html__( 'Right Size', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 91
		)
	) );

	// border right style
	$wp_customize->add_setting( 'royal_bPage_general[bd_style_rt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPage_general[bd_style_rt]', array(
		'label'    => esc_html__( 'Right Style', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 92
	) );

	// border right color
	$wp_customize->add_setting( 'royal_bPage_general[bd_col_rt]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPage_general[bd_col_rt]', array(
			'label'    => esc_html__( 'Right Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 93
		)
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_bPage_general[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_general[bd_size_bt]', array(
			'label'    => esc_html__( 'Bottom Size', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 94
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_bPage_general[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPage_general[bd_style_bt]', array(
		'label'    => esc_html__( 'Bottom Style', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 95
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_bPage_general[bd_col_bt]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPage_general[bd_col_bt]', array(
			'label'    => esc_html__( 'Bottom Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 96
		)
	) );

	// border left size
	$wp_customize->add_setting( 'royal_bPage_general[bd_size_lt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_general[bd_size_lt]', array(
			'label'    => esc_html__( 'Left Size', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 97
		)
	) );

	// border left style
	$wp_customize->add_setting( 'royal_bPage_general[bd_style_lt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPage_general[bd_style_lt]', array(
		'label'    => esc_html__( 'Left Style', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 98
	) );

	// border left color
	$wp_customize->add_setting( 'royal_bPage_general[bd_col_lt]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPage_general[bd_col_lt]', array(
			'label'    => esc_html__( 'Left Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 99
		)
	) );

	// border advanced button
	$wp_customize->add_setting( 'royal_bPage_general[bd_ad]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPage_general[bd_ad]', array(
		'label'    => '',
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 101
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_bPage_general[radius_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPage_general[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 102
	) );

	// border radius
	$wp_customize->add_setting( 'royal_bPage_general[radius]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_general[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 103
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_bPage_general[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPage_general[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 105
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_bPage_general[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_general[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 106
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_bPage_general[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_general[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 107
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_bPage_general[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_general[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 108
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_bPage_general[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_general[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 109
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_bPage_general[shad_col]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPage_general[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 110
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_bPage_general[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_general[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 111
		)
	) );

	// box shadow inset
	$wp_customize->add_setting( 'royal_bPage_general[shad_in]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPage_general[shad_in]', array(
		'label'    => esc_html__( 'Inner', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 112
	) );



// blog post label
	$wp_customize->add_setting( 'royal_bPage_post[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_bPage_post[label]', array(
			'label'    => esc_html__( 'Post', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 120
		)
	) );

/* ----------------- Post Spacing Options ----------------- */

	// media padding general
	$wp_customize->add_setting( 'royal_bPage_post[media_padding_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_post[media_padding_gen]', array(
			'label'    => esc_html__( 'Media Padding', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 125
		)
	) );

	// media padding top
	$wp_customize->add_setting( 'royal_bPage_post[media_padding_tp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_post[media_padding_tp]', array(
			'label'    => esc_html__( 'Media Padding Top', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 126
		)
	) );

	// media padding right
	$wp_customize->add_setting( 'royal_bPage_post[media_padding_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_post[media_padding_rt]', array(
			'label'    => esc_html__( 'Media Padding Right', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 127
		)
	) );

	// media padding bottom
	$wp_customize->add_setting( 'royal_bPage_post[media_padding_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_post[media_padding_bt]', array(
			'label'    => esc_html__( 'Media Padding Bottom', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 128
		)
	) );

	// media padding bottom
	$wp_customize->add_setting( 'royal_bPage_post[media_padding_lt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_post[media_padding_lt]', array(
			'label'    => esc_html__( 'Media Padding Left', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 129
		)
	) );

	// media padding advanced button
	$wp_customize->add_setting( 'royal_bPage_post[media_padding_ad]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPage_post[media_padding_ad]', array(
		'label'    => '',
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 130
	) );

	// text padding general
	$wp_customize->add_setting( 'royal_bPage_post[text_padding_gen]', array(
	    'default' 	=> 15,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_post[text_padding_gen]', array(
			'label'    => esc_html__( 'Text Padding', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 131
		)
	) );

	// text padding top
	$wp_customize->add_setting( 'royal_bPage_post[text_padding_tp]', array(
	    'default' 	=> 19,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_post[text_padding_tp]', array(
			'label'    => esc_html__( 'Text Padding Top', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 132
		)
	) );

	// text padding right
	$wp_customize->add_setting( 'royal_bPage_post[text_padding_rt]', array(
	    'default' 	=> 20,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_post[text_padding_rt]', array(
			'label'    => esc_html__( 'Text Padding Right', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 133
		)
	) );

	// text padding bottom
	$wp_customize->add_setting( 'royal_bPage_post[text_padding_bt]', array(
	    'default' 	=> 32,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_post[text_padding_bt]', array(
			'label'    => esc_html__( 'Text Padding Bottom', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 134
		)
	) );

	// text padding bottom
	$wp_customize->add_setting( 'royal_bPage_post[text_padding_lt]', array(
	    'default' 	=> 20,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_post[text_padding_lt]', array(
			'label'    => esc_html__( 'Text Padding Left', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 135
		)
	) );

	// text padding advanced button
	$wp_customize->add_setting( 'royal_bPage_post[text_padding_ad]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPage_post[text_padding_ad]', array(
		'label'    => '',
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 136
	) );


/* ----------------- Post Styling Optis----------------- */

	// background color
	$wp_customize->add_setting( 'royal_bPage_post[bg_col]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPage_post[bg_col]', array(
			'label'    => esc_html__( 'Background Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 140
		)
	) );

	// highlight even
	$wp_customize->add_setting( 'royal_bPage_post[highlight_even]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPage_post[highlight_even]', array(
		'label'    => esc_html__( 'Highlight Even', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 141
	) );

	// even background color
	$wp_customize->add_setting( 'royal_bPage_post[even_bg_col]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPage_post[even_bg_col]', array(
			'label'    => esc_html__( 'Even Background Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 142
		)
	) );

	// background color transparency
	$wp_customize->add_setting( 'royal_bPage_post[bg_col_tr]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_post[bg_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 143
		)
	) );

    // text color
    $wp_customize->add_setting( 'royal_bPage_post[text_color]', array(
        'default'   => '#8d8d8d',
        'type'      => 'option',
        'transport' => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
    ) );

    $wp_customize->add_control(
        new WP_Customize_Color_Control( $wp_customize, 'royal_bPage_post[text_color]', array(
            'label'    => esc_html__( 'Text Color', 'hyperx' ),
            'section'  => 'blog_page',
            'priority' => 145
        ) 
    ) );

    // meta color
    $wp_customize->add_setting( 'royal_bPage_post[meta_color]', array(
        'default'   => '#8d8d8d',
        'type'      => 'option',
        'transport' => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
    ) );

    $wp_customize->add_control( 
        new WP_Customize_Color_Control( $wp_customize, 'royal_bPage_post[meta_color]', array(
            'label'    => esc_html__( 'Meta Color', 'hyperx' ),
            'section'  => 'blog_page',
            'priority' => 146
        ) 
    ) );

    // Link color
    $wp_customize->add_setting( 'royal_bPage_post[link_color]', array(
        'default'   => '#e5ae47',
        'type'      => 'option',
        'transport' => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
    ) );

    $wp_customize->add_control( 
        new WP_Customize_Color_Control( $wp_customize, 'royal_bPage_post[link_color]', array(
            'label'    => esc_html__( 'Link Color', 'hyperx' ),
            'section'  => 'blog_page',
            'priority' => 147
        ) 
    ) );

    // Link Hover color
    $wp_customize->add_setting( 'royal_bPage_post[link_hcolor]', array(
        'default'   => '#3a3a3a',
        'type'      => 'option',
        'transport' => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
    ) );

    $wp_customize->add_control( 
        new WP_Customize_Color_Control( $wp_customize, 'royal_bPage_post[link_hcolor]', array(
            'label'    => esc_html__( 'Link Hover Color', 'hyperx' ),
            'section'  => 'blog_page',
            'priority' => 148
        ) 
    ) );

	// border label
	$wp_customize->add_setting( 'royal_bPage_post[border_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPage_post[border_label]', array(
		'label'    => esc_html__( 'Border', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 154
	) );

	// border size general
	$wp_customize->add_setting( 'royal_bPage_post[bd_size_gen]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_post[bd_size_gen]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 155
		)
	) );

	// border style general
	$wp_customize->add_setting( 'royal_bPage_post[bd_style_gen]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPage_post[bd_style_gen]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 156
	) );

	// border color general
	$wp_customize->add_setting( 'royal_bPage_post[bd_col_gen]', array(
	    'default' 	=> '#efefef',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPage_post[bd_col_gen]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 157
		)
	) );

	// border top size
	$wp_customize->add_setting( 'royal_bPage_post[bd_size_tp]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_post[bd_size_tp]', array(
			'label'    => esc_html__( 'Top Size', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 158
		)
	) );

	// border top style
	$wp_customize->add_setting( 'royal_bPage_post[bd_style_tp]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPage_post[bd_style_tp]', array(
		'label'    => esc_html__( 'Top Style', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 159
	) );

	// border top color
	$wp_customize->add_setting( 'royal_bPage_post[bd_col_tp]', array(
	    'default' 	=> '#efefef',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPage_post[bd_col_tp]', array(
			'label'    => esc_html__( 'Top Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 160
		)
	) );

	// border right size
	$wp_customize->add_setting( 'royal_bPage_post[bd_size_rt]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_post[bd_size_rt]', array(
			'label'    => esc_html__( 'Right Size', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 161
		)
	) );

	// border right style
	$wp_customize->add_setting( 'royal_bPage_post[bd_style_rt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPage_post[bd_style_rt]', array(
		'label'    => esc_html__( 'Right Style', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 162
	) );

	// border right color
	$wp_customize->add_setting( 'royal_bPage_post[bd_col_rt]', array(
	    'default' 	=> '#efefef',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPage_post[bd_col_rt]', array(
			'label'    => esc_html__( 'Right Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 163
		)
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_bPage_post[bd_size_bt]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_post[bd_size_bt]', array(
			'label'    => esc_html__( 'Bottom Size', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 164
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_bPage_post[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPage_post[bd_style_bt]', array(
		'label'    => esc_html__( 'Bottom Style', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 165
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_bPage_post[bd_col_bt]', array(
	    'default' 	=> '#efefef',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPage_post[bd_col_bt]', array(
			'label'    => esc_html__( 'Bottom Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 166
		)
	) );

	// border left size
	$wp_customize->add_setting( 'royal_bPage_post[bd_size_lt]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_post[bd_size_lt]', array(
			'label'    => esc_html__( 'Left Size', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 167
		)
	) );

	// border left style
	$wp_customize->add_setting( 'royal_bPage_post[bd_style_lt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPage_post[bd_style_lt]', array(
		'label'    => esc_html__( 'Left Style', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 168
	) );

	// border left color
	$wp_customize->add_setting( 'royal_bPage_post[bd_col_lt]', array(
	    'default' 	=> '#efefef',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPage_post[bd_col_lt]', array(
			'label'    => esc_html__( 'Left Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 169
		)
	) );

	// border advanced button
	$wp_customize->add_setting( 'royal_bPage_post[bd_ad]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPage_post[bd_ad]', array(
		'label'    => '',
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 171
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_bPage_post[radius_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPage_post[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 172
	) );

	// border radius
	$wp_customize->add_setting( 'royal_bPage_post[radius]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_post[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 173
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_bPage_post[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPage_post[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 175
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_bPage_post[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_post[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 176
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_bPage_post[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_post[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 177
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_bPage_post[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_post[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 178
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_bPage_post[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_post[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 179
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_bPage_post[shad_col]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPage_post[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 180
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_bPage_post[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPage_post[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 181
		)
	) );

	// box shadow inset
	$wp_customize->add_setting( 'royal_bPage_post[shad_in]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPage_post[shad_in]', array(
		'label'    => esc_html__( 'Inner', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 182
	) );


/* ----------------- Post Font Options ----------------- */

	// text font family
	$wp_customize->add_setting( 'royal_bPage_post[font_family]', array(
	    'default' 	=> 'Merriweather',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control(
		new Royal_Google_Fonts_Control( $wp_customize, 'royal_bPage_post[font_family]', array(
			'label'    => esc_html__( 'Family', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 200
		)
	) );



// blog post title label
	$wp_customize->add_setting( 'royal_bPost_title[label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_title[label]', array(
		'label'    => esc_html__( 'Title', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 300
	) );

/* ----------------- Title General Options ----------------- */

	// position
	$wp_customize->add_setting( 'royal_bPost_title[position]', array(
	    'default' 	=> 'below',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPost_title[position]', array(
		'label'    => esc_html__( 'Position', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'above' => esc_html__( 'Above Media', 'hyperx' ),
			'below' => esc_html__( 'Below Media', 'hyperx' )
		),
		'priority' => 305
	) );


	// align
	$wp_customize->add_setting( 'royal_bPost_title[align]', array(
	    'default' 	=> 'left',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPost_title[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 310
	) );


/* ----------------- Title Spacing Options ----------------- */

	// padding bottom
	$wp_customize->add_setting( 'royal_bPost_title[padding_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_title[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 320
		)
	) );

	// margin bottom
	$wp_customize->add_setting( 'royal_bPost_title[margin_bt]', array(
	    'default' 	=> 7,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_title[margin_bt]', array(
			'label'    => esc_html__( 'Margin Bottom', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 325
		)
	) );


/* ----------------- Title Styling Optis----------------- */

	// color
	$wp_customize->add_setting( 'royal_bPost_title[color]', array(
	    'default' 	=> '#3a3a3a',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPost_title[color]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 330
		)
	) );

	// hover color
	$wp_customize->add_setting( 'royal_bPost_title[hcolor]', array(
	    'default' 	=> '#3a3a3a',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPost_title[hcolor]', array(
			'label'    => esc_html__( 'Hover Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 331
		)
	) );

	// border label
	$wp_customize->add_setting( 'royal_bPost_title[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_title[border_label]', array(
		'label'    => esc_html__( 'Border Bottom', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 349
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_bPost_title[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_title[bd_size_bt]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 350
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_bPost_title[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPost_title[bd_style_bt]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 351
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_bPost_title[bd_col_bt]', array(
	    'default' 	=> '#e0e0e0',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPost_title[bd_col_bt]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 352
		)
	) );

	// full width border
	$wp_customize->add_setting( 'royal_bPost_title[bd_full_width]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_title[bd_full_width]', array(
		'label'    => esc_html__( 'Full Width Border', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 353
	) );


/* ----------------- Title Font Options ----------------- */

	// font family
	$wp_customize->add_setting( 'royal_bPost_title[font_family]', array(
	    'default' 	=> 'Lato',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control(
		new Royal_Google_Fonts_Control( $wp_customize, 'royal_bPost_title[font_family]', array(
			'label'    => esc_html__( 'Family', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 360
		)
	) );

	// font size
	$wp_customize->add_setting( 'royal_bPost_title[font_size]', array(
	    'default' 	=> 17,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_title[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 361
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_bPost_title[line_height]', array(
	    'default' 	=> 26,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_title[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 362
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_bPost_title[letter_space]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_title[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 363
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_bPost_title[font_weight]', array(
	    'default' 	=> 400,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_title[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 364
		)
	) );

	// italic
	$wp_customize->add_setting( 'royal_bPost_title[italic]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_title[italic]', array(
		'label'    => esc_html__( 'Italic', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 365
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_bPost_title[uppercase]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_title[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 366
	) );



// blog post category label
	$wp_customize->add_setting( 'royal_bPost_cats[label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_cats[label]', array(
		'label'    => esc_html__( 'Categories', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 500
	) );

/* ----------------- Category General Options ----------------- */

	// text before categories
	$wp_customize->add_setting( 'royal_bPost_cats[before_cats]', array(
	    'default' 	=> 'Category: ',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_bPost_cats[before_cats]', array(
		'label'    => esc_html__( 'Text Before Categories', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'text',
		'priority' => 504
	) );

	// separator
	$wp_customize->add_setting( 'royal_bPost_cats[separator]', array(
	    'default' 	=> ', ',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_bPost_cats[separator]', array(
		'label'    => esc_html__( 'Separator', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'text',
		'priority' => 505
	) );

	// position
	$wp_customize->add_setting( 'royal_bPost_cats[position]', array(
	    'default' 	=> 'below',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPost_cats[position]', array(
		'label'    => esc_html__( 'Position', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'above' => esc_html__( 'Above Media', 'hyperx' ),
			'below' => esc_html__( 'Below Media', 'hyperx' )
		),
		'priority' => 506
	) );

	// align
	$wp_customize->add_setting( 'royal_bPost_cats[align]', array(
	    'default' 	=> 'left',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPost_cats[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 510
	) );


/* ----------------- Category Spacing Options ----------------- */

	// padding bottom
	$wp_customize->add_setting( 'royal_bPost_cats[padding_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_cats[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 520
		)
	) );

	// margin bottom
	$wp_customize->add_setting( 'royal_bPost_cats[margin_bt]', array(
	    'default' 	=> 12,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_cats[margin_bt]', array(
			'label'    => esc_html__( 'Margin Bottom', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 525
		)
	) );


/* ----------------- Category Styling Optis----------------- */

	// border label
	$wp_customize->add_setting( 'royal_bPost_cats[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_cats[border_label]', array(
		'label'    => esc_html__( 'Border Bottom', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 549
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_bPost_cats[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_cats[bd_size_bt]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 550
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_bPost_cats[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPost_cats[bd_style_bt]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 551
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_bPost_cats[bd_col_bt]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPost_cats[bd_col_bt]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 552
		)
	) );

	// full width border
	$wp_customize->add_setting( 'royal_bPost_cats[bd_full_width]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_cats[bd_full_width]', array(
		'label'    => esc_html__( 'Full Width Border', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 553
	) );


/* ----------------- Category Font Options ----------------- */

	// font size
	$wp_customize->add_setting( 'royal_bPost_cats[font_size]', array(
	    'default' 	=> 15,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_cats[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 561
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_bPost_cats[line_height]', array(
	    'default' 	=> 25,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_cats[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 562
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_bPost_cats[letter_space]', array(
	    'default' 	=> 0.4,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_cats[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 563
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_bPost_cats[font_weight]', array(
	    'default' 	=> 400,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_cats[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 564
		)
	) );

	// italic
	$wp_customize->add_setting( 'royal_bPost_cats[italic]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_cats[italic]', array(
		'label'    => esc_html__( 'Italic', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 565
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_bPost_cats[uppercase]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_cats[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 566
	) );



// blog post meta label
	$wp_customize->add_setting( 'royal_bPost_meta[label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_meta[label]', array(
		'label'    => esc_html__( 'Date & Author', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 600
	) );

/* ----------------- Meta General Options ----------------- */

	// date
	$wp_customize->add_setting( 'royal_bPost_meta[date]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_meta[date]', array(
		'label'    => esc_html__( 'Display Date', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 601
	) );

	// author
	$wp_customize->add_setting( 'royal_bPost_meta[author]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_meta[author]', array(
		'label'    => esc_html__( 'Display Author', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 602
	) );

	// text before author
	$wp_customize->add_setting( 'royal_bPost_meta[before_author]', array(
	    'default' 	=> 'By ',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_bPost_meta[before_author]', array(
		'label'    => esc_html__( 'Text Before Author', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'text',
		'priority' => 603
	) );

	// separator
	$wp_customize->add_setting( 'royal_bPost_meta[separator]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_meta[separator]', array(
		'label'    => esc_html__( 'Display Separator', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 604
	) );

	// position
	$wp_customize->add_setting( 'royal_bPost_meta[position]', array(
	    'default' 	=> 'below',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPost_meta[position]', array(
		'label'    => esc_html__( 'Position', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'above' => esc_html__( 'Above Media', 'hyperx' ),
			'below' => esc_html__( 'Below Media', 'hyperx' )
		),
		'priority' => 605
	) );


	// align
	$wp_customize->add_setting( 'royal_bPost_meta[align]', array(
	    'default' 	=> 'left',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPost_meta[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 610
	) );


/* ----------------- Meta Spacing Options ----------------- */

	// padding bottom
	$wp_customize->add_setting( 'royal_bPost_meta[padding_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_meta[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 620
		)
	) );

	// margin bottom
	$wp_customize->add_setting( 'royal_bPost_meta[margin_bt]', array(
	    'default' 	=> 13,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_meta[margin_bt]', array(
			'label'    => esc_html__( 'Margin Bottom', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 625
		)
	) );


/* ----------------- Meta Styling Optis----------------- */

	// border label
	$wp_customize->add_setting( 'royal_bPost_meta[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_meta[border_label]', array(
		'label'    => esc_html__( 'Border Bottom', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 649
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_bPost_meta[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_meta[bd_size_bt]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 650
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_bPost_meta[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPost_meta[bd_style_bt]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 651
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_bPost_meta[bd_col_bt]', array(
	    'default' 	=> '#e0e0e0',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPost_meta[bd_col_bt]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 652
		)
	) );


/* ----------------- Meta Font Options ----------------- */

	// font size
	$wp_customize->add_setting( 'royal_bPost_meta[font_size]', array(
	    'default' 	=> 10,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_meta[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 661
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_bPost_meta[line_height]', array(
	    'default' 	=> 16,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_meta[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 662
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_bPost_meta[letter_space]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_meta[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 663
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_bPost_meta[font_weight]', array(
	    'default' 	=> 400,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_meta[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 664
		)
	) );

	// italic
	$wp_customize->add_setting( 'royal_bPost_meta[italic]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_meta[italic]', array(
		'label'    => esc_html__( 'Italic', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 665
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_bPost_meta[uppercase]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_meta[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 666
	) );



// blog post description label
	$wp_customize->add_setting( 'royal_bPost_desc[label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_desc[label]', array(
		'label'    => esc_html__( 'Description', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 700
	) );

/* ----------------- Description General Options ----------------- */

	// display as
	$wp_customize->add_setting( 'royal_bPost_desc[display_as]', array(
	    'default' 	=> 'excerpt',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPost_desc[display_as]', array(
		'label'    => esc_html__( 'Display As', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'excerpt' => esc_html__( 'Post Excerpt', 'hyperx' ),
			'content_custom' => esc_html__( 'Post Excerpt', 'hyperx' ),
			'content' => esc_html__( 'Post Content', 'hyperx' )
		),
		'priority' => 703
	) );

	// excerpt length
	$wp_customize->add_setting( 'royal_bPost_desc[excerpt_length]', array(
	    'default' 	=> '35',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control( 'royal_bPost_desc[excerpt_length]', array(
		'label'    => esc_html__( 'Excerpt Word Number', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'text',
		'priority' => 704
	) );

	// position
	$wp_customize->add_setting( 'royal_bPost_desc[position]', array(
	    'default' 	=> 'below',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPost_desc[position]', array(
		'label'    => esc_html__( 'Position', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'above' => esc_html__( 'Above Media', 'hyperx' ),
			'below' => esc_html__( 'Below Media', 'hyperx' )
		),
		'priority' => 705
	) );

	// align
	$wp_customize->add_setting( 'royal_bPost_desc[align]', array(
	    'default' 	=> 'left',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPost_desc[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'left' 	  => esc_html__( 'Left', 'hyperx' ),
			'center'  => esc_html__( 'Center', 'hyperx' ),
			'justify' => esc_html__( 'Justify', 'hyperx' ),
			'right'   => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 710
	) );


/* ----------------- Description Spacing Options ----------------- */

	// padding bottom
	$wp_customize->add_setting( 'royal_bPost_desc[padding_bt]', array(
	    'default' 	=> 9,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_desc[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 720
		)
	) );

	// margin bottom
	$wp_customize->add_setting( 'royal_bPost_desc[margin_bt]', array(
	    'default' 	=> 14,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_desc[margin_bt]', array(
			'label'    => esc_html__( 'Margin Bottom', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 725
		)
	) );


/* ----------------- Description Styling Optis----------------- */

	// border label
	$wp_customize->add_setting( 'royal_bPost_desc[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_desc[border_label]', array(
		'label'    => esc_html__( 'Border Bottom', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 749
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_bPost_desc[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_desc[bd_size_bt]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 750
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_bPost_desc[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPost_desc[bd_style_bt]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 751
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_bPost_desc[bd_col_bt]', array(
	    'default' 	=> '#e0e0e0',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPost_desc[bd_col_bt]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 752
		)
	) );


/* ----------------- Description Font Options ----------------- */

	// font size
	$wp_customize->add_setting( 'royal_bPost_desc[font_size]', array(
	    'default' 	=> 13,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_desc[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 761
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_bPost_desc[line_height]', array(
	    'default' 	=> 25,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_desc[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 762
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_bPost_desc[letter_space]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_desc[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 763
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_bPost_desc[font_weight]', array(
	    'default' 	=> 400,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_desc[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 764
		)
	) );

	// italic
	$wp_customize->add_setting( 'royal_bPost_desc[italic]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_desc[italic]', array(
		'label'    => esc_html__( 'Italic', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 765
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_bPost_desc[uppercase]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_desc[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 766
	) );



// blog post likes comments & sharing label
	$wp_customize->add_setting( 'royal_bPost_likes[label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_likes[label]', array(
		'label'    => esc_html__( 'Likes, Comments & Share', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 800
	) );

/* ----------------- Likes Comments & Sharing General Options ----------------- */

	// likes
	$wp_customize->add_setting( 'royal_bPost_likes[likes_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_likes[likes_label]', array(
		'label'    => esc_html__( 'Display Likes', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 801
	) );

	// likes icon select
	$wp_customize->add_setting( 'royal_bPost_likes[likes_icon]', array(
	    'default' 	=> 'heart-o',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPost_likes[likes_icon]', array(
		'label'    => esc_html__( 'Select Likes Icon', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'heart-o' 		=> '&#xf08a;',
			'heart' 		=> '&#xf004;',
			'thumbs-o-up' 	=> '&#xf087;',
			'thumbs-up' 	=> '&#xf164;',
			'star-o' 		=> '&#xf006;',
			'star' 			=> '&#xf005;',
			'smile-o' 		=> '&#xf118;',
			'plus' 			=> '&#xf067;',
			'rocket' 		=> '&#xf135;'
		),
		'priority' => 802
	) ); 

	// comments
	$wp_customize->add_setting( 'royal_bPost_likes[comments_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_likes[comments_label]', array(
		'label'    => esc_html__( 'Display Comments', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 803
	) );

	// comments icon select
	$wp_customize->add_setting( 'royal_bPost_likes[comments_icon]', array(
	    'default' 	=> 'comment-o',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPost_likes[comments_icon]', array(
		'label'    => esc_html__( 'Select Comment Icon', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'comment-o' 	=> '&#xf0e5;',
			'comment' 		=> '&#xf075;',
			'comments-o'	=> '&#xf0e6;',
			'comments' 		=> '&#xf086;'
		),
		'priority' => 804
	) ); 

	// share
	$wp_customize->add_setting( 'royal_bPost_likes[sharing_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_likes[sharing_label]', array(
		'label'    => esc_html__( 'Display Sharing', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 805
	) );

	// share facebook
	$wp_customize->add_setting( 'royal_bPost_likes[share_face]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_likes[share_face]', array(
		'label'    => 'Facebook',
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 807
	) );

	// share twitter
	$wp_customize->add_setting( 'royal_bPost_likes[share_twit]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_likes[share_twit]', array(
		'label'    => 'Twitter',
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 808
	) );

	// share google plus
	$wp_customize->add_setting( 'royal_bPost_likes[share_gplus]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_likes[share_gplus]', array(
		'label'    => 'Google Plus',
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 809
	) );

	// share linkedin
	$wp_customize->add_setting( 'royal_bPost_likes[share_linkin]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_likes[share_linkin]', array(
		'label'    => 'Linkedin',
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 810
	) );

	// share pinterest
	$wp_customize->add_setting( 'royal_bPost_likes[share_pint]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_likes[share_pint]', array(
		'label'    => 'Pinterest',
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 811
	) );

	// share tumblr
	$wp_customize->add_setting( 'royal_bPost_likes[share_tumblr]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_likes[share_tumblr]', array(
		'label'    => 'Tumblr',
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 812
	) );

	// share reddit
	$wp_customize->add_setting( 'royal_bPost_likes[share_reddit]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_likes[share_reddit]', array(
		'label'    => 'Reddit',
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 813
	) );

	// sharing open
	$wp_customize->add_setting( 'royal_bPost_likes[open_on]', array(
	    'default' 	=> 'click',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_bPost_likes[open_on]', array(
		'label'    => esc_html__( 'Show icons on', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'radio',
		'choices'  => array(
			'hover' 	=> 'Hover',
			'click' 	=> 'Click',
			'onload'	=> 'Show by default'
		),
		'priority' => 814
	) ); 

	// separator
	$wp_customize->add_setting( 'royal_bPost_likes[icon_separator]', array(
	    'default' 	=> ' | ',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_bPost_likes[icon_separator]', array(
		'label'    => esc_html__( 'Icon Separator', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'text',
		'priority' => 815
	) );

	// position
	$wp_customize->add_setting( 'royal_bPost_likes[position]', array(
	    'default' 	=> 'below',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPost_likes[position]', array(
		'label'    => esc_html__( 'Position', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'above' => esc_html__( 'Above Media', 'hyperx' ),
			'below' => esc_html__( 'Below Media', 'hyperx' )
		),
		'priority' => 825
	) );

	// align
	$wp_customize->add_setting( 'royal_bPost_likes[align]', array(
	    'default' 	=> 'left',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPost_likes[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'left' 	  => esc_html__( 'Left', 'hyperx' ),
			'center'  => esc_html__( 'Center', 'hyperx' ),
			'right'   => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 830
	) );


/* ----------------- Likes Comments & Sharing Font Options ----------------- */

	// font size
	$wp_customize->add_setting( 'royal_bPost_likes[font_size]', array(
	    'default' 	=> 14,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_likes[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 841
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_bPost_likes[line_height]', array(
	    'default' 	=> 17,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_likes[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 842
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_bPost_likes[letter_space]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_likes[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 843
		)
	) );



// blog post read more label
	$wp_customize->add_setting( 'royal_bPost_more[label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_more[label]', array(
		'label'    => esc_html__( 'Read More', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 900
	) );

/* ----------------- Read More General Options ----------------- */

	// display
	$wp_customize->add_setting( 'royal_bPost_more[display]', array(
	    'default' 	=> 'inline',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPost_more[display]', array(
		'label'    => esc_html__( 'Display', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'inline' 	=> esc_html__( 'Inline', 'hyperx' ),
			'separate' 	=> esc_html__( 'On Separate Line', 'hyperx' )
		),
		'priority' => 910
	) );

	// item width
	$wp_customize->add_setting( 'royal_bPost_more[separate]', array(
	    'default' 	=> 'block',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_bPost_more[separate]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'radio',
		'choices'  => array(
			'block' 		=> esc_html__( 'Full Width', 'hyperx' ),
			'inline-block' 	=> esc_html__( 'Button', 'hyperx' )
		),
		'priority' => 911
	) );

	// align
	$wp_customize->add_setting( 'royal_bPost_more[align]', array(
	    'default' 	=> 'left',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPost_more[align]', array(
		'label'    => esc_html__( 'center', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 920
	) );

	// position
	$wp_customize->add_setting( 'royal_bPost_more[position]', array(
	    'default' 	=> 'below',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPost_more[position]', array(
		'label'    => esc_html__( 'Position', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'above' => esc_html__( 'Above Media', 'hyperx' ),
			'below' => esc_html__( 'Below Media', 'hyperx' )
		),
		'priority' => 930
	) );

	// text
	$wp_customize->add_setting( 'royal_bPost_more[text]', array(
	    'default' 	=> 'Read More ',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_bPost_more[text]', array(
		'label'    => esc_html__( 'Read More Text', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'text',
		'priority' => 933
	) );

	// FontAwesome icon select
	$wp_customize->add_setting( 'royal_bPost_more[icon]', array(
	    'default' 	=> 'none',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPost_more[icon]', array(
		'label'    => esc_html__( 'Select Icon', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'none'					=> '&#xf05e;',
			'angle-double-right' 	=> '&#xf101;',
			'angle-right' 			=> '&#xf105;',
			'chevron-right' 		=> '&#xf054;',
			'arrow-right' 			=> '&#xf061;',
			'long-arrow-right' 		=> '&#xf178;',
			'arrow-circle-right' 	=> '&#xf0a9;',
			'chevron-circle-right'	=> '&#xf138;',
			'arrow-circle-o-right' 	=> '&#xf18e;',
			'hand-o-right' 			=> '&#xf0a4;',
			'share' 				=> '&#xf064;',
			'link' 					=> '&#xf0c1;',
			'external-link' 		=> '&#xf08e;',
			'external-link-square' 	=> '&#xf14c;',
			'plus' 					=> '&#xf067;',
			'plus-square-o' 		=> '&#xf196;',
			'eye' 					=> '&#xf06e;',
			'lightbulb-o' 			=> '&#xf0eb;',
			'paper-plane' 			=> '&#xf1d8;',
			'location-arrow' 		=> '&#xf124;'
		),
		'priority' => 935
	) );


/* ----------------- Read More Spacing Options ----------------- */

	// padding general
	$wp_customize->add_setting( 'royal_bPost_more[padding_gen]', array(
	    'default' 	=> 5,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_more[padding_gen]', array(
			'label'    => esc_html__( 'Padding', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 950
		)
	) );

	// padding top
	$wp_customize->add_setting( 'royal_bPost_more[padding_tp]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_more[padding_tp]', array(
			'label'    => esc_html__( 'Padding Top', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 951
		)
	) );

	// padding right
	$wp_customize->add_setting( 'royal_bPost_more[padding_rt]', array(
	    'default' 	=> 8,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_more[padding_rt]', array(
			'label'    => esc_html__( 'Padding Right', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 952
		)
	) );

	// padding bottom
	$wp_customize->add_setting( 'royal_bPost_more[padding_bt]', array(
	    'default' 	=> 2,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_more[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 953
		)
	) );

	// padding left
	$wp_customize->add_setting( 'royal_bPost_more[padding_lt]', array(
	    'default' 	=> 8,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_more[padding_lt]', array(
			'label'    => esc_html__( 'Padding Left', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 954
		)
	) );

	// padding advanced button
	$wp_customize->add_setting( 'royal_bPost_more[padding_ad]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_more[padding_ad]', array(
		'label'    => '',
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 955
	) );


/* ----------------- Read More Styling Optis----------------- */

	// static colors label
	$wp_customize->add_setting( 'royal_bPost_more[static_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_bPost_more[static_colors_label]', array(
			'label'    => esc_html__( 'Static Colors', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 999
		)
	) );

	// background color
	$wp_customize->add_setting( 'royal_bPost_more[bg_col]', array(
	    'default' 	=> '#f7f7f7',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPost_more[bg_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1000
		)
	) );

	// background color transparency
	$wp_customize->add_setting( 'royal_bPost_more[bg_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_more[bg_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1002
		)
	) );

	// text color
	$wp_customize->add_setting( 'royal_bPost_more[txt_col]', array(
	    'default' 	=> '#e6ae48',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPost_more[txt_col]', array(
			'label'    => esc_html__( 'Text Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1003
		)
	) );

	// hover colors label
	$wp_customize->add_setting( 'royal_bPost_more[hover_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_bPost_more[hover_colors_label]', array(
			'label'    => esc_html__( 'Hover Colors', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1004
		)
	) );

	// hover background color
	$wp_customize->add_setting( 'royal_bPost_more[bg_hcol]', array(
	    'default' 	=> '#f7f7f7',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPost_more[bg_hcol]', array(
			'label'    => esc_html__( 'Hover Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1009
		)
	) );

	// hover background color transparency
	$wp_customize->add_setting( 'royal_bPost_more[bg_hcol_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_more[bg_hcol_tr]', array(
			'label'    => esc_html__( 'Hover Transparency', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1100
		)
	) );

	// hover text color
	$wp_customize->add_setting( 'royal_bPost_more[txt_hcol]', array(
	    'default' 	=> '#333333',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPost_more[txt_hcol]', array(
			'label'    => esc_html__( 'Hover Text Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1101
		)
	) );

	// hover border color
	$wp_customize->add_setting( 'royal_bPost_more[bd_hcol]', array(
	    'default' 	=> '#333333',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPost_more[bd_hcol]', array(
			'label'    => esc_html__( 'Hover Border Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1103
		)
	) );

	// border label
	$wp_customize->add_setting( 'royal_bPost_more[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_more[border_label]', array(
		'label'    => esc_html__( 'Border', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 1200
	) );

	// border size general
	$wp_customize->add_setting( 'royal_bPost_more[bd_size_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_more[bd_size_gen]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1201
		)
	) );

	// border style general
	$wp_customize->add_setting( 'royal_bPost_more[bd_style_gen]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPost_more[bd_style_gen]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 1202
	) );

	// border color general
	$wp_customize->add_setting( 'royal_bPost_more[bd_col_gen]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPost_more[bd_col_gen]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1203
		)
	) );

	// border top size
	$wp_customize->add_setting( 'royal_bPost_more[bd_size_tp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_more[bd_size_tp]', array(
			'label'    => esc_html__( 'Top Size', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1204
		)
	) );

	// border top style
	$wp_customize->add_setting( 'royal_bPost_more[bd_style_tp]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPost_more[bd_style_tp]', array(
		'label'    => esc_html__( 'Top Style', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 1205
	) );

	// border top color
	$wp_customize->add_setting( 'royal_bPost_more[bd_col_tp]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPost_more[bd_col_tp]', array(
			'label'    => esc_html__( 'Top Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1206
		)
	) );

	// border right size
	$wp_customize->add_setting( 'royal_bPost_more[bd_size_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_more[bd_size_rt]', array(
			'label'    => esc_html__( 'Right Size', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1207
		)
	) );

	// border right style
	$wp_customize->add_setting( 'royal_bPost_more[bd_style_rt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPost_more[bd_style_rt]', array(
		'label'    => esc_html__( 'Right Style', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 1208
	) );

	// border right color
	$wp_customize->add_setting( 'royal_bPost_more[bd_col_rt]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPost_more[bd_col_rt]', array(
			'label'    => esc_html__( 'Right Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1209
		)
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_bPost_more[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_more[bd_size_bt]', array(
			'label'    => esc_html__( 'Bottom Size', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1300
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_bPost_more[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPost_more[bd_style_bt]', array(
		'label'    => esc_html__( 'Bottom Style', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 1301
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_bPost_more[bd_col_bt]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPost_more[bd_col_bt]', array(
			'label'    => esc_html__( 'Bottom Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1302
		)
	) );

	// border left size
	$wp_customize->add_setting( 'royal_bPost_more[bd_size_lt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_more[bd_size_lt]', array(
			'label'    => esc_html__( 'Left Size', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1303
		)
	) );

	// border left style
	$wp_customize->add_setting( 'royal_bPost_more[bd_style_lt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPost_more[bd_style_lt]', array(
		'label'    => esc_html__( 'Left Style', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 1304
	) );

	// border left color
	$wp_customize->add_setting( 'royal_bPost_more[bd_col_lt]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPost_more[bd_col_lt]', array(
			'label'    => esc_html__( 'Left Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1305
		)
	) );

	// border advanced button
	$wp_customize->add_setting( 'royal_bPost_more[bd_ad]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_more[bd_ad]', array(
		'label'    => '',
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 1306
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_bPost_more[radius_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_more[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 1307
	) );

	// border radius
	$wp_customize->add_setting( 'royal_bPost_more[radius]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_more[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1308
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_bPost_more[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_more[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 1309
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_bPost_more[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_more[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1400
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_bPost_more[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_more[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1401
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_bPost_more[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_more[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1402
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_bPost_more[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_more[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1403
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_bPost_more[shad_col]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPost_more[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1404
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_bPost_more[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_more[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1445
		)
	) );

	// box shadow inset
	$wp_customize->add_setting( 'royal_bPost_more[shad_in]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_more[shad_in]', array(
		'label'    => esc_html__( 'Inner', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 1446
	) );


/* ----------------- Read More Font Options ----------------- */

	// font size
	$wp_customize->add_setting( 'royal_bPost_more[font_size]', array(
	    'default' 	=> 12,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_more[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1461
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_bPost_more[line_height]', array(
	    'default' 	=> 16,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_more[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1462
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_bPost_more[letter_space]', array(
	    'default' 	=> 0.4,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_more[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1463
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_bPost_more[font_weight]', array(
	    'default' 	=> 700,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_more[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1464
		)
	) );

	// italic
	$wp_customize->add_setting( 'royal_bPost_more[italic]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_more[italic]', array(
		'label'    => esc_html__( 'Italic', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 1465
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_bPost_more[uppercase]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_more[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 1466
	) );

	// underline
	$wp_customize->add_setting( 'royal_bPost_more[underline]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_more[underline]', array(
		'label'    => esc_html__( 'Underline', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 1467
	) );



// blog post image overlay label
	$wp_customize->add_setting( 'royal_bPost_overlay[label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_overlay[label]', array(
		'label'    => esc_html__( 'Image Overlay', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 1600
	) );

/* ----------------- Image Overlay General Options ----------------- */

	// click on image
	$wp_customize->add_setting( 'royal_bPost_overlay[click]', array(
	    'default' 	=> 'postlink',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_bPost_overlay[click]', array(
		'label'    => esc_html__( 'Overlay Click', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'radio',
		'choices'  => array(
			'lightbox' 	=> esc_html__( 'Opens Lightbox Popup', 'hyperx' ),
			'postlink' 	=> esc_html__( 'Links to Single Post', 'hyperx' )
		),
		'priority' => 1615
	) );

	// overlay transition
	$wp_customize->add_setting( 'royal_bPost_overlay[overlay_trans]', array(
	    'default' 	=> '500',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPost_overlay[overlay_trans]', array(
		'label'    => esc_html__( 'Transition', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'0' 	=> esc_html__( 'None', 'hyperx' ),
			'50' 	=> '50 ms',
			'100' 	=> '100 ms',
			'150' 	=> '150 ms',
			'200' 	=> '200 ms',
			'250' 	=> '250 ms',
			'300' 	=> '300 ms',
			'350' 	=> '350 ms',
			'400' 	=> '400 ms',
			'500' 	=> '500 ms',
			'600' 	=> '600 ms',
			'700' 	=> '700 ms',
			'800' 	=> '800 ms',
			'900' 	=> '900 ms',
			'1000' 	=> '1000 ms'
		),
		'priority' => 1617
	) );

	// FontAwesome icon select
	$wp_customize->add_setting( 'royal_bPost_overlay[icon]', array(
	    'default' 	=> 'none',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bPost_overlay[icon]', array(
		'label'    => esc_html__( 'Select Icon', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'select',
		'choices'  => array(
			'none'					=> '&#xf05e;',
			'plus' 					=> '&#xf067;',
			'plus-circle' 			=> '&#xf055;',
			'plus-square-o' 		=> '&#xf196;',
			'plus-square' 			=> '&#xf0fe;',
			'share' 				=> '&#xf064;',
			'share-square' 			=> '&#xf14d;',
			'link' 					=> '&#xf0c1;',
			'arrows-alt' 			=> '&#xf0b2;',
			'expand' 				=> '&#xf065;',
			'search' 				=> '&#xf002;',
			'search-plus' 			=> '&#xf00e;',
			'image' 				=> '&#xf03e;',
			'camera' 				=> '&#xf030;',
			'eye' 					=> '&#xf06e;',
			'send' 					=> '&#xf1d8;',
			'angle-double-right' 	=> '&#xf101;',
			'angle-right' 			=> '&#xf105;',
			'chevron-right' 		=> '&#xf054;',
			'arrow-right' 			=> '&#xf061;',
			'arrow-circle-right' 	=> '&#xf0a9;',
			'chevron-circle-right'	=> '&#xf138;',
			'arrow-circle-o-right' 	=> '&#xf18e;',
			'hand-o-right' 			=> '&#xf0a4;'
		),
		'priority' => 1620
	) );


/* ----------------- Image Overlay Styling Options ----------------- */

	// hover background color
	$wp_customize->add_setting( 'royal_bPost_overlay[bg_hcol]', array(
	    'default' 	=> '#e0e0e0',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPost_overlay[bg_hcol]', array(
			'label'    => esc_html__( 'Hover Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1650
		)
	) );

	// hover background color transparency
	$wp_customize->add_setting( 'royal_bPost_overlay[bg_hcol_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_overlay[bg_hcol_tr]', array(
			'label'    => esc_html__( 'Hover Transparency', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1652
		)
	) );

	// hover text color
	$wp_customize->add_setting( 'royal_bPost_overlay[txt_hcol]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPost_overlay[txt_hcol]', array(
			'label'    => esc_html__( 'Hover Icon Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1655
		)
	) );


/* ----------------- Image Overlay Font Options ----------------- */

	// icon size
	$wp_customize->add_setting( 'royal_bPost_overlay[icon_size]', array(
	    'default' 	=> 24,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_overlay[icon_size]', array(
			'label'    => esc_html__( 'Icon Size', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1670
		)
	) );



// blog post formats label
	$wp_customize->add_setting( 'royal_bPost_formats[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_bPost_formats[label]', array(
			'label'    => esc_html__( 'Post Formats: Link & Quote', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1800
		)
	) );

/* ----------------- Post Formats Spacing Options ----------------- */

	// padding general
	$wp_customize->add_setting( 'royal_bPost_formats[padding_gen]', array(
	    'default' 	=> 5,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_formats[padding_gen]', array(
			'label'    => esc_html__( 'Padding', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1850
		)
	) );

	// padding top
	$wp_customize->add_setting( 'royal_bPost_formats[padding_tp]', array(
	    'default' 	=> 5,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_formats[padding_tp]', array(
			'label'    => esc_html__( 'Padding Top', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1851
		)
	) );

	// padding right
	$wp_customize->add_setting( 'royal_bPost_formats[padding_rt]', array(
	    'default' 	=> 5,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_formats[padding_rt]', array(
			'label'    => esc_html__( 'Padding Right', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1852
		)
	) );

	// padding bottom
	$wp_customize->add_setting( 'royal_bPost_formats[padding_bt]', array(
	    'default' 	=> 5,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_formats[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1853
		)
	) );

	// padding left
	$wp_customize->add_setting( 'royal_bPost_formats[padding_lt]', array(
	    'default' 	=> 5,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_formats[padding_lt]', array(
			'label'    => esc_html__( 'Padding Left', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1854
		)
	) );

	// padding advanced button
	$wp_customize->add_setting( 'royal_bPost_formats[padding_ad]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_formats[padding_ad]', array(
		'label'    => '',
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 1855
	) );


/* ----------------- Post Formats Styling Options ----------------- */

	// background color
	$wp_customize->add_setting( 'royal_bPost_formats[bg_col]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPost_formats[bg_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1860
		)
	) );

	// background color transparency
	$wp_customize->add_setting( 'royal_bPost_formats[bg_col_tr]', array(
	    'default' 	=> 0.9,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_formats[bg_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1862
		)
	) );

	// text color
	$wp_customize->add_setting( 'royal_bPost_formats[txt_col]', array(
	    'default' 	=> '#3a3a3a',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bPost_formats[txt_col]', array(
			'label'    => esc_html__( 'Text Color', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1865
		)
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_bPost_formats[radius_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_formats[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 1867
	) );

	// border radius
	$wp_customize->add_setting( 'royal_bPost_formats[radius]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_formats[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1870
		)
	) );


/* ----------------- Post Formats Font Options ----------------- */

	// font family
	$wp_customize->add_setting( 'royal_bPost_formats[font_family]', array(
	    'default' 	=> 'Courgette',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control(
		new Royal_Google_Fonts_Control( $wp_customize, 'royal_bPost_formats[font_family]', array(
			'label'    => esc_html__( 'Family', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1880
		)
	) );

	// font size
	$wp_customize->add_setting( 'royal_bPost_formats[font_size]', array(
	    'default' 	=> 16,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_formats[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1881
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_bPost_formats[line_height]', array(
	    'default' 	=> 26,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_formats[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1882
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_bPost_formats[letter_space]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_formats[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1883
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_bPost_formats[font_weight]', array(
	    'default' 	=> 400,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bPost_formats[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'blog_page',
			'priority' => 1884
		)
	) );

	// italic
	$wp_customize->add_setting( 'royal_bPost_formats[italic]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_formats[italic]', array(
		'label'    => esc_html__( 'Italic', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 1885
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_bPost_formats[uppercase]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_formats[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 1886
	) );

	// underline
	$wp_customize->add_setting( 'royal_bPost_formats[underline]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bPost_formats[underline]', array(
		'label'    => esc_html__( 'Link Underline', 'hyperx' ),
		'section'  => 'blog_page',
		'type'     => 'checkbox',
		'priority' => 1887
	) );




/*
***************************************************************
* #Blog Single
***************************************************************
*/

	$section_blog_single = 'blog_single';
	
	if ( get_option('section_blog_single') === '' ) {
		$section_blog_single = 'blog_single_disabled';
	}

	// add Blog Single Section -------------------------------------------
	$wp_customize->add_section( $section_blog_single, array(
	    'title' 		=> esc_html__( 'Blog Single', 'hyperx' ),
	    'priority' 		=> 60
	) );


	// blog page general label
	$wp_customize->add_setting( 'royal_bSingle_header[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_bSingle_header[label]', array(
			'label'    => esc_html__( 'Header', 'hyperx' ),
			'section'  => 'blog_single',
			'priority' => 11
		)
	) );

/* ----------------- Header General Options ----------------- */

	// position select
	$wp_customize->add_setting( 'royal_bSingle_header[position]', array(
	    'default' 	=> 'below',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bSingle_header[position]', array(
		'label'    => esc_html__( 'Position', 'hyperx' ),
		'section'  => 'blog_single',
		'type'     => 'select',
		'choices'  => array(
			'above' 	=> esc_html__( 'Above Media', 'hyperx' ),
			'below' 	=> esc_html__( 'Below Media', 'hyperx' )
		),
		'priority' => 20
	) );

	// align
	$wp_customize->add_setting( 'royal_bSingle_header[align]', array(
	    'default' 	=> 'left',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bSingle_header[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'blog_single',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 25
	) );

	// display date
	$wp_customize->add_setting( 'royal_bSingle_header[display_date]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bSingle_header[display_date]', array(
		'label'    => esc_html__( 'Display Date', 'hyperx' ),
		'section'  => 'blog_single',
		'type'     => 'checkbox',
		'priority' => 40
	) );

	// display categories
	$wp_customize->add_setting( 'royal_bSingle_header[display_cats]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bSingle_header[display_cats]', array(
		'label'    => esc_html__( 'Display Categories', 'hyperx' ),
		'section'  => 'blog_single',
		'type'     => 'checkbox',
		'priority' => 45
	) );

	// display comments
	$wp_customize->add_setting( 'royal_bSingle_header[display_comments]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bSingle_header[display_comments]', array(
		'label'    => esc_html__( 'Display Comments', 'hyperx' ),
		'section'  => 'blog_single',
		'type'     => 'checkbox',
		'priority' => 50
	) );

	// display author
	$wp_customize->add_setting( 'royal_bSingle_header[display_author]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bSingle_header[display_author]', array(
		'label'    => esc_html__( 'Display Author', 'hyperx' ),
		'section'  => 'blog_single',
		'type'     => 'checkbox',
		'priority' => 55
	) );



// blog single Navigation label
	$wp_customize->add_setting( 'royal_bSingle_nav[label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bSingle_nav[label]', array(
		'label'    => esc_html__( 'Navigation', 'hyperx' ),
		'section'  => 'blog_single',
		'type'     => 'checkbox',
		'priority' => 200
	) );

/* ----------------- Navigation General Options ----------------- */

	// position
	$wp_customize->add_setting( 'royal_bSingle_nav[position]', array(
	    'default' 	=> 'sharing',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bSingle_nav[position]', array(
		'label'    => esc_html__( 'Position', 'hyperx' ),
		'section'  => 'blog_single',
		'type'     => 'select',
		'choices'  => array(
			'header' => esc_html__( 'Header', 'hyperx' ),
			'sharing' => esc_html__( 'Sharing Box', 'hyperx' )
		),
		'priority' => 220
	) );

	// previous text
	$wp_customize->add_setting( 'royal_bSingle_nav[prev_text]', array(
	    'default' 	=> '',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_bSingle_nav[prev_text]', array(
		'label'    => esc_html__( 'Previous Text', 'hyperx' ),
		'section'  => 'blog_single',
		'type'     => 'text',
		'priority' => 225
	) );

	// next text
	$wp_customize->add_setting( 'royal_bSingle_nav[next_text]', array(
	    'default' 	=> '',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_bSingle_nav[next_text]', array(
		'label'    => esc_html__( 'Next Text', 'hyperx' ),
		'section'  => 'blog_single',
		'type'     => 'text',
		'priority' => 226
	) );

	// FontAwesome icon select
	$wp_customize->add_setting( 'royal_bSingle_nav[prev_nxt_icon]', array(
	    'default' 	=> 'chevron',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bSingle_nav[prev_nxt_icon]', array(
		'label'    => esc_html__( 'Select Icon', 'hyperx' ),
		'section'  => 'blog_single',
		'type'     => 'select',
		'choices'  => array(
			'none'				=> '&#xf05e;',
			'angle' 			=> '&#xf104; &#xf105;',
			'angle-double' 		=> '&#xf100; &#xf101;',
			'chevron' 			=> '&#xf053; &#xf054;',
			'arrow' 			=> '&#xf060; &#xf061;',
			'long-arrow' 		=> '&#xf177; &#xf178;',
			'chevron-circle'	=> '&#xf137; &#xf138;',
			'arrow-circle' 		=> '&#xf0a8; &#xf0a9;',
			'arrow-circle-o' 	=> '&#xf190; &#xf18e;',
			'hand-o' 			=> '&#xf0a5; &#xf0a4;'
		),
		'priority' => 230
	) );


/* ----------------- Navigation Spacing Options ----------------- */

	// width
	$wp_customize->add_setting( 'royal_bSingle_nav[width]', array(
	    'default' 	=> 25,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bSingle_nav[width]', array(
			'label'    => esc_html__( 'Width', 'hyperx' ),
			'section'  => 'blog_single',
			'priority' => 250
		)
	) );

	// height
	$wp_customize->add_setting( 'royal_bSingle_nav[height]', array(
	    'default' 	=> 39,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bSingle_nav[height]', array(
			'label'    => esc_html__( 'Height', 'hyperx' ),
			'section'  => 'blog_single',
			'priority' => 255
		)
	) );

	// margin top
	$wp_customize->add_setting( 'royal_bSingle_nav[margin_tp]', array(
	    'default' 	=> 15,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bSingle_nav[margin_tp]', array(
			'label'    => esc_html__( 'Margin Top', 'hyperx' ),
			'section'  => 'blog_single',
			'priority' => 260
		)
	) );

	// horizontal gutter
	$wp_customize->add_setting( 'royal_bSingle_nav[space_between]', array(
	    'default' 	=> 20,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bSingle_nav[space_between]', array(
			'label'    => esc_html__( 'Space Between Icons', 'hyperx' ),
			'section'  => 'blog_single',
			'priority' => 261
		)
	) );


/* ----------------- Navigation Styling Options ----------------- */

	// static colors label
	$wp_customize->add_setting( 'royal_bSingle_nav[static_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_bSingle_nav[static_colors_label]', array(
			'label'    => esc_html__( 'Static Colors', 'hyperx' ),
			'section'  => 'blog_single',
			'priority' => 299
		)
	) );

	// background color
	$wp_customize->add_setting( 'royal_bSingle_nav[bg_col]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bSingle_nav[bg_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'blog_single',
			'priority' => 300
		)
	) );

	// background color transparency
	$wp_customize->add_setting( 'royal_bSingle_nav[bg_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bSingle_nav[bg_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'blog_single',
			'priority' => 302
		)
	) );

	// text color
	$wp_customize->add_setting( 'royal_bSingle_nav[txt_col]', array(
	    'default' 	=> '#8d8d8d',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bSingle_nav[txt_col]', array(
			'label'    => esc_html__( 'Text Color', 'hyperx' ),
			'section'  => 'blog_single',
			'priority' => 303
		)
	) );

	// hover colors label
	$wp_customize->add_setting( 'royal_bSingle_nav[hover_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_bSingle_nav[hover_colors_label]', array(
			'label'    => esc_html__( 'Hover Colors', 'hyperx' ),
			'section'  => 'blog_single',
			'priority' => 304
		)
	) );

	// hover background color
	$wp_customize->add_setting( 'royal_bSingle_nav[bg_hcol]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bSingle_nav[bg_hcol]', array(
			'label'    => esc_html__( 'Hover Color', 'hyperx' ),
			'section'  => 'blog_single',
			'priority' => 309
		)
	) );

	// hover background color transparency
	$wp_customize->add_setting( 'royal_bSingle_nav[bg_hcol_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bSingle_nav[bg_hcol_tr]', array(
			'label'    => esc_html__( 'Hover Transparency', 'hyperx' ),
			'section'  => 'blog_single',
			'priority' => 310
		)
	) );

	// hover text color
	$wp_customize->add_setting( 'royal_bSingle_nav[txt_hcol]', array(
	    'default' 	=> '#3a3a3a',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bSingle_nav[txt_hcol]', array(
			'label'    => esc_html__( 'Hover Text Color', 'hyperx' ),
			'section'  => 'blog_single',
			'priority' => 311
		)
	) );

	// hover border color
	$wp_customize->add_setting( 'royal_bSingle_nav[bd_hcol]', array(
	    'default' 	=> '#d1d1d1',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bSingle_nav[bd_hcol]', array(
			'label'    => esc_html__( 'Hover Border Color', 'hyperx' ),
			'section'  => 'blog_single',
			'priority' => 313
		)
	) );

	// border label
	$wp_customize->add_setting( 'royal_bSingle_nav[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bSingle_nav[border_label]', array(
		'label'    => esc_html__( 'Border', 'hyperx' ),
		'section'  => 'blog_single',
		'type'     => 'checkbox',
		'priority' => 325
	) );

	// border size
	$wp_customize->add_setting( 'royal_bSingle_nav[border_size]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bSingle_nav[border_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'blog_single',
			'priority' => 326
		)
	) );

	// border style
	$wp_customize->add_setting( 'royal_bSingle_nav[border_style]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bSingle_nav[border_style]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'blog_single',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 327
	) );

	// border color
	$wp_customize->add_setting( 'royal_bSingle_nav[border_color]', array(
	    'default' 	=> '#e8e8e8',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bSingle_nav[border_color]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'blog_single',
			'priority' => 328
		)
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_bSingle_nav[radius_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bSingle_nav[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'blog_single',
		'type'     => 'checkbox',
		'priority' => 337
	) );

	// border radius
	$wp_customize->add_setting( 'royal_bSingle_nav[radius]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bSingle_nav[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'blog_single',
			'priority' => 338
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_bSingle_nav[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bSingle_nav[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'blog_single',
		'type'     => 'checkbox',
		'priority' => 339
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_bSingle_nav[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bSingle_nav[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'blog_single',
			'priority' => 340
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_bSingle_nav[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bSingle_nav[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'blog_single',
			'priority' => 341
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_bSingle_nav[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bSingle_nav[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'blog_single',
			'priority' => 342
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_bSingle_nav[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bSingle_nav[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'blog_single',
			'priority' => 343
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_bSingle_nav[shad_col]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_bSingle_nav[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'blog_single',
			'priority' => 344
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_bSingle_nav[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bSingle_nav[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'blog_single',
			'priority' => 345
		)
	) );

	// box shadow inset
	$wp_customize->add_setting( 'royal_bSingle_nav[shad_in]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bSingle_nav[shad_in]', array(
		'label'    => esc_html__( 'Inner', 'hyperx' ),
		'section'  => 'blog_single',
		'type'     => 'checkbox',
		'priority' => 346
	) );


/* ----------------- Navigation Font Options ----------------- */

	// font size
	$wp_customize->add_setting( 'royal_bSingle_nav[font_size]', array(
	    'default' 	=> 18,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bSingle_nav[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'blog_single',
			'priority' => 350
		)
	) );



// blog single Sharing label
	$wp_customize->add_setting( 'royal_bSingle_share[label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bSingle_share[label]', array(
		'label'    => esc_html__( 'Sharing Box', 'hyperx' ),
		'section'  => 'blog_single',
		'type'     => 'checkbox',
		'priority' => 500
	) );

/* ----------------- Sharing General Options ----------------- */

	// share
	$wp_customize->add_setting( 'royal_bSingle_share[sharing_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bSingle_share[sharing_label]', array(
		'label'    => esc_html__( 'Display Sharing', 'hyperx' ),
		'section'  => 'blog_single',
		'type'     => 'checkbox',
		'priority' => 510
	) );

	// text before icons
	$wp_customize->add_setting( 'royal_bSingle_share[label_text]', array(
	    'default' 	=> 'Share Post :',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_bSingle_share[label_text]', array(
		'label'    => esc_html__( 'Text Before Icons', 'hyperx' ),
		'section'  => 'blog_single',
		'type'     => 'text',
		'priority' => 520
	) );

	// share facebook
	$wp_customize->add_setting( 'royal_bSingle_share[share_face]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bSingle_share[share_face]', array(
		'label'    => 'Facebook',
		'section'  => 'blog_single',
		'type'     => 'checkbox',
		'priority' => 525
	) );

	// share twitter
	$wp_customize->add_setting( 'royal_bSingle_share[share_twit]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bSingle_share[share_twit]', array(
		'label'    => 'Twitter',
		'section'  => 'blog_single',
		'type'     => 'checkbox',
		'priority' => 526
	) );

	// share google plus
	$wp_customize->add_setting( 'royal_bSingle_share[share_gplus]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bSingle_share[share_gplus]', array(
		'label'    => 'Google Plus',
		'section'  => 'blog_single',
		'type'     => 'checkbox',
		'priority' => 527
	) );

	// share linkedin
	$wp_customize->add_setting( 'royal_bSingle_share[share_linkin]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bSingle_share[share_linkin]', array(
		'label'    => 'Linkedin',
		'section'  => 'blog_single',
		'type'     => 'checkbox',
		'priority' => 528
	) );

	// share pinterest
	$wp_customize->add_setting( 'royal_bSingle_share[share_pint]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bSingle_share[share_pint]', array(
		'label'    => 'Pinterest',
		'section'  => 'blog_single',
		'type'     => 'checkbox',
		'priority' => 529
	) );

	// share tumblr
	$wp_customize->add_setting( 'royal_bSingle_share[share_tumblr]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bSingle_share[share_tumblr]', array(
		'label'    => 'Tumblr',
		'section'  => 'blog_single',
		'type'     => 'checkbox',
		'priority' => 530
	) );

	// share reddit
	$wp_customize->add_setting( 'royal_bSingle_share[share_reddit]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bSingle_share[share_reddit]', array(
		'label'    => 'Reddit',
		'section'  => 'blog_single',
		'type'     => 'checkbox',
		'priority' => 531
	) );

	// align
	$wp_customize->add_setting( 'royal_bSingle_share[align]', array(
	    'default' 	=> 'center',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bSingle_share[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'blog_single',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 540
	) );


/* ----------------- Sharing Spacing Options ----------------- */

	// margin top
	$wp_customize->add_setting( 'royal_bSingle_share[margin_tp]', array(
	    'default' 	=> 20,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bSingle_share[margin_tp]', array(
			'label'    => esc_html__( 'Margin Top', 'hyperx' ),
			'section'  => 'blog_single',
			'priority' => 550
		)
	) );

	// padding top
	$wp_customize->add_setting( 'royal_bSingle_share[padding_tp]', array(
	    'default' 	=> 19,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bSingle_share[padding_tp]', array(
			'label'    => esc_html__( 'Padding Top', 'hyperx' ),
			'section'  => 'blog_single',
			'priority' => 555
		)
	) );


/* ----------------- Sharing Styling Options ----------------- */

	// border label
	$wp_customize->add_setting( 'royal_bSingle_share[border_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_bSingle_share[border_label]', array(
		'label'    => esc_html__( 'Border Top', 'hyperx' ),
		'section'  => 'blog_single',
		'type'     => 'checkbox',
		'priority' => 570
	) );

	// border top size
	$wp_customize->add_setting( 'royal_bSingle_share[bd_size_tp]', array(
	    'default' 	=> 2,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_bSingle_share[bd_size_tp]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'blog_single',
			'priority' => 571
		)
	) );

	// border top style
	$wp_customize->add_setting( 'royal_bSingle_share[bd_style_tp]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_bSingle_share[bd_style_tp]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'blog_single',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 572
	) );




/*
***************************************************************
* #Portfolio Page
***************************************************************
*/

	$section_folio_page = 'folio_page';
	
	if ( get_option('section_folio_page') === '' ) {
		$section_folio_page = 'folio_page_disabled';
	}

	// add Portfolio Page Section -------------------------------------------
	$wp_customize->add_section( $section_folio_page, array(
	    'title' 		=> esc_html__( 'Portfolio Page', 'hyperx' ),
	    'priority' 		=> 35
	) );


	// portfolio page general label
	$wp_customize->add_setting( 'royal_pPage_general[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_pPage_general[label]', array(
			'label'    => esc_html__( 'General', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 11
		)
	) );

/* ----------------- Page General Options ----------------- */

	// layout mode
	$wp_customize->add_setting( 'royal_pPage_general[layout]', array(
	    'default' 	=> 'fitRows',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPage_general[layout]', array(
		'label'    => esc_html__( 'Layout Mode', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'masonry' 		=> esc_html__( 'Masonry (Unlimited Height)', 'hyperx' ),
			'masonry-metro' => esc_html__( 'Metro (Masonry - Different Width)', 'hyperx' ),
			'fitRows' 		=> esc_html__( 'FitRows (Limited Height)', 'hyperx' )
		),
		'priority' => 20
	) );

	// aspect ratio X
	$wp_customize->add_setting( 'royal_pPage_general[aspect_x]', array(
	    'default' 	=> 500,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control( 'royal_pPage_general[aspect_x]', array(
		'label'    => esc_html__( 'Aspect Ratio X', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'text',
		'priority' => 24
	) );

	// aspect ratio Y
	$wp_customize->add_setting( 'royal_pPage_general[aspect_y]', array(
	    'default' 	=> 450,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control( 'royal_pPage_general[aspect_y]', array(
		'label'    => esc_html__( 'Aspect Ratio Y', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'text',
		'priority' => 25
	) );

	// posts per page
	$wp_customize->add_setting( 'royal_pPage_general[posts_per_page]', array(
	    'default' 	=> 12,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control( 'royal_pPage_general[posts_per_page]', array(
		'label'    => esc_html__( 'Posts Per Page', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'text',
		'priority' => 27
	) );

	// columns rate
	$wp_customize->add_setting( 'royal_pPage_general[columns_rate]', array(
	    'default' 	=> '0',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPage_general[columns_rate]', array(
		'label'    => esc_html__( 'Columns Rate', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'-1'	=> '-1',
			'0' 	=> '0',
			'1' 	=> '+1',
			'2' 	=> '+2',
			'one' 	=> esc_html__( '1 Constant', 'hyperx' ),
			'two' 	=> esc_html__( '2 Constant', 'hyperx' ),
			'three' => esc_html__( '3 Constant', 'hyperx' ),
			'four' 	=> esc_html__( '4 Constant', 'hyperx' )
		),
		'priority' => 30
	) );

	// grid animation
	$wp_customize->add_setting( 'royal_pPage_general[grid_animated]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPage_general[grid_animated]', array(
		'label'    => esc_html__( 'Grid Animation', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 31
	) );
	

/* ----------------- Page Spacing Options ----------------- */

	// padding general
	$wp_customize->add_setting( 'royal_pPage_general[padding_gen]', array(
	    'default' 	=> 5,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_general[padding_gen]', array(
			'label'    => esc_html__( 'Padding', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 50
		)
	) );

	// padding top
	$wp_customize->add_setting( 'royal_pPage_general[padding_tp]', array(
	    'default' 	=> 5,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_general[padding_tp]', array(
			'label'    => esc_html__( 'Padding Top', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 51
		)
	) );

	// padding right
	$wp_customize->add_setting( 'royal_pPage_general[padding_rt]', array(
	    'default' 	=> 5,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_general[padding_rt]', array(
			'label'    => esc_html__( 'Padding Right', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 52
		)
	) );

	// padding bottom
	$wp_customize->add_setting( 'royal_pPage_general[padding_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_general[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 53
		)
	) );

	// padding left
	$wp_customize->add_setting( 'royal_pPage_general[padding_lt]', array(
	    'default' 	=> 5,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_general[padding_lt]', array(
			'label'    => esc_html__( 'Padding Left', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 54
		)
	) );

	// padding advanced button
	$wp_customize->add_setting( 'royal_pPage_general[padding_ad]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPage_general[padding_ad]', array(
		'label'    => '',
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 55
	) );

	// horizontal gutter
	$wp_customize->add_setting( 'royal_pPage_general[gutter_horz]', array(
	    'default' 	=> 5,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_general[gutter_horz]', array(
			'label'    => esc_html__( 'Horizontal Gutter', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 60
		)
	) );

	// vertical gutter
	$wp_customize->add_setting( 'royal_pPage_general[gutter_vert]', array(
	    'default' 	=> 5,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_general[gutter_vert]', array(
			'label'    => esc_html__( 'Vertical Gutter', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 61
		)
	) );


/* ----------------- Page Styling Options ----------------- */

	// background color
	$wp_customize->add_setting( 'royal_pPage_general[bg_col]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPage_general[bg_col]', array(
			'label'    => esc_html__( 'Background Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 80
		)
	) );

	// background color transparency
	$wp_customize->add_setting( 'royal_pPage_general[bg_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_general[bg_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 81
		)
	) );

	// border label
	$wp_customize->add_setting( 'royal_pPage_general[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPage_general[border_label]', array(
		'label'    => esc_html__( 'Border', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 84
	) );

	// border size general
	$wp_customize->add_setting( 'royal_pPage_general[bd_size_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_general[bd_size_gen]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 85
		)
	) );

	// border style general
	$wp_customize->add_setting( 'royal_pPage_general[bd_style_gen]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPage_general[bd_style_gen]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 86
	) );

	// border color general
	$wp_customize->add_setting( 'royal_pPage_general[bd_col_gen]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPage_general[bd_col_gen]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 87
		)
	) );

	// border top size
	$wp_customize->add_setting( 'royal_pPage_general[bd_size_tp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_general[bd_size_tp]', array(
			'label'    => esc_html__( 'Top Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 88
		)
	) );

	// border top style
	$wp_customize->add_setting( 'royal_pPage_general[bd_style_tp]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPage_general[bd_style_tp]', array(
		'label'    => esc_html__( 'Top Style', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 89
	) );

	// border top color
	$wp_customize->add_setting( 'royal_pPage_general[bd_col_tp]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPage_general[bd_col_tp]', array(
			'label'    => esc_html__( 'Top Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 90
		)
	) );

	// border right size
	$wp_customize->add_setting( 'royal_pPage_general[bd_size_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_general[bd_size_rt]', array(
			'label'    => esc_html__( 'Right Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 91
		)
	) );

	// border right style
	$wp_customize->add_setting( 'royal_pPage_general[bd_style_rt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPage_general[bd_style_rt]', array(
		'label'    => esc_html__( 'Right Style', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 92
	) );

	// border right color
	$wp_customize->add_setting( 'royal_pPage_general[bd_col_rt]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPage_general[bd_col_rt]', array(
			'label'    => esc_html__( 'Right Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 93
		)
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_pPage_general[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_general[bd_size_bt]', array(
			'label'    => esc_html__( 'Bottom Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 94
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_pPage_general[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPage_general[bd_style_bt]', array(
		'label'    => esc_html__( 'Bottom Style', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 95
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_pPage_general[bd_col_bt]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPage_general[bd_col_bt]', array(
			'label'    => esc_html__( 'Bottom Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 96
		)
	) );

	// border left size
	$wp_customize->add_setting( 'royal_pPage_general[bd_size_lt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_general[bd_size_lt]', array(
			'label'    => esc_html__( 'Left Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 97
		)
	) );

	// border left style
	$wp_customize->add_setting( 'royal_pPage_general[bd_style_lt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPage_general[bd_style_lt]', array(
		'label'    => esc_html__( 'Left Style', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 98
	) );

	// border left color
	$wp_customize->add_setting( 'royal_pPage_general[bd_col_lt]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPage_general[bd_col_lt]', array(
			'label'    => esc_html__( 'Left Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 99
		)
	) );

	// border advanced button
	$wp_customize->add_setting( 'royal_pPage_general[bd_ad]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPage_general[bd_ad]', array(
		'label'    => '',
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 101
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_pPage_general[radius_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPage_general[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 102
	) );

	// border radius
	$wp_customize->add_setting( 'royal_pPage_general[radius]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_general[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 103
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_pPage_general[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPage_general[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 105
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_pPage_general[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_general[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 106
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_pPage_general[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_general[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 107
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_pPage_general[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_general[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 108
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_pPage_general[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_general[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 109
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_pPage_general[shad_col]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPage_general[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 110
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_pPage_general[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_general[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 111
		)
	) );

	// box shadow inset
	$wp_customize->add_setting( 'royal_pPage_general[shad_in]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPage_general[shad_in]', array(
		'label'    => esc_html__( 'Inner', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 112
	) );



// portfolio post label
	$wp_customize->add_setting( 'royal_pPage_post[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_pPage_post[label]', array(
			'label'    => esc_html__( 'Post', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 120
		)
	) );

/* ----------------- Post Spacing Options ----------------- */

	// text padding general
	$wp_customize->add_setting( 'royal_pPage_post[text_padding_gen]', array(
	    'default' 	=> 20,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_post[text_padding_gen]', array(
			'label'    => esc_html__( 'Text Padding', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 131
		)
	) );

	// text padding top
	$wp_customize->add_setting( 'royal_pPage_post[text_padding_tp]', array(
	    'default' 	=> 20,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_post[text_padding_tp]', array(
			'label'    => esc_html__( 'Text Padding Top', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 132
		)
	) );

	// text padding right
	$wp_customize->add_setting( 'royal_pPage_post[text_padding_rt]', array(
	    'default' 	=> 25,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_post[text_padding_rt]', array(
			'label'    => esc_html__( 'Text Padding Right', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 133
		)
	) );

	// text padding bottom
	$wp_customize->add_setting( 'royal_pPage_post[text_padding_bt]', array(
	    'default' 	=> 17,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_post[text_padding_bt]', array(
			'label'    => esc_html__( 'Text Padding Bottom', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 134
		)
	) );

	// text padding bottom
	$wp_customize->add_setting( 'royal_pPage_post[text_padding_lt]', array(
	    'default' 	=> 25,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_post[text_padding_lt]', array(
			'label'    => esc_html__( 'Text Padding Left', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 135
		)
	) );

	// text padding advanced button
	$wp_customize->add_setting( 'royal_pPage_post[text_padding_ad]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPage_post[text_padding_ad]', array(
		'label'    => '',
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 136
	) );


/* ----------------- Post Styling Options ----------------- */

	// background color
	$wp_customize->add_setting( 'royal_pPage_post[bg_col]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPage_post[bg_col]', array(
			'label'    => esc_html__( 'Background Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 140
		)
	) );

	// highlight even
	$wp_customize->add_setting( 'royal_pPage_post[highlight_even]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPage_post[highlight_even]', array(
		'label'    => esc_html__( 'Highlight Even', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 141
	) );

	// even background color
	$wp_customize->add_setting( 'royal_pPage_post[even_bg_col]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPage_post[even_bg_col]', array(
			'label'    => esc_html__( 'Even Background Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 142
		)
	) );

	// background color transparency
	$wp_customize->add_setting( 'royal_pPage_post[bg_col_tr]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_post[bg_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 143
		)
	) );

    // text color
    $wp_customize->add_setting( 'royal_pPage_post[text_color]', array(
        'default'   => '#8d8d8d',
        'type'      => 'option',
        'transport' => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
    ) );

    $wp_customize->add_control(
        new WP_Customize_Color_Control( $wp_customize, 'royal_pPage_post[text_color]', array(
            'label'    => esc_html__( 'Text Color', 'hyperx' ),
            'section'  => 'folio_page',
            'priority' => 145
        ) 
    ) );

    // meta color
    $wp_customize->add_setting( 'royal_pPage_post[meta_color]', array(
        'default'   => '#f7f7f7',
        'type'      => 'option',
        'transport' => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
    ) );

    $wp_customize->add_control( 
        new WP_Customize_Color_Control( $wp_customize, 'royal_pPage_post[meta_color]', array(
            'label'    => esc_html__( 'Meta Color', 'hyperx' ),
            'section'  => 'folio_page',
            'priority' => 146
        ) 
    ) );

    // Link color
    $wp_customize->add_setting( 'royal_pPage_post[link_color]', array(
        'default'   => '#a7a7a7',
        'type'      => 'option',
        'transport' => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
    ) );

    $wp_customize->add_control( 
        new WP_Customize_Color_Control( $wp_customize, 'royal_pPage_post[link_color]', array(
            'label'    => esc_html__( 'Link Color', 'hyperx' ),
            'section'  => 'folio_page',
            'priority' => 147
        ) 
    ) );

    // Link Hover color
    $wp_customize->add_setting( 'royal_pPage_post[link_hcolor]', array(
        'default'   => '#e5ae47',
        'type'      => 'option',
        'transport' => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
    ) );

    $wp_customize->add_control( 
        new WP_Customize_Color_Control( $wp_customize, 'royal_pPage_post[link_hcolor]', array(
            'label'    => esc_html__( 'Link Hover Color', 'hyperx' ),
            'section'  => 'folio_page',
            'priority' => 148
        ) 
    ) );

	// border label
	$wp_customize->add_setting( 'royal_pPage_post[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPage_post[border_label]', array(
		'label'    => esc_html__( 'Border', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 154
	) );

	// border size general
	$wp_customize->add_setting( 'royal_pPage_post[bd_size_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_post[bd_size_gen]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 155
		)
	) );

	// border style general
	$wp_customize->add_setting( 'royal_pPage_post[bd_style_gen]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPage_post[bd_style_gen]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 156
	) );

	// border color general
	$wp_customize->add_setting( 'royal_pPage_post[bd_col_gen]', array(
	    'default' 	=> '#e5e5e5',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPage_post[bd_col_gen]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 157
		)
	) );

	// border top size
	$wp_customize->add_setting( 'royal_pPage_post[bd_size_tp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_post[bd_size_tp]', array(
			'label'    => esc_html__( 'Top Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 158
		)
	) );

	// border top style
	$wp_customize->add_setting( 'royal_pPage_post[bd_style_tp]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPage_post[bd_style_tp]', array(
		'label'    => esc_html__( 'Top Style', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 159
	) );

	// border top color
	$wp_customize->add_setting( 'royal_pPage_post[bd_col_tp]', array(
	    'default' 	=> '#e5e5e5',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPage_post[bd_col_tp]', array(
			'label'    => esc_html__( 'Top Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 160
		)
	) );

	// border right size
	$wp_customize->add_setting( 'royal_pPage_post[bd_size_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_post[bd_size_rt]', array(
			'label'    => esc_html__( 'Right Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 161
		)
	) );

	// border right style
	$wp_customize->add_setting( 'royal_pPage_post[bd_style_rt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPage_post[bd_style_rt]', array(
		'label'    => esc_html__( 'Right Style', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 162
	) );

	// border right color
	$wp_customize->add_setting( 'royal_pPage_post[bd_col_rt]', array(
	    'default' 	=> '#e5e5e5',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPage_post[bd_col_rt]', array(
			'label'    => esc_html__( 'Right Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 163
		)
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_pPage_post[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_post[bd_size_bt]', array(
			'label'    => esc_html__( 'Bottom Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 164
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_pPage_post[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPage_post[bd_style_bt]', array(
		'label'    => esc_html__( 'Bottom Style', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 165
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_pPage_post[bd_col_bt]', array(
	    'default' 	=> '#e5e5e5',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPage_post[bd_col_bt]', array(
			'label'    => esc_html__( 'Bottom Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 166
		)
	) );

	// border left size
	$wp_customize->add_setting( 'royal_pPage_post[bd_size_lt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_post[bd_size_lt]', array(
			'label'    => esc_html__( 'Left Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 167
		)
	) );

	// border left style
	$wp_customize->add_setting( 'royal_pPage_post[bd_style_lt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPage_post[bd_style_lt]', array(
		'label'    => esc_html__( 'Left Style', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 168
	) );

	// border left color
	$wp_customize->add_setting( 'royal_pPage_post[bd_col_lt]', array(
	    'default' 	=> '#e5e5e5',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPage_post[bd_col_lt]', array(
			'label'    => esc_html__( 'Left Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 169
		)
	) );

	// border advanced button
	$wp_customize->add_setting( 'royal_pPage_post[bd_ad]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPage_post[bd_ad]', array(
		'label'    => '',
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 171
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_pPage_post[radius_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPage_post[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 172
	) );

	// border radius
	$wp_customize->add_setting( 'royal_pPage_post[radius]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_post[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 173
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_pPage_post[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPage_post[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 175
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_pPage_post[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_post[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 176
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_pPage_post[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_post[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 177
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_pPage_post[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_post[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 178
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_pPage_post[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_post[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 179
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_pPage_post[shad_col]', array(
	    'default' 	=> '#cecece',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPage_post[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 180
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_pPage_post[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPage_post[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 181
		)
	) );

	// box shadow inset
	$wp_customize->add_setting( 'royal_pPage_post[shad_in]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPage_post[shad_in]', array(
		'label'    => esc_html__( 'Inner', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 182
	) );


/* ----------------- Post Font Options ----------------- */

	// text font family
	$wp_customize->add_setting( 'royal_pPage_post[font_family]', array(
	    'default' 	=> 'Arial',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control(
		new Royal_Google_Fonts_Control( $wp_customize, 'royal_pPage_post[font_family]', array(
			'label'    => esc_html__( 'Family', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 200
		)
	) );



// portfolio post media block label
	$wp_customize->add_setting( 'royal_pPost_media[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_pPost_media[label]', array(
			'label'    => esc_html__( 'Media', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 250
		)
	) );

/* ----------------- Media General Options ----------------- */

	// Hover link
	$wp_customize->add_setting( 'royal_pPost_media[hover_link]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_media[hover_link]', array(
		'label'    => esc_html__( 'Force Media Hover', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'radio',
		'choices'  => array(
			'none' => esc_html__( 'Do Nothing', 'hyperx' ),
			'permalink' => esc_html__( 'Link to the Single Page', 'hyperx' ),
			'lightbox'  => esc_html__( 'Open Lightbox Popup', 'hyperx' ),
		),
		'priority' => 255
	) );
	
	// info hovers select
	$wp_customize->add_setting( 'royal_pPost_media[info_hovers_select]', array(
	    'default' 	=> 'grow',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_media[info_hovers_select]', array(
		'label'    => esc_html__( 'Info Hovers', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'fade' 		=> esc_html__( 'Fade', 'hyperx' ),
			'grow' 		=> esc_html__( 'Grow', 'hyperx' ),
			'slide' 	=> esc_html__( 'Slide', 'hyperx' ),
			'skew'		=> esc_html__( 'Skew', 'hyperx' ),
			'sk-full'	=> esc_html__( 'Skew Full', 'hyperx' ),
			'skfull-fd'	=> esc_html__( 'Skew Full Fade', 'hyperx' ),
			'random'	=> esc_html__( '- Random -', 'hyperx' )
		),
		'priority' => 260 
	) ); 

	// hover fade
	$wp_customize->add_setting( 'royal_pPost_media[hover_fade]', array(
	    'default' 	=> 'fade-out',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_pPost_media[hover_fade]', array(
		'label'    => '',
		'section'  => 'folio_page',
		'type'     => 'radio',
		'choices'  => array(
			'fade' 		=> esc_html__( 'Fade In', 'hyperx' ),
			'fade-out' 	=> esc_html__( 'Fade Out', 'hyperx' )
		),
		'priority' => 265
	) );

	// hover grow
	$wp_customize->add_setting( 'royal_pPost_media[hover_grow]', array(
	    'default' 	=> 'center-grow',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_pPost_media[hover_grow]', array(
		'label'    => '',
		'section'  => 'folio_page',
		'type'     => 'radio',
		'choices'  => array(
			'center-grow' 		=> esc_html__( 'Center', 'hyperx' ),
			'center-grow-full' 	=> esc_html__( 'Center Full', 'hyperx' ),
			'top-left-grow' 	=> esc_html__( 'Top Left', 'hyperx' ),
			'top-right-grow' 	=> esc_html__( 'Top Right', 'hyperx' ),
			'bottom-left-grow' 	=> esc_html__( 'Bottom Left', 'hyperx' ),
			'bottom-right-grow' => esc_html__( 'Bottom Right', 'hyperx' )
		),
		'priority' => 267
	) );

	// hover slide
	$wp_customize->add_setting( 'royal_pPost_media[hover_slide]', array(
	    'default' 	=> 'top-slide',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_pPost_media[hover_slide]', array(
		'label'    => '',
		'section'  => 'folio_page',
		'type'     => 'radio',
		'choices'  => array(
			'top-slide' 	=> esc_html__( 'Top', 'hyperx' ),
			'bottom-slide' 	=> esc_html__( 'Bottom', 'hyperx' ),
			'left-slide' 	=> esc_html__( 'Left', 'hyperx' ),
			'right-slide' 	=> esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 269
	) );

	// hover skew
	$wp_customize->add_setting( 'royal_pPost_media[hover_skew]', array(
	    'default' 	=> 'skew-bottom',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_pPost_media[hover_skew]', array(
		'label'    => '',
		'section'  => 'folio_page',
		'type'     => 'radio',
		'choices'  => array(
			'skew-top' 		=> esc_html__( 'Top', 'hyperx' ),
			'skew-bottom' 	=> esc_html__( 'Bottom', 'hyperx' ),
			'skew-left' 	=> esc_html__( 'Left', 'hyperx' ),
			'skew-right' 	=> esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 271
	) );

	// hover skew full
	$wp_customize->add_setting( 'royal_pPost_media[hover_skew_full]', array(
	    'default' 	=> 'skew-full-top',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_pPost_media[hover_skew_full]', array(
		'label'    => '',
		'section'  => 'folio_page',
		'type'     => 'radio',
		'choices'  => array(
			'skew-full-top' 	=> esc_html__( 'Top', 'hyperx' ),
			'skew-full-bottom' 	=> esc_html__( 'Bottom', 'hyperx' ),
			'skew-full-left' 	=> esc_html__( 'Left', 'hyperx' ),
			'skew-full-right' 	=> esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 273
	) );

	// hover skew full fade
	$wp_customize->add_setting( 'royal_pPost_media[hover_skew_full_fade]', array(
	    'default' 	=> 'skew-full-fade-top',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_pPost_media[hover_skew_full_fade]', array(
		'label'    => '',
		'section'  => 'folio_page',
		'type'     => 'radio',
		'choices'  => array(
			'skew-full-fade-top' 	=> esc_html__( 'Top', 'hyperx' ),
			'skew-full-fade-bottom' => esc_html__( 'Bottom', 'hyperx' ),
			'skew-full-fade-left' 	=> esc_html__( 'Left', 'hyperx' ),
			'skew-full-fade-right' 	=> esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 275
	) );

	// info hover transition
	$wp_customize->add_setting( 'royal_pPost_media[info_hover_trans]', array(
	    'default' 	=> '500',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_media[info_hover_trans]', array(
		'label'    => esc_html__( 'Info Hover Transition', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'0' 	=> esc_html__( 'None', 'hyperx' ),
			'50' 	=> '50 ms',
			'100' 	=> '100 ms',
			'150' 	=> '150 ms',
			'200' 	=> '200 ms',
			'250' 	=> '250 ms',
			'300' 	=> '300 ms',
			'350' 	=> '350 ms',
			'400' 	=> '400 ms',
			'500' 	=> '500 ms',
			'600' 	=> '600 ms',
			'700' 	=> '700 ms',
			'800' 	=> '800 ms',
			'900' 	=> '900 ms',
			'1000' 	=> '1000 ms'
		),
		'priority' => 315
	) );

	// center content
	$wp_customize->add_setting( 'royal_pPost_media[center_content]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_media[center_content]', array(
		'label'    => esc_html__( 'Center Content Vertically', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 316
	) );


/* ----------------- Media Spacing Options ----------------- */

	// padding general
	$wp_customize->add_setting( 'royal_pPost_media[padding_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_media[padding_gen]', array(
			'label'    => esc_html__( 'Media Padding', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 325
		)
	) );

	// padding top
	$wp_customize->add_setting( 'royal_pPost_media[padding_tp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_media[padding_tp]', array(
			'label'    => esc_html__( 'Media Padding Top', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 326
		)
	) );

	// padding right
	$wp_customize->add_setting( 'royal_pPost_media[padding_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_media[padding_rt]', array(
			'label'    => esc_html__( 'Media Padding Right', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 327
		)
	) );

	// padding bottom
	$wp_customize->add_setting( 'royal_pPost_media[padding_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_media[padding_bt]', array(
			'label'    => esc_html__( 'Media Padding Bottom', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 328
		)
	) );

	// padding left
	$wp_customize->add_setting( 'royal_pPost_media[padding_lt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_media[padding_lt]', array(
			'label'    => esc_html__( 'Media Padding Left', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 329
		)
	) );

	// padding advanced button
	$wp_customize->add_setting( 'royal_pPost_media[padding_ad]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_media[padding_ad]', array(
		'label'    => '',
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 330
	) );

	// info hover padding general
	$wp_customize->add_setting( 'royal_pPost_media[info_padding_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_media[info_padding_gen]', array(
			'label'    => esc_html__( 'Info Hover Padding', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 332
		)
	) );

	// info hover padding top
	$wp_customize->add_setting( 'royal_pPost_media[info_padding_tp]', array(
	    'default' 	=> 28,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_media[info_padding_tp]', array(
			'label'    => esc_html__( 'Info Hover Padd Top', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 333
		)
	) );

	// info hover padding right
	$wp_customize->add_setting( 'royal_pPost_media[info_padding_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_media[info_padding_rt]', array(
			'label'    => esc_html__( 'Info Hover Padd Right', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 334
		)
	) );

	// info hover padding bottom
	$wp_customize->add_setting( 'royal_pPost_media[info_padding_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_media[info_padding_bt]', array(
			'label'    => esc_html__( 'Info Hover Padd Bottom', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 335
		)
	) );

	// info hover padding left
	$wp_customize->add_setting( 'royal_pPost_media[info_padding_lt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_media[info_padding_lt]', array(
			'label'    => esc_html__( 'Info Hover Padd Left', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 336
		)
	) );

	// info hover padding advanced button
	$wp_customize->add_setting( 'royal_pPost_media[info_padding_ad]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_media[info_padding_ad]', array(
		'label'    => '',
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 337
	) );


/* ----------------- Media Styling Optis----------------- */

	// Background
	$wp_customize->add_setting( 'royal_pPost_media[background]', array(
	    'default' 	=> 'color',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_media[background]', array(
		'label'    => esc_html__( 'Info Hover', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'color' 	=> esc_html__( 'Color', 'hyperx' ),
			'gradient' 	=> esc_html__( 'Gradient', 'hyperx' ),
			'image' 	=> esc_html__( 'Image', 'hyperx' )
		),
		'priority' => 339
	) );

	// background color
	$wp_customize->add_setting( 'royal_pPost_media[bg_color]', array(
	    'default' 	=> '#e5ae47',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_media[bg_color]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 340
		)
	) );

	// background color transparency
	$wp_customize->add_setting( 'royal_pPost_media[bg_color_tr]', array(
	    'default' 	=> 0.9,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_media[bg_color_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 341
		)
	) );

	// background gradient angle
	$wp_customize->add_setting( 'royal_pPost_media[bg_grad_angle]', array(
	    'default' 	=> 180,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_media[bg_grad_angle]', array(
			'label'    => esc_html__( 'Angle', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 342
		)
	) );

	// background gradient color 1
	$wp_customize->add_setting( 'royal_pPost_media[bg_grad_col_1]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_media[bg_grad_col_1]', array(
			'label'    => esc_html__( 'Start Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 343
		)
	) );

	// background gradient color 1 transparency
	$wp_customize->add_setting( 'royal_pPost_media[bg_grad_col_1_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_media[bg_grad_col_1_tr]', array(
			'label'    => esc_html__( 'Start Color Transparency', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 344
		)
	) );

	// background gradient color 1 position
	$wp_customize->add_setting( 'royal_pPost_media[bg_grad_col_1_ps]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_media[bg_grad_col_1_ps]', array(
			'label'    => esc_html__( 'Start Color Position', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 345
		)
	) );

	// background gradient color 2
	$wp_customize->add_setting( 'royal_pPost_media[bg_grad_col_2]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_media[bg_grad_col_2]', array(
			'label'    => esc_html__( 'End Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 346
		)
	) );

	// background gradient color 2 transparency
	$wp_customize->add_setting( 'royal_pPost_media[bg_grad_col_2_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_media[bg_grad_col_2_tr]', array(
			'label'    => esc_html__( 'End Color Transparency', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 347
		)
	) );

	// background gradient color 2 position
	$wp_customize->add_setting( 'royal_pPost_media[bg_grad_col_2_ps]', array(
	    'default' 	=> 100,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_media[bg_grad_col_2_ps]', array(
			'label'    => esc_html__( 'End Color Position', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 348
		)
	) );

	// background image upload
	$wp_customize->add_setting( 'royal_pPost_media[bg_img]', array(
	    'default' 	=> '',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'esc_url_raw'
	) );

	$wp_customize->add_control(
		new WP_Customize_Image_Control( $wp_customize, 'royal_pPost_media[bg_img]', array(
			'label'    => esc_html__( 'Upload', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 349
		)
	) );

	// background image size
	$wp_customize->add_setting( 'royal_pPost_media[bg_img_sz]', array(
	    'default' 	=> 'pattern',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_pPost_media[bg_img_sz]', array(
		'label'    => esc_html__( 'Size', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'radio',
		'choices'  => array(
			'pattern' 	=> esc_html__( 'Pattern', 'hyperx' ),
			'cover' 	=> esc_html__( 'Cover', 'hyperx' )
		),
		'priority' => 350
	) );

	// background image attachment
	$wp_customize->add_setting( 'royal_pPost_media[bg_img_att]', array(
	    'default' 	=> 'scroll',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_pPost_media[bg_img_att]', array(
		'label'    => esc_html__( 'Attachment', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'radio',
		'choices'  => array(
			'scroll' 	=> esc_html__( 'Scroll', 'hyperx' ),
			'fixed' 	=> esc_html__( 'Fixed', 'hyperx' )
		),
		'priority' => 351
	) );

	// border label
	$wp_customize->add_setting( 'royal_pPost_media[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_media[border_label]', array(
		'label'    => esc_html__( 'Border', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 354
	) );

	// border size general
	$wp_customize->add_setting( 'royal_pPost_media[bd_size_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_media[bd_size_gen]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 355
		)
	) );

	// border style general
	$wp_customize->add_setting( 'royal_pPost_media[bd_style_gen]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_media[bd_style_gen]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 356
	) );

	// border color general
	$wp_customize->add_setting( 'royal_pPost_media[bd_col_gen]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_media[bd_col_gen]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 357
		)
	) );

	// border top size
	$wp_customize->add_setting( 'royal_pPost_media[bd_size_tp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_media[bd_size_tp]', array(
			'label'    => esc_html__( 'Top Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 358
		)
	) );

	// border top style
	$wp_customize->add_setting( 'royal_pPost_media[bd_style_tp]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_media[bd_style_tp]', array(
		'label'    => esc_html__( 'Top Style', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 359
	) );

	// border top color
	$wp_customize->add_setting( 'royal_pPost_media[bd_col_tp]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_media[bd_col_tp]', array(
			'label'    => esc_html__( 'Top Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 360
		)
	) );

	// border right size
	$wp_customize->add_setting( 'royal_pPost_media[bd_size_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_media[bd_size_rt]', array(
			'label'    => esc_html__( 'Right Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 361
		)
	) );

	// border right style
	$wp_customize->add_setting( 'royal_pPost_media[bd_style_rt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_media[bd_style_rt]', array(
		'label'    => esc_html__( 'Right Style', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 362
	) );

	// border right color
	$wp_customize->add_setting( 'royal_pPost_media[bd_col_rt]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_media[bd_col_rt]', array(
			'label'    => esc_html__( 'Right Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 363
		)
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_pPost_media[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_media[bd_size_bt]', array(
			'label'    => esc_html__( 'Bottom Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 364
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_pPost_media[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_media[bd_style_bt]', array(
		'label'    => esc_html__( 'Bottom Style', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 365
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_pPost_media[bd_col_bt]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_media[bd_col_bt]', array(
			'label'    => esc_html__( 'Bottom Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 366
		)
	) );

	// border left size
	$wp_customize->add_setting( 'royal_pPost_media[bd_size_lt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_media[bd_size_lt]', array(
			'label'    => esc_html__( 'Left Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 367
		)
	) );

	// border left style
	$wp_customize->add_setting( 'royal_pPost_media[bd_style_lt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_media[bd_style_lt]', array(
		'label'    => esc_html__( 'Left Style', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 368
	) );

	// border left color
	$wp_customize->add_setting( 'royal_pPost_media[bd_col_lt]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_media[bd_col_lt]', array(
			'label'    => esc_html__( 'Left Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 369
		)
	) );

	// border advanced button
	$wp_customize->add_setting( 'royal_pPost_media[bd_ad]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_media[bd_ad]', array(
		'label'    => '',
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 371
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_pPost_media[radius_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_media[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 372
	) );

	// border radius
	$wp_customize->add_setting( 'royal_pPost_media[radius]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_media[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 373
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_pPost_media[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_media[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 375
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_pPost_media[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_media[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 376
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_pPost_media[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_media[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 377
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_pPost_media[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_media[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 378
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_pPost_media[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_media[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 379
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_pPost_media[shad_col]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_media[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 380
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_pPost_media[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_media[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 381
		)
	) );



// portfolio post title label
	$wp_customize->add_setting( 'royal_pPost_title[label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_title[label]', array(
		'label'    => esc_html__( 'Title', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 400
	) );

/* ----------------- Title General Options ----------------- */

	// position
	$wp_customize->add_setting( 'royal_pPost_title[position]', array(
	    'default' 	=> 'hover',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_title[position]', array(
		'label'    => esc_html__( 'Position', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'above' => esc_html__( 'Above Media', 'hyperx' ),
			'below' => esc_html__( 'Below Media', 'hyperx' ),
			'hover' => esc_html__( 'Info Hover', 'hyperx' )
		),
		'priority' => 405
	) );


	// align
	$wp_customize->add_setting( 'royal_pPost_title[align]', array(
	    'default' 	=> 'center',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_title[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 410
	) );


/* ----------------- Title Spacing Options ----------------- */

	// padding bottom
	$wp_customize->add_setting( 'royal_pPost_title[padding_bt]', array(
	    'default' 	=> 3,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_title[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 420
		)
	) );

	// margin bottom
	$wp_customize->add_setting( 'royal_pPost_title[margin_bt]', array(
	    'default' 	=> 8,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_title[margin_bt]', array(
			'label'    => esc_html__( 'Margin Bottom', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 425
		)
	) );


/* ----------------- Title Styling Optis----------------- */

	// color
	$wp_customize->add_setting( 'royal_pPost_title[color]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_title[color]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 430
		)
	) );

	// hover color
	$wp_customize->add_setting( 'royal_pPost_title[hcolor]', array(
	    'default' 	=> '#f4f4f4',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_title[hcolor]', array(
			'label'    => esc_html__( 'Hover Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 431
		)
	) );

	// border label
	$wp_customize->add_setting( 'royal_pPost_title[border_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_title[border_label]', array(
		'label'    => esc_html__( 'Border Bottom', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 449
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_pPost_title[bd_size_bt]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_title[bd_size_bt]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 450
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_pPost_title[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_title[bd_style_bt]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 451
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_pPost_title[bd_col_bt]', array(
	    'default' 	=> '#e5e5e5',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_title[bd_col_bt]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 452
		)
	) );

	// full width border
	$wp_customize->add_setting( 'royal_pPost_title[bd_full_width]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_title[bd_full_width]', array(
		'label'    => esc_html__( 'Full Width Border', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 453
	) );


/* ----------------- Title Font Options ----------------- */

	// font family
	$wp_customize->add_setting( 'royal_pPost_title[font_family]', array(
	    'default' 	=> 'Lato',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control(
		new Royal_Google_Fonts_Control( $wp_customize, 'royal_pPost_title[font_family]', array(
			'label'    => esc_html__( 'Family', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 460
		)
	) );

	// font size
	$wp_customize->add_setting( 'royal_pPost_title[font_size]', array(
	    'default' 	=> 18,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_title[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 461
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_pPost_title[line_height]', array(
	    'default' 	=> 38,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_title[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 462
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_pPost_title[letter_space]', array(
	    'default' 	=> 0.5,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_title[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 463
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_pPost_title[font_weight]', array(
	    'default' 	=> 700,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_title[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 464
		)
	) );

	// italic
	$wp_customize->add_setting( 'royal_pPost_title[italic]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_title[italic]', array(
		'label'    => esc_html__( 'Italic', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 465
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_pPost_title[uppercase]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_title[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 466
	) );



// portfolio post category label
	$wp_customize->add_setting( 'royal_pPost_cats[label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_cats[label]', array(
		'label'    => esc_html__( 'Categories', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 500
	) );

/* ----------------- Category General Options ----------------- */

	// text before categories
	$wp_customize->add_setting( 'royal_pPost_cats[before_cats]', array(
	    'default' 	=> '',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_pPost_cats[before_cats]', array(
		'label'    => esc_html__( 'Text Before Categories', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'text',
		'priority' => 504
	) );

	// separator
	$wp_customize->add_setting( 'royal_pPost_cats[separator]', array(
	    'default' 	=> ', ',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_pPost_cats[separator]', array(
		'label'    => esc_html__( 'Separator', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'text',
		'priority' => 505
	) );

	// position
	$wp_customize->add_setting( 'royal_pPost_cats[position]', array(
	    'default' 	=> 'below',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_cats[position]', array(
		'label'    => esc_html__( 'Position', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'above' => esc_html__( 'Above Media', 'hyperx' ),
			'below' => esc_html__( 'Below Media', 'hyperx' ),
			'hover' => esc_html__( 'Info Hover', 'hyperx' )
		),
		'priority' => 506
	) );

	// align
	$wp_customize->add_setting( 'royal_pPost_cats[align]', array(
	    'default' 	=> 'left',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_cats[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 510
	) );


/* ----------------- Category Spacing Options ----------------- */

	// padding bottom
	$wp_customize->add_setting( 'royal_pPost_cats[padding_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_cats[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 520
		)
	) );

	// margin bottom
	$wp_customize->add_setting( 'royal_pPost_cats[margin_bt]', array(
	    'default' 	=> 10,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_cats[margin_bt]', array(
			'label'    => esc_html__( 'Margin Bottom', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 525
		)
	) );


/* ----------------- Category Styling Optis----------------- */

	// border label
	$wp_customize->add_setting( 'royal_pPost_cats[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_cats[border_label]', array(
		'label'    => esc_html__( 'Border Bottom', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 549
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_pPost_cats[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_cats[bd_size_bt]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 550
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_pPost_cats[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_cats[bd_style_bt]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 551
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_pPost_cats[bd_col_bt]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_cats[bd_col_bt]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 552
		)
	) );

	// full width border
	$wp_customize->add_setting( 'royal_pPost_cats[bd_full_width]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_cats[bd_full_width]', array(
		'label'    => esc_html__( 'Full Width Border', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 553
	) );


/* ----------------- Category Font Options ----------------- */

	// font size
	$wp_customize->add_setting( 'royal_pPost_cats[font_size]', array(
	    'default' 	=> 14,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_cats[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 561
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_pPost_cats[line_height]', array(
	    'default' 	=> 20,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_cats[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 562
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_pPost_cats[letter_space]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_cats[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 563
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_pPost_cats[font_weight]', array(
	    'default' 	=> 500,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_cats[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 564
		)
	) );

	// italic
	$wp_customize->add_setting( 'royal_pPost_cats[italic]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_cats[italic]', array(
		'label'    => esc_html__( 'Italic', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 565
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_pPost_cats[uppercase]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_cats[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 566
	) );



// portfolio post meta label
	$wp_customize->add_setting( 'royal_pPost_meta[label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_meta[label]', array(
		'label'    => esc_html__( 'Date & Author', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 600
	) );

/* ----------------- Meta General Options ----------------- */

	// date
	$wp_customize->add_setting( 'royal_pPost_meta[date]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_meta[date]', array(
		'label'    => esc_html__( 'Display Date', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 601
	) );

	// author
	$wp_customize->add_setting( 'royal_pPost_meta[author]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_meta[author]', array(
		'label'    => esc_html__( 'Display Author', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 602
	) );

	// text before author
	$wp_customize->add_setting( 'royal_pPost_meta[before_author]', array(
	    'default' 	=> 'Posted by: ',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_pPost_meta[before_author]', array(
		'label'    => esc_html__( 'Text Before Author', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'text',
		'priority' => 603
	) );

	// separator
	$wp_customize->add_setting( 'royal_pPost_meta[separator]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_meta[separator]', array(
		'label'    => esc_html__( 'Display Separator', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 604
	) );

	// position
	$wp_customize->add_setting( 'royal_pPost_meta[position]', array(
	    'default' 	=> 'hover',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_meta[position]', array(
		'label'    => esc_html__( 'Position', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'above' => esc_html__( 'Above Media', 'hyperx' ),
			'below' => esc_html__( 'Below Media', 'hyperx' ),
			'hover' => esc_html__( 'Info Hover', 'hyperx' )
		),
		'priority' => 605
	) );

	// align
	$wp_customize->add_setting( 'royal_pPost_meta[align]', array(
	    'default' 	=> 'center',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_meta[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 610
	) );


/* ----------------- Meta Spacing Options ----------------- */

	// padding bottom
	$wp_customize->add_setting( 'royal_pPost_meta[padding_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_meta[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 620
		)
	) );

	// margin bottom
	$wp_customize->add_setting( 'royal_pPost_meta[margin_bt]', array(
	    'default' 	=> 10,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_meta[margin_bt]', array(
			'label'    => esc_html__( 'Margin Bottom', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 625
		)
	) );


/* ----------------- Meta Styling Optis----------------- */

	// border label
	$wp_customize->add_setting( 'royal_pPost_meta[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_meta[border_label]', array(
		'label'    => esc_html__( 'Border Bottom', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 649
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_pPost_meta[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_meta[bd_size_bt]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 650
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_pPost_meta[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_meta[bd_style_bt]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 651
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_pPost_meta[bd_col_bt]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_meta[bd_col_bt]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 652
		)
	) );


/* ----------------- Meta Font Options ----------------- */

	// font size
	$wp_customize->add_setting( 'royal_pPost_meta[font_size]', array(
	    'default' 	=> 15,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_meta[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 661
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_pPost_meta[line_height]', array(
	    'default' 	=> 19,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_meta[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 662
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_pPost_meta[letter_space]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_meta[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 663
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_pPost_meta[font_weight]', array(
	    'default' 	=> 400,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_meta[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 664
		)
	) );

	// italic
	$wp_customize->add_setting( 'royal_pPost_meta[italic]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_meta[italic]', array(
		'label'    => esc_html__( 'Italic', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 665
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_pPost_meta[uppercase]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_meta[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 666
	) );



// portfolio post description label
	$wp_customize->add_setting( 'royal_pPost_desc[label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_desc[label]', array(
		'label'    => esc_html__( 'Description', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 700
	) );

/* ----------------- Description General Options ----------------- */

	// display as
	$wp_customize->add_setting( 'royal_pPost_desc[display_as]', array(
	    'default' 	=> 'excerpt',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_desc[display_as]', array(
		'label'    => esc_html__( 'Display As', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'excerpt' => esc_html__( 'Post Excerpt', 'hyperx' ),
			'content_custom' => esc_html__( 'Custom Excerpt', 'hyperx' ),
			'content' => esc_html__( 'Post Content', 'hyperx' )
		),
		'priority' => 703
	) );

	// excerpt length
	$wp_customize->add_setting( 'royal_pPost_desc[excerpt_length]', array(
	    'default' 	=> '15',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control( 'royal_pPost_desc[excerpt_length]', array(
		'label'    => esc_html__( 'Excerpt Word Number', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'text',
		'priority' => 704
	) );

	// position
	$wp_customize->add_setting( 'royal_pPost_desc[position]', array(
	    'default' 	=> 'below',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_desc[position]', array(
		'label'    => esc_html__( 'Position', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'above' => esc_html__( 'Above Media', 'hyperx' ),
			'below' => esc_html__( 'Below Media', 'hyperx' ),
			'hover' => esc_html__( 'Info Hover', 'hyperx' )
		),
		'priority' => 705
	) );

	// align
	$wp_customize->add_setting( 'royal_pPost_desc[align]', array(
	    'default' 	=> 'left',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_desc[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'left' 	  => esc_html__( 'Left', 'hyperx' ),
			'center'  => esc_html__( 'Center', 'hyperx' ),
			'justify' => esc_html__( 'Justify', 'hyperx' ),
			'right'   => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 710
	) );


/* ----------------- Description Spacing Options ----------------- */

	// padding bottom
	$wp_customize->add_setting( 'royal_pPost_desc[padding_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_desc[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 720
		)
	) );

	// margin bottom
	$wp_customize->add_setting( 'royal_pPost_desc[margin_bt]', array(
	    'default' 	=> 15,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_desc[margin_bt]', array(
			'label'    => esc_html__( 'Margin Bottom', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 725
		)
	) );


/* ----------------- Description Styling Optis----------------- */

	// border label
	$wp_customize->add_setting( 'royal_pPost_desc[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_desc[border_label]', array(
		'label'    => esc_html__( 'Border Bottom', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 749
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_pPost_desc[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_desc[bd_size_bt]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 750
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_pPost_desc[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_desc[bd_style_bt]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 751
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_pPost_desc[bd_col_bt]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_desc[bd_col_bt]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 752
		)
	) );


/* ----------------- Description Font Options ----------------- */

	// font size
	$wp_customize->add_setting( 'royal_pPost_desc[font_size]', array(
	    'default' 	=> 15,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_desc[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 761
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_pPost_desc[line_height]', array(
	    'default' 	=> 25,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_desc[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 762
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_pPost_desc[letter_space]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_desc[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 763
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_pPost_desc[font_weight]', array(
	    'default' 	=> 400,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_desc[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 764
		)
	) );

	// italic
	$wp_customize->add_setting( 'royal_pPost_desc[italic]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_desc[italic]', array(
		'label'    => esc_html__( 'Italic', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 765
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_pPost_desc[uppercase]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_desc[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 766
	) );



// portfolio post likes comments & sharing label
	$wp_customize->add_setting( 'royal_pPost_likes[label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_likes[label]', array(
		'label'    => esc_html__( 'Likes, Comments & Share', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 800
	) );

/* ----------------- Likes Comments & Sharing General Options ----------------- */

	// likes
	$wp_customize->add_setting( 'royal_pPost_likes[likes_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_likes[likes_label]', array(
		'label'    => esc_html__( 'Display Likes', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 801
	) );

	// likes icon select
	$wp_customize->add_setting( 'royal_pPost_likes[likes_icon]', array(
	    'default' 	=> 'heart-o',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_likes[likes_icon]', array(
		'label'    => esc_html__( 'Select Likes Icon', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'heart-o' 		=> '&#xf08a;',
			'heart' 		=> '&#xf004;',
			'thumbs-o-up' 	=> '&#xf087;',
			'thumbs-up' 	=> '&#xf164;',
			'star-o' 		=> '&#xf006;',
			'star' 			=> '&#xf005;',
			'smile-o' 		=> '&#xf118;',
			'plus' 			=> '&#xf067;',
			'rocket' 		=> '&#xf135;'
		),
		'priority' => 802
	) ); 

	// comments
	$wp_customize->add_setting( 'royal_pPost_likes[comments_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_likes[comments_label]', array(
		'label'    => esc_html__( 'Display Comments', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 803
	) );

	// comments icon select
	$wp_customize->add_setting( 'royal_pPost_likes[comments_icon]', array(
	    'default' 	=> 'comment-o',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_likes[comments_icon]', array(
		'label'    => esc_html__( 'Select Comment Icon', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'comment-o' 	=> '&#xf0e5;',
			'comment' 		=> '&#xf075;',
			'comments-o'	=> '&#xf0e6;',
			'comments' 		=> '&#xf086;'
		),
		'priority' => 804
	) ); 

	// share
	$wp_customize->add_setting( 'royal_pPost_likes[sharing_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_likes[sharing_label]', array(
		'label'    => esc_html__( 'Display Sharing', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 805
	) );

	// share facebook
	$wp_customize->add_setting( 'royal_pPost_likes[share_face]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_likes[share_face]', array(
		'label'    => 'Facebook',
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 807
	) );

	// share twitter
	$wp_customize->add_setting( 'royal_pPost_likes[share_twit]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_likes[share_twit]', array(
		'label'    => 'Twitter',
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 808
	) );

	// share google plus
	$wp_customize->add_setting( 'royal_pPost_likes[share_gplus]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_likes[share_gplus]', array(
		'label'    => 'Google Plus',
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 809
	) );

	// share linkedin
	$wp_customize->add_setting( 'royal_pPost_likes[share_linkin]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_likes[share_linkin]', array(
		'label'    => 'Linkedin',
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 810
	) );

	// share pinterest
	$wp_customize->add_setting( 'royal_pPost_likes[share_pint]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_likes[share_pint]', array(
		'label'    => 'Pinterest',
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 811
	) );

	// share tumblr
	$wp_customize->add_setting( 'royal_pPost_likes[share_tumblr]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_likes[share_tumblr]', array(
		'label'    => 'Tumblr',
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 812
	) );

	// share reddit
	$wp_customize->add_setting( 'royal_pPost_likes[share_reddit]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_likes[share_reddit]', array(
		'label'    => 'Reddit',
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 813
	) );

	// sharing open
	$wp_customize->add_setting( 'royal_pPost_likes[open_on]', array(
	    'default' 	=> 'hover',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_pPost_likes[open_on]', array(
		'label'    => esc_html__( 'Show icons on', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'radio',
		'choices'  => array(
			'hover' 	=> 'Hover',
			'click' 	=> 'Click',
			'onload'	=> 'Show by default'
		),
		'priority' => 814
	) ); 

	// separator
	$wp_customize->add_setting( 'royal_pPost_likes[icon_separator]', array(
	    'default' 	=> ' | ',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_pPost_likes[icon_separator]', array(
		'label'    => esc_html__( 'Icon Separator', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'text',
		'priority' => 815
	) );

	// position
	$wp_customize->add_setting( 'royal_pPost_likes[position]', array(
	    'default' 	=> 'below',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_likes[position]', array(
		'label'    => esc_html__( 'Position', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'above' => esc_html__( 'Above Media', 'hyperx' ),
			'below' => esc_html__( 'Below Media', 'hyperx' ),
			'hover' => esc_html__( 'Info Hover', 'hyperx' )
		),
		'priority' => 825
	) );

	// align
	$wp_customize->add_setting( 'royal_pPost_likes[align]', array(
	    'default' 	=> 'left',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_likes[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'left' 	  => esc_html__( 'Left', 'hyperx' ),
			'center'  => esc_html__( 'Center', 'hyperx' ),
			'right'   => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 830
	) );


/* ----------------- Likes Comments & Sharing Spacing Options ----------------- */

	// background size
	$wp_customize->add_setting( 'royal_pPost_likes[bg_size]', array(
	    'default' 	=> 30,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_likes[bg_size]', array(
			'label'    => esc_html__( 'Background Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 835
		)
	) );


/* ----------------- Likes Comments & Sharing Styling Options ----------------- */

	// background color
	$wp_customize->add_setting( 'royal_pPost_likes[bg_col]', array(
	    'default' 	=> '#f7f7f7',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_likes[bg_col]', array(
			'label'    => esc_html__( 'Background Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 837
		)
	) );

	// background color
	$wp_customize->add_setting( 'royal_pPost_likes[bg_hcol]', array(
	    'default' 	=> '#f7f7f7',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_likes[bg_hcol]', array(
			'label'    => esc_html__( 'Hover Background Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 837
		)
	) );


/* ----------------- Likes Comments & Sharing Font Options ----------------- */

	// font size
	$wp_customize->add_setting( 'royal_pPost_likes[font_size]', array(
	    'default' 	=> 14,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_likes[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 841
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_pPost_likes[line_height]', array(
	    'default' 	=> 17,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_likes[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 842
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_pPost_likes[letter_space]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_likes[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 843
		)
	) );



// portfolio post more info label
	$wp_customize->add_setting( 'royal_pPost_more[label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_more[label]', array(
		'label'    => esc_html__( 'More Info', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 900
	) );

/* ----------------- More Info General Options ----------------- */

	// show in lightbox
	$wp_customize->add_setting( 'royal_pPost_more[show_lightbox]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_more[show_lightbox]', array(
		'label'    => esc_html__( 'Show In LightBox', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 905
	) );

	// display
	$wp_customize->add_setting( 'royal_pPost_more[display]', array(
	    'default' 	=> 'inline',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_more[display]', array(
		'label'    => esc_html__( 'Display', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'inline' 	=> esc_html__( 'Inline', 'hyperx' ),
			'separate' 	=> esc_html__( 'On Separate Line', 'hyperx' )
		),
		'priority' => 910
	) );

	// item width
	$wp_customize->add_setting( 'royal_pPost_more[separate]', array(
	    'default' 	=> 'block',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_pPost_more[separate]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'radio',
		'choices'  => array(
			'block' 		=> esc_html__( 'Full Width', 'hyperx' ),
			'inline-block' 	=> esc_html__( 'Button', 'hyperx' )
		),
		'priority' => 911
	) );

	// align
	$wp_customize->add_setting( 'royal_pPost_more[align]', array(
	    'default' 	=> 'left',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_more[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 920
	) );

	// position
	$wp_customize->add_setting( 'royal_pPost_more[position]', array(
	    'default' 	=> 'below',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_more[position]', array(
		'label'    => esc_html__( 'Position', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'above' => esc_html__( 'Above Media', 'hyperx' ),
			'below' => esc_html__( 'Below Media', 'hyperx' ),
			'hover' => esc_html__( 'Info Hover', 'hyperx' )
		),
		'priority' => 930
	) );

	// more info type
	$wp_customize->add_setting( 'royal_pPost_more[info_type]', array(
	    'default' 	=> 'read-more',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_more[info_type]', array(
		'label'    => esc_html__( 'More Info Type', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'read-more' 	=> esc_html__( 'Read More', 'hyperx' ),
			'project-link' 	=> esc_html__( 'Project Link', 'hyperx' )
		),
		'priority' => 932
	) );

	// text
	$wp_customize->add_setting( 'royal_pPost_more[text]', array(
	    'default' 	=> 'Read More ',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_pPost_more[text]', array(
		'label'    => esc_html__( 'Read More Text', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'text',
		'priority' => 933
	) );

	// project link text
	$wp_customize->add_setting( 'royal_pPost_more[project_text]', array(
	    'default' 	=> 'Lounch Project',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_pPost_more[project_text]', array(
		'label'    => esc_html__( 'Project Link Text', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'text',
		'priority' => 938
	) );
	
	// FontAwesome icon select
	$wp_customize->add_setting( 'royal_pPost_more[icon]', array(
	    'default' 	=> 'none',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_more[icon]', array(
		'label'    => esc_html__( 'Select Icon', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'none'					=> '&#xf05e;',
			'angle-double-right' 	=> '&#xf101;',
			'angle-right' 			=> '&#xf105;',
			'chevron-right' 		=> '&#xf054;',
			'arrow-right' 			=> '&#xf061;',
			'long-arrow-right' 		=> '&#xf178;',
			'arrow-circle-right' 	=> '&#xf0a9;',
			'chevron-circle-right'	=> '&#xf138;',
			'arrow-circle-o-right' 	=> '&#xf18e;',
			'hand-o-right' 			=> '&#xf0a4;',
			'share' 				=> '&#xf064;',
			'link' 					=> '&#xf0c1;',
			'external-link' 		=> '&#xf08e;',
			'external-link-square' 	=> '&#xf14c;',
			'plus' 					=> '&#xf067;',
			'plus-square-o' 		=> '&#xf196;',
			'eye' 					=> '&#xf06e;',
			'lightbulb-o' 			=> '&#xf0eb;',
			'paper-plane' 			=> '&#xf1d8;',
			'location-arrow' 		=> '&#xf124;'
		),
		'priority' => 935
	) );


/* ----------------- More Info Spacing Options ----------------- */

	// padding general
	$wp_customize->add_setting( 'royal_pPost_more[padding_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_more[padding_gen]', array(
			'label'    => esc_html__( 'Padding', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 950
		)
	) );

	// padding top
	$wp_customize->add_setting( 'royal_pPost_more[padding_tp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_more[padding_tp]', array(
			'label'    => esc_html__( 'Padding Top', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 951
		)
	) );

	// padding right
	$wp_customize->add_setting( 'royal_pPost_more[padding_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_more[padding_rt]', array(
			'label'    => esc_html__( 'Padding Right', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 952
		)
	) );

	// padding bottom
	$wp_customize->add_setting( 'royal_pPost_more[padding_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_more[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 953
		)
	) );

	// padding left
	$wp_customize->add_setting( 'royal_pPost_more[padding_lt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_more[padding_lt]', array(
			'label'    => esc_html__( 'Padding Left', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 954
		)
	) );

	// padding advanced button
	$wp_customize->add_setting( 'royal_pPost_more[padding_ad]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_more[padding_ad]', array(
		'label'    => '',
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 955
	) );


/* ----------------- More Info Styling Optis----------------- */

	// static colors label
	$wp_customize->add_setting( 'royal_pPost_more[static_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_pPost_more[static_colors_label]', array(
			'label'    => esc_html__( 'Static Colors', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 999
		)
	) );

	// background color
	$wp_customize->add_setting( 'royal_pPost_more[bg_col]', array(
	    'default' 	=> '#f7f7f7',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_more[bg_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1000
		)
	) );

	// background color transparency
	$wp_customize->add_setting( 'royal_pPost_more[bg_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_more[bg_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1002
		)
	) );

	// text color
	$wp_customize->add_setting( 'royal_pPost_more[txt_col]', array(
	    'default' 	=> '#e5ae47',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_more[txt_col]', array(
			'label'    => esc_html__( 'Text Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1003
		)
	) );

	// hover colors label
	$wp_customize->add_setting( 'royal_pPost_more[hover_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_pPost_more[hover_colors_label]', array(
			'label'    => esc_html__( 'Hover Colors', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1004
		)
	) );

	// hover background color
	$wp_customize->add_setting( 'royal_pPost_more[bg_hcol]', array(
	    'default' 	=> '#f7f7f7',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_more[bg_hcol]', array(
			'label'    => esc_html__( 'Hover Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1009
		)
	) );

	// hover background color transparency
	$wp_customize->add_setting( 'royal_pPost_more[bg_hcol_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_more[bg_hcol_tr]', array(
			'label'    => esc_html__( 'Hover Transparency', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1100
		)
	) );

	// hover text color
	$wp_customize->add_setting( 'royal_pPost_more[txt_hcol]', array(
	    'default' 	=> '#333333',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_more[txt_hcol]', array(
			'label'    => esc_html__( 'Hover Text Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1101
		)
	) );

	// hover border color
	$wp_customize->add_setting( 'royal_pPost_more[bd_hcol]', array(
	    'default' 	=> '#333333',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_more[bd_hcol]', array(
			'label'    => esc_html__( 'Hover Border Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1103
		)
	) );

	// border label
	$wp_customize->add_setting( 'royal_pPost_more[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_more[border_label]', array(
		'label'    => esc_html__( 'Border', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 1200
	) );

	// border size general
	$wp_customize->add_setting( 'royal_pPost_more[bd_size_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_more[bd_size_gen]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1201
		)
	) );

	// border style general
	$wp_customize->add_setting( 'royal_pPost_more[bd_style_gen]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_more[bd_style_gen]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 1202
	) );

	// border color general
	$wp_customize->add_setting( 'royal_pPost_more[bd_col_gen]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_more[bd_col_gen]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1203
		)
	) );

	// border top size
	$wp_customize->add_setting( 'royal_pPost_more[bd_size_tp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_more[bd_size_tp]', array(
			'label'    => esc_html__( 'Top Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1204
		)
	) );

	// border top style
	$wp_customize->add_setting( 'royal_pPost_more[bd_style_tp]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_more[bd_style_tp]', array(
		'label'    => esc_html__( 'Top Style', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 1205
	) );

	// border top color
	$wp_customize->add_setting( 'royal_pPost_more[bd_col_tp]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_more[bd_col_tp]', array(
			'label'    => esc_html__( 'Top Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1206
		)
	) );

	// border right size
	$wp_customize->add_setting( 'royal_pPost_more[bd_size_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_more[bd_size_rt]', array(
			'label'    => esc_html__( 'Right Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1207
		)
	) );

	// border right style
	$wp_customize->add_setting( 'royal_pPost_more[bd_style_rt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_more[bd_style_rt]', array(
		'label'    => esc_html__( 'Right Style', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 1208
	) );

	// border right color
	$wp_customize->add_setting( 'royal_pPost_more[bd_col_rt]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_more[bd_col_rt]', array(
			'label'    => esc_html__( 'Right Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1209
		)
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_pPost_more[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_more[bd_size_bt]', array(
			'label'    => esc_html__( 'Bottom Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1300
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_pPost_more[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_more[bd_style_bt]', array(
		'label'    => esc_html__( 'Bottom Style', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 1301
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_pPost_more[bd_col_bt]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_more[bd_col_bt]', array(
			'label'    => esc_html__( 'Bottom Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1302
		)
	) );

	// border left size
	$wp_customize->add_setting( 'royal_pPost_more[bd_size_lt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_more[bd_size_lt]', array(
			'label'    => esc_html__( 'Left Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1303
		)
	) );

	// border left style
	$wp_customize->add_setting( 'royal_pPost_more[bd_style_lt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_more[bd_style_lt]', array(
		'label'    => esc_html__( 'Left Style', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 1304
	) );

	// border left color
	$wp_customize->add_setting( 'royal_pPost_more[bd_col_lt]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_more[bd_col_lt]', array(
			'label'    => esc_html__( 'Left Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1305
		)
	) );

	// border advanced button
	$wp_customize->add_setting( 'royal_pPost_more[bd_ad]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_more[bd_ad]', array(
		'label'    => '',
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 1306
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_pPost_more[radius_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_more[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 1307
	) );

	// border radius
	$wp_customize->add_setting( 'royal_pPost_more[radius]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_more[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1308
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_pPost_more[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_more[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 1309
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_pPost_more[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_more[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1400
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_pPost_more[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_more[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1401
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_pPost_more[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_more[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1402
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_pPost_more[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_more[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1403
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_pPost_more[shad_col]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_more[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1404
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_pPost_more[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_more[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1445
		)
	) );

	// box shadow inset
	$wp_customize->add_setting( 'royal_pPost_more[shad_in]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_more[shad_in]', array(
		'label'    => esc_html__( 'Inner', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 1446
	) );


/* ----------------- More Info Font Options ----------------- */

	// font size
	$wp_customize->add_setting( 'royal_pPost_more[font_size]', array(
	    'default' 	=> 12,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_more[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1461
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_pPost_more[line_height]', array(
	    'default' 	=> 16,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_more[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1462
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_pPost_more[letter_space]', array(
	    'default' 	=> 0.4,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_more[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1463
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_pPost_more[font_weight]', array(
	    'default' 	=> 700,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_more[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1464
		)
	) );

	// italic
	$wp_customize->add_setting( 'royal_pPost_more[italic]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_more[italic]', array(
		'label'    => esc_html__( 'Italic', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 1465
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_pPost_more[uppercase]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_more[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 1466
	) );

	// underline
	$wp_customize->add_setting( 'royal_pPost_more[underline]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_more[underline]', array(
		'label'    => esc_html__( 'Underline', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 1467
	) );



// portfolio post tstimonial label
	$wp_customize->add_setting( 'royal_pPost_test[label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_test[label]', array(
		'label'    => esc_html__( 'Testimonial', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 1500
	) );

/* ----------------- Testimonial General Options ----------------- */

	// position
	$wp_customize->add_setting( 'royal_pPost_test[position]', array(
	    'default' 	=> 'below',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_test[position]', array(
		'label'    => esc_html__( 'Position', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'above' => esc_html__( 'Above Media', 'hyperx' ),
			'below' => esc_html__( 'Below Media', 'hyperx' ),
			'hover' => esc_html__( 'Info Hover', 'hyperx' )
		),
		'priority' => 1505
	) );

	// align
	$wp_customize->add_setting( 'royal_pPost_test[align]', array(
	    'default' 	=> 'left',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_test[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'left' 	  => esc_html__( 'Left', 'hyperx' ),
			'center'  => esc_html__( 'Center', 'hyperx' ),
			'justify' => esc_html__( 'Justify', 'hyperx' ),
			'right'   => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 1510
	) );


/* ----------------- Testimonial Spacing Options ----------------- */

	// padding top
	$wp_customize->add_setting( 'royal_pPost_test[padding_tp]', array(
	    'default' 	=> 15,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_test[padding_tp]', array(
			'label'    => esc_html__( 'Padding Top', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1520
		)
	) );

	// margin top
	$wp_customize->add_setting( 'royal_pPost_test[margin_tp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_test[margin_tp]', array(
			'label'    => esc_html__( 'Margin Top', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1525
		)
	) );


/* ----------------- Testimonial Styling Options ----------------- */

	// border label
	$wp_customize->add_setting( 'royal_pPost_test[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_test[border_label]', array(
		'label'    => esc_html__( 'Border Top', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 1549
	) );

	// border top size
	$wp_customize->add_setting( 'royal_pPost_test[bd_size_tp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_test[bd_size_tp]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1550
		)
	) );

	// border top style
	$wp_customize->add_setting( 'royal_pPost_test[bd_style_tp]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_test[bd_style_tp]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 1551
	) );

	// border top color
	$wp_customize->add_setting( 'royal_pPost_test[bd_col_tp]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_test[bd_col_tp]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1552
		)
	) );


/* ----------------- Testimonial Font Options ----------------- */

	// font family
	$wp_customize->add_setting( 'royal_pPost_test[font_family]', array(
	    'default' 	=> 'Arial',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control(
		new Royal_Google_Fonts_Control( $wp_customize, 'royal_pPost_test[font_family]', array(
			'label'    => esc_html__( 'Family', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1560
		)
	) );
	
	// font size
	$wp_customize->add_setting( 'royal_pPost_test[font_size]', array(
	    'default' 	=> 14,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_test[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1561
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_pPost_test[line_height]', array(
	    'default' 	=> 24,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_test[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1562
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_pPost_test[letter_space]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_test[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1563
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_pPost_test[font_weight]', array(
	    'default' 	=> 400,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_test[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1564
		)
	) );

	// italic
	$wp_customize->add_setting( 'royal_pPost_test[italic]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_test[italic]', array(
		'label'    => esc_html__( 'Italic', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 1565
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_pPost_test[uppercase]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_test[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 1566
	) );



// portfolio post decorational triangle label
	$wp_customize->add_setting( 'royal_pPost_triangle[label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_triangle[label]', array(
		'label'    => esc_html__( 'Decorational Triangle', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 1600
	) );

/* ----------------- Decorational Triangle General Options ----------------- */

	// vertical position
	$wp_customize->add_setting( 'royal_pPost_triangle[vert_position]', array(
	    'default' 	=> 'bottom',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_pPost_triangle[vert_position]', array(
		'label'    => esc_html__( 'Vertical Position', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'radio',
		'choices'  => array(
			'top' 	 => esc_html__( 'Top', 'hyperx' ),
			'bottom' => esc_html__( 'Bottom', 'hyperx' )
		),
		'priority' => 1605
	) );


/* ----------------- Decorational Triangle Spacing Options ----------------- */

	// width
	$wp_customize->add_setting( 'royal_pPost_triangle[width]', array(
	    'default' 	=> 7,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_triangle[width]', array(
			'label'    => esc_html__( 'Width', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1610
		)
	) );

	// height
	$wp_customize->add_setting( 'royal_pPost_triangle[height]', array(
	    'default' 	=> 7,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_triangle[height]', array(
			'label'    => esc_html__( 'Height', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1612
		)
	) );

	// horizontal position
	$wp_customize->add_setting( 'royal_pPost_triangle[horz_position]', array(
	    'default' 	=> 12,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_triangle[horz_position]', array(
			'label'    => esc_html__( 'Horizontal Position', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1620
		)
	) );



// portfolio post format icons label
	$wp_customize->add_setting( 'royal_pPost_formats[label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_formats[label]', array(
		'label'    => esc_html__( 'Post Format Icons', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 1700
	) );

/* ----------------- Post Format Icons General Options ----------------- */

	// audio icon select
	$wp_customize->add_setting( 'royal_pPost_formats[audio_icon]', array(
	    'default' 	=> 'music',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_formats[audio_icon]', array(
		'label'    => esc_html__( 'Select Audio Icon', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'music' 		=> '&#xf001;',
			'volume-up' 	=> '&#xf028;',
			'file-audio-o'	=> '&#xf1c7;'
		),
		'priority' => 1720
	) );

	// video icon select
	$wp_customize->add_setting( 'royal_pPost_formats[video_icon]', array(
	    'default' 	=> 'film',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_formats[video_icon]', array(
		'label'    => esc_html__( 'Select Video Icon', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'film' 			=> '&#xf008;',
			'video-camera' 	=> '&#xf03d;',
			'file-video-o'	=> '&#xf1c8;'
		),
		'priority' => 1725
	) );

	// gallery icon select
	$wp_customize->add_setting( 'royal_pPost_formats[gallery_icon]', array(
	    'default' 	=> 'picture-o',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_formats[gallery_icon]', array(
		'label'    => esc_html__( 'Select Gallery Icon', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'picture-o' 	=> '&#xf03e;',
			'camera' 		=> '&#xf030;',
			'camera-retro'	=> '&#xf083;'
		),
		'priority' => 1730
	) );

	// position
	$wp_customize->add_setting( 'royal_pPost_formats[position]', array(
	    'default' 	=> 'center',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_formats[position]', array(
		'label'    => esc_html__( 'Position', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'center'		=> 'Center',
			'top-left'		=> 'Top Left',
			'top-right' 	=> 'Top Right',
			'bottom-left' 	=> 'Bottom Left',
			'bottom-right' 	=> 'Bottom Right'
		),
		'priority' => 1735
	) );


/* ----------------- Post Format Icons Spacing Options ----------------- */

	// width
	$wp_customize->add_setting( 'royal_pPost_formats[width]', array(
	    'default' 	=> 55,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_formats[width]', array(
			'label'    => esc_html__( 'Width', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1755
		)
	) );

	// height
	$wp_customize->add_setting( 'royal_pPost_formats[height]', array(
	    'default' 	=> 55,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_formats[height]', array(
			'label'    => esc_html__( 'Height', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1760
		)
	) );


/* ----------------- Post Format Icons Styling Options ----------------- */

	// color
	$wp_customize->add_setting( 'royal_pPost_formats[bg_col]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_formats[bg_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1770
		)
	) );

	// transparency
	$wp_customize->add_setting( 'royal_pPost_formats[bg_col_tr]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_formats[bg_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1771
		)
	) );

	// text color
	$wp_customize->add_setting( 'royal_pPost_formats[txt_col]', array(
	    'default' 	=> '#494949',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_formats[txt_col]', array(
			'label'    => esc_html__( 'Text Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1772
		)
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_pPost_formats[radius_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_formats[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 1775
	) );

	// border radius
	$wp_customize->add_setting( 'royal_pPost_formats[radius]', array(
	    'default' 	=> 50,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_formats[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1776
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_pPost_formats[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_formats[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 1779
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_pPost_formats[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_formats[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1780
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_pPost_formats[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_formats[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1781
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_pPost_formats[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_formats[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1782
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_pPost_formats[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_formats[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1783
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_pPost_formats[shad_col]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_formats[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1784
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_pPost_formats[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_formats[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1785
		)
	) );


/* ----------------- Post Format Icons Font Options ----------------- */

	// icon size
	$wp_customize->add_setting( 'royal_pPost_formats[icon_size]', array(
	    'default' 	=> 18,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_formats[icon_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1795
		)
	) );



// portfolio post image effects label
	$wp_customize->add_setting( 'royal_pPost_effects[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_pPost_effects[label]', array(
			'label'    => esc_html__( 'Image Effects', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1900
		)
	) );

/* ----------------- Image Effects General Options ----------------- */

	// overlay label
	$wp_customize->add_setting( 'royal_pPost_effects[overlay_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_effects[overlay_label]', array(
		'label'    => esc_html__( 'Overlay', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 1910
	) );

	// click on image
	$wp_customize->add_setting( 'royal_pPost_effects[overlay_click]', array(
	    'default' 	=> 'postlink',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_effects[overlay_click]', array(
		'label'    => esc_html__( 'Overlay Click', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'lightbox' 	=> esc_html__( 'Opens Lightbox Popup', 'hyperx' ),
			'postlink' 	=> esc_html__( 'Links to Single Post', 'hyperx' )
		),
		'priority' => 1915
	) );

	// next previous image
	$wp_customize->add_setting( 'royal_pPost_effects[nxt_prev_image]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_effects[nxt_prev_image]', array(
		'label'    => esc_html__( 'Next/Previous Arrows', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 1916
	) );

	// FontAwesome icon select
	$wp_customize->add_setting( 'royal_pPost_effects[overlay_icon]', array(
	    'default' 	=> 'none',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_effects[overlay_icon]', array(
		'label'    => esc_html__( 'Select Icon', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'none'					=> '&#xf05e;',
			'plus' 					=> '&#xf067;',
			'plus-circle' 			=> '&#xf055;',
			'plus-square-o' 		=> '&#xf196;',
			'plus-square' 			=> '&#xf0fe;',
			'share' 				=> '&#xf064;',
			'share-square' 			=> '&#xf14d;',
			'link' 					=> '&#xf0c1;',
			'arrows-alt' 			=> '&#xf0b2;',
			'expand' 				=> '&#xf065;',
			'search' 				=> '&#xf002;',
			'search-plus' 			=> '&#xf00e;',
			'image' 				=> '&#xf03e;',
			'camera' 				=> '&#xf030;',
			'eye' 					=> '&#xf06e;',
			'send' 					=> '&#xf1d8;',
			'angle-double-right' 	=> '&#xf101;',
			'angle-right' 			=> '&#xf105;',
			'chevron-right' 		=> '&#xf054;',
			'arrow-right' 			=> '&#xf061;',
			'arrow-circle-right' 	=> '&#xf0a9;',
			'chevron-circle-right'	=> '&#xf138;',
			'arrow-circle-o-right' 	=> '&#xf18e;',
			'hand-o-right' 			=> '&#xf0a4;'
		),
		'priority' => 1920
	) );

	// overlay transition
	$wp_customize->add_setting( 'royal_pPost_effects[overlay_trans]', array(
	    'default' 	=> '500',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_effects[overlay_trans]', array(
		'label'    => esc_html__( 'Transition', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'0' 	=> esc_html__( 'None', 'hyperx' ),
			'50' 	=> '50 ms',
			'100' 	=> '100 ms',
			'150' 	=> '150 ms',
			'200' 	=> '200 ms',
			'250' 	=> '250 ms',
			'300' 	=> '300 ms',
			'350' 	=> '350 ms',
			'400' 	=> '400 ms',
			'500' 	=> '500 ms',
			'600' 	=> '600 ms',
			'700' 	=> '700 ms',
			'800' 	=> '800 ms',
			'900' 	=> '900 ms',
			'1000' 	=> '1000 ms'
		),
		'priority' => 1925
	) );

	// grayscale label
	$wp_customize->add_setting( 'royal_pPost_effects[grayscale_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_effects[grayscale_label]', array(
		'label'    => esc_html__( 'Grayscale', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 1930
	) );

	// grayscale transition
	$wp_customize->add_setting( 'royal_pPost_effects[grayscale_trans]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_effects[grayscale_trans]', array(
		'label'    => esc_html__( 'Low Transparency', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 1931
	) );

	// zoom label
	$wp_customize->add_setting( 'royal_pPost_effects[zoom_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_effects[zoom_label]', array(
		'label'    => esc_html__( 'Zoom', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 1935
	) );

	// reverse zoom
	$wp_customize->add_setting( 'royal_pPost_effects[zoom_reverse]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_effects[zoom_reverse]', array(
		'label'    => esc_html__( 'Reverse', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 1936
	) );

	// rotate
	$wp_customize->add_setting( 'royal_pPost_effects[rotate]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pPost_effects[rotate]', array(
		'label'    => esc_html__( 'Rotate', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'checkbox',
		'priority' => 1937
	) );

	// zoom scaling level
	$wp_customize->add_setting( 'royal_pPost_effects[zoom_rate]', array(
	    'default' 	=> '1.1',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_effects[zoom_rate]', array(
		'label'    => esc_html__( 'Scale Rate', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'1' 	=> esc_html__( 'None', 'hyperx' ),
			'1.04' 	=> '1.04x',
			'1.07' 	=> '1.07x',
			'1.1' 	=> '1.1x',
			'1.2' 	=> '1.2x',
			'1.3' 	=> '1.3x', 
			'1.4' 	=> '1.4x',
			'1.5' 	=> '1.5x',
			'1.6' 	=> '1.6x',
			'1.7' 	=> '1.7x',
			'1.8' 	=> '1.8x',
			'1.9' 	=> '1.9x',
			'2' 	=> '2x',
		),
		'priority' => 1938
	) );

	// zoom transition
	$wp_customize->add_setting( 'royal_pPost_effects[zoom_trans]', array(
	    'default' 	=> '500',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pPost_effects[zoom_trans]', array(
		'label'    => esc_html__( 'Transition', 'hyperx' ),
		'section'  => 'folio_page',
		'type'     => 'select',
		'choices'  => array(
			'0' 	=> esc_html__( 'None', 'hyperx' ),
			'50' 	=> '50 ms',
			'100' 	=> '100 ms',
			'150' 	=> '150 ms',
			'200' 	=> '200 ms',
			'250' 	=> '250 ms',
			'300' 	=> '300 ms',
			'350' 	=> '350 ms',
			'400' 	=> '400 ms',
			'500' 	=> '500 ms',
			'600' 	=> '600 ms',
			'700' 	=> '700 ms',
			'800' 	=> '800 ms',
			'900' 	=> '900 ms',
			'5000' 	=> '5000 ms',
			'10000' => '10000 ms'
		),
		'priority' => 1939
	) );


/* ----------------- Image Effects Styling Options ----------------- */

	// static colors label
	$wp_customize->add_setting( 'royal_pPost_effects[static_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_pPost_effects[static_colors_label]', array(
			'label'    => esc_html__( 'Static Colors', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1960
		)
	) );

	// color
	$wp_customize->add_setting( 'royal_pPost_effects[color]', array(
	    'default' 	=> '#111111',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_effects[color]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1961
		)
	) );

	// transparency
	$wp_customize->add_setting( 'royal_pPost_effects[col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_effects[col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1962
		)
	) );

	// hover colors label
	$wp_customize->add_setting( 'royal_pPost_effects[hover_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_pPost_effects[hover_colors_label]', array(
			'label'    => esc_html__( 'hover Colors', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1963
		)
	) );

	// hover color
	$wp_customize->add_setting( 'royal_pPost_effects[hcol]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_effects[hcol]', array(
			'label'    => esc_html__( 'Hover Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1964
		)
	) );

	// transparency
	$wp_customize->add_setting( 'royal_pPost_effects[hcol_tr]', array(
	    'default' 	=> 0.2,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_effects[hcol_tr]', array(
			'label'    => esc_html__( 'Hover Transparency', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1965
		)
	) );

	// hover text color
	$wp_customize->add_setting( 'royal_pPost_effects[txt_hcol]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pPost_effects[txt_hcol]', array(
			'label'    => esc_html__( 'Hover Icon Color', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1966
		)
	) );


/* ----------------- Image Effects Font Options ----------------- */

	// icon size
	$wp_customize->add_setting( 'royal_pPost_effects[icon_size]', array(
	    'default' 	=> 20,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pPost_effects[icon_size]', array(
			'label'    => esc_html__( 'Icon Size', 'hyperx' ),
			'section'  => 'folio_page',
			'priority' => 1970
		)
	) );




/*
***************************************************************
* #Portfolio Single
***************************************************************
*/

	$section_portfolio_single = 'portfolio_single';
	
	if ( get_option('section_portfolio_single') === '' ) {
		$section_portfolio_single = 'portfolio_single_disabled';
	}

	// add Portfolio Single Section -------------------------------------------
	$wp_customize->add_section( $section_portfolio_single, array(
	    'title' 		=> esc_html__( 'Portfolio Single', 'hyperx' ),
	    'priority' 		=> 40
	) );


	// portfolio page general label
	$wp_customize->add_setting( 'royal_pSingle_header[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_pSingle_header[label]', array(
			'label'    => esc_html__( 'Header', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 11
		)
	) );

/* ----------------- Header General Options ----------------- */

	// position select
	$wp_customize->add_setting( 'royal_pSingle_header[position]', array(
	    'default' 	=> 'below',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pSingle_header[position]', array(
		'label'    => esc_html__( 'Position', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'select',
		'choices'  => array(
			'above' 	=> esc_html__( 'Above Media', 'hyperx' ),
			'below' 	=> esc_html__( 'Below Media', 'hyperx' )
		),
		'priority' => 20
	) );

	// align
	$wp_customize->add_setting( 'royal_pSingle_header[align]', array(
	    'default' 	=> 'left',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pSingle_header[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 25
	) );

	// display date
	$wp_customize->add_setting( 'royal_pSingle_header[display_date]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pSingle_header[display_date]', array(
		'label'    => esc_html__( 'Display Date', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'checkbox',
		'priority' => 40
	) );

	// display categories
	$wp_customize->add_setting( 'royal_pSingle_header[display_cats]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pSingle_header[display_cats]', array(
		'label'    => esc_html__( 'Display Categories', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'checkbox',
		'priority' => 45
	) );

	// display comments
	$wp_customize->add_setting( 'royal_pSingle_header[display_comments]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pSingle_header[display_comments]', array(
		'label'    => esc_html__( 'Display Comments', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'checkbox',
		'priority' => 50
	) );

	// display author
	$wp_customize->add_setting( 'royal_pSingle_header[display_author]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pSingle_header[display_author]', array(
		'label'    => esc_html__( 'Display Author', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'checkbox',
		'priority' => 55
	) );



// portfolio single Navigation label
	$wp_customize->add_setting( 'royal_pSingle_nav[label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pSingle_nav[label]', array(
		'label'    => esc_html__( 'Navigation', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'checkbox',
		'priority' => 200
	) );

/* ----------------- Navigation General Options ----------------- */

	// position
	$wp_customize->add_setting( 'royal_pSingle_nav[position]', array(
	    'default' 	=> 'sharing',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pSingle_nav[position]', array(
		'label'    => esc_html__( 'Position', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'select',
		'choices'  => array(
			'header' 	=> esc_html__( 'Header', 'hyperx' ),
			'sharing' 	=> esc_html__( 'Sharing Box', 'hyperx' ),
			'project' 	=> esc_html__( 'Project Info', 'hyperx' ),
			'side' 		=> esc_html__( 'Left/Right Side', 'hyperx' )
		),
		'priority' => 220
	) );

	// previous text
	$wp_customize->add_setting( 'royal_pSingle_nav[prev_text]', array(
	    'default' 	=> '',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_pSingle_nav[prev_text]', array(
		'label'    => esc_html__( 'Previous Text', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'text',
		'priority' => 225
	) );

	// next text
	$wp_customize->add_setting( 'royal_pSingle_nav[next_text]', array(
	    'default' 	=> '',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_pSingle_nav[next_text]', array(
		'label'    => esc_html__( 'Next Text', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'text',
		'priority' => 226
	) );

	// FontAwesome icon select
	$wp_customize->add_setting( 'royal_pSingle_nav[prev_nxt_icon]', array(
	    'default' 	=> 'chevron',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pSingle_nav[prev_nxt_icon]', array(
		'label'    => esc_html__( 'Select Icon', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'select',
		'choices'  => array(
			'none'				=> '&#xf05e;',
			'angle' 			=> '&#xf104; &#xf105;',
			'angle-double' 		=> '&#xf100; &#xf101;',
			'chevron' 			=> '&#xf053; &#xf054;',
			'arrow' 			=> '&#xf060; &#xf061;',
			'long-arrow' 		=> '&#xf177; &#xf178;',
			'chevron-circle'	=> '&#xf137; &#xf138;',
			'arrow-circle' 		=> '&#xf0a8; &#xf0a9;',
			'arrow-circle-o' 	=> '&#xf190; &#xf18e;',
			'hand-o' 			=> '&#xf0a5; &#xf0a4;'
		),
		'priority' => 230
	) );

	// display date
	$wp_customize->add_setting( 'royal_pSingle_nav[back_link]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pSingle_nav[back_link]', array(
		'label'    => esc_html__( 'Display "Back Link"', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'checkbox',
		'priority' => 235
	) );


/* ----------------- Navigation Spacing Options ----------------- */

	// width
	$wp_customize->add_setting( 'royal_pSingle_nav[width]', array(
	    'default' 	=> 29,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pSingle_nav[width]', array(
			'label'    => esc_html__( 'Width', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 250
		)
	) );

	// height
	$wp_customize->add_setting( 'royal_pSingle_nav[height]', array(
	    'default' 	=> 39,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pSingle_nav[height]', array(
			'label'    => esc_html__( 'Height', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 255
		)
	) );

	// margin top
	$wp_customize->add_setting( 'royal_pSingle_nav[margin_tp]', array(
	    'default' 	=> 15,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pSingle_nav[margin_tp]', array(
			'label'    => esc_html__( 'Margin Top', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 260
		)
	) );

	// horizontal gutter
	$wp_customize->add_setting( 'royal_pSingle_nav[space_between]', array(
	    'default' 	=> 20,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pSingle_nav[space_between]', array(
			'label'    => esc_html__( 'Space Between Buttons', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 261
		)
	) );


/* ----------------- Navigation Styling Optis----------------- */

	// static colors label
	$wp_customize->add_setting( 'royal_pSingle_nav[static_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_pSingle_nav[static_colors_label]', array(
			'label'    => esc_html__( 'Static Colors', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 299
		)
	) );

	// background color
	$wp_customize->add_setting( 'royal_pSingle_nav[bg_col]', array(
	    'default' 	=> '#3a3a3a',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pSingle_nav[bg_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 300
		)
	) );

	// background color transparency
	$wp_customize->add_setting( 'royal_pSingle_nav[bg_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pSingle_nav[bg_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 302
		)
	) );

	// text color
	$wp_customize->add_setting( 'royal_pSingle_nav[txt_col]', array(
	    'default' 	=> '#8d8d8d',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pSingle_nav[txt_col]', array(
			'label'    => esc_html__( 'Text Color', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 303
		)
	) );

	// hover colors label
	$wp_customize->add_setting( 'royal_pSingle_nav[hover_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_pSingle_nav[hover_colors_label]', array(
			'label'    => esc_html__( 'Hover Colors', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 304
		)
	) );

	// hover background color
	$wp_customize->add_setting( 'royal_pSingle_nav[bg_hcol]', array(
	    'default' 	=> '#e5ae47',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pSingle_nav[bg_hcol]', array(
			'label'    => esc_html__( 'Hover Color', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 309
		)
	) );

	// hover background color transparency
	$wp_customize->add_setting( 'royal_pSingle_nav[bg_hcol_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pSingle_nav[bg_hcol_tr]', array(
			'label'    => esc_html__( 'Hover Transparency', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 310
		)
	) );

	// hover text color
	$wp_customize->add_setting( 'royal_pSingle_nav[txt_hcol]', array(
	    'default' 	=> '#3a3a3a',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pSingle_nav[txt_hcol]', array(
			'label'    => esc_html__( 'Hover Text Color', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 311
		)
	) );

	// hover border color
	$wp_customize->add_setting( 'royal_pSingle_nav[bd_hcol]', array(
	    'default' 	=> '#e5ae47',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pSingle_nav[bd_hcol]', array(
			'label'    => esc_html__( 'Hover Border Color', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 313
		)
	) );

	// border label
	$wp_customize->add_setting( 'royal_pSingle_nav[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pSingle_nav[border_label]', array(
		'label'    => esc_html__( 'Border', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'checkbox',
		'priority' => 325
	) );

	// border size
	$wp_customize->add_setting( 'royal_pSingle_nav[border_size]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pSingle_nav[border_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 326
		)
	) );

	// border style
	$wp_customize->add_setting( 'royal_pSingle_nav[border_style]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pSingle_nav[border_style]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 327
	) );

	// border color
	$wp_customize->add_setting( 'royal_pSingle_nav[border_color]', array(
	    'default' 	=> '#d8d8d8',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pSingle_nav[border_color]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 328
		)
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_pSingle_nav[radius_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pSingle_nav[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'checkbox',
		'priority' => 337
	) );

	// border radius
	$wp_customize->add_setting( 'royal_pSingle_nav[radius]', array(
	    'default' 	=> 3,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pSingle_nav[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 338
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_pSingle_nav[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pSingle_nav[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'checkbox',
		'priority' => 339
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_pSingle_nav[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pSingle_nav[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 340
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_pSingle_nav[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pSingle_nav[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 341
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_pSingle_nav[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pSingle_nav[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 342
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_pSingle_nav[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pSingle_nav[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 343
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_pSingle_nav[shad_col]', array(
	    'default' 	=> '#1e1e1e',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pSingle_nav[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 344
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_pSingle_nav[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pSingle_nav[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 345
		)
	) );

	// box shadow inset
	$wp_customize->add_setting( 'royal_pSingle_nav[shad_in]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pSingle_nav[shad_in]', array(
		'label'    => esc_html__( 'Inner', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'checkbox',
		'priority' => 346
	) );


/* ----------------- Navigation Font Options ----------------- */

	// font size
	$wp_customize->add_setting( 'royal_pSingle_nav[font_size]', array(
	    'default' 	=> 18,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pSingle_nav[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 350
		)
	) );



// portfolio single Sharing label
	$wp_customize->add_setting( 'royal_pSingle_share[label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pSingle_share[label]', array(
		'label'    => esc_html__( 'Sharing Box', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'checkbox',
		'priority' => 500
	) );

/* ----------------- Sharing General Options ----------------- */

	// position select
	$wp_customize->add_setting( 'royal_pSingle_share[position]', array(
	    'default' 	=> 'content',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pSingle_share[position]', array(
		'label'    => esc_html__( 'Sharing Position', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'select',
		'choices'  => array(
			'content' => esc_html__( 'Below Content', 'hyperx' ),
			'project' => esc_html__( 'Project Info', 'hyperx' )
		),
		'priority' => 505
	) );

	// share
	$wp_customize->add_setting( 'royal_pSingle_share[sharing_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pSingle_share[sharing_label]', array(
		'label'    => esc_html__( 'Display Sharing', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'checkbox',
		'priority' => 510
	) );

	// text before icons
	$wp_customize->add_setting( 'royal_pSingle_share[label_text]', array(
	    'default' 	=> 'Share Project :',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_pSingle_share[label_text]', array(
		'label'    => esc_html__( 'Text Before Icons', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'text',
		'priority' => 520
	) );

	// share facebook
	$wp_customize->add_setting( 'royal_pSingle_share[share_face]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pSingle_share[share_face]', array(
		'label'    => 'Facebook',
		'section'  => 'portfolio_single',
		'type'     => 'checkbox',
		'priority' => 525
	) );

	// share twitter
	$wp_customize->add_setting( 'royal_pSingle_share[share_twit]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pSingle_share[share_twit]', array(
		'label'    => 'Twitter',
		'section'  => 'portfolio_single',
		'type'     => 'checkbox',
		'priority' => 526
	) );

	// share google plus
	$wp_customize->add_setting( 'royal_pSingle_share[share_gplus]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pSingle_share[share_gplus]', array(
		'label'    => 'Google Plus',
		'section'  => 'portfolio_single',
		'type'     => 'checkbox',
		'priority' => 527
	) );

	// share linkedin
	$wp_customize->add_setting( 'royal_pSingle_share[share_linkin]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pSingle_share[share_linkin]', array(
		'label'    => 'Linkedin',
		'section'  => 'portfolio_single',
		'type'     => 'checkbox',
		'priority' => 528
	) );

	// share pinterest
	$wp_customize->add_setting( 'royal_pSingle_share[share_pint]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pSingle_share[share_pint]', array(
		'label'    => 'Pinterest',
		'section'  => 'portfolio_single',
		'type'     => 'checkbox',
		'priority' => 529
	) );

	// share tumblr
	$wp_customize->add_setting( 'royal_pSingle_share[share_tumblr]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pSingle_share[share_tumblr]', array(
		'label'    => 'Tumblr',
		'section'  => 'portfolio_single',
		'type'     => 'checkbox',
		'priority' => 530
	) );

	// share reddit
	$wp_customize->add_setting( 'royal_pSingle_share[share_reddit]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pSingle_share[share_reddit]', array(
		'label'    => 'Reddit',
		'section'  => 'portfolio_single',
		'type'     => 'checkbox',
		'priority' => 531
	) );

	// align
	$wp_customize->add_setting( 'royal_pSingle_share[align]', array(
	    'default' 	=> 'center',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pSingle_share[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 540
	) );


/* ----------------- Sharing Spacing Options ----------------- */

	// margin top
	$wp_customize->add_setting( 'royal_pSingle_share[margin_tp]', array(
	    'default' 	=> 27,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pSingle_share[margin_tp]', array(
			'label'    => esc_html__( 'Margin Top', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 550
		)
	) );

	// padding top
	$wp_customize->add_setting( 'royal_pSingle_share[padding_tp]', array(
	    'default' 	=> 19,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pSingle_share[padding_tp]', array(
			'label'    => esc_html__( 'Padding Top', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 555
		)
	) );


/* ----------------- Sharing Styling Options ----------------- */

	// border label
	$wp_customize->add_setting( 'royal_pSingle_share[border_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pSingle_share[border_label]', array(
		'label'    => esc_html__( 'Border Top', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'checkbox',
		'priority' => 570
	) );

	// border top size
	$wp_customize->add_setting( 'royal_pSingle_share[bd_size_tp]', array(
	    'default' 	=> 2,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pSingle_share[bd_size_tp]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 571
		)
	) );

	// border top style
	$wp_customize->add_setting( 'royal_pSingle_share[bd_style_tp]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pSingle_share[bd_style_tp]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 572
	) );



// portfolio single Project Info label
	$wp_customize->add_setting( 'royal_pSingle_project[label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pSingle_project[label]', array(
		'label'    => esc_html__( 'Project Info', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'checkbox',
		'priority' => 600
	) );

/* ----------------- Project Info General Options ----------------- */

	// position
	$wp_customize->add_setting( 'royal_pSingle_project[position]', array(
	    'default' 	=> 'below_horz',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pSingle_project[position]', array(
		'label'    => esc_html__( 'Position', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'select',
		'choices'  => array(
			'right' 	 => esc_html__( 'Right Side', 'hyperx' ),
			'below_vert' => esc_html__( 'Below Media', 'hyperx' ),
			'below_horz' => esc_html__( 'Below Content', 'hyperx' )
		),
		'priority' => 610
	) );

	// equal height
	$wp_customize->add_setting( 'royal_pSingle_project[equal_height]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pSingle_project[equal_height]', array(
		'label'    => esc_html__( 'Equal Height To Post Content', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'checkbox',
		'priority' => 615
	) );

	// align
	$wp_customize->add_setting( 'royal_pSingle_project[align]', array(
	    'default' 	=> 'left',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pSingle_project[align]', array(
		'label'    => esc_html__( 'Title Align', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 630
	) );

	// project link text
	$wp_customize->add_setting( 'royal_pSingle_project[link_text]', array(
	    'default' 	=> 'View Project',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_pSingle_project[link_text]', array(
		'label'    => esc_html__( 'Project Link Text', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'text',
		'priority' => 635
	) );

	// details list icons
	$wp_customize->add_setting( 'royal_pSingle_project[list_icons]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pSingle_project[list_icons]', array(
		'label'    => esc_html__( 'Details List Icons', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'checkbox',
		'priority' => 636
	) );


/* ----------------- Project Info Spacing Options ----------------- */

	// width
	$wp_customize->add_setting( 'royal_pSingle_project[width]', array(
	    'default' 	=> 300,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pSingle_project[width]', array(
			'label'    => esc_html__( 'Width', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 650
		)
	) );

	// margin left
	$wp_customize->add_setting( 'royal_pSingle_project[margin_lt]', array(
	    'default' 	=> 10,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pSingle_project[margin_lt]', array(
			'label'    => esc_html__( 'Margin Left', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 653
		)
	) );

	// details list gutter
	$wp_customize->add_setting( 'royal_pSingle_project[gutter_vert]', array(
	    'default' 	=> 18,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pSingle_project[gutter_vert]', array(
			'label'    => esc_html__( 'Details List Gutter', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 655
		)
	) );


/* ----------------- Project Info Styling Options----------------- */

	// border label
	$wp_customize->add_setting( 'royal_pSingle_project[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pSingle_project[border_label]', array(
		'label'    => esc_html__( 'Border', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'checkbox',
		'priority' => 680
	) );

	// border size general
	$wp_customize->add_setting( 'royal_pSingle_project[bd_size_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pSingle_project[bd_size_gen]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 681
		)
	) );

	// border style general
	$wp_customize->add_setting( 'royal_pSingle_project[bd_style_gen]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pSingle_project[bd_style_gen]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 682
	) );

	// border color general
	$wp_customize->add_setting( 'royal_pSingle_project[bd_col_gen]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pSingle_project[bd_col_gen]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 683
		)
	) );

	// border top size
	$wp_customize->add_setting( 'royal_pSingle_project[bd_size_tp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pSingle_project[bd_size_tp]', array(
			'label'    => esc_html__( 'Top Size', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 684
		)
	) );

	// border top style
	$wp_customize->add_setting( 'royal_pSingle_project[bd_style_tp]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pSingle_project[bd_style_tp]', array(
		'label'    => esc_html__( 'Top Style', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 685
	) );

	// border top color
	$wp_customize->add_setting( 'royal_pSingle_project[bd_col_tp]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pSingle_project[bd_col_tp]', array(
			'label'    => esc_html__( 'Top Color', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 686
		)
	) );

	// border right size
	$wp_customize->add_setting( 'royal_pSingle_project[bd_size_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pSingle_project[bd_size_rt]', array(
			'label'    => esc_html__( 'Right Size', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 687
		)
	) );

	// border right style
	$wp_customize->add_setting( 'royal_pSingle_project[bd_style_rt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pSingle_project[bd_style_rt]', array(
		'label'    => esc_html__( 'Right Style', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 688
	) );

	// border right color
	$wp_customize->add_setting( 'royal_pSingle_project[bd_col_rt]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pSingle_project[bd_col_rt]', array(
			'label'    => esc_html__( 'Right Color', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 689
		)
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_pSingle_project[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pSingle_project[bd_size_bt]', array(
			'label'    => esc_html__( 'Bottom Size', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 690
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_pSingle_project[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pSingle_project[bd_style_bt]', array(
		'label'    => esc_html__( 'Bottom Style', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 691
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_pSingle_project[bd_col_bt]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pSingle_project[bd_col_bt]', array(
			'label'    => esc_html__( 'Bottom Color', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 692
		)
	) );

	// border left size
	$wp_customize->add_setting( 'royal_pSingle_project[bd_size_lt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pSingle_project[bd_size_lt]', array(
			'label'    => esc_html__( 'Left Size', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 693
		)
	) );

	// border left style
	$wp_customize->add_setting( 'royal_pSingle_project[bd_style_lt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pSingle_project[bd_style_lt]', array(
		'label'    => esc_html__( 'Left Style', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 694
	) );

	// border left color
	$wp_customize->add_setting( 'royal_pSingle_project[bd_col_lt]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pSingle_project[bd_col_lt]', array(
			'label'    => esc_html__( 'Left Color', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 695
		)
	) );

	// border advanced button
	$wp_customize->add_setting( 'royal_pSingle_project[bd_ad]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pSingle_project[bd_ad]', array(
		'label'    => '',
		'section'  => 'portfolio_single',
		'type'     => 'checkbox',
		'priority' => 696
	) );

	// border label
	$wp_customize->add_setting( 'royal_pSingle_project[list_border_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pSingle_project[list_border_label]', array(
		'label'    => esc_html__( 'Details List Border', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'checkbox',
		'priority' => 700
	) );

	// border top size
	$wp_customize->add_setting( 'royal_pSingle_project[list_bd_size]', array(
	    'default' 	=> 2,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pSingle_project[list_bd_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'portfolio_single',
			'priority' => 701
		)
	) );

	// border top style
	$wp_customize->add_setting( 'royal_pSingle_project[list_bd_style]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pSingle_project[list_bd_style]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'portfolio_single',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 702
	) );




/*
***************************************************************
* #Shop Page
***************************************************************
*/

	$section_shop_page = 'shop_page';
	
	if ( get_option('section_shop_page') === '' ) {
		$section_shop_page = 'shop_page_disabled';
	}

	// add Shop Page Section -------------------------------------------
	$wp_customize->add_section( $section_shop_page, array(
	    'title' 		=> esc_html__( 'Shop Page', 'hyperx' ),
	    'priority' 		=> 45
	) );

// Shop Page General Tabs
	class Royal_sPage_General_Tabs extends WP_Customize_Control {
	    public $type = 'sPage_general';
	 
	    public function render_content() {

	    	$html  = '<label>';
	    		$html .= '<span class="customize-control-title">'. esc_html( $this->label ) .'</span>';
	    		$html .= '<textarea rows="10" style="width:100%;" '. $this->get_link() .'>'. esc_textarea( $this->value() ) .'</textarea>';
	    	$html .= '</label>';
	        
	        echo ''. $html;

	        // get options from db
	        $sPage_general = royal_get_option('royal_sPage_general');
	        
			?>

			<!-- Label -->
			<li id="customize-control-royal_sPage_general-label" class="customize-control customize-control-tablabel rf-tabs-label rf-tabs-label-active" style="display: list-item;">
				<span class="customize-control-title rf-custom-label"><?php esc_html_e( 'General', 'hyperx' ); ?></span>
			</li>

			<!-- General Options -->
			<li id="customize-control-royal_sPage_general-layout" class="customize-control customize-control-select" style="display: list-item;">
				<label>
				<span class="customize-control-title"><?php esc_html_e( 'Layout', 'hyperx' ); ?></span>

				<select>
					<option <?php selected('masonry', $sPage_general['layout'], true); ?> value="masonry">Masonry (Unlimited Height)</option>
					<option <?php selected('fitRows', $sPage_general['layout'], true); ?> value="fitRows">FitRows (Limited Height)</option>
				</select>
				
				</label>
			</li>
			<li id="customize-control-royal_sPage_general-columns_rate" class="customize-control customize-control-select" style="display: list-item;">
				<label>
				<span class="customize-control-title"><?php esc_html_e( 'Columns Rate', 'hyperx' ); ?></span>

				<select>
					<option <?php selected('-1', $sPage_general['columns_rate'], true); ?> value="-1">-1</option>
					<option <?php selected('0', $sPage_general['columns_rate'], true); ?> value="0">0</option>
					<option <?php selected('1', $sPage_general['columns_rate'], true); ?> value="1">+1</option>
					<option <?php selected('2', $sPage_general['columns_rate'], true); ?> value="2">+2</option>
					<option <?php selected('one', $sPage_general['columns_rate'], true); ?> value="one"><?php esc_html_e( '1 Constant', 'hyperx' ); ?></option>
					<option <?php selected('two', $sPage_general['columns_rate'], true); ?> value="two"><?php esc_html_e( '2 Constant', 'hyperx' ); ?></option>
					<option <?php selected('three', $sPage_general['columns_rate'], true); ?> value="three"><?php esc_html_e( '3 Constant', 'hyperx' ); ?></option>
					<option <?php selected('four', $sPage_general['columns_rate'], true); ?> value="four"><?php esc_html_e( '4 Constant', 'hyperx' ); ?></option>
				</select>
				
				</label>
			</li>
			<li id="customize-control-royal_sPage_general-posts_per_page" class="customize-control customize-control-text" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Posts Per Page', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input type="text" value="<?php echo esc_attr($sPage_general['posts_per_page']); ?>" />
		            </div>
		        </label>
	        </li>

			<!-- Spacing Options -->
			<li id="customize-control-royal_sPage_general-padding_gen" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Padding', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($sPage_general['padding_gen']); ?>" id="royal_rg_sPage_general_padding_gen" />
					<div id="royal_sl_sPage_general_padding_gen" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_sPage_general-padding_tp" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Padding Top', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($sPage_general['padding_tp']); ?>" id="royal_rg_sPage_general_padding_tp" />
					<div id="royal_sl_sPage_general_padding_tp" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_sPage_general-padding_rt" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Padding Right', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($sPage_general['padding_rt']); ?>" id="royal_rg_sPage_general_padding_rt" />
					<div id="royal_sl_sPage_general_padding_rt" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_sPage_general-padding_bt" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Padding Bottom', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($sPage_general['padding_bt']); ?>" id="royal_rg_sPage_general_padding_bt" />
					<div id="royal_sl_sPage_general_padding_bt" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_sPage_general-padding_lt" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Padding Left', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($sPage_general['padding_lt']); ?>" id="royal_rg_sPage_general_padding_lt" />
					<div id="royal_sl_sPage_general_padding_lt" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_sPage_general-padding_ad" class="customize-control customize-control-checkbox" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $sPage_general['padding_ad'], true); ?>>
				</label>
			</li>
			<li id="customize-control-royal_sPage_general-gutter_horz" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Horizontal Gutter', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($sPage_general['gutter_horz']); ?>" id="royal_rg_sPage_general_gutter_horz" />
					<div id="royal_sl_sPage_general_gutter_horz" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_sPage_general-gutter_vert" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Vertical Gutter', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($sPage_general['gutter_vert']); ?>" id="royal_rg_sPage_general_gutter_vert" />
					<div id="royal_sl_sPage_general_gutter_vert" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_sPage_general-header_padding_gen" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Header Padding', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($sPage_general['header_padding_gen']); ?>" id="royal_rg_sPage_general_header_padding_gen" />
					<div id="royal_sl_sPage_general_header_padding_gen" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_sPage_general-header_padding_tp" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Header Padding Top', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($sPage_general['header_padding_tp']); ?>" id="royal_rg_sPage_general_header_padding_tp" />
					<div id="royal_sl_sPage_general_header_padding_tp" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_sPage_general-header_padding_rt" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Header Padding Right', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($sPage_general['header_padding_rt']); ?>" id="royal_rg_sPage_general_header_padding_rt" />
					<div id="royal_sl_sPage_general_header_padding_rt" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_sPage_general-header_padding_bt" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Header Padding Bottom', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($sPage_general['header_padding_bt']); ?>" id="royal_rg_sPage_general_header_padding_bt" />
					<div id="royal_sl_sPage_general_header_padding_bt" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_sPage_general-header_padding_lt" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Header Padding Left', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($sPage_general['header_padding_lt']); ?>" id="royal_rg_sPage_general_header_padding_lt" />
					<div id="royal_sl_sPage_general_header_padding_lt" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_sPage_general-header_padding_ad" class="customize-control customize-control-checkbox" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $sPage_general['header_padding_ad'], true); ?>>
				</label>
			</li>
			<!-- Styling Options -->
			<li id="customize-control-royal_sPage_general-bg_color" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Background Color', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sPage_general['bg_color']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_sPage_general-bg_color_tr" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Transparency', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($sPage_general['bg_color_tr']); ?>" id="royal_rg_sPage_general_bg_color_tr" />
					<div id="royal_sl_sPage_general_bg_color_tr" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_sPage_general-border_label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $sPage_general['border_label'], true); ?>>
					<?php esc_html_e( 'Border', 'hyperx' ); ?>
				</label>
			</li>
			<li id="customize-control-royal_sPage_general-bd_size_gen" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($sPage_general['bd_size_gen']); ?>" id="royal_rg_sPage_general_bd_size_gen" />
					<div id="royal_sl_sPage_general_bd_size_gen" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_sPage_general-bd_style_gen" class="customize-control customize-control-select" style="display: list-item;">
				<label>
				<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
				<select>
					<option <?php selected('solid', $sPage_general['bd_style_gen'], true); ?> value="solid">Solid</option>
					<option <?php selected('dotted', $sPage_general['bd_style_gen'], true); ?> value="dotted">Dotted</option>
					<option <?php selected('dashed', $sPage_general['bd_style_gen'], true); ?> value="dashed">Dashed</option>
					<option <?php selected('double', $sPage_general['bd_style_gen'], true); ?> value="double">Double</option>
					<option <?php selected('groove', $sPage_general['bd_style_gen'], true); ?> value="groove">Groove</option>
					<option <?php selected('ridge', $sPage_general['bd_style_gen'], true); ?> value="ridge">Ridge</option>
					<option <?php selected('inset', $sPage_general['bd_style_gen'], true); ?> value="inset">Inset</option>
					<option <?php selected('outset', $sPage_general['bd_style_gen'], true); ?> value="outset">Outset</option>
				</select>
				
				</label>
			</li>
			<li id="customize-control-royal_sPage_general-bd_col_gen" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sPage_general['bd_col_gen']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_sPage_general-bd_size_tp" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($sPage_general['bd_size_tp']); ?>" id="royal_rg_sPage_general_bd_size_tp" />
					<div id="royal_sl_sPage_general_bd_size_tp" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_sPage_general-bd_style_tp" class="customize-control customize-control-select" style="display: list-item;">
				<label>
				<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
				<select>
					<option <?php selected('solid', $sPage_general['bd_style_tp'], true); ?> value="solid">Solid</option>
					<option <?php selected('dotted', $sPage_general['bd_style_tp'], true); ?> value="dotted">Dotted</option>
					<option <?php selected('dashed', $sPage_general['bd_style_tp'], true); ?> value="dashed">Dashed</option>
					<option <?php selected('double', $sPage_general['bd_style_tp'], true); ?> value="double">Double</option>
					<option <?php selected('groove', $sPage_general['bd_style_tp'], true); ?> value="groove">Groove</option>
					<option <?php selected('ridge', $sPage_general['bd_style_tp'], true); ?> value="ridge">Ridge</option>
					<option <?php selected('inset', $sPage_general['bd_style_tp'], true); ?> value="inset">Inset</option>
					<option <?php selected('outset', $sPage_general['bd_style_tp'], true); ?> value="outset">Outset</option>
				</select>
				
				</label>
			</li>
			<li id="customize-control-royal_sPage_general-bd_col_tp" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sPage_general['bd_col_tp']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_sPage_general-bd_size_rt" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($sPage_general['bd_size_rt']); ?>" id="royal_rg_sPage_general_bd_size_rt" />
					<div id="royal_sl_sPage_general_bd_size_rt" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_sPage_general-bd_style_rt" class="customize-control customize-control-select" style="display: list-item;">
				<label>
				<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
				<select>
					<option <?php selected('solid', $sPage_general['bd_style_rt'], true); ?> value="solid">Solid</option>
					<option <?php selected('dotted', $sPage_general['bd_style_rt'], true); ?> value="dotted">Dotted</option>
					<option <?php selected('dashed', $sPage_general['bd_style_rt'], true); ?> value="dashed">Dashed</option>
					<option <?php selected('double', $sPage_general['bd_style_rt'], true); ?> value="double">Double</option>
					<option <?php selected('groove', $sPage_general['bd_style_rt'], true); ?> value="groove">Groove</option>
					<option <?php selected('ridge', $sPage_general['bd_style_rt'], true); ?> value="ridge">Ridge</option>
					<option <?php selected('inset', $sPage_general['bd_style_rt'], true); ?> value="inset">Inset</option>
					<option <?php selected('outset', $sPage_general['bd_style_rt'], true); ?> value="outset">Outset</option>
				</select>
				
				</label>
			</li>
			<li id="customize-control-royal_sPage_general-bd_col_rt" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sPage_general['bd_col_rt']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_sPage_general-bd_size_bt" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($sPage_general['bd_size_bt']); ?>" id="royal_rg_sPage_general_bd_size_bt" />
					<div id="royal_sl_sPage_general_bd_size_bt" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_sPage_general-bd_style_bt" class="customize-control customize-control-select" style="display: list-item;">
				<label>
				<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
				<select>
					<option <?php selected('solid', $sPage_general['bd_style_bt'], true); ?> value="solid">Solid</option>
					<option <?php selected('dotted', $sPage_general['bd_style_bt'], true); ?> value="dotted">Dotted</option>
					<option <?php selected('dashed', $sPage_general['bd_style_bt'], true); ?> value="dashed">Dashed</option>
					<option <?php selected('double', $sPage_general['bd_style_bt'], true); ?> value="double">Double</option>
					<option <?php selected('groove', $sPage_general['bd_style_bt'], true); ?> value="groove">Groove</option>
					<option <?php selected('ridge', $sPage_general['bd_style_bt'], true); ?> value="ridge">Ridge</option>
					<option <?php selected('inset', $sPage_general['bd_style_bt'], true); ?> value="inset">Inset</option>
					<option <?php selected('outset', $sPage_general['bd_style_bt'], true); ?> value="outset">Outset</option>
				</select>
				
				</label>
			</li>
			<li id="customize-control-royal_sPage_general-bd_col_bt" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sPage_general['bd_col_bt']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_sPage_general-bd_size_lt" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($sPage_general['bd_size_lt']); ?>" id="royal_rg_sPage_general_bd_size_lt" />
					<div id="royal_sl_sPage_general_bd_size_lt" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_sPage_general-bd_style_lt" class="customize-control customize-control-select" style="display: list-item;">
				<label>
				<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
				<select>
					<option <?php selected('solid', $sPage_general['bd_style_lt'], true); ?> value="solid">Solid</option>
					<option <?php selected('dotted', $sPage_general['bd_style_lt'], true); ?> value="dotted">Dotted</option>
					<option <?php selected('dashed', $sPage_general['bd_style_lt'], true); ?> value="dashed">Dashed</option>
					<option <?php selected('double', $sPage_general['bd_style_lt'], true); ?> value="double">Double</option>
					<option <?php selected('groove', $sPage_general['bd_style_lt'], true); ?> value="groove">Groove</option>
					<option <?php selected('ridge', $sPage_general['bd_style_lt'], true); ?> value="ridge">Ridge</option>
					<option <?php selected('inset', $sPage_general['bd_style_lt'], true); ?> value="inset">Inset</option>
					<option <?php selected('outset', $sPage_general['bd_style_lt'], true); ?> value="outset">Outset</option>
				</select>
				
				</label>
			</li>
			<li id="customize-control-royal_sPage_general-bd_col_lt" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sPage_general['bd_col_lt']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_sPage_general-bd_ad" class="customize-control customize-control-checkbox" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $sPage_general['bd_ad'], true); ?>>
				</label>
			</li>

			<?php
	    }
	}


	// shop page general
	$wp_customize->add_setting( 'royal_sPage_general[db_input]', array(
	    'default' 	=> 'sPage_general-columns_rate[0]___sPage_general-layout[fitRows]___sPage_general-posts_per_page[6]___sPage_general-padding_gen[21]___sPage_general-padding_tp[21]___sPage_general-padding_rt[21]___sPage_general-padding_bt[21]___sPage_general-padding_lt[21]___sPage_general-padding_ad[false]___sPage_general-gutter_horz[20]___sPage_general-gutter_vert[30]___sPage_general-bg_color[#ffffff]___sPage_general-bg_color_tr[1]___sPage_general-border_label[false]___sPage_general-bd_size_gen[1]___sPage_general-bd_style_gen[solid]___sPage_general-bd_col_gen[#dd9933]___sPage_general-bd_size_tp[1]___sPage_general-bd_style_tp[solid]___sPage_general-bd_col_tp[#dd9933]___sPage_general-bd_size_rt[1]___sPage_general-bd_style_rt[solid]___sPage_general-bd_col_rt[#dd9933]___sPage_general-bd_size_bt[1]___sPage_general-bd_style_bt[solid]___sPage_general-bd_col_bt[#dd9933]___sPage_general-bd_size_lt[1]___sPage_general-bd_style_lt[solid]___sPage_general-bd_col_lt[#dd9933]___sPage_general-bd_ad[false]',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_textarea'
	) );

	$wp_customize->add_control(
		new Royal_sPage_General_Tabs( $wp_customize, 'royal_sPage_general[db_input]', array(
			'label'    => '',
			'section'  => 'shop_page',
			'priority' => 10
		)
	) );


// Shop Product Tabs
	class Royal_sPage_Product_Tabs extends WP_Customize_Control {

		    public $type = 'sPage_product';
		 
		    public function render_content() {

		    	$html  = '<label>';
		    		$html .= '<span class="customize-control-title">'. esc_html( $this->label ) .'</span>';
		    		$html .= '<textarea rows="10" style="width:100%;" '. $this->get_link() .'>'. esc_textarea( $this->value() ) .'</textarea>';
		    	$html .= '</label>';
		        
		        echo ''. $html;

		        // get options from db
		        $sPage_product = royal_get_option('royal_sPage_product');
		        
				?>

				<!-- Label -->
				<li id="customize-control-royal_sPage_product-label" class="customize-control customize-control-tablabel rf-tabs-label rf-tabs-label-active" style="display: list-item;">
					<span class="customize-control-title rf-custom-label"><?php esc_html_e( 'Product', 'hyperx' ); ?></span>
				</li>

				<!-- Spacing Options -->
				<li id="customize-control-royal_sPage_product-padding_gen" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Text Padding', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sPage_product['padding_gen']); ?>" id="royal_rg_sPage_product_padding_gen" />
						<div id="royal_sl_sPage_product_padding_gen" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sPage_product-padding_tp" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Text Padding Top', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sPage_product['padding_tp']); ?>" id="royal_rg_sPage_product_padding_tp" />
						<div id="royal_sl_sPage_product_padding_tp" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sPage_product-padding_rt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Text Padding Right', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sPage_product['padding_rt']); ?>" id="royal_rg_sPage_product_padding_rt" />
						<div id="royal_sl_sPage_product_padding_rt" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sPage_product-padding_bt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Text Padding Bottom', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sPage_product['padding_bt']); ?>" id="royal_rg_sPage_product_padding_bt" />
						<div id="royal_sl_sPage_product_padding_bt" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sPage_product-padding_lt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Text Padding Left', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sPage_product['padding_lt']); ?>" id="royal_rg_sPage_product_padding_lt" />
						<div id="royal_sl_sPage_product_padding_lt" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sPage_product-padding_ad" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sPage_product['padding_ad'], true); ?>>
					</label>
				</li>

				<!-- Styling Options -->
				<li id="customize-control-royal_sPage_product-bg_col" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Background Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sPage_product['bg_col']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sPage_product-highlight_even" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sPage_product['highlight_even'], true); ?>>
						<?php esc_html_e( 'Highlight Even', 'hyperx' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sPage_product-even_bg_col" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Even Background Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sPage_product['even_bg_col']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sPage_product-bg_col_tr" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Transparency', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sPage_product['bg_col_tr']); ?>" id="royal_rg_sPage_product_bg_col_tr" />
						<div id="royal_sl_sPage_product_bg_col_tr" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sPage_product-border_label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sPage_product['border_label'], true); ?>>
						<?php esc_html_e( 'Border', 'hyperx' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sPage_product-bd_size_gen" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sPage_product['bd_size_gen']); ?>" id="royal_rg_sPage_product_bd_size_gen" />
						<div id="royal_sl_sPage_product_bd_size_gen" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sPage_product-bd_style_gen" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('solid', $sPage_product['bd_style_gen'], true); ?> value="solid">Solid</option>
						<option <?php selected('dotted', $sPage_product['bd_style_gen'], true); ?> value="dotted">Dotted</option>
						<option <?php selected('dashed', $sPage_product['bd_style_gen'], true); ?> value="dashed">Dashed</option>
						<option <?php selected('double', $sPage_product['bd_style_gen'], true); ?> value="double">Double</option>
						<option <?php selected('groove', $sPage_product['bd_style_gen'], true); ?> value="groove">Groove</option>
						<option <?php selected('ridge', $sPage_product['bd_style_gen'], true); ?> value="ridge">Ridge</option>
						<option <?php selected('inset', $sPage_product['bd_style_gen'], true); ?> value="inset">Inset</option>
						<option <?php selected('outset', $sPage_product['bd_style_gen'], true); ?> value="outset">Outset</option>
					</select>
					
					</label>
				</li>
				<li id="customize-control-royal_sPage_product-bd_col_gen" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sPage_product['bd_col_gen']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sPage_product-bd_size_tp" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sPage_product['bd_size_tp']); ?>" id="royal_rg_sPage_product_bd_size_tp" />
						<div id="royal_sl_sPage_product_bd_size_tp" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sPage_product-bd_style_tp" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('solid', $sPage_product['bd_style_tp'], true); ?> value="solid">Solid</option>
						<option <?php selected('dotted', $sPage_product['bd_style_tp'], true); ?> value="dotted">Dotted</option>
						<option <?php selected('dashed', $sPage_product['bd_style_tp'], true); ?> value="dashed">Dashed</option>
						<option <?php selected('double', $sPage_product['bd_style_tp'], true); ?> value="double">Double</option>
						<option <?php selected('groove', $sPage_product['bd_style_tp'], true); ?> value="groove">Groove</option>
						<option <?php selected('ridge', $sPage_product['bd_style_tp'], true); ?> value="ridge">Ridge</option>
						<option <?php selected('inset', $sPage_product['bd_style_tp'], true); ?> value="inset">Inset</option>
						<option <?php selected('outset', $sPage_product['bd_style_tp'], true); ?> value="outset">Outset</option>
					</select>
					
					</label>
				</li>
				<li id="customize-control-royal_sPage_product-bd_col_tp" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sPage_product['bd_col_tp']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sPage_product-bd_size_rt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sPage_product['bd_size_rt']); ?>" id="royal_rg_sPage_product_bd_size_rt" />
						<div id="royal_sl_sPage_product_bd_size_rt" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sPage_product-bd_style_rt" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('solid', $sPage_product['bd_style_rt'], true); ?> value="solid">Solid</option>
						<option <?php selected('dotted', $sPage_product['bd_style_rt'], true); ?> value="dotted">Dotted</option>
						<option <?php selected('dashed', $sPage_product['bd_style_rt'], true); ?> value="dashed">Dashed</option>
						<option <?php selected('double', $sPage_product['bd_style_rt'], true); ?> value="double">Double</option>
						<option <?php selected('groove', $sPage_product['bd_style_rt'], true); ?> value="groove">Groove</option>
						<option <?php selected('ridge', $sPage_product['bd_style_rt'], true); ?> value="ridge">Ridge</option>
						<option <?php selected('inset', $sPage_product['bd_style_rt'], true); ?> value="inset">Inset</option>
						<option <?php selected('outset', $sPage_product['bd_style_rt'], true); ?> value="outset">Outset</option>
					</select>
					
					</label>
				</li>
				<li id="customize-control-royal_sPage_product-bd_col_rt" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sPage_product['bd_col_rt']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sPage_product-bd_size_bt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sPage_product['bd_size_bt']); ?>" id="royal_rg_sPage_product_bd_size_bt" />
						<div id="royal_sl_sPage_product_bd_size_bt" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sPage_product-bd_style_bt" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('solid', $sPage_product['bd_style_bt'], true); ?> value="solid">Solid</option>
						<option <?php selected('dotted', $sPage_product['bd_style_bt'], true); ?> value="dotted">Dotted</option>
						<option <?php selected('dashed', $sPage_product['bd_style_bt'], true); ?> value="dashed">Dashed</option>
						<option <?php selected('double', $sPage_product['bd_style_bt'], true); ?> value="double">Double</option>
						<option <?php selected('groove', $sPage_product['bd_style_bt'], true); ?> value="groove">Groove</option>
						<option <?php selected('ridge', $sPage_product['bd_style_bt'], true); ?> value="ridge">Ridge</option>
						<option <?php selected('inset', $sPage_product['bd_style_bt'], true); ?> value="inset">Inset</option>
						<option <?php selected('outset', $sPage_product['bd_style_bt'], true); ?> value="outset">Outset</option>
					</select>
					
					</label>
				</li>
				<li id="customize-control-royal_sPage_product-bd_col_bt" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sPage_product['bd_col_bt']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sPage_product-bd_size_lt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sPage_product['bd_size_lt']); ?>" id="royal_rg_sPage_product_bd_size_lt" />
						<div id="royal_sl_sPage_product_bd_size_lt" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sPage_product-bd_style_lt" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('solid', $sPage_product['bd_style_lt'], true); ?> value="solid">Solid</option>
						<option <?php selected('dotted', $sPage_product['bd_style_lt'], true); ?> value="dotted">Dotted</option>
						<option <?php selected('dashed', $sPage_product['bd_style_lt'], true); ?> value="dashed">Dashed</option>
						<option <?php selected('double', $sPage_product['bd_style_lt'], true); ?> value="double">Double</option>
						<option <?php selected('groove', $sPage_product['bd_style_lt'], true); ?> value="groove">Groove</option>
						<option <?php selected('ridge', $sPage_product['bd_style_lt'], true); ?> value="ridge">Ridge</option>
						<option <?php selected('inset', $sPage_product['bd_style_lt'], true); ?> value="inset">Inset</option>
						<option <?php selected('outset', $sPage_product['bd_style_lt'], true); ?> value="outset">Outset</option>
					</select>
					
					</label>
				</li>
				<li id="customize-control-royal_sPage_product-bd_col_lt" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sPage_product['bd_col_lt']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sPage_product-bd_ad" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sPage_product['bd_ad'], true); ?>>
					</label>
				</li>
				<li id="customize-control-royal_sPage_product-radius_label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sPage_product['radius_label'], true); ?>>
						<?php esc_html_e( 'Corner Radius', 'hyperx' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sPage_product-radius" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Radius', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sPage_product['radius']); ?>" id="royal_rg_sPage_product_radius" />
						<div id="royal_sl_sPage_product_radius" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sPage_product-shadow_label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sPage_product['shadow_label'], true); ?>>
						<?php esc_html_e( 'Shadow', 'hyperx' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sPage_product-shad_h" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Horizontal', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sPage_product['shad_h']); ?>" id="royal_rg_sPage_product_shad_h" />
						<div id="royal_sl_sPage_product_shad_h" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sPage_product-shad_v" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Vertical', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sPage_product['shad_v']); ?>" id="royal_rg_sPage_product_shad_v" />
						<div id="royal_sl_sPage_product_shad_v" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sPage_product-shad_bl" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Blur', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sPage_product['shad_bl']); ?>" id="royal_rg_sPage_product_shad_bl" />
						<div id="royal_sl_sPage_product_shad_bl" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sPage_product-shad_sp" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Spread', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sPage_product['shad_sp']); ?>" id="royal_rg_sPage_product_shad_sp" />
						<div id="royal_sl_sPage_product_shad_sp" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sPage_product-shad_col" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sPage_product['shad_col']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sPage_product-shad_col_tr" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Transparency', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sPage_product['shad_col_tr']); ?>" id="royal_rg_sPage_product_shad_col_tr" />
						<div id="royal_sl_sPage_product_shad_col_tr" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sPage_product-shad_in" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sPage_product['shad_in'], true); ?>>
						<?php esc_html_e( 'Inner', 'hyperx' ); ?>
					</label>
				</li>

				<?php
		    }

	}


	// shop product
	$wp_customize->add_setting( 'royal_sPage_product[db_input]', array(
	    'default' 	=> 'sPage_product-padding_gen[15]___sPage_product-padding_tp[15]___sPage_product-padding_rt[15]___sPage_product-padding_bt[15]___sPage_product-padding_lt[15]___sPage_product-padding_ad[false]___sPage_product-bg_col[#a5a5a5]___sPage_product-highlight_even[false]___sPage_product-even_bg_col[#81d742]___sPage_product-bg_col_tr[0.4]___sPage_product-border_label[false]___sPage_product-bd_size_gen[1]___sPage_product-bd_style_gen[solid]___sPage_product-bd_col_gen[#c6c6c6]___sPage_product-bd_size_tp[1]___sPage_product-bd_style_tp[solid]___sPage_product-bd_col_tp[#c6c6c6]___sPage_product-bd_size_rt[1]___sPage_product-bd_style_rt[solid]___sPage_product-bd_col_rt[#c6c6c6]___sPage_product-bd_size_bt[1]___sPage_product-bd_style_bt[solid]___sPage_product-bd_col_bt[#c6c6c6]___sPage_product-bd_size_lt[1]___sPage_product-bd_style_lt[solid]___sPage_product-bd_col_lt[#c6c6c6]___sPage_product-bd_ad[false]___sPage_product-radius_label[false]___sPage_product-radius[0]___sPage_product-shadow_label[false]___sPage_product-shad_h[0]___sPage_product-shad_v[0]___sPage_product-shad_bl[5]___sPage_product-shad_sp[0]___sPage_product-shad_col[#000000]___sPage_product-shad_col_tr[0.4]___sPage_product-shad_in[false]',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_textarea'
	) );

	$wp_customize->add_control(
		new Royal_sPage_product_Tabs( $wp_customize, 'royal_sPage_product[db_input]', array(
			'label'    => '',
			'section'  => 'shop_page',
			'priority' => 15
		)
	) );


// Shop Media Tabs
	class Royal_sProduct_Media_Tabs extends WP_Customize_Control {

		    public $type = 'sProduct_media';
		 
		    public function render_content() {

		    	$html  = '<label>';
		    		$html .= '<span class="customize-control-title">'. esc_html( $this->label ) .'</span>';
		    		$html .= '<textarea rows="10" style="width:100%;" '. $this->get_link() .'>'. esc_textarea( $this->value() ) .'</textarea>';
		    	$html .= '</label>';
		        
		        echo ''. $html;

		        // get options from db
		        $sProduct_media = royal_get_option('royal_sProduct_media');
		        
				?>

				<!-- Label -->
				<li id="customize-control-royal_sProduct_media-label" class="customize-control customize-control-tablabel rf-tabs-label rf-tabs-label-active" style="display: list-item;">
					<span class="customize-control-title rf-custom-label"><?php esc_html_e( 'Media', 'hyperx' ); ?></span>
				</li>

				<!-- General Options -->
				<li id="customize-control-royal_sProduct_media-link_single" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_media['link_single'], true); ?>>
						<?php esc_html_e( 'Media Hover Links To Single', 'hyperx' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_media-info_hovers_select" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Info Hovers', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('fade', $sProduct_media['info_hovers_select'], true); ?> value="fade">Fade</option>
						<option <?php selected('grow', $sProduct_media['info_hovers_select'], true); ?> value="grow">Grow</option>
						<option <?php selected('slide', $sProduct_media['info_hovers_select'], true); ?> value="slide">Slide</option>
						<option <?php selected('skew', $sProduct_media['info_hovers_select'], true); ?> value="skew">Skew</option>
						<option <?php selected('sk-full', $sProduct_media['info_hovers_select'], true); ?> value="sk-full">Skew Full</option>
						<option <?php selected('skfull-fd', $sProduct_media['info_hovers_select'], true); ?> value="skfull-fd">Skew Full Fade</option>
					</select>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_media-hover_fade" class="customize-control customize-control-radio" style="display: list-item;">
					<label>
						<input type="radio" value="fade" name="_royal_sProduct_media-hover_fade" <?php checked('fade', $sProduct_media['hover_fade'], true); ?>>Fade In<br>
					</label>
					<label>
						<input type="radio" value="fade-out" name="_royal_sProduct_media-hover_fade" <?php checked('fade-out', $sProduct_media['hover_fade'], true); ?>>Fade Out<br>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_media-hover_grow" class="customize-control customize-control-radio" style="display: list-item;">
					<label>
						<input type="radio" value="center-grow" name="_royal_sProduct_media-hover_grow" <?php checked('center-grow', $sProduct_media['hover_grow'], true); ?>>Center<br>
					</label>
					<label>
						<input type="radio" value="center-grow-full" name="_royal_sProduct_media-hover_grow" <?php checked('center-grow-full', $sProduct_media['hover_grow'], true); ?>>Center Full<br>
					</label>
					<label>
						<input type="radio" value="top-left-grow" name="_royal_sProduct_media-hover_grow" <?php checked('top-left-grow', $sProduct_media['hover_grow'], true); ?>>Top Left<br>
					</label>
					<label>
						<input type="radio" value="top-right-grow" name="_royal_sProduct_media-hover_grow" <?php checked('top-right-grow', $sProduct_media['hover_grow'], true); ?>>Top Right<br>
					</label>
					<label>
						<input type="radio" value="bottom-left-grow" name="_royal_sProduct_media-hover_grow" <?php checked('bottom-left-grow', $sProduct_media['hover_grow'], true); ?>>Bottom Left<br>
					</label>
					<label>
						<input type="radio" value="bottom-right-grow" name="_royal_sProduct_media-hover_grow" <?php checked('bottom-right-grow', $sProduct_media['hover_grow'], true); ?>>Bottom Right<br>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_media-hover_slide" class="customize-control customize-control-radio" style="display: list-item;">
					<label>
						<input type="radio" value="top-slide" name="_royal_sProduct_media-hover_slide" <?php checked('top-slide', $sProduct_media['hover_slide'], true); ?>>Top<br>
					</label>
					<label>
						<input type="radio" value="bottom-slide" name="_royal_sProduct_media-hover_slide" <?php checked('bottom-slide', $sProduct_media['hover_slide'], true); ?>>Bottom<br>
					</label>
					<label>
						<input type="radio" value="left-slide" name="_royal_sProduct_media-hover_slide" <?php checked('left-slide', $sProduct_media['hover_slide'], true); ?>>Left<br>
					</label>
					<label>
						<input type="radio" value="right-slide" name="_royal_sProduct_media-hover_slide" <?php checked('right-slide', $sProduct_media['hover_slide'], true); ?>>Right<br>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_media-hover_skew" class="customize-control customize-control-radio" style="display: list-item;">
					<label>
						<input type="radio" value="skew-top" name="_royal_sProduct_media-hover_skew" <?php checked('skew-top', $sProduct_media['hover_skew'], true); ?>>Top<br>
					</label>
					<label>
						<input type="radio" value="skew-bottom" name="_royal_sProduct_media-hover_skew" <?php checked('skew-bottom', $sProduct_media['hover_skew'], true); ?>>Bottom<br>
					</label>
					<label>
						<input type="radio" value="skew-left" name="_royal_sProduct_media-hover_skew" <?php checked('skew-left', $sProduct_media['hover_skew'], true); ?>>Left<br>
					</label>
					<label>
						<input type="radio" value="skew-right" name="_royal_sProduct_media-hover_skew" <?php checked('skew-right', $sProduct_media['hover_skew'], true); ?>>Right<br>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_media-hover_skew_full" class="customize-control customize-control-radio" style="display: list-item;">
					<label>
						<input type="radio" value="skew-full-top" name="_royal_sProduct_media-hover_skew_full" <?php checked('skew-full-top', $sProduct_media['hover_skew_full'], true); ?>>Top<br>
					</label>
					<label>
						<input type="radio" value="skew-full-bottom" name="_royal_sProduct_media-hover_skew_full" <?php checked('skew-full-bottom', $sProduct_media['hover_skew_full'], true); ?>>Bottom<br>
					</label>
					<label>
						<input type="radio" value="skew-full-left" name="_royal_sProduct_media-hover_skew_full" <?php checked('skew-full-left', $sProduct_media['hover_skew_full'], true); ?>>Left<br>
					</label>
					<label>
						<input type="radio" value="skew-full-right" name="_royal_sProduct_media-hover_skew_full" <?php checked('skew-full-right', $sProduct_media['hover_skew_full'], true); ?>>Right<br>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_media-hover_skew_full_fade" class="customize-control customize-control-radio" style="display: list-item;">
					<label>
						<input type="radio" value="skew-full-fade-top" name="_royal_sProduct_media-hover_skew_full_fade" <?php checked('skew-full-fade-top', $sProduct_media['hover_skew_full_fade'], true); ?>>Top<br>
					</label>
					<label>
						<input type="radio" value="skew-full-fade-bottom" name="_royal_sProduct_media-hover_skew_full_fade" <?php checked('skew-full-fade-bottom', $sProduct_media['hover_skew_full_fade'], true); ?>>Bottom<br>
					</label>
					<label>
						<input type="radio" value="skew-full-fade-left" name="_royal_sProduct_media-hover_skew_full_fade" <?php checked('skew-full-fade-left', $sProduct_media['hover_skew_full_fade'], true); ?>>Left<br>
					</label>
					<label>
						<input type="radio" value="skew-full-fade-right" name="_royal_sProduct_media-hover_skew_full_fade" <?php checked('skew-full-fade-right', $sProduct_media['hover_skew_full_fade'], true); ?>>Right<br>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_media-info_hover_trans" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Info Hover Transition', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('0', $sProduct_media['info_hover_trans'], true); ?> value="0"><?php esc_html_e( 'None', 'hyperx' ); ?></option>
						<option <?php selected('50', $sProduct_media['info_hover_trans'], true); ?> value="50">50 ms</option>
						<option <?php selected('100', $sProduct_media['info_hover_trans'], true); ?> value="100">100 ms</option>
						<option <?php selected('150', $sProduct_media['info_hover_trans'], true); ?> value="150">150 ms</option>
						<option <?php selected('200', $sProduct_media['info_hover_trans'], true); ?> value="200">200 ms</option>
						<option <?php selected('250', $sProduct_media['info_hover_trans'], true); ?> value="250">250 ms</option>
						<option <?php selected('300', $sProduct_media['info_hover_trans'], true); ?> value="300">300 ms</option>
						<option <?php selected('350', $sProduct_media['info_hover_trans'], true); ?> value="350">350 ms</option>
						<option <?php selected('400', $sProduct_media['info_hover_trans'], true); ?> value="400">400 ms</option>
						<option <?php selected('500', $sProduct_media['info_hover_trans'], true); ?> value="500">500 ms</option>
						<option <?php selected('600', $sProduct_media['info_hover_trans'], true); ?> value="600">600 ms</option>
						<option <?php selected('700', $sProduct_media['info_hover_trans'], true); ?> value="700">700 ms</option>
						<option <?php selected('800', $sProduct_media['info_hover_trans'], true); ?> value="800">800 ms</option>
						<option <?php selected('900', $sProduct_media['info_hover_trans'], true); ?> value="900">900 ms</option>
						<option <?php selected('1000', $sProduct_media['info_hover_trans'], true); ?> value="1000">1000 ms</option>
					</select>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_media-center_content" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_media['center_content'], true); ?>>
						<?php esc_html_e( 'Center Content Vertically', 'hyperx' ); ?>
					</label>
				</li>

				<!-- Spacing Options -->
				<li id="customize-control-royal_sProduct_media-padding_gen" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Media Padding', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_media['padding_gen']); ?>" id="royal_rg_sProduct_media_padding_gen" />
						<div id="royal_sl_sProduct_media_padding_gen" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_media-padding_tp" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Media Padding Top', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_media['padding_tp']); ?>" id="royal_rg_sProduct_media_padding_tp" />
						<div id="royal_sl_sProduct_media_padding_tp" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_media-padding_rt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Media Padding Right', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_media['padding_rt']); ?>" id="royal_rg_sProduct_media_padding_rt" />
						<div id="royal_sl_sProduct_media_padding_rt" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_media-padding_bt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Media Padding Bottom', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_media['padding_bt']); ?>" id="royal_rg_sProduct_media_padding_bt" />
						<div id="royal_sl_sProduct_media_padding_bt" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_media-padding_lt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Media Padding Left', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_media['padding_lt']); ?>" id="royal_rg_sProduct_media_padding_lt" />
						<div id="royal_sl_sProduct_media_padding_lt" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_media-padding_ad" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_media['padding_ad'], true); ?>>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_media-info_padding_gen" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Info Hover Padding', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_media['info_padding_gen']); ?>" id="royal_rg_sProduct_media_info_padding_gen" />
						<div id="royal_sl_sProduct_media_info_padding_gen" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_media-info_padding_tp" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Info Hover Padd Top', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_media['info_padding_tp']); ?>" id="royal_rg_sProduct_media_info_padding_tp" />
						<div id="royal_sl_sProduct_media_info_padding_tp" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_media-info_padding_rt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Info Hover Padd Right', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_media['info_padding_rt']); ?>" id="royal_rg_sProduct_media_info_padding_rt" />
						<div id="royal_sl_sProduct_media_info_padding_rt" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_media-info_padding_bt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Info Hover Padd Bottom', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_media['info_padding_bt']); ?>" id="royal_rg_sProduct_media_info_padding_bt" />
						<div id="royal_sl_sProduct_media_info_padding_bt" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_media-info_padding_lt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Info Hover Padd Left', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_media['info_padding_lt']); ?>" id="royal_rg_sProduct_media_info_padding_lt" />
						<div id="royal_sl_sProduct_media_info_padding_lt" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_media-info_padding_ad" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_media['info_padding_ad'], true); ?>>
					</label>
				</li>

				<!-- Styling Options -->
				<li id="customize-control-royal_sProduct_media-bg_col" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Background Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_media['bg_col']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_media-bg_col_tr" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Transparency', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_media['bg_col_tr']); ?>" id="royal_rg_sProduct_media_bg_col_tr" />
						<div id="royal_sl_sProduct_media_bg_col_tr" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_media-border_label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_media['border_label'], true); ?>>
						<?php esc_html_e( 'Border', 'hyperx' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_media-bd_size_gen" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_media['bd_size_gen']); ?>" id="royal_rg_sProduct_media_bd_size_gen" />
						<div id="royal_sl_sProduct_media_bd_size_gen" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_media-bd_style_gen" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('solid', $sProduct_media['bd_style_gen'], true); ?> value="solid">Solid</option>
						<option <?php selected('dotted', $sProduct_media['bd_style_gen'], true); ?> value="dotted">Dotted</option>
						<option <?php selected('dashed', $sProduct_media['bd_style_gen'], true); ?> value="dashed">Dashed</option>
						<option <?php selected('double', $sProduct_media['bd_style_gen'], true); ?> value="double">Double</option>
						<option <?php selected('groove', $sProduct_media['bd_style_gen'], true); ?> value="groove">Groove</option>
						<option <?php selected('ridge', $sProduct_media['bd_style_gen'], true); ?> value="ridge">Ridge</option>
						<option <?php selected('inset', $sProduct_media['bd_style_gen'], true); ?> value="inset">Inset</option>
						<option <?php selected('outset', $sProduct_media['bd_style_gen'], true); ?> value="outset">Outset</option>
					</select>
					
					</label>
				</li>
				<li id="customize-control-royal_sProduct_media-bd_col_gen" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_media['bd_col_gen']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_media-bd_size_tp" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_media['bd_size_tp']); ?>" id="royal_rg_sProduct_media_bd_size_tp" />
						<div id="royal_sl_sProduct_media_bd_size_tp" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_media-bd_style_tp" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('solid', $sProduct_media['bd_style_tp'], true); ?> value="solid">Solid</option>
						<option <?php selected('dotted', $sProduct_media['bd_style_tp'], true); ?> value="dotted">Dotted</option>
						<option <?php selected('dashed', $sProduct_media['bd_style_tp'], true); ?> value="dashed">Dashed</option>
						<option <?php selected('double', $sProduct_media['bd_style_tp'], true); ?> value="double">Double</option>
						<option <?php selected('groove', $sProduct_media['bd_style_tp'], true); ?> value="groove">Groove</option>
						<option <?php selected('ridge', $sProduct_media['bd_style_tp'], true); ?> value="ridge">Ridge</option>
						<option <?php selected('inset', $sProduct_media['bd_style_tp'], true); ?> value="inset">Inset</option>
						<option <?php selected('outset', $sProduct_media['bd_style_tp'], true); ?> value="outset">Outset</option>
					</select>
					
					</label>
				</li>
				<li id="customize-control-royal_sProduct_media-bd_col_tp" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_media['bd_col_tp']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_media-bd_size_rt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_media['bd_size_rt']); ?>" id="royal_rg_sProduct_media_bd_size_rt" />
						<div id="royal_sl_sProduct_media_bd_size_rt" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_media-bd_style_rt" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('solid', $sProduct_media['bd_style_rt'], true); ?> value="solid">Solid</option>
						<option <?php selected('dotted', $sProduct_media['bd_style_rt'], true); ?> value="dotted">Dotted</option>
						<option <?php selected('dashed', $sProduct_media['bd_style_rt'], true); ?> value="dashed">Dashed</option>
						<option <?php selected('double', $sProduct_media['bd_style_rt'], true); ?> value="double">Double</option>
						<option <?php selected('groove', $sProduct_media['bd_style_rt'], true); ?> value="groove">Groove</option>
						<option <?php selected('ridge', $sProduct_media['bd_style_rt'], true); ?> value="ridge">Ridge</option>
						<option <?php selected('inset', $sProduct_media['bd_style_rt'], true); ?> value="inset">Inset</option>
						<option <?php selected('outset', $sProduct_media['bd_style_rt'], true); ?> value="outset">Outset</option>
					</select>
					
					</label>
				</li>
				<li id="customize-control-royal_sProduct_media-bd_col_rt" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_media['bd_col_rt']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_media-bd_size_bt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_media['bd_size_bt']); ?>" id="royal_rg_sProduct_media_bd_size_bt" />
						<div id="royal_sl_sProduct_media_bd_size_bt" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_media-bd_style_bt" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('solid', $sProduct_media['bd_style_bt'], true); ?> value="solid">Solid</option>
						<option <?php selected('dotted', $sProduct_media['bd_style_bt'], true); ?> value="dotted">Dotted</option>
						<option <?php selected('dashed', $sProduct_media['bd_style_bt'], true); ?> value="dashed">Dashed</option>
						<option <?php selected('double', $sProduct_media['bd_style_bt'], true); ?> value="double">Double</option>
						<option <?php selected('groove', $sProduct_media['bd_style_bt'], true); ?> value="groove">Groove</option>
						<option <?php selected('ridge', $sProduct_media['bd_style_bt'], true); ?> value="ridge">Ridge</option>
						<option <?php selected('inset', $sProduct_media['bd_style_bt'], true); ?> value="inset">Inset</option>
						<option <?php selected('outset', $sProduct_media['bd_style_bt'], true); ?> value="outset">Outset</option>
					</select>
					
					</label>
				</li>
				<li id="customize-control-royal_sProduct_media-bd_col_bt" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_media['bd_col_bt']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_media-bd_size_lt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_media['bd_size_lt']); ?>" id="royal_rg_sProduct_media_bd_size_lt" />
						<div id="royal_sl_sProduct_media_bd_size_lt" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_media-bd_style_lt" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('solid', $sProduct_media['bd_style_lt'], true); ?> value="solid">Solid</option>
						<option <?php selected('dotted', $sProduct_media['bd_style_lt'], true); ?> value="dotted">Dotted</option>
						<option <?php selected('dashed', $sProduct_media['bd_style_lt'], true); ?> value="dashed">Dashed</option>
						<option <?php selected('double', $sProduct_media['bd_style_lt'], true); ?> value="double">Double</option>
						<option <?php selected('groove', $sProduct_media['bd_style_lt'], true); ?> value="groove">Groove</option>
						<option <?php selected('ridge', $sProduct_media['bd_style_lt'], true); ?> value="ridge">Ridge</option>
						<option <?php selected('inset', $sProduct_media['bd_style_lt'], true); ?> value="inset">Inset</option>
						<option <?php selected('outset', $sProduct_media['bd_style_lt'], true); ?> value="outset">Outset</option>
					</select>
					
					</label>
				</li>
				<li id="customize-control-royal_sProduct_media-bd_col_lt" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_media['bd_col_lt']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_media-bd_ad" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_media['bd_ad'], true); ?>>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_media-shadow_label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_media['shadow_label'], true); ?>>
						<?php esc_html_e( 'Shadow', 'hyperx' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_media-shad_h" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Horizontal', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_media['shad_h']); ?>" id="royal_rg_sProduct_media_shad_h" />
						<div id="royal_sl_sProduct_media_shad_h" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_media-shad_v" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Vertical', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_media['shad_v']); ?>" id="royal_rg_sProduct_media_shad_v" />
						<div id="royal_sl_sProduct_media_shad_v" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_media-shad_bl" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Blur', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_media['shad_bl']); ?>" id="royal_rg_sProduct_media_shad_bl" />
						<div id="royal_sl_sProduct_media_shad_bl" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_media-shad_sp" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Spread', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_media['shad_sp']); ?>" id="royal_rg_sProduct_media_shad_sp" />
						<div id="royal_sl_sProduct_media_shad_sp" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_media-shad_col" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_media['shad_col']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_media-shad_col_tr" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Transparency', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_media['shad_col_tr']); ?>" id="royal_rg_sProduct_media_shad_col_tr" />
						<div id="royal_sl_sProduct_media_shad_col_tr" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_media-shad_in" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_media['shad_in'], true); ?>>
						<?php esc_html_e( 'Inner', 'hyperx' ); ?>
					</label>
				</li>

				<?php
		    }

	}


	// shop media
	$wp_customize->add_setting( 'royal_sProduct_media[db_input]', array(
	    'default' 	=> 'sProduct_media-info_hovers_select[fade]___sProduct_media-hover_fade[fade]___sProduct_media-hover_grow[center-grow]___sProduct_media-hover_slide[left-slide]___sProduct_media-hover_skew[skew-bottom]___sProduct_media-hover_skew_full[skew-full-top]___sProduct_media-hover_skew_full_fade[skew-full-fade-bottom]___sProduct_media-info_hover_trans[500]___sProduct_media-center_content[true]___sProduct_media-padding_gen[15]___sProduct_media-padding_tp[15]___sProduct_media-padding_rt[15]___sProduct_media-padding_bt[15]___sProduct_media-padding_lt[15]___sProduct_media-padding_ad[false]___sProduct_media-info_padding_gen[0]___sProduct_media-info_padding_tp[0]___sProduct_media-info_padding_rt[0]___sProduct_media-info_padding_bt[0]___sProduct_media-info_padding_lt[0]___sProduct_media-info_padding_ad[false]___sProduct_media-bg_col[#dd3333]___sProduct_media-bg_col_tr[0.8]___sProduct_media-border_label[false]___sProduct_media-bd_size_gen[0]___sProduct_media-bd_style_gen[solid]___sProduct_media-bd_col_gen[#ff3a3a]___sProduct_media-bd_size_tp[0]___sProduct_media-bd_style_tp[solid]___sProduct_media-bd_col_tp[#ff3a3a]___sProduct_media-bd_size_rt[0]___sProduct_media-bd_style_rt[solid]___sProduct_media-bd_col_rt[#ff3a3a]___sProduct_media-bd_size_bt[0]___sProduct_media-bd_style_bt[solid]___sProduct_media-bd_col_bt[#ff3a3a]___sProduct_media-bd_size_lt[0]___sProduct_media-bd_style_lt[solid]___sProduct_media-bd_col_lt[#ff3a3a]___sProduct_media-bd_ad[false]___sProduct_media-radius_label[true]___sProduct_media-radius[50]___sProduct_media-shadow_label[false]___sProduct_media-shad_h[0]___sProduct_media-shad_v[0]___sProduct_media-shad_bl[4]___sProduct_media-shad_sp[0]___sProduct_media-shad_col[#000000]___sProduct_media-shad_col_tr[1]___sProduct_media-shad_in[false]',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_textarea'
	) );

	$wp_customize->add_control(
		new Royal_sProduct_Media_Tabs( $wp_customize, 'royal_sProduct_media[db_input]', array(
			'label'    => '',
			'section'  => 'shop_page',
			'priority' => 15
		)
	) );


// Shop Product Title Tabs
	class Royal_sProduct_Title_Tabs extends WP_Customize_Control {

		    public $type = 'sProduct_title';
		 
		    public function render_content() {

		    	$html  = '<label>';
		    		$html .= '<span class="customize-control-title">'. esc_html( $this->label ) .'</span>';
		    		$html .= '<textarea rows="10" style="width:100%;" '. $this->get_link() .'>'. esc_textarea( $this->value() ) .'</textarea>';
		    	$html .= '</label>';
		        
		        echo ''. $html;

		        // get options from db
		        $sProduct_title = royal_get_option('royal_sProduct_title');
		        
				?>

				<!-- Label -->
				<li id="customize-control-royal_sProduct_title-label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_title['label'], true); ?>>
						<?php esc_html_e( 'Title', 'hyperx' ); ?>
					</label>
				</li>

				<!-- General Options -->
				<li id="customize-control-royal_sProduct_title-position" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Position', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('above', $sProduct_title['position'], true); ?> value="above">Above Media</option>
						<option <?php selected('below', $sProduct_title['position'], true); ?> value="below">Below Media</option>
						<option <?php selected('hover', $sProduct_title['position'], true); ?> value="hover">Info Hover</option>
					</select>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_title-align" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Align', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('left', $sProduct_title['align'], true); ?> value="left">Left</option>
						<option <?php selected('center', $sProduct_title['align'], true); ?> value="center">Center</option>
						<option <?php selected('right', $sProduct_title['align'], true); ?> value="right">Right</option>
					</select>
					</label>
				</li>

				<!-- Spacing Options -->
				<li id="customize-control-royal_sProduct_title-padding_bt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Padding Bottom', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_title['padding_bt']); ?>" id="royal_rg_sProduct_title_padding_bt" />
						<div id="royal_sl_sProduct_title_padding_bt" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_title-margin_bt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Margin Bottom', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_title['margin_bt']); ?>" id="royal_rg_sProduct_title_margin_bt" />
						<div id="royal_sl_sProduct_title_margin_bt" class="rf-slider"></div>
					</div>
				</li>

				<!-- Styling Options -->
				<li id="customize-control-royal_sProduct_title-color" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_title['color']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_title-h_color" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Hover Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_title['h_color']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>

				<li id="customize-control-royal_sProduct_title-border_label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_title['border_label'], true); ?>>
						<?php esc_html_e( 'Border', 'hyperx' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_title-bd_size_bt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_title['bd_size_bt']); ?>" id="royal_rg_sProduct_title_bd_size_bt" />
						<div id="royal_sl_sProduct_title_bd_size_bt" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_title-bd_style_bt" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('solid', $sProduct_title['bd_style_bt'], true); ?> value="solid">Solid</option>
						<option <?php selected('dotted', $sProduct_title['bd_style_bt'], true); ?> value="dotted">Dotted</option>
						<option <?php selected('dashed', $sProduct_title['bd_style_bt'], true); ?> value="dashed">Dashed</option>
						<option <?php selected('double', $sProduct_title['bd_style_bt'], true); ?> value="double">Double</option>
						<option <?php selected('groove', $sProduct_title['bd_style_bt'], true); ?> value="groove">Groove</option>
						<option <?php selected('ridge', $sProduct_title['bd_style_bt'], true); ?> value="ridge">Ridge</option>
						<option <?php selected('inset', $sProduct_title['bd_style_bt'], true); ?> value="inset">Inset</option>
						<option <?php selected('outset', $sProduct_title['bd_style_bt'], true); ?> value="outset">Outset</option>
					</select>
					
					</label>
				</li>
				<li id="customize-control-royal_sProduct_title-bd_col_bt" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_title['bd_col_bt']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_title-bd_full_width" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_title['bd_full_width'], true); ?>>
						<?php esc_html_e( 'Full Width Border', 'hyperx' ); ?>
					</label>
				</li>

				<!-- Font Options -->
				<li id="customize-control-royal_sProduct_title-font_family" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Family', 'hyperx' ); ?></span>
					<?php echo royal_google_fonts_dropdown( 'royal_sProduct_title_font_family', $sProduct_title['font_family'], '' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_title-font_size" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_title['font_size']); ?>" id="royal_rg_sProduct_title_font_size" />
						<div id="royal_sl_sProduct_title_font_size" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_title-line_height" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Line Height', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_title['line_height']); ?>" id="royal_rg_sProduct_title_line_height" />
						<div id="royal_sl_sProduct_title_line_height" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_title-letter_space" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Letter Spacing', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_title['letter_space']); ?>" id="royal_rg_sProduct_title_letter_space" />
						<div id="royal_sl_sProduct_title_letter_space" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_title-font_weight" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Font Weight', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_title['font_weight']); ?>" id="royal_rg_sProduct_title_font_weight" />
						<div id="royal_sl_sProduct_title_font_weight" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_title-italic" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_title['italic'], true); ?>>
						<?php esc_html_e( 'Italic', 'hyperx' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_title-uppercase" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_title['uppercase'], true); ?>>
						<?php esc_html_e( 'Uppercase', 'hyperx' ); ?>
					</label>
				</li>


				<?php
		    }

	}


	// shop title
	$wp_customize->add_setting( 'royal_sProduct_title[db_input]', array(
	    'default' 	=> 'sProduct_title-label[true]___sProduct_title-position[above]___sProduct_title-align[center]___sProduct_title-padding_bt[10]___sProduct_title-margin_bt[10]___sProduct_title-color[#dd3333]___sProduct_title-h_color[#dd9933]___sProduct_title-border_label[true]___sProduct_title-bd_size_bt[1]___sProduct_title-bd_style_bt[solid]___sProduct_title-bd_col_bt[#ad4b27]',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_textarea'
	) );

	$wp_customize->add_control(
		new Royal_sProduct_Title_Tabs( $wp_customize, 'royal_sProduct_title[db_input]', array(
			'label'    => '',
			'section'  => 'shop_page',
			'priority' => 20
		)
	) );


// Shop Product Category Tabs
	class Royal_sProduct_Cats_Tabs extends WP_Customize_Control {

		    public $type = 'sProduct_cats';
		 
		    public function render_content() {

		    	$html  = '<label>';
		    		$html .= '<span class="customize-control-title">'. esc_html( $this->label ) .'</span>';
		    		$html .= '<textarea rows="10" style="width:100%;" '. $this->get_link() .'>'. esc_textarea( $this->value() ) .'</textarea>';
		    	$html .= '</label>';
		        
		        echo ''. $html;

		        // get options from db
		        $sProduct_cats = royal_get_option('royal_sProduct_cats');
		        
				?>

				<!-- Label -->
				<li id="customize-control-royal_sProduct_cats-label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_cats['label'], true); ?>>
						<?php esc_html_e( 'Categories', 'hyperx' ); ?>
					</label>
				</li>

				<!-- General Options -->
				<li id="customize-control-royal_sProduct_cats-position" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Position', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('above', $sProduct_cats['position'], true); ?> value="above">Above Media</option>
						<option <?php selected('below', $sProduct_cats['position'], true); ?> value="below">Below Media</option>
						<option <?php selected('hover', $sProduct_cats['position'], true); ?> value="hover">Info Hover</option>
					</select>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_cats-align" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Align', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('left', $sProduct_cats['align'], true); ?> value="left">Left</option>
						<option <?php selected('center', $sProduct_cats['align'], true); ?> value="center">Center</option>
						<option <?php selected('right', $sProduct_cats['align'], true); ?> value="right">Right</option>
					</select>
					</label>
				</li>

				<!-- Spacing Options -->
				<li id="customize-control-royal_sProduct_cats-padding_bt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Padding Bottom', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_cats['padding_bt']); ?>" id="royal_rg_sProduct_cats_padding_bt" />
						<div id="royal_sl_sProduct_cats_padding_bt" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_cats-margin_bt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Margin Bottom', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_cats['margin_bt']); ?>" id="royal_rg_sProduct_cats_margin_bt" />
						<div id="royal_sl_sProduct_cats_margin_bt" class="rf-slider"></div>
					</div>
				</li>

				<!-- Styling Options -->
				<li id="customize-control-royal_sProduct_cats-color" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_cats['color']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_cats-h_color" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Hover Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_cats['h_color']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>

				<li id="customize-control-royal_sProduct_cats-border_label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_cats['border_label'], true); ?>>
						<?php esc_html_e( 'Border', 'hyperx' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_cats-bd_size_bt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_cats['bd_size_bt']); ?>" id="royal_rg_sProduct_cats_bd_size_bt" />
						<div id="royal_sl_sProduct_cats_bd_size_bt" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_cats-bd_style_bt" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('solid', $sProduct_cats['bd_style_bt'], true); ?> value="solid">Solid</option>
						<option <?php selected('dotted', $sProduct_cats['bd_style_bt'], true); ?> value="dotted">Dotted</option>
						<option <?php selected('dashed', $sProduct_cats['bd_style_bt'], true); ?> value="dashed">Dashed</option>
						<option <?php selected('double', $sProduct_cats['bd_style_bt'], true); ?> value="double">Double</option>
						<option <?php selected('groove', $sProduct_cats['bd_style_bt'], true); ?> value="groove">Groove</option>
						<option <?php selected('ridge', $sProduct_cats['bd_style_bt'], true); ?> value="ridge">Ridge</option>
						<option <?php selected('inset', $sProduct_cats['bd_style_bt'], true); ?> value="inset">Inset</option>
						<option <?php selected('outset', $sProduct_cats['bd_style_bt'], true); ?> value="outset">Outset</option>
					</select>
					
					</label>
				</li>
				<li id="customize-control-royal_sProduct_cats-bd_col_bt" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_cats['bd_col_bt']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_cats-bd_full_width" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_cats['bd_full_width'], true); ?>>
						<?php esc_html_e( 'Full Width Border', 'hyperx' ); ?>
					</label>
				</li>

				<!-- Font Options -->
				<li id="customize-control-royal_sProduct_cats-font_family" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Family', 'hyperx' ); ?></span>
					<?php echo royal_google_fonts_dropdown( 'royal_sProduct_cats_font_family', $sProduct_cats['font_family'], '' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_cats-font_size" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_cats['font_size']); ?>" id="royal_rg_sProduct_cats_font_size" />
						<div id="royal_sl_sProduct_cats_font_size" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_cats-line_height" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Line Height', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_cats['line_height']); ?>" id="royal_rg_sProduct_cats_line_height" />
						<div id="royal_sl_sProduct_cats_line_height" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_cats-letter_space" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Letter Spacing', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_cats['letter_space']); ?>" id="royal_rg_sProduct_cats_letter_space" />
						<div id="royal_sl_sProduct_cats_letter_space" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_cats-font_weight" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Font Weight', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_cats['font_weight']); ?>" id="royal_rg_sProduct_cats_font_weight" />
						<div id="royal_sl_sProduct_cats_font_weight" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_cats-italic" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_cats['italic'], true); ?>>
						<?php esc_html_e( 'Italic', 'hyperx' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_cats-uppercase" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_cats['uppercase'], true); ?>>
						<?php esc_html_e( 'Uppercase', 'hyperx' ); ?>
					</label>
				</li>


				<?php
		    }

	}


	// shop category
	$wp_customize->add_setting( 'royal_sProduct_cats[db_input]', array(
	    'default' 	=> 'sProduct_cats-label[true]___sProduct_cats-position[above]___sProduct_cats-align[center]___sProduct_cats-padding_bt[10]___sProduct_cats-margin_bt[10]___sProduct_cats-color[#dd3333]___sProduct_cats-h_color[#dd9933]___sProduct_cats-border_label[true]___sProduct_cats-bd_size_bt[1]___sProduct_cats-bd_style_bt[solid]___sProduct_cats-bd_col_bt[#ad4b27]',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_textarea'
	) );

	$wp_customize->add_control(
		new Royal_sProduct_Cats_Tabs( $wp_customize, 'royal_sProduct_cats[db_input]', array(
			'label'    => '',
			'section'  => 'shop_page',
			'priority' => 25
		)
	) );


// Shop Product Rating Tabs
	class Royal_sProduct_Rating_Tabs extends WP_Customize_Control {

		    public $type = 'sProduct_rating';
		 
		    public function render_content() {

		    	$html  = '<label>';
		    		$html .= '<span class="customize-control-title">'. esc_html( $this->label ) .'</span>';
		    		$html .= '<textarea rows="10" style="width:100%;" '. $this->get_link() .'>'. esc_textarea( $this->value() ) .'</textarea>';
		    	$html .= '</label>';
		        
		        echo ''. $html;

		        // get options from db
		        $sProduct_rating = royal_get_option('royal_sProduct_rating');
		        
				?>

				<!-- Label -->
				<li id="customize-control-royal_sProduct_rating-label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_rating['label'], true); ?>>
						<?php esc_html_e( 'Rating', 'hyperx' ); ?>
					</label>
				</li>

				<!-- General Options -->
				<li id="customize-control-royal_sProduct_rating-position" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Position', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('above', $sProduct_rating['position'], true); ?> value="above">Above Media</option>
						<option <?php selected('below', $sProduct_rating['position'], true); ?> value="below">Below Media</option>
						<option <?php selected('hover', $sProduct_rating['position'], true); ?> value="hover">Info Hover</option>
					</select>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_rating-align" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Align', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('left', $sProduct_rating['align'], true); ?> value="left">Left</option>
						<option <?php selected('center', $sProduct_rating['align'], true); ?> value="center">Center</option>
						<option <?php selected('right', $sProduct_rating['align'], true); ?> value="right">Right</option>
					</select>
					</label>
				</li>

				<!-- Spacing Options -->
				<li id="customize-control-royal_sProduct_rating-padding_bt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Padding Bottom', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_rating['padding_bt']); ?>" id="royal_rg_sProduct_rating_padding_bt" />
						<div id="royal_sl_sProduct_rating_padding_bt" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_rating-margin_bt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Margin Bottom', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_rating['margin_bt']); ?>" id="royal_rg_sProduct_rating_margin_bt" />
						<div id="royal_sl_sProduct_rating_margin_bt" class="rf-slider"></div>
					</div>
				</li>

				<!-- Styling Options -->
				<li id="customize-control-royal_sProduct_rating-color" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_rating['color']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_rating-inactive_color" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Inactive Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_rating['inactive_color']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>

				<li id="customize-control-royal_sProduct_rating-border_label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_rating['border_label'], true); ?>>
						<?php esc_html_e( 'Border', 'hyperx' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_rating-bd_size_bt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_rating['bd_size_bt']); ?>" id="royal_rg_sProduct_rating_bd_size_bt" />
						<div id="royal_sl_sProduct_rating_bd_size_bt" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_rating-bd_style_bt" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('solid', $sProduct_rating['bd_style_bt'], true); ?> value="solid">Solid</option>
						<option <?php selected('dotted', $sProduct_rating['bd_style_bt'], true); ?> value="dotted">Dotted</option>
						<option <?php selected('dashed', $sProduct_rating['bd_style_bt'], true); ?> value="dashed">Dashed</option>
						<option <?php selected('double', $sProduct_rating['bd_style_bt'], true); ?> value="double">Double</option>
						<option <?php selected('groove', $sProduct_rating['bd_style_bt'], true); ?> value="groove">Groove</option>
						<option <?php selected('ridge', $sProduct_rating['bd_style_bt'], true); ?> value="ridge">Ridge</option>
						<option <?php selected('inset', $sProduct_rating['bd_style_bt'], true); ?> value="inset">Inset</option>
						<option <?php selected('outset', $sProduct_rating['bd_style_bt'], true); ?> value="outset">Outset</option>
					</select>
					
					</label>
				</li>
				<li id="customize-control-royal_sProduct_rating-bd_col_bt" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_rating['bd_col_bt']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_rating-bd_full_width" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_rating['bd_full_width'], true); ?>>
						<?php esc_html_e( 'Full Width Border', 'hyperx' ); ?>
					</label>
				</li>

				<!-- Font Options -->
				<li id="customize-control-royal_sProduct_rating-font_size" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_rating['font_size']); ?>" id="royal_rg_sProduct_rating_font_size" />
						<div id="royal_sl_sProduct_rating_font_size" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_rating-letter_space" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Letter Spacing', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_rating['letter_space']); ?>" id="royal_rg_sProduct_rating_letter_space" />
						<div id="royal_sl_sProduct_rating_letter_space" class="rf-slider"></div>
					</div>
				</li>


				<?php
		    }

	}


	// shop rating
	$wp_customize->add_setting( 'royal_sProduct_rating[db_input]', array(
	    'default' 	=> 'sProduct_rating-label[true]___sProduct_rating-position[above]___sProduct_rating-align[center]___sProduct_rating-padding_bt[10]___sProduct_rating-margin_bt[23]___sProduct_rating-color[#dd3333]___sProduct_rating-inactive_color[#dd9933]___sProduct_rating-border_label[true]___sProduct_rating-bd_size_bt[1]___sProduct_rating-bd_style_bt[solid]___sProduct_rating-bd_col_bt[#ad4b27]___sProduct_rating-bd_full_width[true]___sProduct_rating-font_size[15]___sProduct_rating-letter_space[0]',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_textarea'
	) );

	$wp_customize->add_control(
		new Royal_sProduct_Rating_Tabs( $wp_customize, 'royal_sProduct_rating[db_input]', array(
			'label'    => '',
			'section'  => 'shop_page',
			'priority' => 30
		)
	) );


// Shop Product Price Tabs
	class Royal_sProduct_Price_Tabs extends WP_Customize_Control {

		    public $type = 'sProduct_price';
		 
		    public function render_content() {

		    	$html  = '<label>';
		    		$html .= '<span class="customize-control-title">'. esc_html( $this->label ) .'</span>';
		    		$html .= '<textarea rows="10" style="width:100%;" '. $this->get_link() .'>'. esc_textarea( $this->value() ) .'</textarea>';
		    	$html .= '</label>';
		        
		        echo ''. $html;

		        // get options from db
		        $sProduct_price = royal_get_option('royal_sProduct_price');
		        
				?>

				<!-- Label -->
				<li id="customize-control-royal_sProduct_price-label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_price['label'], true); ?>>
						<?php esc_html_e( 'Price', 'hyperx' ); ?>
					</label>
				</li>

				<!-- General Options -->
				<li id="customize-control-royal_sProduct_price-position" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Position', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('above', $sProduct_price['position'], true); ?> value="above">Above Media</option>
						<option <?php selected('below', $sProduct_price['position'], true); ?> value="below">Below Media</option>
						<option <?php selected('hover', $sProduct_price['position'], true); ?> value="hover">Info Hover</option>
						<option <?php selected('title', $sProduct_price['position'], true); ?> value="title">With Title</option>
						<option <?php selected('addcart', $sProduct_price['position'], true); ?> value="addcart">With AddCart</option>
					</select>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_price-align" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Align', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('left', $sProduct_price['align'], true); ?> value="left">Left</option>
						<option <?php selected('center', $sProduct_price['align'], true); ?> value="center">Center</option>
						<option <?php selected('right', $sProduct_price['align'], true); ?> value="right">Right</option>
					</select>
					</label>
				</li>

				<!-- Spacing Options -->
				<li id="customize-control-royal_sProduct_price-padding_bt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Padding Bottom', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_price['padding_bt']); ?>" id="royal_rg_sProduct_price_padding_bt" />
						<div id="royal_sl_sProduct_price_padding_bt" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_price-margin_bt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Margin Bottom', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_price['margin_bt']); ?>" id="royal_rg_sProduct_price_margin_bt" />
						<div id="royal_sl_sProduct_price_margin_bt" class="rf-slider"></div>
					</div>
				</li>

				<!-- Styling Options -->
				<li id="customize-control-royal_sProduct_price-o_color" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Original Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_price['o_color']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_price-s_color" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Sale Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_price['s_color']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>

				<li id="customize-control-royal_sProduct_price-border_label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_price['border_label'], true); ?>>
						<?php esc_html_e( 'Border', 'hyperx' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_price-bd_size_bt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_price['bd_size_bt']); ?>" id="royal_rg_sProduct_price_bd_size_bt" />
						<div id="royal_sl_sProduct_price_bd_size_bt" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_price-bd_style_bt" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('solid', $sProduct_price['bd_style_bt'], true); ?> value="solid">Solid</option>
						<option <?php selected('dotted', $sProduct_price['bd_style_bt'], true); ?> value="dotted">Dotted</option>
						<option <?php selected('dashed', $sProduct_price['bd_style_bt'], true); ?> value="dashed">Dashed</option>
						<option <?php selected('double', $sProduct_price['bd_style_bt'], true); ?> value="double">Double</option>
						<option <?php selected('groove', $sProduct_price['bd_style_bt'], true); ?> value="groove">Groove</option>
						<option <?php selected('ridge', $sProduct_price['bd_style_bt'], true); ?> value="ridge">Ridge</option>
						<option <?php selected('inset', $sProduct_price['bd_style_bt'], true); ?> value="inset">Inset</option>
						<option <?php selected('outset', $sProduct_price['bd_style_bt'], true); ?> value="outset">Outset</option>
					</select>
					
					</label>
				</li>
				<li id="customize-control-royal_sProduct_price-bd_col_bt" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_price['bd_col_bt']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_price-bd_full_width" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_price['bd_full_width'], true); ?>>
						<?php esc_html_e( 'Full Width Border', 'hyperx' ); ?>
					</label>
				</li>

				<!-- Font Options -->
				<li id="customize-control-royal_sProduct_price-font_family" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Family', 'hyperx' ); ?></span>
					<?php echo royal_google_fonts_dropdown( 'royal_sProduct_price_font_family', $sProduct_price['font_family'], '' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_price-font_size" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_price['font_size']); ?>" id="royal_rg_sProduct_price_font_size" />
						<div id="royal_sl_sProduct_price_font_size" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_price-line_height" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Line Height', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_price['line_height']); ?>" id="royal_rg_sProduct_price_line_height" />
						<div id="royal_sl_sProduct_price_line_height" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_price-letter_space" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Letter Spacing', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_price['letter_space']); ?>" id="royal_rg_sProduct_price_letter_space" />
						<div id="royal_sl_sProduct_price_letter_space" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_price-font_weight" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Font Weight', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_price['font_weight']); ?>" id="royal_rg_sProduct_price_font_weight" />
						<div id="royal_sl_sProduct_price_font_weight" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_price-italic" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_price['italic'], true); ?>>
						<?php esc_html_e( 'Italic', 'hyperx' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_price-uppercase" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_price['uppercase'], true); ?>>
						<?php esc_html_e( 'Uppercase', 'hyperx' ); ?>
					</label>
				</li>


				<?php
		    }

	}


	// shop price
	$wp_customize->add_setting( 'royal_sProduct_price[db_input]', array(
	    'default' 	=> 'sProduct_price-label[true]___sProduct_price-position[above]___sProduct_price-align[center]___sProduct_price-padding_bt[10]___sProduct_price-margin_bt[10]___sProduct_price-o_color[#dd3333]___sProduct_price-s_color[#dd9933]___sProduct_price-border_label[true]___sProduct_price-bd_size_bt[1]___sProduct_price-bd_style_bt[solid]___sProduct_price-bd_col_bt[#ad4b27]',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_textarea'
	) );

	$wp_customize->add_control(
		new Royal_sProduct_Price_Tabs( $wp_customize, 'royal_sProduct_price[db_input]', array(
			'label'    => '',
			'section'  => 'shop_page',
			'priority' => 35
		)
	) );


// Shop Product AddCart Button Tabs
	class Royal_sProduct_AddCart_Tabs extends WP_Customize_Control {

		    public $type = 'sProduct_addcart';
		 
		    public function render_content() {

		    	$html  = '<label>';
		    		$html .= '<span class="customize-control-title">'. esc_html( $this->label ) .'</span>';
		    		$html .= '<textarea rows="10" style="width:100%;" '. $this->get_link() .'>'. esc_textarea( $this->value() ) .'</textarea>';
		    	$html .= '</label>';
		        
		        echo ''. $html;

		        // get options from db
		        $sProduct_addcart = royal_get_option('royal_sProduct_addcart');
		        
				?>

				<!-- Label -->
				<li id="customize-control-royal_sProduct_addcart-label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_addcart['label'], true); ?>>
						<?php esc_html_e( 'AddCart Button', 'hyperx' ); ?>
					</label>
				</li>

				<!-- General Options -->
				<li id="customize-control-royal_sProduct_addcart-display" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Display', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('button', $sProduct_addcart['position'], true); ?> value="button">Button</option>
						<option <?php selected('full', $sProduct_addcart['position'], true); ?> value="full">Full Width</option>
					</select>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_addcart-position" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Position', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('above', $sProduct_addcart['position'], true); ?> value="above">Above Media</option>
						<option <?php selected('below', $sProduct_addcart['position'], true); ?> value="below">Below Media</option>
						<option <?php selected('hover', $sProduct_addcart['position'], true); ?> value="hover">Info Hover</option>
					</select>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_addcart-align" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Align', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('left', $sProduct_addcart['align'], true); ?> value="left">Left</option>
						<option <?php selected('center', $sProduct_addcart['align'], true); ?> value="center">Center</option>
						<option <?php selected('right', $sProduct_addcart['align'], true); ?> value="right">Right</option>
					</select>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_addcart-addcart_txt" class="customize-control customize-control-text" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Simple Product Text', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input type="text" value="<?php echo esc_attr($sProduct_addcart['addcart_txt']); ?>" />
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_addcart-selectopts_txt" class="customize-control customize-control-text" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Variable Product Text', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input type="text" value="<?php echo esc_attr($sProduct_addcart['selectopts_txt']); ?>" />
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_addcart-outstock_txt" class="customize-control customize-control-text" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Out Of Stock Text', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input type="text" value="<?php echo esc_attr($sProduct_addcart['outstock_txt']); ?>" />
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_addcart-icon" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Select Icon', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('none', $sProduct_addcart['icon'], true); ?> value="none">&#xf05e;</option>
						<option <?php selected('shopping-cart', $sProduct_addcart['icon'], true); ?> value="shopping-cart">&#xf07a;</option>
						<option <?php selected('cart-arrow-down', $sProduct_addcart['icon'], true); ?> value="cart-arrow-down">&#xf218;</option>
						<option <?php selected('cart-plus', $sProduct_addcart['icon'], true); ?> value="cart-plus">&#xf217;</option>
						<option <?php selected('shopping-bag', $sProduct_addcart['icon'], true); ?> value="shopping-bag">&#xf290;</option>
						<option <?php selected('shopping-basket', $sProduct_addcart['icon'], true); ?> value="shopping-basket">&#xf291;</option>
						<option <?php selected('plus', $sProduct_addcart['icon'], true); ?> value="plus">&#xf067;</option>
						<option <?php selected('plus-circle', $sProduct_addcart['icon'], true); ?> value="plus-circle">&#xf055;</option>
					</select>
					</label>
				</li>

				<!-- Spacing Options -->
				<li id="customize-control-royal_sProduct_addcart-padding_gen" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Padding', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_addcart['padding_gen']); ?>" id="royal_rg_sProduct_addcart_padding_gen" />
						<div id="royal_sl_sProduct_addcart_padding_gen" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_addcart-padding_tp" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Padding Top', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_addcart['padding_tp']); ?>" id="royal_rg_sProduct_addcart_padding_tp" />
						<div id="royal_sl_sProduct_addcart_padding_tp" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_addcart-padding_rt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Padding Right', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_addcart['padding_rt']); ?>" id="royal_rg_sProduct_addcart_padding_rt" />
						<div id="royal_sl_sProduct_addcart_padding_rt" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_addcart-padding_bt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Padding Bottom', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_addcart['padding_bt']); ?>" id="royal_rg_sProduct_addcart_padding_bt" />
						<div id="royal_sl_sProduct_addcart_padding_bt" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_addcart-padding_lt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Padding Left', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_addcart['padding_lt']); ?>" id="royal_rg_sProduct_addcart_padding_lt" />
						<div id="royal_sl_sProduct_addcart_padding_lt" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_addcart-padding_ad" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_addcart['padding_ad'], true); ?>>
					</label>
				</li>

				<!-- Styling Options -->
				<li id="customize-control-royal_sProduct_addcart-bg_col" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_addcart['bg_col']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_addcart-bg_col_tr" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Transparency', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_addcart['bg_col_tr']); ?>" id="royal_rg_sProduct_addcart_bg_col_tr" />
						<div id="royal_sl_sProduct_addcart_bg_col_tr" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_addcart-txt_col" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Text Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_addcart['txt_col']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_addcart-bg_hcol" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Hover Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_addcart['bg_hcol']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_addcart-bg_hcol_tr" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Hover Transparency', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_addcart['bg_hcol_tr']); ?>" id="royal_rg_sProduct_addcart_bg_hcol_tr" />
						<div id="royal_sl_sProduct_addcart_bg_hcol_tr" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_addcart-txt_hcol" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Hover Text Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_addcart['txt_hcol']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_addcart-bd_hcol" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Hover Border Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_addcart['bd_hcol']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_addcart-border_label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_addcart['border_label'], true); ?>>
						<?php esc_html_e( 'Border', 'hyperx' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_addcart-bd_size_gen" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_addcart['bd_size_gen']); ?>" id="royal_rg_sProduct_addcart_bd_size_gen" />
						<div id="royal_sl_sProduct_addcart_bd_size_gen" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_addcart-bd_style_gen" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('solid', $sProduct_addcart['bd_style_gen'], true); ?> value="solid">Solid</option>
						<option <?php selected('dotted', $sProduct_addcart['bd_style_gen'], true); ?> value="dotted">Dotted</option>
						<option <?php selected('dashed', $sProduct_addcart['bd_style_gen'], true); ?> value="dashed">Dashed</option>
						<option <?php selected('double', $sProduct_addcart['bd_style_gen'], true); ?> value="double">Double</option>
						<option <?php selected('groove', $sProduct_addcart['bd_style_gen'], true); ?> value="groove">Groove</option>
						<option <?php selected('ridge', $sProduct_addcart['bd_style_gen'], true); ?> value="ridge">Ridge</option>
						<option <?php selected('inset', $sProduct_addcart['bd_style_gen'], true); ?> value="inset">Inset</option>
						<option <?php selected('outset', $sProduct_addcart['bd_style_gen'], true); ?> value="outset">Outset</option>
					</select>
					
					</label>
				</li>
				<li id="customize-control-royal_sProduct_addcart-bd_col_gen" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_addcart['bd_col_gen']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_addcart-bd_size_tp" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_addcart['bd_size_tp']); ?>" id="royal_rg_sProduct_addcart_bd_size_tp" />
						<div id="royal_sl_sProduct_addcart_bd_size_tp" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_addcart-bd_style_tp" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('solid', $sProduct_addcart['bd_style_tp'], true); ?> value="solid">Solid</option>
						<option <?php selected('dotted', $sProduct_addcart['bd_style_tp'], true); ?> value="dotted">Dotted</option>
						<option <?php selected('dashed', $sProduct_addcart['bd_style_tp'], true); ?> value="dashed">Dashed</option>
						<option <?php selected('double', $sProduct_addcart['bd_style_tp'], true); ?> value="double">Double</option>
						<option <?php selected('groove', $sProduct_addcart['bd_style_tp'], true); ?> value="groove">Groove</option>
						<option <?php selected('ridge', $sProduct_addcart['bd_style_tp'], true); ?> value="ridge">Ridge</option>
						<option <?php selected('inset', $sProduct_addcart['bd_style_tp'], true); ?> value="inset">Inset</option>
						<option <?php selected('outset', $sProduct_addcart['bd_style_tp'], true); ?> value="outset">Outset</option>
					</select>
					
					</label>
				</li>
				<li id="customize-control-royal_sProduct_addcart-bd_col_tp" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_addcart['bd_col_tp']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_addcart-bd_size_rt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_addcart['bd_size_rt']); ?>" id="royal_rg_sProduct_addcart_bd_size_rt" />
						<div id="royal_sl_sProduct_addcart_bd_size_rt" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_addcart-bd_style_rt" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('solid', $sProduct_addcart['bd_style_rt'], true); ?> value="solid">Solid</option>
						<option <?php selected('dotted', $sProduct_addcart['bd_style_rt'], true); ?> value="dotted">Dotted</option>
						<option <?php selected('dashed', $sProduct_addcart['bd_style_rt'], true); ?> value="dashed">Dashed</option>
						<option <?php selected('double', $sProduct_addcart['bd_style_rt'], true); ?> value="double">Double</option>
						<option <?php selected('groove', $sProduct_addcart['bd_style_rt'], true); ?> value="groove">Groove</option>
						<option <?php selected('ridge', $sProduct_addcart['bd_style_rt'], true); ?> value="ridge">Ridge</option>
						<option <?php selected('inset', $sProduct_addcart['bd_style_rt'], true); ?> value="inset">Inset</option>
						<option <?php selected('outset', $sProduct_addcart['bd_style_rt'], true); ?> value="outset">Outset</option>
					</select>
					
					</label>
				</li>
				<li id="customize-control-royal_sProduct_addcart-bd_col_rt" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_addcart['bd_col_rt']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_addcart-bd_size_bt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_addcart['bd_size_bt']); ?>" id="royal_rg_sProduct_addcart_bd_size_bt" />
						<div id="royal_sl_sProduct_addcart_bd_size_bt" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_addcart-bd_style_bt" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('solid', $sProduct_addcart['bd_style_bt'], true); ?> value="solid">Solid</option>
						<option <?php selected('dotted', $sProduct_addcart['bd_style_bt'], true); ?> value="dotted">Dotted</option>
						<option <?php selected('dashed', $sProduct_addcart['bd_style_bt'], true); ?> value="dashed">Dashed</option>
						<option <?php selected('double', $sProduct_addcart['bd_style_bt'], true); ?> value="double">Double</option>
						<option <?php selected('groove', $sProduct_addcart['bd_style_bt'], true); ?> value="groove">Groove</option>
						<option <?php selected('ridge', $sProduct_addcart['bd_style_bt'], true); ?> value="ridge">Ridge</option>
						<option <?php selected('inset', $sProduct_addcart['bd_style_bt'], true); ?> value="inset">Inset</option>
						<option <?php selected('outset', $sProduct_addcart['bd_style_bt'], true); ?> value="outset">Outset</option>
					</select>
					
					</label>
				</li>
				<li id="customize-control-royal_sProduct_addcart-bd_col_bt" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_addcart['bd_col_bt']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_addcart-bd_size_lt" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_addcart['bd_size_lt']); ?>" id="royal_rg_sProduct_addcart_bd_size_lt" />
						<div id="royal_sl_sProduct_addcart_bd_size_lt" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_addcart-bd_style_lt" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('solid', $sProduct_addcart['bd_style_lt'], true); ?> value="solid">Solid</option>
						<option <?php selected('dotted', $sProduct_addcart['bd_style_lt'], true); ?> value="dotted">Dotted</option>
						<option <?php selected('dashed', $sProduct_addcart['bd_style_lt'], true); ?> value="dashed">Dashed</option>
						<option <?php selected('double', $sProduct_addcart['bd_style_lt'], true); ?> value="double">Double</option>
						<option <?php selected('groove', $sProduct_addcart['bd_style_lt'], true); ?> value="groove">Groove</option>
						<option <?php selected('ridge', $sProduct_addcart['bd_style_lt'], true); ?> value="ridge">Ridge</option>
						<option <?php selected('inset', $sProduct_addcart['bd_style_lt'], true); ?> value="inset">Inset</option>
						<option <?php selected('outset', $sProduct_addcart['bd_style_lt'], true); ?> value="outset">Outset</option>
					</select>
					
					</label>
				</li>
				<li id="customize-control-royal_sProduct_addcart-bd_col_lt" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_addcart['bd_col_lt']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_addcart-bd_ad" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_addcart['bd_ad'], true); ?>>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_addcart-radius_label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_addcart['radius_label'], true); ?>>
						<?php esc_html_e( 'Corner Radius', 'hyperx' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_addcart-radius" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Radius', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_addcart['radius']); ?>" id="royal_rg_sProduct_addcart_radius" />
						<div id="royal_sl_sProduct_addcart_radius" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_addcart-shadow_label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_addcart['shadow_label'], true); ?>>
						<?php esc_html_e( 'Shadow', 'hyperx' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_addcart-shad_h" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Horizontal', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_addcart['shad_h']); ?>" id="royal_rg_sProduct_addcart_shad_h" />
						<div id="royal_sl_sProduct_addcart_shad_h" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_addcart-shad_v" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Vertical', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_addcart['shad_v']); ?>" id="royal_rg_sProduct_addcart_shad_v" />
						<div id="royal_sl_sProduct_addcart_shad_v" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_addcart-shad_bl" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Blur', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_addcart['shad_bl']); ?>" id="royal_rg_sProduct_addcart_shad_bl" />
						<div id="royal_sl_sProduct_addcart_shad_bl" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_addcart-shad_sp" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Spread', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_addcart['shad_sp']); ?>" id="royal_rg_sProduct_addcart_shad_sp" />
						<div id="royal_sl_sProduct_addcart_shad_sp" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_addcart-shad_col" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_addcart['shad_col']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_addcart-shad_col_tr" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Transparency', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_addcart['shad_col_tr']); ?>" id="royal_rg_sProduct_addcart_shad_col_tr" />
						<div id="royal_sl_sProduct_addcart_shad_col_tr" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_addcart-shad_in" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_addcart['shad_in'], true); ?>>
						<?php esc_html_e( 'Inner', 'hyperx' ); ?>
					</label>
				</li>

				<!-- Font Options -->
				<li id="customize-control-royal_sProduct_addcart-font_family" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Family', 'hyperx' ); ?></span>
					<?php echo royal_google_fonts_dropdown( 'royal_sProduct_addcart_font_family', $sProduct_addcart['font_family'], '' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_addcart-font_size" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_addcart['font_size']); ?>" id="royal_rg_sProduct_addcart_font_size" />
						<div id="royal_sl_sProduct_addcart_font_size" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_addcart-line_height" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Line Height', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_addcart['line_height']); ?>" id="royal_rg_sProduct_addcart_line_height" />
						<div id="royal_sl_sProduct_addcart_line_height" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_addcart-letter_space" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Letter Spacing', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_addcart['letter_space']); ?>" id="royal_rg_sProduct_addcart_letter_space" />
						<div id="royal_sl_sProduct_addcart_letter_space" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_addcart-font_weight" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Font Weight', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_addcart['font_weight']); ?>" id="royal_rg_sProduct_addcart_font_weight" />
						<div id="royal_sl_sProduct_addcart_font_weight" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_addcart-italic" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_addcart['italic'], true); ?>>
						<?php esc_html_e( 'Italic', 'hyperx' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_addcart-uppercase" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_addcart['uppercase'], true); ?>>
						<?php esc_html_e( 'Uppercase', 'hyperx' ); ?>
					</label>
				</li>

				<?php
		    }

	}


	// shop add cart
	$wp_customize->add_setting( 'royal_sProduct_addcart[db_input]', array(
	    'default' 	=> 'sProduct_addcart-label[true]___sProduct_addcart-display[button]___sProduct_addcart-position[below]___sProduct_addcart-align[left]___sProduct_addcart-padding_gen[15]___sProduct_addcart-padding_tp[17]___sProduct_addcart-padding_rt[15]___sProduct_addcart-padding_bt[15]___sProduct_addcart-padding_lt[15]___sProduct_addcart-padding_ad[false]___sProduct_addcart-bg_col[#ffffff]___sProduct_addcart-bg_col_tr[1]___sProduct_addcart-txt_col[#ffffff]___sProduct_addcart-bg_hcol[#ffffff]___sProduct_addcart-bg_hcol_tr[1]___sProduct_addcart-txt_hcol[#ffffff]___sProduct_addcart-bd_hcol[#ffffff]___sProduct_addcart-border_label[true]___sProduct_addcart-bd_size_gen[1]___sProduct_addcart-bd_style_gen[solid]___sProduct_addcart-bd_col_gen[#e8e8e8]___sProduct_addcart-bd_size_tp[1]___sProduct_addcart-bd_style_tp[solid]___sProduct_addcart-bd_col_tp[#e8e8e8]___sProduct_addcart-bd_size_rt[1]___sProduct_addcart-bd_style_rt[solid]___sProduct_addcart-bd_col_rt[#e8e8e8]___sProduct_addcart-bd_size_bt[1]___sProduct_addcart-bd_style_bt[solid]___sProduct_addcart-bd_col_bt[#e8e8e8]___sProduct_addcart-bd_size_lt[1]___sProduct_addcart-bd_style_lt[solid]___sProduct_addcart-bd_col_lt[#e8e8e8]___sProduct_addcart-bd_ad[false]___sProduct_addcart-radius_label[false]___sProduct_addcart-radius[0]___sProduct_addcart-shadow_label[false]___sProduct_addcart-shad_h[0]___sProduct_addcart-shad_v[0]___sProduct_addcart-shad_bl[5]___sProduct_addcart-shad_sp[0]___sProduct_addcart-shad_col[#000000]___sProduct_addcart-shad_col_tr[0.4]___sProduct_addcart-shad_in[false]___sProduct_addcart-font_family[Lato]___sProduct_addcart-font_size[22]___sProduct_addcart-line_height[24]___sProduct_addcart-letter_space[0]___sProduct_addcart-font_weight[400]___sProduct_addcart-italic[false]___sProduct_addcart-uppercase[false]',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_textarea'
	) );

	$wp_customize->add_control(
		new Royal_sProduct_AddCart_Tabs( $wp_customize, 'royal_sProduct_addcart[db_input]', array(
			'label'    => '',
			'section'  => 'shop_page',
			'priority' => 40
		)
	) );


// Shop Product Status Tabs
	class Royal_sProduct_Status_Tabs extends WP_Customize_Control {

		    public $type = 'sProduct_status';
		 
		    public function render_content() {

		    	$html  = '<label>';
		    		$html .= '<span class="customize-control-title">'. esc_html( $this->label ) .'</span>';
		    		$html .= '<textarea rows="10" style="width:100%;" '. $this->get_link() .'>'. esc_textarea( $this->value() ) .'</textarea>';
		    	$html .= '</label>';
		        
		        echo ''. $html;

		        // get options from db
		        $sProduct_status = royal_get_option('royal_sProduct_status');
		        
				?>

				<!-- Label -->
				<li id="customize-control-royal_sProduct_status-label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_status['label'], true); ?>>
						<?php esc_html_e( 'Status', 'hyperx' ); ?>
					</label>
				</li>

				<!-- General Options -->
				<li id="customize-control-royal_sProduct_status-position" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Position', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('center', $sProduct_status['position'], true); ?> value="center">Center</option>
						<option <?php selected('top-left', $sProduct_status['position'], true); ?> value="top-left">Top Left</option>
						<option <?php selected('top-right', $sProduct_status['position'], true); ?> value="top-right">Top Right</option>
						<option <?php selected('bottom-left', $sProduct_status['position'], true); ?> value="bottom-left">Bottom Left</option>
						<option <?php selected('bottom-right', $sProduct_status['position'], true); ?> value="bottom-right">Bottom Right</option>
					</select>
					</label>
				</li>

				<!-- Spacing Options -->
				<li id="customize-control-royal_sProduct_status-width" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Width', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_status['width']); ?>" id="royal_rg_sProduct_status_width" />
						<div id="royal_sl_sProduct_status_width" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_status-height" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Height', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_status['height']); ?>" id="royal_rg_sProduct_status_height" />
						<div id="royal_sl_sProduct_status_height" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_status-vert_position" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Vertical Position', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_status['vert_position']); ?>" id="royal_rg_sProduct_status_vert_position" />
						<div id="royal_sl_sProduct_status_vert_position" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_status-horz_position" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Horizontal Position', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_status['horz_position']); ?>" id="royal_rg_sProduct_status_horz_position" />
						<div id="royal_sl_sProduct_status_horz_position" class="rf-slider"></div>
					</div>
				</li>

				<!-- Styling Options -->
				<li id="customize-control-royal_sProduct_status-txt_color" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Text Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_status['txt_color']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_status-s_color" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Sale Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_status['s_color']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_status-f_color" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Featured Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_status['f_color']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_status-o_color" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'OutStock Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_status['o_color']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_status-radius_label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_status['radius_label'], true); ?>>
						<?php esc_html_e( 'Corner Radius', 'hyperx' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_status-radius" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Radius', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_status['radius']); ?>" id="royal_rg_sProduct_status_radius" />
						<div id="royal_sl_sProduct_status_radius" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_status-shadow_label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_status['shadow_label'], true); ?>>
						<?php esc_html_e( 'Shadow', 'hyperx' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_status-shad_h" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Horizontal', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_status['shad_h']); ?>" id="royal_rg_sProduct_status_shad_h" />
						<div id="royal_sl_sProduct_status_shad_h" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_status-shad_v" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Vertical', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_status['shad_v']); ?>" id="royal_rg_sProduct_status_shad_v" />
						<div id="royal_sl_sProduct_status_shad_v" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_status-shad_bl" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Blur', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_status['shad_bl']); ?>" id="royal_rg_sProduct_status_shad_bl" />
						<div id="royal_sl_sProduct_status_shad_bl" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_status-shad_sp" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Spread', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_status['shad_sp']); ?>" id="royal_rg_sProduct_status_shad_sp" />
						<div id="royal_sl_sProduct_status_shad_sp" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_status-shad_col" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($sProduct_status['shad_col']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_sProduct_status-shad_col_tr" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Transparency', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_status['shad_col_tr']); ?>" id="royal_rg_sProduct_status_shad_col_tr" />
						<div id="royal_sl_sProduct_status_shad_col_tr" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_status-shad_in" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_status['shad_in'], true); ?>>
						<?php esc_html_e( 'Inner', 'hyperx' ); ?>
					</label>
				</li>

				<!-- Font Options -->
				<li id="customize-control-royal_sProduct_status-font_family" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Family', 'hyperx' ); ?></span>
					<?php echo royal_google_fonts_dropdown( 'royal_sProduct_status_font_family', $sProduct_status['font_family'], '' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_status-font_size" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_status['font_size']); ?>" id="royal_rg_sProduct_status_font_size" />
						<div id="royal_sl_sProduct_status_font_size" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_status-line_height" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Line Height', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_status['line_height']); ?>" id="royal_rg_sProduct_status_line_height" />
						<div id="royal_sl_sProduct_status_line_height" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_status-letter_space" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Letter Spacing', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_status['letter_space']); ?>" id="royal_rg_sProduct_status_letter_space" />
						<div id="royal_sl_sProduct_status_letter_space" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_status-font_weight" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Font Weight', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_status['font_weight']); ?>" id="royal_rg_sProduct_status_font_weight" />
						<div id="royal_sl_sProduct_status_font_weight" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_status-italic" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_status['italic'], true); ?>>
						<?php esc_html_e( 'Italic', 'hyperx' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_status-uppercase" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_status['uppercase'], true); ?>>
						<?php esc_html_e( 'Uppercase', 'hyperx' ); ?>
					</label>
				</li>

				<?php
		    }

	}


	// shop status
	$wp_customize->add_setting( 'royal_sProduct_status[db_input]', array(
	    'default' 	=> 'sProduct_status-label[true]___sProduct_status-position[above]',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_textarea'
	) );

	$wp_customize->add_control(
		new Royal_sProduct_Status_Tabs( $wp_customize, 'royal_sProduct_status[db_input]', array(
			'label'    => '',
			'section'  => 'shop_page',
			'priority' => 45
		)
	) );


// Shop Product Triangle Tabs
	class Royal_sProduct_Triangle_Tabs extends WP_Customize_Control {

		    public $type = 'sProduct_triangle';
		 
		    public function render_content() {

		    	$html  = '<label>';
		    		$html .= '<span class="customize-control-title">'. esc_html( $this->label ) .'</span>';
		    		$html .= '<textarea rows="10" style="width:100%;" '. $this->get_link() .'>'. esc_textarea( $this->value() ) .'</textarea>';
		    	$html .= '</label>';
		        
		        echo ''. $html;

		        // get options from db
		        $sProduct_triangle = royal_get_option('royal_sProduct_triangle');
		        
				?>

				<!-- Label -->
				<li id="customize-control-royal_sProduct_triangle-label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_triangle['label'], true); ?>>
						<?php esc_html_e( 'Decorational Triangle', 'hyperx' ); ?>
					</label>
				</li>

				<!-- General Options -->
				<li id="customize-control-royal_sProduct_triangle-position" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Vertical Position', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('top', $sProduct_triangle['position'], true); ?> value="top">Top</option>
						<option <?php selected('bottom', $sProduct_triangle['position'], true); ?> value="bottom">Bottom</option>
					</select>
					</label>
				</li>

				<!-- Spacing Options -->
				<li id="customize-control-royal_sProduct_triangle-width" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Width', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_triangle['width']); ?>" id="royal_rg_sProduct_triangle_width" />
						<div id="royal_sl_sProduct_triangle_width" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_triangle-height" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Height', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_triangle['height']); ?>" id="royal_rg_sProduct_triangle_height" />
						<div id="royal_sl_sProduct_triangle_height" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_sProduct_triangle-h_position" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Horizontal Position', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($sProduct_triangle['h_position']); ?>" id="royal_rg_sProduct_triangle_h_position" />
						<div id="royal_sl_sProduct_triangle_h_position" class="rf-slider"></div>
					</div>
				</li>

				<?php
		    }

	}


	// shop triangle
	$wp_customize->add_setting( 'royal_sProduct_triangle[db_input]', array(
	    'default' 	=> 'sProduct_triangle-label[true]___sProduct_triangle-position[above]',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_textarea'
	) );

	$wp_customize->add_control(
		new Royal_sProduct_Triangle_Tabs( $wp_customize, 'royal_sProduct_triangle[db_input]', array(
			'label'    => '',
			'section'  => 'shop_page',
			'priority' => 50
		)
	) );


// Shop Effects Tabs
	class Royal_sProduct_Effects_Tabs extends WP_Customize_Control {

		    public $type = 'sProduct_effects';
		 
		    public function render_content() {

		    	$html  = '<label>';
		    		$html .= '<span class="customize-control-title">'. esc_html( $this->label ) .'</span>';
		    		$html .= '<textarea rows="10" style="width:100%;" '. $this->get_link() .'>'. esc_textarea( $this->value() ) .'</textarea>';
		    	$html .= '</label>';
		        
		        echo ''. $html;

		        // get options from db
		        $sProduct_effects = royal_get_option('royal_sProduct_effects');
		        
				?>

				<!-- Label -->
				<li id="customize-control-royal_sProduct_effects-label" class="customize-control customize-control-tablabel rf-tabs-label rf-tabs-label-active" style="display: list-item;">
					<span class="customize-control-title rf-custom-label"><?php esc_html_e( 'Effects', 'hyperx' ); ?></span>
				</li>

				<!-- General Options -->
				<li id="customize-control-royal_sProduct_effects-grayscale_label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_effects['grayscale_label'], true); ?>>
						<?php esc_html_e( 'GrayScale', 'hyperx' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_effects-grayscale_trans" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_effects['grayscale_trans'], true); ?>>
						<?php esc_html_e( 'Low Transparency', 'hyperx' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_effects-zoom_label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_effects['zoom_label'], true); ?>>
						<?php esc_html_e( 'Zoom', 'hyperx' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_effects-zoom_reverse" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_effects['zoom_reverse'], true); ?>>
						<?php esc_html_e( 'Reverse', 'hyperx' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_effects-zoom_rotate" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $sProduct_effects['zoom_rotate'], true); ?>>
						<?php esc_html_e( 'Rotate', 'hyperx' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_effects-zoom_rate" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Scale Rate', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('1', $sProduct_effects['zoom_rate'], true); ?> value="1">None</option>
						<option <?php selected('1.04', $sProduct_effects['zoom_rate'], true); ?> value="1.04">1.04x</option>
						<option <?php selected('1.07', $sProduct_effects['zoom_rate'], true); ?> value="1.07">1.07x</option>
						<option <?php selected('1.1', $sProduct_effects['zoom_rate'], true); ?> value="1.1">1.1x</option>
						<option <?php selected('1.2', $sProduct_effects['zoom_rate'], true); ?> value="1.2">1.2x</option>
						<option <?php selected('1.3', $sProduct_effects['zoom_rate'], true); ?> value="1.3">1.3x</option>
						<option <?php selected('1.4', $sProduct_effects['zoom_rate'], true); ?> value="1.4">1.4x</option>
						<option <?php selected('1.5', $sProduct_effects['zoom_rate'], true); ?> value="1.5">1.5x</option>
						<option <?php selected('1.6', $sProduct_effects['zoom_rate'], true); ?> value="1.6">1.6x</option>
						<option <?php selected('1.7', $sProduct_effects['zoom_rate'], true); ?> value="1.7">1.7x</option>
						<option <?php selected('1.8', $sProduct_effects['zoom_rate'], true); ?> value="1.8">1.8x</option>
						<option <?php selected('1.9', $sProduct_effects['zoom_rate'], true); ?> value="1.9">1.9x</option>
						<option <?php selected('2', $sProduct_effects['zoom_rate'], true); ?> value="2">2x</option>
					</select>
					</label>
				</li>
				<li id="customize-control-royal_sProduct_effects-zoom_trans" class="customize-control customize-control-select" style="display: list-item;">
					<label>
					<span class="customize-control-title"><?php esc_html_e( 'Scale Rate', 'hyperx' ); ?></span>
					<select>
						<option <?php selected('0', $sProduct_effects['zoom_trans'], true); ?> value="0">None</option>
						<option <?php selected('50', $sProduct_effects['zoom_trans'], true); ?> value="50">50 ms</option>
						<option <?php selected('100', $sProduct_effects['zoom_trans'], true); ?> value="100">100 ms</option>
						<option <?php selected('150', $sProduct_effects['zoom_trans'], true); ?> value="150">150 ms</option>
						<option <?php selected('200', $sProduct_effects['zoom_trans'], true); ?> value="200">200 ms</option>
						<option <?php selected('250', $sProduct_effects['zoom_trans'], true); ?> value="250">250 ms</option>
						<option <?php selected('300', $sProduct_effects['zoom_trans'], true); ?> value="300">300 ms</option>
						<option <?php selected('350', $sProduct_effects['zoom_trans'], true); ?> value="350">350 ms</option>
						<option <?php selected('400', $sProduct_effects['zoom_trans'], true); ?> value="400">400 ms</option>
						<option <?php selected('500', $sProduct_effects['zoom_trans'], true); ?> value="500">500 ms</option>
						<option <?php selected('600', $sProduct_effects['zoom_trans'], true); ?> value="600">600 ms</option>
						<option <?php selected('700', $sProduct_effects['zoom_trans'], true); ?> value="700">700 ms</option>
						<option <?php selected('800', $sProduct_effects['zoom_trans'], true); ?> value="800">800 ms</option>
						<option <?php selected('900', $sProduct_effects['zoom_trans'], true); ?> value="900">900 ms</option>
						<option <?php selected('5000', $sProduct_effects['zoom_trans'], true); ?> value="5000">5000 ms</option>
						<option <?php selected('10000', $sProduct_effects['zoom_trans'], true); ?> value="10000">10000 ms</option>
					</select>
					</label>
				</li>

				<?php
		    }

	}


	// shop media
	$wp_customize->add_setting( 'royal_sProduct_effects[db_input]', array(
	    'default' 	=> 'sProduct_effects-info_hovers_select[fade]___sProduct_effects-hover_fade[fade]',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_textarea'
	) );

	$wp_customize->add_control(
		new Royal_sProduct_Effects_Tabs( $wp_customize, 'royal_sProduct_effects[db_input]', array(
			'label'    => '',
			'section'  => 'shop_page',
			'priority' => 55
		)
	) );




/*
***************************************************************
* #Shop Single
***************************************************************
*/

	$section_shop_single = 'shop_single';
	
	if ( get_option('section_shop_single') === '' ) {
		$section_shop_single = 'shop_single_disabled';
	}

	// add Shop Page Section -------------------------------------------
	$wp_customize->add_section( $section_shop_single, array(
	    'title' 		=> esc_html__( 'Shop Single', 'hyperx' ),
	    'priority' 		=> 50
	) );

// Shop Product Details Tabs
	class Royal_sSingle_Details_Tabs extends WP_Customize_Control {
	    public $type = 'sSingle_details';
	 
	    public function render_content() {

	    	$html  = '<label>';
	    		$html .= '<span class="customize-control-title">'. esc_html( $this->label ) .'</span>';
	    		$html .= '<textarea rows="10" style="width:100%;" '. $this->get_link() .'>'. esc_textarea( $this->value() ) .'</textarea>';
	    	$html .= '</label>';
	        
	        echo ''. $html;

	        // get options from db
	        $sSingle_details = royal_get_option('royal_sSingle_details');
	        
			?>

			<!-- Label -->
			<li id="customize-control-royal_sSingle_details-label" class="customize-control customize-control-tablabel rf-tabs-label rf-tabs-label-active" style="display: list-item;">
				<span class="customize-control-title rf-custom-label"><?php esc_html_e( 'Product Details', 'hyperx' ); ?></span>
			</li>

			<!-- General Options -->
			<li id="customize-control-royal_sSingle_details-align" class="customize-control customize-control-select" style="display: list-item;">
				<label>
				<span class="customize-control-title"><?php esc_html_e( 'Align', 'hyperx' ); ?></span>

				<select>
					<option <?php selected('left', $sSingle_details['align'], true); ?> value="left">Left</option>
					<option <?php selected('right', $sSingle_details['align'], true); ?> value="right">Right</option>
				</select>
				
				</label>
			</li>
			<li id="customize-control-royal_sSingle_details-display_rating" class="customize-control customize-control-checkbox" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $sSingle_details['display_rating'], true); ?>>
					<?php esc_html_e( 'Display Rating', 'hyperx' ); ?>
				</label>
			</li>
			<li id="customize-control-royal_sSingle_details-display_sku" class="customize-control customize-control-checkbox" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $sSingle_details['display_sku'], true); ?>>
					<?php esc_html_e( 'Display SKU', 'hyperx' ); ?>
				</label>
			</li>
			<li id="customize-control-royal_sSingle_details-display_cats" class="customize-control customize-control-checkbox" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $sSingle_details['display_cats'], true); ?>>
					<?php esc_html_e( 'Display Categories', 'hyperx' ); ?>
				</label>
			</li>
			<li id="customize-control-royal_sSingle_details-display_tags" class="customize-control customize-control-checkbox" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $sSingle_details['display_tags'], true); ?>>
					<?php esc_html_e( 'Display Tags', 'hyperx' ); ?>
				</label>
			</li>
			<li id="customize-control-royal_sSingle_details-display_breadcrumbs" class="customize-control customize-control-checkbox" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $sSingle_details['display_breadcrumbs'], true); ?>>
					<?php esc_html_e( 'Display Breadcrumbs', 'hyperx' ); ?>
				</label>
			</li>
			<li id="customize-control-royal_sSingle_details-display_related" class="customize-control customize-control-checkbox" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $sSingle_details['display_related'], true); ?>>
					<?php esc_html_e( 'Display Related Grid', 'hyperx' ); ?>
				</label>
			</li>
			<li id="customize-control-royal_sSingle_details-stretch_related" class="customize-control customize-control-checkbox" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $sSingle_details['stretch_related'], true); ?>>
					<?php esc_html_e( 'Stretch Related Grid', 'hyperx' ); ?>
				</label>
			</li>
			<li id="customize-control-royal_sSingle_details-products_count" class="customize-control customize-control-text" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Products Count', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input type="text" value="<?php echo esc_attr($sSingle_details['products_count']); ?>" />
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_sSingle_details-columns_rate" class="customize-control customize-control-select" style="display: list-item;">
				<label>
				<span class="customize-control-title"><?php esc_html_e( 'Columns Rate', 'hyperx' ); ?></span>

				<select>
					<option <?php selected('-1', $sSingle_details['columns_rate'], true); ?> value="-1">-1</option>
					<option <?php selected('0', $sSingle_details['columns_rate'], true); ?> value="0">0</option>
					<option <?php selected('1', $sSingle_details['columns_rate'], true); ?> value="1">+1</option>
					<option <?php selected('2', $sSingle_details['columns_rate'], true); ?> value="2">+2</option>
					<option <?php selected('one', $sSingle_details['columns_rate'], true); ?> value="one"><?php esc_html_e( '1 Constant', 'hyperx' ); ?></option>
					<option <?php selected('two', $sSingle_details['columns_rate'], true); ?> value="two"><?php esc_html_e( '2 Constant', 'hyperx' ); ?></option>
					<option <?php selected('three', $sSingle_details['columns_rate'], true); ?> value="three"><?php esc_html_e( '3 Constant', 'hyperx' ); ?></option>
					<option <?php selected('four', $sSingle_details['columns_rate'], true); ?> value="four"><?php esc_html_e( '4 Constant', 'hyperx' ); ?></option>
				</select>
				
				</label>
			</li>
			
			<!-- Spacing Options -->
			<li id="customize-control-royal_sSingle_details-width" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Width', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($sSingle_details['width']); ?>" id="royal_rg_sSingle_details_width" />
					<div id="royal_sl_sSingle_details_width" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_sSingle_details-gutter_horz" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Horizontal Gutter', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($sSingle_details['gutter_horz']); ?>" id="royal_rg_sSingle_details_gutter_horz" />
					<div id="royal_sl_sSingle_details_gutter_horz" class="rf-slider"></div>
				</div>
			</li>



			<?php
	    }
	}


	// shop product details
	$wp_customize->add_setting( 'royal_sSingle_details[db_input]', array(
	    'default' 	=> 'sSingle_details-display_rating[true]___sSingle_details-display_sku[true]___sSingle_details-display_cats[true]___sSingle_details-display_tags[true]___sSingle_details-align[right]___sSingle_details-width[600]___sSingle_details-gutter_horz[21]',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_textarea'
	) );

	$wp_customize->add_control(
		new Royal_sSingle_Details_Tabs( $wp_customize, 'royal_sSingle_details[db_input]', array(
			'label'    => '',
			'section'  => 'shop_single',
			'priority' => 10
		)
	) );


// Shop Product Sharing Tabs
	class Royal_sSingle_Sharing_Tabs extends WP_Customize_Control {
	    public $type = 'sSingle_sharing';
	 
	    public function render_content() {

	    	$html  = '<label>';
	    		$html .= '<span class="customize-control-title">'. esc_html( $this->label ) .'</span>';
	    		$html .= '<textarea rows="10" style="width:100%;" '. $this->get_link() .'>'. esc_textarea( $this->value() ) .'</textarea>';
	    	$html .= '</label>';
	        
	        echo ''. $html;

	        // get options from db
	        $sSingle_sharing = royal_get_option('royal_sSingle_sharing');
	        
			?>

			<!-- Label -->
			<li id="customize-control-royal_sSingle_sharing-label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $sSingle_sharing['label'], true); ?>>
					<?php esc_html_e( 'Product Sharing', 'hyperx' ); ?>
				</label>
			</li>

			<!-- General Options -->
			<li id="customize-control-royal_sSingle_sharing-text" class="customize-control customize-control-text" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Text Above Icons', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input type="text" value="<?php echo esc_attr($sSingle_sharing['text']); ?>" />
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_sSingle_sharing-share_face" class="customize-control customize-control-checkbox" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $sSingle_sharing['share_face'], true); ?>>
					<?php esc_html_e( 'Facebook', 'hyperx' ); ?>
				</label>
			</li>
			<li id="customize-control-royal_sSingle_sharing-share_twit" class="customize-control customize-control-checkbox" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $sSingle_sharing['share_twit'], true); ?>>
					<?php esc_html_e( 'Twitter', 'hyperx' ); ?>
				</label>
			</li>
			<li id="customize-control-royal_sSingle_sharing-share_gplus" class="customize-control customize-control-checkbox" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $sSingle_sharing['share_gplus'], true); ?>>
					<?php esc_html_e( 'Google Plus', 'hyperx' ); ?>
				</label>
			</li>
			<li id="customize-control-royal_sSingle_sharing-share_linkin" class="customize-control customize-control-checkbox" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $sSingle_sharing['share_linkin'], true); ?>>
					<?php esc_html_e( 'Linkedin', 'hyperx' ); ?>
				</label>
			</li>
			<li id="customize-control-royal_sSingle_sharing-share_pint" class="customize-control customize-control-checkbox" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $sSingle_sharing['share_pint'], true); ?>>
					<?php esc_html_e( 'Pinterest', 'hyperx' ); ?>
				</label>
			</li>
			<li id="customize-control-royal_sSingle_sharing-share_tumblr" class="customize-control customize-control-checkbox" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $sSingle_sharing['share_tumblr'], true); ?>>
					<?php esc_html_e( 'Tumblr', 'hyperx' ); ?>
				</label>
			</li>
			<li id="customize-control-royal_sSingle_sharing-share_reddit" class="customize-control customize-control-checkbox" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $sSingle_sharing['share_reddit'], true); ?>>
					<?php esc_html_e( 'Reddit', 'hyperx' ); ?>
				</label>
			</li>

			<!-- Spacing Options -->
			<li id="customize-control-royal_sSingle_sharing-width" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Width', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($sSingle_sharing['width']); ?>" id="royal_rg_sSingle_sharing_width" />
					<div id="royal_sl_sSingle_sharing_width" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_sSingle_sharing-height" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Height', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($sSingle_sharing['height']); ?>" id="royal_rg_sSingle_sharing_height" />
					<div id="royal_sl_sSingle_sharing_height" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_sSingle_sharing-gutter" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Gutter', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($sSingle_sharing['gutter']); ?>" id="royal_rg_sSingle_sharing_gutter" />
					<div id="royal_sl_sSingle_sharing_gutter" class="rf-slider"></div>
				</div>
			</li>

			<!-- Font Options -->
			<li id="customize-control-royal_sSingle_sharing-size" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($sSingle_sharing['size']); ?>" id="royal_rg_sSingle_sharing_size" />
					<div id="royal_sl_sSingle_sharing_size" class="rf-slider"></div>
				</div>
			</li>


			<?php
	    }
	}


	// shop product details
	$wp_customize->add_setting( 'royal_sSingle_sharing[db_input]', array(
	    'default' 	=> 'sSingle_sharing-label[true]___sSingle_sharing-share_face[true]___sSingle_sharing-share_twit[true]___sSingle_sharing-share_gplus[true]___sSingle_sharing-share_linkin[true]___sSingle_sharing-share_pint[true]___sSingle_sharing-share_tumblr[true]___sSingle_sharing-share_reddit[true]___sSingle_sharing-gutter[21]',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_textarea'
	) );

	$wp_customize->add_control(
		new Royal_sSingle_Sharing_Tabs( $wp_customize, 'royal_sSingle_sharing[db_input]', array(
			'label'    => '',
			'section'  => 'shop_single',
			'priority' => 10
		)
	) );




/*
***************************************************************
* #Gallery
***************************************************************
*/

	$section_gallery = 'gallery';
	
	if ( get_option('section_gallery') === '' ) {
		$section_gallery = 'gallery_disabled';
	}

	// add Gallery Section -------------------------------------------
	$wp_customize->add_section( $section_gallery, array(
	    'title' 		=> esc_html__( 'Gallery', 'hyperx' ),
	    'priority' 		=> 65
	) );

// gallery label
	$wp_customize->add_setting( 'royal_gallery[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_gallery[label]', array(
			'label'    => esc_html__( 'Slideshow General', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 10
		)
	) );

/* ----------------- General Options ----------------- */

	// slideshow effect
	$wp_customize->add_setting( 'royal_gallery[effect]', array(
	    'default' 	=> 'fade',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_gallery[effect]', array(
		'label'    => esc_html__( 'Slideshow Effect', 'hyperx' ),
		'section'  => 'gallery',
		'type'     => 'select',
		'choices'  => array(
			'fade' 			=> 'Fade',
			'scrollHorz' 	=> 'Scroll Horizontal',
			'scrollVert' 	=> 'Scroll Vertical',
			'flipHorz' 		=> 'Flip Horizontal',
			'flipVert' 		=> 'Flip Vertical',
			'tileSlide' 	=> 'Tile Slide',
			'tileBlind' 	=> 'Tile Blind'
		),
		'priority' => 20
	) );


	// effect transition
	$wp_customize->add_setting( 'royal_gallery[transition]', array(
	    'default' 	=> '1000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_gallery[transition]', array(
		'label'    => esc_html__( 'Effect Transition', 'hyperx' ),
		'section'  => 'gallery',
		'type'     => 'select',
		'choices'  => array(
			'1' 	=> esc_html__( 'None', 'hyperx' ),
			'1000' 	=> '1000 ms',
			'2000' 	=> '2000 ms',
			'3000' 	=> '3000 ms',
			'4000' 	=> '4000 ms',
			'5000' 	=> '5000 ms',
			'6000' 	=> '6000 ms',
			'7000' 	=> '7000 ms',
			'8000' 	=> '8000 ms',
			'9000' 	=> '9000 ms',
			'10000' => '10000 ms'
		),
		'priority' => 30
	) );


	// effect delay
	$wp_customize->add_setting( 'royal_gallery[delay]', array(
	    'default' 	=> '5000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_gallery[delay]', array(
		'label'    => esc_html__( 'Effect Delay', 'hyperx' ),
		'section'  => 'gallery',
		'type'     => 'select',
		'choices'  => array(
			'0' 	=> esc_html__( 'None', 'hyperx' ),
			'1' 	=> '1 ms',
			'1000' 	=> '1000 ms',
			'2000' 	=> '2000 ms',
			'3000' 	=> '3000 ms',
			'4000' 	=> '4000 ms',
			'5000' 	=> '5000 ms',
			'6000' 	=> '6000 ms',
			'7000' 	=> '7000 ms',
			'8000' 	=> '8000 ms',
			'9000' 	=> '9000 ms',
			'10000' => '10000 ms'
		),
		'priority' => 40
	) );



// arrows label
	$wp_customize->add_setting( 'royal_gallery_arrows[label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_gallery_arrows[label]', array(
		'label'    => esc_html__( 'Slideshow Arrows', 'hyperx' ),
		'section'  => 'gallery',
		'type'     => 'checkbox',
		'priority' => 50
	) );

/* ----------------- Arrows General Options ----------------- */

	// default
	$wp_customize->add_setting( 'royal_gallery_arrows[default]', array(
	    'default' 	=> '1',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_gallery_arrows[default]', array(
		'label'    => esc_html__( 'Default', 'hyperx' ),
		'section'  => 'gallery',
		'type'     => 'radio',
		'choices'  => array(
			'1' 	=> esc_html__( 'Show', 'hyperx' ),
			'0' 	=> esc_html__( 'Show on Hover', 'hyperx' )
		),
		'priority' => 55
	) );

	// FontAwesome icon select
	$wp_customize->add_setting( 'royal_gallery_arrows[prev_nxt_icon]', array(
	    'default' 	=> 'angle',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_gallery_arrows[prev_nxt_icon]', array(
		'label'    => esc_html__( 'Select Icon', 'hyperx' ),
		'section'  => 'gallery',
		'type'     => 'select',
		'choices'  => array(
			'angle' 			=> '&#xf104; &#xf105;',
			'angle-double' 		=> '&#xf100; &#xf101;',
			'chevron' 			=> '&#xf053; &#xf054;',
			'arrow' 			=> '&#xf060; &#xf061;',
			'long-arrow' 		=> '&#xf177; &#xf178;',
			'chevron-circle'	=> '&#xf137; &#xf138;',
			'arrow-circle' 		=> '&#xf0a8; &#xf0a9;',
			'arrow-circle-o' 	=> '&#xf190; &#xf18e;',
			'hand-o' 			=> '&#xf0a5; &#xf0a4;'
		),
		'priority' => 60
	) );


/* ----------------- Arrows Spacing Options ----------------- */

	// width
	$wp_customize->add_setting( 'royal_gallery_arrows[width]', array(
	    'default' 	=> 35,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_gallery_arrows[width]', array(
			'label'    => esc_html__( 'Width', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 70
		)
	) );

	// height
	$wp_customize->add_setting( 'royal_gallery_arrows[height]', array(
	    'default' 	=> 35,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_gallery_arrows[height]', array(
			'label'    => esc_html__( 'Height', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 71
		)
	) );


/* ----------------- Arrows Styling Options ----------------- */

	// color
	$wp_customize->add_setting( 'royal_gallery_arrows[color]', array(
	    'default' 	=> '#a6a7a6',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_gallery_arrows[color]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 80
		)
	) );

	// transparency
	$wp_customize->add_setting( 'royal_gallery_arrows[color_tr]', array(
	    'default' 	=> 0.8,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_gallery_arrows[color_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 81
		)
	) );

	// color
	$wp_customize->add_setting( 'royal_gallery_arrows[icon_color]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_gallery_arrows[icon_color]', array(
			'label'    => esc_html__( 'Icon Color', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 82
		)
	) );


/* ----------------- Arrows Font Options ----------------- */

	// icon size
	$wp_customize->add_setting( 'royal_gallery_arrows[icon_size]', array(
	    'default' 	=> 16,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_gallery_arrows[icon_size]', array(
			'label'    => esc_html__( 'Icon Size', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 85
		)
	) );



// navigation label
	$wp_customize->add_setting( 'royal_gallery_nav[label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_gallery_nav[label]', array(
		'label'    => esc_html__( 'Slideshow Navigation', 'hyperx' ),
		'section'  => 'gallery',
		'type'     => 'checkbox',
		'priority' => 100
	) );

/* ----------------- Navigation General Options ----------------- */

	// align
	$wp_customize->add_setting( 'royal_gallery_nav[align]', array(
	    'default' 	=> 'center',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_gallery_nav[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'gallery',
		'type'     => 'select',
		'choices'  => array(
			'left'	=> 'Left',
			'center'=> 'Center',
			'right'	=> 'Right'
		),
		'priority' => 105
	) );

	// position
	$wp_customize->add_setting( 'royal_gallery_nav[position]', array(
	    'default' 	=> 'inside',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_gallery_nav[position]', array(
		'label'    => esc_html__( 'Position', 'hyperx' ),
		'section'  => 'gallery',
		'type'     => 'select',
		'choices'  => array(
			'inside'	=> 'Inside',
			'outside'	=> 'Outside'
		),
		'priority' => 110
	) );


/* ----------------- Navigation Spacing Options ----------------- */

	// padding general
	$wp_customize->add_setting( 'royal_gallery_nav[padding_gen]', array(
	    'default' 	=> 15,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_gallery_nav[padding_gen]', array(
			'label'    => esc_html__( 'Wrapper Padding', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 120
		)
	) );

	// padding top
	$wp_customize->add_setting( 'royal_gallery_nav[padding_tp]', array(
	    'default' 	=> 15,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_gallery_nav[padding_tp]', array(
			'label'    => esc_html__( 'Wrapper Padding Top', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 121
		)
	) );

	// padding right
	$wp_customize->add_setting( 'royal_gallery_nav[padding_rt]', array(
	    'default' 	=> 15,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_gallery_nav[padding_rt]', array(
			'label'    => esc_html__( 'Wrapper Padding Right', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 122
		)
	) );

	// padding bottom
	$wp_customize->add_setting( 'royal_gallery_nav[padding_bt]', array(
	    'default' 	=> 15,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_gallery_nav[padding_bt]', array(
			'label'    => esc_html__( 'Wrapper Padding Bottom', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 123
		)
	) );

	// padding left
	$wp_customize->add_setting( 'royal_gallery_nav[padding_lt]', array(
	    'default' 	=> 15,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_gallery_nav[padding_lt]', array(
			'label'    => esc_html__( 'Wrapper Padding Left', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 124
		)
	) );

	// padding advanced button
	$wp_customize->add_setting( 'royal_gallery_nav[padding_ad]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_gallery_nav[padding_ad]', array(
		'label'    => '',
		'section'  => 'gallery',
		'type'     => 'checkbox',
		'priority' => 125
	) );

	// width
	$wp_customize->add_setting( 'royal_gallery_nav[width]', array(
	    'default' 	=> 14,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_gallery_nav[width]', array(
			'label'    => esc_html__( 'Width', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 130
		)
	) );

	// height
	$wp_customize->add_setting( 'royal_gallery_nav[height]', array(
	    'default' 	=> 14,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_gallery_nav[height]', array(
			'label'    => esc_html__( 'Height', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 131
		)
	) );

	// gutter
	$wp_customize->add_setting( 'royal_gallery_nav[gutter]', array(
	    'default' 	=> 5,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_gallery_nav[gutter]', array(
			'label'    => esc_html__( 'Gutter', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 135
		)
	) );


/* ----------------- Navigation Styling Options ----------------- */

	// background color
	$wp_customize->add_setting( 'royal_gallery_nav[bg_color]', array(
	    'default' 	=> '#a6a7a6',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_gallery_nav[bg_color]', array(
			'label'    => esc_html__( 'Background Color', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 140
		)
	) );

	// transparency
	$wp_customize->add_setting( 'royal_gallery_nav[bg_color_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_gallery_nav[bg_color_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 141
		)
	) );

	// color
	$wp_customize->add_setting( 'royal_gallery_nav[color]', array(
	    'default' 	=> '#3a3a3a',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_gallery_nav[color]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 142
		)
	) );

	// hover color
	$wp_customize->add_setting( 'royal_gallery_nav[hover_color]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_gallery_nav[hover_color]', array(
			'label'    => esc_html__( 'Hover Color', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 143
		)
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_gallery_nav[radius_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_gallery_nav[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'gallery',
		'type'     => 'checkbox',
		'priority' => 150
	) );

	// border radius
	$wp_customize->add_setting( 'royal_gallery_nav[radius]', array(
	    'default' 	=> 50,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_gallery_nav[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 151
		)
	) );



// slideshow caption label
	$wp_customize->add_setting( 'royal_slideshow_caption[label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_slideshow_caption[label]', array(
		'label'    => esc_html__( 'Slideshow Caption', 'hyperx' ),
		'section'  => 'gallery',
		'type'     => 'checkbox',
		'priority' => 160
	) );

/* ----------------- Slideshow Caption General Options ----------------- */

	// width
	$wp_customize->add_setting( 'royal_slideshow_caption[width]', array(
	    'default' 	=> 'auto',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_slideshow_caption[width]', array(
		'label'    => esc_html__( 'Width', 'hyperx' ),
		'section'  => 'gallery',
		'type'     => 'radio',
		'choices'  => array(
			'auto' 	=> esc_html__( 'Auto', 'hyperx' ),
			'100%' 	=> esc_html__( 'Full', 'hyperx' )
		),
		'priority' => 170
	) );

	// align
	$wp_customize->add_setting( 'royal_slideshow_caption[align]', array(
	    'default' 	=> 'center',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_slideshow_caption[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'gallery',
		'type'     => 'select',
		'choices'  => array(
			'left'	=> 'Left',
			'center'=> 'Center',
			'right'	=> 'Right'
		),
		'priority' => 175
	) );

	// position
	$wp_customize->add_setting( 'royal_slideshow_caption[position]', array(
	    'default' 	=> 'top',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_slideshow_caption[position]', array(
		'label'    => esc_html__( 'Position', 'hyperx' ),
		'section'  => 'gallery',
		'type'     => 'select',
		'choices'  => array(
			'top'	=> 'Top',
			'bottom'=> 'Bottom'
		),
		'priority' => 180
	) );


/* ----------------- Slideshow Caption Spacing Options ----------------- */

	// padding general
	$wp_customize->add_setting( 'royal_slideshow_caption[padding_gen]', array(
	    'default' 	=> 10,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_slideshow_caption[padding_gen]', array(
			'label'    => esc_html__( 'Padding', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 190
		)
	) );

	// padding top
	$wp_customize->add_setting( 'royal_slideshow_caption[padding_tp]', array(
	    'default' 	=> 9,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_slideshow_caption[padding_tp]', array(
			'label'    => esc_html__( 'Padding Top', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 191
		)
	) );

	// padding right
	$wp_customize->add_setting( 'royal_slideshow_caption[padding_rt]', array(
	    'default' 	=> 15,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_slideshow_caption[padding_rt]', array(
			'label'    => esc_html__( 'Padding Right', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 192
		)
	) );

	// padding bottom
	$wp_customize->add_setting( 'royal_slideshow_caption[padding_bt]', array(
	    'default' 	=> 10,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_slideshow_caption[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 193
		)
	) );

	// padding left
	$wp_customize->add_setting( 'royal_slideshow_caption[padding_lt]', array(
	    'default' 	=> 15,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_slideshow_caption[padding_lt]', array(
			'label'    => esc_html__( 'Padding Left', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 194
		)
	) );

	// padding advanced button
	$wp_customize->add_setting( 'royal_slideshow_caption[padding_ad]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_slideshow_caption[padding_ad]', array(
		'label'    => '',
		'section'  => 'gallery',
		'type'     => 'checkbox',
		'priority' => 195
	) );


/* ----------------- Slideshow Caption Styling Options ----------------- */

	// background color
	$wp_customize->add_setting( 'royal_slideshow_caption[bg_color]', array(
	    'default' 	=> '#3a3a3a',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_slideshow_caption[bg_color]', array(
			'label'    => esc_html__( 'Background Color', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 200
		)
	) );

	// transparency
	$wp_customize->add_setting( 'royal_slideshow_caption[bg_color_tr]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_slideshow_caption[bg_color_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 201
		)
	) );

	// text color
	$wp_customize->add_setting( 'royal_slideshow_caption[text_color]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_slideshow_caption[text_color]', array(
			'label'    => esc_html__( 'Text Color', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 202
		)
	) );



// stacked caption label
	$wp_customize->add_setting( 'royal_stacked_caption[label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_stacked_caption[label]', array(
		'label'    => esc_html__( 'Stacked Caption', 'hyperx' ),
		'section'  => 'gallery',
		'type'     => 'checkbox',
		'priority' => 250
	) );

/* ----------------- Stacked Caption General Options ----------------- */

	// align
	$wp_customize->add_setting( 'royal_stacked_caption[align]', array(
	    'default' 	=> 'center',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_stacked_caption[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'gallery',
		'type'     => 'select',
		'choices'  => array(
			'left'	=> 'Left',
			'center'=> 'Center',
			'right'	=> 'Right'
		),
		'priority' => 255
	) );

	// position
	$wp_customize->add_setting( 'royal_stacked_caption[position]', array(
	    'default' 	=> 'bottom',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_stacked_caption[position]', array(
		'label'    => esc_html__( 'Position', 'hyperx' ),
		'section'  => 'gallery',
		'type'     => 'select',
		'choices'  => array(
			'top'	=> 'Top',
			'bottom'=> 'Bottom'
		),
		'priority' => 260
	) );


/* ----------------- Stacked Caption Spacing Options ----------------- */

	// gutter
	$wp_customize->add_setting( 'royal_stacked_caption[gutter]', array(
	    'default' 	=> 16,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_stacked_caption[gutter]', array(
			'label'    => esc_html__( 'Gutter', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 270
		)
	) );



// default gallery shortcode label
	$wp_customize->add_setting( 'royal_gallery_default[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_gallery_default[label]', array(
			'label'    => esc_html__( 'Default Gallery Shortcode', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 300
		)
	) );

/* ----------------- Default Shortcode General Options ----------------- */

	// captions
	$wp_customize->add_setting( 'royal_gallery_default[captions]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_gallery_default[captions]', array(
		'label'    => esc_html__( 'Display Captions', 'hyperx' ),
		'section'  => 'gallery',
		'type'     => 'checkbox',
		'priority' => 310
	) );


/* ----------------- Default Shortcode Spacing Options ----------------- */

	// horizontal gutter
	$wp_customize->add_setting( 'royal_gallery_default[gutter_horz]', array(
	    'default' 	=> 15,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_gallery_default[gutter_horz]', array(
			'label'    => esc_html__( 'Horizontal Gutter', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 330
		)
	) );

	// vertical gutter
	$wp_customize->add_setting( 'royal_gallery_default[gutter_vert]', array(
	    'default' 	=> 10,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_gallery_default[gutter_vert]', array(
			'label'    => esc_html__( 'Vertical Gutter', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 331
		)
	) );


/* ----------------- Default Shortcode Styling Options ----------------- */

	// box shadow label
	$wp_customize->add_setting( 'royal_gallery_default[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_gallery_default[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'gallery',
		'type'     => 'checkbox',
		'priority' => 350
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_gallery_default[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_gallery_default[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 351
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_gallery_default[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_gallery_default[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 352
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_gallery_default[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_gallery_default[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 353
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_gallery_default[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_gallery_default[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 354
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_gallery_default[shad_col]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_gallery_default[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 355
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_gallery_default[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_gallery_default[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 356
		)
	) );



// lightbox overlay label
	$wp_customize->add_setting( 'royal_gallery_lightbox[label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_gallery_lightbox[label]', array(
		'label'    => esc_html__( 'Lightbox Overlay', 'hyperx' ),
		'section'  => 'gallery',
		'type'     => 'checkbox',
		'priority' => 400
	) );

/* ----------------- Lightbox Overlay General Options ----------------- */

	// FontAwesome icon select
	$wp_customize->add_setting( 'royal_gallery_lightbox[icon]', array(
	    'default' 	=> 'expand',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_gallery_lightbox[icon]', array(
		'label'    => esc_html__( 'Select Icon', 'hyperx' ),
		'section'  => 'gallery',
		'type'     => 'select',
		'choices'  => array(
			'none'					=> '&#xf05e;',
			'plus' 					=> '&#xf067;',
			'plus-circle' 			=> '&#xf055;',
			'plus-square-o' 		=> '&#xf196;',
			'plus-square' 			=> '&#xf0fe;',
			'share' 				=> '&#xf064;',
			'share-square' 			=> '&#xf14d;',
			'link' 					=> '&#xf0c1;',
			'arrows-alt' 			=> '&#xf0b2;',
			'expand' 				=> '&#xf065;',
			'search' 				=> '&#xf002;',
			'search-plus' 			=> '&#xf00e;',
			'image' 				=> '&#xf03e;',
			'camera' 				=> '&#xf030;',
			'eye' 					=> '&#xf06e;',
			'send' 					=> '&#xf1d8;',
			'angle-double-right' 	=> '&#xf101;',
			'angle-right' 			=> '&#xf105;',
			'chevron-right' 		=> '&#xf054;',
			'arrow-right' 			=> '&#xf061;',
			'arrow-circle-right' 	=> '&#xf0a9;',
			'chevron-circle-right'	=> '&#xf138;',
			'arrow-circle-o-right' 	=> '&#xf18e;',
			'hand-o-right' 			=> '&#xf0a4;'
		),
		'priority' => 410
	) );


/* ----------------- Lightbox Overlay Styling Options ----------------- */

	// hover background color
	$wp_customize->add_setting( 'royal_gallery_lightbox[bg_hcol]', array(
	    'default' 	=> '#e5ae47',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_gallery_lightbox[bg_hcol]', array(
			'label'    => esc_html__( 'Hover Color', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 430
		)
	) );

	// hover background color transparency
	$wp_customize->add_setting( 'royal_gallery_lightbox[bg_hcol_tr]', array(
	    'default' 	=> 0.9,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_gallery_lightbox[bg_hcol_tr]', array(
			'label'    => esc_html__( 'Hover Transparency', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 432
		)
	) );

	// hover text color
	$wp_customize->add_setting( 'royal_gallery_lightbox[txt_hcol]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_gallery_lightbox[txt_hcol]', array(
			'label'    => esc_html__( 'Hover Icon Color', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 435
		)
	) );


/* ----------------- Lightbox Overlay Font Options ----------------- */

	// icon size
	$wp_customize->add_setting( 'royal_gallery_lightbox[icon_size]', array(
	    'default' 	=> 21,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_gallery_lightbox[icon_size]', array(
			'label'    => esc_html__( 'Icon Size', 'hyperx' ),
			'section'  => 'gallery',
			'priority' => 450
		)
	) );



/*
***************************************************************
* #Similar Posts
***************************************************************
*/

	$section_similar_posts = 'similar_posts';
	
	if ( get_option('section_similar_posts') === '' ) {
		$section_similar_posts = 'similar_posts_disabled';
	}

	// add Similar Items Section -------------------------------------------
	$wp_customize->add_section( $section_similar_posts, array(
	    'title' 		=> esc_html__( 'Similar Posts', 'hyperx' ),
	    'priority' 		=> 70
	) );


	// similar items general label
	$wp_customize->add_setting( 'royal_similars_general[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_similars_general[label]', array(
			'label'    => esc_html__( 'General', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 11
		)
	) );

/* ----------------- General Option ----------------- */

	// Blog similars label
	$wp_customize->add_setting( 'royal_similars_general[blog_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_similars_general[blog_label]', array(
		'label'    => esc_html__( 'Display on Blog', 'hyperx' ),
		'section'  => 'similar_posts',
		'type'     => 'checkbox',
		'priority' => 30
	) );

	// blog showtype
	$wp_customize->add_setting( 'royal_similars_general[blog_showtype]', array(
	    'default' 	=> 'random',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_similars_general[blog_showtype]', array(
		'label'    => '',
		'section'  => 'similar_posts',
		'type'     => 'radio',
		'choices'  => array(
			'related' 	=> esc_html__( 'Related Posts', 'hyperx' ),
			'random' 	=> esc_html__( 'Random Posts', 'hyperx' )
		),
		'priority' => 31
	) );

	// Portfolio similars label
	$wp_customize->add_setting( 'royal_similars_general[portfolio_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_similars_general[portfolio_label]', array(
		'label'    => esc_html__( 'Display on Portfolio', 'hyperx' ),
		'section'  => 'similar_posts',
		'type'     => 'checkbox',
		'priority' => 35
	) );

	// Portfolio showtype
	$wp_customize->add_setting( 'royal_similars_general[portfolio_showtype]', array(
	    'default' 	=> 'random',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_similars_general[portfolio_showtype]', array(
		'label'    => '',
		'section'  => 'similar_posts',
		'type'     => 'radio',
		'choices'  => array(
			'related' 	=> esc_html__( 'Related Posts', 'hyperx' ),
			'random' 	=> esc_html__( 'Random Posts', 'hyperx' )
		),
		'priority' => 36
	) );

	// numbers of posts
	$wp_customize->add_setting( 'royal_similars_general[posts_number]', array(
	    'default' 	=> 10,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control( 'royal_similars_general[posts_number]', array(
		'label'    => esc_html__( 'Number Of Posts', 'hyperx' ),
		'section'  => 'similar_posts',
		'type'     => 'text',
		'priority' => 40
	) );

	// columns rate
	$wp_customize->add_setting( 'royal_similars_general[columns_rate]', array(
	    'default' 	=> '0',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_similars_general[columns_rate]', array(
		'label'    => 'Columns Rate',
		'section'  => 'similar_posts',
		'type'     => 'select',
		'choices'  => array(
			'-1' 	=> '-1',
			'0' 	=> '0',
			'1' 	=> '+1'
		),
		'priority' => 50
	) );

	// carousel parameters label
	$wp_customize->add_setting( 'royal_similars_general[carousel_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_similars_general[carousel_label]', array(
			'label'    => esc_html__( 'Carousel Parameters', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 69
		)
	) );

	// auto scroll
	$wp_customize->add_setting( 'royal_similars_general[auto_scroll]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_similars_general[auto_scroll]', array(
		'label'    => esc_html__( 'Auto Scroll', 'hyperx' ),
		'section'  => 'similar_posts',
		'type'     => 'checkbox',
		'priority' => 70
	) );

	// auto scroll delay
	$wp_customize->add_setting( 'royal_similars_general[auto_scroll_delay]', array(
	    'default' 	=> '10000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_similars_general[auto_scroll_delay]', array(
		'label'    => 'Auto Scroll Delay',
		'section'  => 'similar_posts',
		'type'     => 'select',
		'choices'  => array(
			'0' 	=> 'None',
			'500' 	=> '500 ms',
			'1000' 	=> '1000 ms',
			'2000' 	=> '2000 ms',
			'3000' 	=> '3000 ms',
			'4000' 	=> '4000 ms',
			'5000' 	=> '5000 ms',
			'6000' 	=> '6000 ms',
			'7000' 	=> '7000 ms',
			'8000' 	=> '8000 ms',
			'9000' 	=> '9000 ms',
			'10000' => '10000 ms'
		),
		'priority' => 75
	) );

	// scroll transition
	$wp_customize->add_setting( 'royal_similars_general[scroll_trans]', array(
	    'default' 	=> '1000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_similars_general[scroll_trans]', array(
		'label'    => 'Scroll Transition',
		'section'  => 'similar_posts',
		'type'     => 'select',
		'choices'  => array(
			'0' 	=> 'None',
			'500' 	=> '500 ms',
			'1000' 	=> '1000 ms',
			'1500' 	=> '1500 ms',
			'2000' 	=> '2000 ms',
			'2500' 	=> '2500 ms',
			'3000' 	=> '3000 ms',
			'3500' 	=> '3500 ms',
			'4000' 	=> '4000 ms',
			'4500' 	=> '4500 ms',
			'5000' 	=> '5000 ms',
			'5500' 	=> '5500 ms',
			'6000' 	=> '6000 ms',
			'6500' 	=> '6500 ms',
			'7000' 	=> '7000 ms',
			'7500' 	=> '7500 ms',
			'8000' 	=> '8000 ms',
			'8500' 	=> '8500 ms',
			'9000' 	=> '9000 ms',
			'9500' 	=> '9500 ms',
			'10000' => '10000 ms'
		),
		'priority' => 80
	) );


/* ----------------- Spacing Option ----------------- */

	// padding left
	$wp_customize->add_setting( 'royal_similars_general[padding]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_similars_general[padding]', array(
			'label'    => esc_html__( 'Wrapper Padding', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 120
		)
	) );

	// image gutter
	$wp_customize->add_setting( 'royal_similars_general[image_gutter]', array(
	    'default' 	=> 5,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_similars_general[image_gutter]', array(
			'label'    => esc_html__( 'Image Gutter', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 130
		)
	) );


/* ----------------- Styling Options----------------- */

	// border label
	$wp_customize->add_setting( 'royal_similars_general[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_similars_general[border_label]', array(
		'label'    => esc_html__( 'Image Border', 'hyperx' ),
		'section'  => 'similar_posts',
		'type'     => 'checkbox',
		'priority' => 140
	) );

	// border size general
	$wp_customize->add_setting( 'royal_similars_general[border_size]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_similars_general[border_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 141
		)
	) );

	// border style general
	$wp_customize->add_setting( 'royal_similars_general[border_style]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_similars_general[border_style]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'similar_posts',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 142
	) );

	// border color general
	$wp_customize->add_setting( 'royal_similars_general[border_color]', array(
	    'default' 	=> '#f4f4f4',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_similars_general[border_color]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 143
		)
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_similars_general[radius_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_similars_general[radius_label]', array(
		'label'    => esc_html__( 'Image Corner Radius', 'hyperx' ),
		'section'  => 'similar_posts',
		'type'     => 'checkbox',
		'priority' => 150
	) );

	// border radius
	$wp_customize->add_setting( 'royal_similars_general[radius]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_similars_general[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 151
		)
	) );



// similar posts title label
	$wp_customize->add_setting( 'royal_similars_title[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_similars_title[label]', array(
			'label'    => esc_html__( 'Title', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 200
		)
	) );

/* ----------------- Title General Option ----------------- */

	// blog similars title
	$wp_customize->add_setting( 'royal_similars_title[blog_text]', array(
	    'default' 	=> 'More Posts',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_similars_title[blog_text]', array(
		'label'    => esc_html__( 'Blog Text', 'hyperx' ),
		'section'  => 'similar_posts',
		'type'     => 'text',
		'priority' => 220
	) );

	// portfolio similars title
	$wp_customize->add_setting( 'royal_similars_title[portfolio_text]', array(
	    'default' 	=> 'More Work',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_similars_title[portfolio_text]', array(
		'label'    => esc_html__( 'Portfolio Text', 'hyperx' ),
		'section'  => 'similar_posts',
		'type'     => 'text',
		'priority' => 230
	) );

	// align
	$wp_customize->add_setting( 'royal_similars_title[align]', array(
	    'default' 	=> 'left',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_similars_title[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'similar_posts',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 240
	) );


/* ----------------- Title Spacing Option ----------------- */

	// padding bottom
	$wp_customize->add_setting( 'royal_similars_title[padding_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_similars_title[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 260
		)
	) );

	// margin bottom
	$wp_customize->add_setting( 'royal_similars_title[margin_bt]', array(
	    'default' 	=> 23,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_similars_title[margin_bt]', array(
			'label'    => esc_html__( 'Margin Bottom', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 265
		)
	) );


/* ----------------- Title Styling Options----------------- */

	// border label
	$wp_customize->add_setting( 'royal_similars_title[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_similars_title[border_label]', array(
		'label'    => esc_html__( 'Border Bottom', 'hyperx' ),
		'section'  => 'similar_posts',
		'type'     => 'checkbox',
		'priority' => 280
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_similars_title[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_similars_title[bd_size_bt]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 281
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_similars_title[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_similars_title[bd_style_bt]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'similar_posts',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 282
	) );

	// full width border
	$wp_customize->add_setting( 'royal_similars_title[bd_full_width]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_similars_title[bd_full_width]', array(
		'label'    => esc_html__( 'Full Width Border', 'hyperx' ),
		'section'  => 'similar_posts',
		'type'     => 'checkbox',
		'priority' => 283
	) );



// similar posts arrows label
	$wp_customize->add_setting( 'royal_similars_arrows[label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_similars_arrows[label]', array(
		'label'    => esc_html__( 'Arrows', 'hyperx' ),
		'section'  => 'similar_posts',
		'type'     => 'checkbox',
		'priority' => 300
	) );

/* ----------------- Arrows General Option ----------------- */


	// FontAwesome icon select
	$wp_customize->add_setting( 'royal_similars_arrows[prev_nxt_icon]', array(
	    'default' 	=> 'chevron',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_similars_arrows[prev_nxt_icon]', array(
		'label'    => esc_html__( 'Select Icon', 'hyperx' ),
		'section'  => 'similar_posts',
		'type'     => 'select',
		'choices'  => array(
			'angle' 			=> '&#xf104; &#xf105;',
			'angle-double' 		=> '&#xf100; &#xf101;',
			'chevron' 			=> '&#xf053; &#xf054;',
			'arrow' 			=> '&#xf060; &#xf061;',
			'long-arrow' 		=> '&#xf177; &#xf178;',
			'chevron-circle'	=> '&#xf137; &#xf138;',
			'arrow-circle' 		=> '&#xf0a8; &#xf0a9;',
			'arrow-circle-o' 	=> '&#xf190; &#xf18e;',
			'hand-o' 			=> '&#xf0a5; &#xf0a4;'
		),
		'priority' => 330
	) );


/* ----------------- Arrows Spacing Option ----------------- */

	// width
	$wp_customize->add_setting( 'royal_similars_arrows[width]', array(
	    'default' 	=> 30,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_similars_arrows[width]', array(
			'label'    => esc_html__( 'Width', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 350
		)
	) );

	// height
	$wp_customize->add_setting( 'royal_similars_arrows[height]', array(
	    'default' 	=> 30,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_similars_arrows[height]', array(
			'label'    => esc_html__( 'Height', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 355
		)
	) );


/* ----------------- Arrows Styling Option----------------- */

	// static colors label
	$wp_customize->add_setting( 'royal_similars_arrows[static_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_similars_arrows[static_colors_label]', array(
			'label'    => esc_html__( 'Static Colors', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 399
		)
	) );

	// background color
	$wp_customize->add_setting( 'royal_similars_arrows[bg_col]', array(
	    'default' 	=> '#3a3a3a',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_similars_arrows[bg_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 400
		)
	) );

	// background color transparency
	$wp_customize->add_setting( 'royal_similars_arrows[bg_col_tr]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_similars_arrows[bg_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 402
		)
	) );

	// text color
	$wp_customize->add_setting( 'royal_similars_arrows[txt_col]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_similars_arrows[txt_col]', array(
			'label'    => esc_html__( 'Text Color', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 403
		)
	) );

	// hover colors label
	$wp_customize->add_setting( 'royal_similars_arrows[hover_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_similars_arrows[hover_colors_label]', array(
			'label'    => esc_html__( 'Hover Colors', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 404
		)
	) );

	// hover background color
	$wp_customize->add_setting( 'royal_similars_arrows[bg_hcol]', array(
	    'default' 	=> '#111111',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_similars_arrows[bg_hcol]', array(
			'label'    => esc_html__( 'Hover Color', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 409
		)
	) );

	// hover background color transparency
	$wp_customize->add_setting( 'royal_similars_arrows[bg_hcol_tr]', array(
	    'default' 	=> 0.9,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_similars_arrows[bg_hcol_tr]', array(
			'label'    => esc_html__( 'Hover Transparency', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 410
		)
	) );

	// hover text color
	$wp_customize->add_setting( 'royal_similars_arrows[txt_hcol]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_similars_arrows[txt_hcol]', array(
			'label'    => esc_html__( 'Hover Text Color', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 411
		)
	) );

	// hover border color
	$wp_customize->add_setting( 'royal_similars_arrows[bd_hcol]', array(
	    'default' 	=> '#111111',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_similars_arrows[bd_hcol]', array(
			'label'    => esc_html__( 'Hover Border Color', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 413
		)
	) );

	// border label
	$wp_customize->add_setting( 'royal_similars_arrows[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_similars_arrows[border_label]', array(
		'label'    => esc_html__( 'Border', 'hyperx' ),
		'section'  => 'similar_posts',
		'type'     => 'checkbox',
		'priority' => 420
	) );

	// border size general
	$wp_customize->add_setting( 'royal_similars_arrows[bd_size_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_similars_arrows[bd_size_gen]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 421
		)
	) );

	// border style general
	$wp_customize->add_setting( 'royal_similars_arrows[bd_style_gen]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_similars_arrows[bd_style_gen]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'similar_posts',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 422
	) );

	// border color general
	$wp_customize->add_setting( 'royal_similars_arrows[bd_col_gen]', array(
	    'default' 	=> '#111111',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_similars_arrows[bd_col_gen]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 423
		)
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_similars_arrows[radius_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_similars_arrows[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'similar_posts',
		'type'     => 'checkbox',
		'priority' => 437
	) );

	// border radius
	$wp_customize->add_setting( 'royal_similars_arrows[radius]', array(
	    'default' 	=> 12,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_similars_arrows[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 438
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_similars_arrows[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_similars_arrows[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'similar_posts',
		'type'     => 'checkbox',
		'priority' => 439
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_similars_arrows[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_similars_arrows[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 440
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_similars_arrows[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_similars_arrows[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 441
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_similars_arrows[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_similars_arrows[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 442
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_similars_arrows[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_similars_arrows[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 443
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_similars_arrows[shad_col]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_similars_arrows[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 444
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_similars_arrows[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_similars_arrows[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 445
		)
	) );

	// box shadow inset
	$wp_customize->add_setting( 'royal_similars_arrows[shad_in]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_similars_arrows[shad_in]', array(
		'label'    => esc_html__( 'Inner', 'hyperx' ),
		'section'  => 'similar_posts',
		'type'     => 'checkbox',
		'priority' => 446
	) );


/* ----------------- Arrows Font Option ----------------- */

	// font size
	$wp_customize->add_setting( 'royal_similars_arrows[font_size]', array(
	    'default' 	=> 13,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_similars_arrows[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 450
		)
	) );


// similar posts overlay label
	$wp_customize->add_setting( 'royal_similars_overlay[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_similars_overlay[label]', array(
			'label'    => esc_html__( 'Image Overlay', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 500
		)
	) );

/* ----------------- Image Overlay Styling Options ----------------- */

	// hover background color
	$wp_customize->add_setting( 'royal_similars_overlay[bg_hcol]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_similars_overlay[bg_hcol]', array(
			'label'    => esc_html__( 'Hover Color', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 505
		)
	) );

	// hover background color transparency
	$wp_customize->add_setting( 'royal_similars_overlay[bg_hcol_tr]', array(
	    'default' 	=> 0.1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_similars_overlay[bg_hcol_tr]', array(
			'label'    => esc_html__( 'Hover Transparency', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 510
		)
	) );

	// hover text bg color
	$wp_customize->add_setting( 'royal_similars_overlay[txt_bg_hcol]', array(
	    'default' 	=> '#e5ae47',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_similars_overlay[txt_bg_hcol]', array(
			'label'    => esc_html__( 'Title BG Color', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 515
		)
	) );

	// hover text bg color transparency
	$wp_customize->add_setting( 'royal_similars_overlay[txt_bg_hcol_tr]', array(
	    'default' 	=> 0.9,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_similars_overlay[txt_bg_hcol_tr]', array(
			'label'    => esc_html__( 'Title BG Transparency', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 516
		)
	) );

	// hover text color
	$wp_customize->add_setting( 'royal_similars_overlay[txt_hcol]', array(
	    'default' 	=> '#fcfcfc',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_similars_overlay[txt_hcol]', array(
			'label'    => esc_html__( 'Title Color', 'hyperx' ),
			'section'  => 'similar_posts',
			'priority' => 520
		)
	) );

	// reverse hover
	$wp_customize->add_setting( 'royal_similars_overlay[reverse]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_similars_overlay[reverse]', array(
		'label'    => esc_html__( 'Reverse Hover', 'hyperx' ),
		'section'  => 'similar_posts',
		'type'     => 'checkbox',
		'priority' => 525
	) );



/*
***************************************************************
* #Comments
***************************************************************
*/

	$section_comments = 'comments';
	
	if ( get_option('section_comments') === '' ) {
		$section_comments = 'comments_disabled';
	}

	// add Comments Section -------------------------------------------
	$wp_customize->add_section( $section_comments, array(
	    'title' 		=> esc_html__( 'Comments', 'hyperx' ),
	    'priority' 		=> 75
	) );


	// comments general label
	$wp_customize->add_setting( 'royal_comments_general[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_comments_general[label]', array(
			'label'    => esc_html__( 'General', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 11
		)
	) );

/* ----------------- General Options ----------------- */

	// show on page
	$wp_customize->add_setting( 'royal_comments_general[page_display]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_comments_general[page_display]', array(
		'label'    => esc_html__( 'Display on Pages', 'hyperx' ),
		'section'  => 'comments',
		'type'     => 'checkbox',
		'priority' => 30
	) );

	// show on blog
	$wp_customize->add_setting( 'royal_comments_general[blog_display]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_comments_general[blog_display]', array(
		'label'    => esc_html__( 'Display on Blog', 'hyperx' ),
		'section'  => 'comments',
		'type'     => 'checkbox',
		'priority' => 32
	) );

	// show on portfolio
	$wp_customize->add_setting( 'royal_comments_general[portfolio_display]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_comments_general[portfolio_display]', array(
		'label'    => esc_html__( 'Display on Portfolio', 'hyperx' ),
		'section'  => 'comments',
		'type'     => 'checkbox',
		'priority' => 35
	) );

	// comments awaiting modaration
	$wp_customize->add_setting( 'royal_comments_general[moderation_text]', array(
	    'default' 	=> 'Your comment is awaiting moderation!',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_comments_general[moderation_text]', array(
		'label'    => esc_html__( 'Awaiting Moderation Text', 'hyperx' ),
		'section'  => 'comments',
		'type'     => 'text',
		'priority' => 45
	) );

	// comments closed
	$wp_customize->add_setting( 'royal_comments_general[closed_text]', array(
	    'default' 	=> 'Hey! comments are closed.',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_comments_general[closed_text]', array(
		'label'    => esc_html__( 'Closed Comments Text', 'hyperx' ),
		'section'  => 'comments',
		'type'     => 'text',
		'priority' => 50
	) );


/* ----------------- Spacing Options  ----------------- */

	// wrapper max width
	$wp_customize->add_setting( 'royal_comments_general[max_width]', array(
	    'default' 	=> 940,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_general[max_width]', array(
			'label'    => esc_html__( 'Wrapper Max Width', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 60
		)
	) );

	// padding bottom
	$wp_customize->add_setting( 'royal_comments_general[padding_bt]', array(
	    'default' 	=> 26,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_general[padding_bt]', array(
			'label'    => esc_html__( 'Divider Top Space', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 64
		)
	) );

	// margin bottom
	$wp_customize->add_setting( 'royal_comments_general[margin_bt]', array(
	    'default' 	=> 29,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_general[margin_bt]', array(
			'label'    => esc_html__( 'Divider Bottom Space', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 65
		)
	) );


/* ----------------- Styling Options----------------- */

	// border label
	$wp_customize->add_setting( 'royal_comments_general[border_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_comments_general[border_label]', array(
		'label'    => esc_html__( 'Divider', 'hyperx' ),
		'section'  => 'comments',
		'type'     => 'checkbox',
		'priority' => 70
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_comments_general[bd_size_bt]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_general[bd_size_bt]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 72
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_comments_general[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_comments_general[bd_style_bt]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'comments',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 73
	) );



// counter label
	$wp_customize->add_setting( 'royal_comments_counter[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_comments_counter[label]', array(
			'label'    => esc_html__( 'Counter', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 100
		)
	) );

/* ----------------- Counter General Options ----------------- */

	// singular
	$wp_customize->add_setting( 'royal_comments_counter[singular_label]', array(
	    'default' 	=> 'Comment',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_comments_counter[singular_label]', array(
		'label'    => esc_html__( 'Singular Label', 'hyperx' ),
		'section'  => 'comments',
		'type'     => 'text',
		'priority' => 110
	) );

	// plural
	$wp_customize->add_setting( 'royal_comments_counter[plural_label]', array(
	    'default' 	=> 'Comments',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_comments_counter[plural_label]', array(
		'label'    => esc_html__( 'Plural Label', 'hyperx' ),
		'section'  => 'comments',
		'type'     => 'text',
		'priority' => 111
	) );

	// align
	$wp_customize->add_setting( 'royal_comments_counter[align]', array(
	    'default' 	=> 'left',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_comments_counter[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'comments',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 120
	) );


/* ----------------- Counter Spacing Options  ----------------- */

	// padding bottom
	$wp_customize->add_setting( 'royal_comments_counter[padding_bt]', array(
	    'default' 	=> 23,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_counter[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 140
		)
	) );

	// margin bottom
	$wp_customize->add_setting( 'royal_comments_counter[margin_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_counter[margin_bt]', array(
			'label'    => esc_html__( 'Margin Bottom', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 150
		)
	) );


/* ----------------- Counter Styling Options----------------- */

	// border label
	$wp_customize->add_setting( 'royal_comments_counter[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_comments_counter[border_label]', array(
		'label'    => esc_html__( 'Border Bottom', 'hyperx' ),
		'section'  => 'comments',
		'type'     => 'checkbox',
		'priority' => 160
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_comments_counter[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_counter[bd_size_bt]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 162
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_comments_counter[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_comments_counter[bd_style_bt]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'comments',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 163
	) );

	// full width border
	$wp_customize->add_setting( 'royal_comments_counter[bd_full_width]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_comments_counter[bd_full_width]', array(
		'label'    => esc_html__( 'Full Width Border', 'hyperx' ),
		'section'  => 'comments',
		'type'     => 'checkbox',
		'priority' => 164
	) );



// author image label
	$wp_customize->add_setting( 'royal_comments_image[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_comments_image[label]', array(
			'label'    => esc_html__( 'Author Image', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 200
		)
	) );

/* ----------------- Author Image General Options  ----------------- */

	// avatar size
	$wp_customize->add_setting( 'royal_comments_image[avatar_size]', array(
	    'default' 	=> '55',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_comments_image[avatar_size]', array(
		'label'    => esc_html__( 'Avatar Size', 'hyperx' ),
		'section'  => 'comments',
		'type'     => 'select',
		'choices'  => array(
			'40' => esc_html__( 'Small', 'hyperx' ),
			'55' => esc_html__( 'Medium', 'hyperx' ),
			'70' => esc_html__( 'Large', 'hyperx' )
		),
		'priority' => 205
	) );


/* ----------------- Author Image Spacing Options  ----------------- */

	// margin right
	$wp_customize->add_setting( 'royal_comments_image[margin_rt]', array(
	    'default' 	=> 25,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_image[margin_rt]', array(
			'label'    => esc_html__( 'Margin Right', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 210
		)
	) );


/* ----------------- Author Image Styling Options ----------------- */

	// border radius label
	$wp_customize->add_setting( 'royal_comments_image[radius_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_comments_image[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'comments',
		'type'     => 'checkbox',
		'priority' => 247
	) );

	// border radius
	$wp_customize->add_setting( 'royal_comments_image[radius]', array(
	    'default' 	=> 3,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_image[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 248
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_comments_image[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_comments_image[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'comments',
		'type'     => 'checkbox',
		'priority' => 249
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_comments_image[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_image[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 250
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_comments_image[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_image[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 251
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_comments_image[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_image[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 252
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_comments_image[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_image[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 253
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_comments_image[shad_col]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_comments_image[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 254
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_comments_image[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_image[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 265
		)
	) );



// comment content label
	$wp_customize->add_setting( 'royal_comments_content[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_comments_content[label]', array(
			'label'    => esc_html__( 'Comment Content', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 300
		)
	) );

/* ----------------- Content Spacing Options  ----------------- */

	// padding general
	$wp_customize->add_setting( 'royal_comments_content[padding_gen]', array(
	    'default' 	=> 30,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_content[padding_gen]', array(
			'label'    => esc_html__( 'Padding', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 310
		)
	) );

	// padding top
	$wp_customize->add_setting( 'royal_comments_content[padding_tp]', array(
	    'default' 	=> 26,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_content[padding_tp]', array(
			'label'    => esc_html__( 'Padding Top', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 311
		)
	) );

	// padding right
	$wp_customize->add_setting( 'royal_comments_content[padding_rt]', array(
	    'default' 	=> 30,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_content[padding_rt]', array(
			'label'    => esc_html__( 'Padding Right', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 312
		)
	) );

	// padding bottom
	$wp_customize->add_setting( 'royal_comments_content[padding_bt]', array(
	    'default' 	=> 23,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_content[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 313
		)
	) );

	// padding left
	$wp_customize->add_setting( 'royal_comments_content[padding_lt]', array(
	    'default' 	=> 30,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_content[padding_lt]', array(
			'label'    => esc_html__( 'Padding Left', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 314
		)
	) );

	// padding advanced button
	$wp_customize->add_setting( 'royal_comments_content[padding_ad]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_comments_content[padding_ad]', array(
		'label'    => '',
		'section'  => 'comments',
		'type'     => 'checkbox',
		'priority' => 315
	) );

	// vertical gutter
	$wp_customize->add_setting( 'royal_comments_content[gutter_vert]', array(
	    'default' 	=> 30,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_content[gutter_vert]', array(
			'label'    => esc_html__( 'Vertical Gutter', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 320
		)
	) );


/* ----------------- Content Styling Options----------------- */

	// background color
	$wp_customize->add_setting( 'royal_comments_content[bg_color]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_comments_content[bg_color]', array(
			'label'    => esc_html__( 'Background Color', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 328
		)
	) );

	// post author comment background color
	$wp_customize->add_setting( 'royal_comments_content[author_bg_color]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_comments_content[author_bg_color]', array(
			'label'    => esc_html__( 'Post Author Comment BG Color', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 329
		)
	) );

	// border label
	$wp_customize->add_setting( 'royal_comments_content[border_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_comments_content[border_label]', array(
		'label'    => esc_html__( 'Border', 'hyperx' ),
		'section'  => 'comments',
		'type'     => 'checkbox',
		'priority' => 330
	) );

	// border size general
	$wp_customize->add_setting( 'royal_comments_content[bd_size_gen]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_content[bd_size_gen]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 331
		)
	) );

	// border style general
	$wp_customize->add_setting( 'royal_comments_content[bd_style_gen]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_comments_content[bd_style_gen]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'comments',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 332
	) );

	// border color general
	$wp_customize->add_setting( 'royal_comments_content[bd_col_gen]', array(
	    'default' 	=> '#ededed',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_comments_content[bd_col_gen]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 333
		)
	) );

	// border top size
	$wp_customize->add_setting( 'royal_comments_content[bd_size_tp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_content[bd_size_tp]', array(
			'label'    => esc_html__( 'Top Size', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 334
		)
	) );

	// border top style
	$wp_customize->add_setting( 'royal_comments_content[bd_style_tp]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_comments_content[bd_style_tp]', array(
		'label'    => esc_html__( 'Top Style', 'hyperx' ),
		'section'  => 'comments',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 335
	) );

	// border top color
	$wp_customize->add_setting( 'royal_comments_content[bd_col_tp]', array(
	    'default' 	=> '#ededed',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_comments_content[bd_col_tp]', array(
			'label'    => esc_html__( 'Top Color', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 336
		)
	) );

	// border right size
	$wp_customize->add_setting( 'royal_comments_content[bd_size_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_content[bd_size_rt]', array(
			'label'    => esc_html__( 'Right Size', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 337
		)
	) );

	// border right style
	$wp_customize->add_setting( 'royal_comments_content[bd_style_rt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_comments_content[bd_style_rt]', array(
		'label'    => esc_html__( 'Right Style', 'hyperx' ),
		'section'  => 'comments',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 338
	) );

	// border right color
	$wp_customize->add_setting( 'royal_comments_content[bd_col_rt]', array(
	    'default' 	=> '#ededed',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_comments_content[bd_col_rt]', array(
			'label'    => esc_html__( 'Right Color', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 339
		)
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_comments_content[bd_size_bt]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_content[bd_size_bt]', array(
			'label'    => esc_html__( 'Bottom Size', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 340
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_comments_content[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_comments_content[bd_style_bt]', array(
		'label'    => esc_html__( 'Bottom Style', 'hyperx' ),
		'section'  => 'comments',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 341
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_comments_content[bd_col_bt]', array(
	    'default' 	=> '#ededed',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_comments_content[bd_col_bt]', array(
			'label'    => esc_html__( 'Bottom Color', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 342
		)
	) );

	// border left size
	$wp_customize->add_setting( 'royal_comments_content[bd_size_lt]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_content[bd_size_lt]', array(
			'label'    => esc_html__( 'Left Size', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 343
		)
	) );

	// border left style
	$wp_customize->add_setting( 'royal_comments_content[bd_style_lt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_comments_content[bd_style_lt]', array(
		'label'    => esc_html__( 'Left Style', 'hyperx' ),
		'section'  => 'comments',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 344
	) );

	// border left color
	$wp_customize->add_setting( 'royal_comments_content[bd_col_lt]', array(
	    'default' 	=> '#ededed',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_comments_content[bd_col_lt]', array(
			'label'    => esc_html__( 'Left Color', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 345
		)
	) );

	// border advanced button
	$wp_customize->add_setting( 'royal_comments_content[bd_ad]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_comments_content[bd_ad]', array(
		'label'    => '',
		'section'  => 'comments',
		'type'     => 'checkbox',
		'priority' => 346
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_comments_content[radius_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_comments_content[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'comments',
		'type'     => 'checkbox',
		'priority' => 347
	) );

	// border radius
	$wp_customize->add_setting( 'royal_comments_content[radius]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_content[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 348
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_comments_content[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_comments_content[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'comments',
		'type'     => 'checkbox',
		'priority' => 349
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_comments_content[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_content[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 350
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_comments_content[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_content[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 351
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_comments_content[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_content[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 352
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_comments_content[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_content[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 353
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_comments_content[shad_col]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_comments_content[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 354
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_comments_content[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_content[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 365
		)
	) );

	// box shadow inset
	$wp_customize->add_setting( 'royal_comments_content[shad_in]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_comments_content[shad_in]', array(
		'label'    => esc_html__( 'Inner', 'hyperx' ),
		'section'  => 'comments',
		'type'     => 'checkbox',
		'priority' => 366
	) );



// comment reply label
	$wp_customize->add_setting( 'royal_comments_reply[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_comments_reply[label]', array(
			'label'    => esc_html__( 'Leave a Relpy', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 400
		)
	) );

/* ----------------- Reply Spacing Options  ----------------- */

	// padding bottom
	$wp_customize->add_setting( 'royal_comments_reply[padding_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_reply[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 440
		)
	) );

	// margin bottom
	$wp_customize->add_setting( 'royal_comments_reply[margin_bt]', array(
	    'default' 	=> 7,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_reply[margin_bt]', array(
			'label'    => esc_html__( 'Margin Bottom', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 450
		)
	) );


/* ----------------- Reply Styling Options----------------- */

	// border label
	$wp_customize->add_setting( 'royal_comments_reply[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_comments_reply[border_label]', array(
		'label'    => esc_html__( 'Border Bottom', 'hyperx' ),
		'section'  => 'comments',
		'type'     => 'checkbox',
		'priority' => 460
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_comments_reply[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_comments_reply[bd_size_bt]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'comments',
			'priority' => 462
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_comments_reply[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_comments_reply[bd_style_bt]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'comments',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 463
	) );

	// full width border
	$wp_customize->add_setting( 'royal_comments_reply[bd_full_width]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_comments_reply[bd_full_width]', array(
		'label'    => esc_html__( 'Full Width Border', 'hyperx' ),
		'section'  => 'comments',
		'type'     => 'checkbox',
		'priority' => 464
	) );



/*
***************************************************************
* #Inputs
***************************************************************
*/

	$section_inputs = 'inputs';
	
	if ( get_option('section_inputs') === '' ) {
		$section_inputs = 'inputs_disabled';
	}

	// add Input Section -------------------------------------------
	$wp_customize->add_section( $section_inputs, array(
	    'title' 		=> esc_html__( 'Inputs', 'hyperx' ),
	    'priority' 		=> 80
	) );


	// inputs general label
	$wp_customize->add_setting( 'royal_inputs_general[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_inputs_general[label]', array(
			'label'    => esc_html__( 'General', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 11
		)
	) );

/* ----------------- General Options ----------------- */

	// layout select
	$wp_customize->add_setting( 'royal_inputs_general[layout]', array(
	    'default' 	=> '2_half_2_full',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_inputs_general[layout]', array(
		'label'    => esc_html__( 'Layout', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'select',
		'choices'  => array(
			'half' 				=> esc_html__( 'Half', 'hyperx' ),
			'full' 				=> esc_html__( 'Full', 'hyperx' ),
			'3_half_1_full' 	=> esc_html__( '3 Half 1 Full', 'hyperx' ),
			'2_half_2_full' 	=> esc_html__( '2 Half 2 Full', 'hyperx' ),
			'3_third_1_full' 	=> esc_html__( '3 Third 1 Full', 'hyperx' ),
		),
		'priority' => 20
	) );

	// align
	$wp_customize->add_setting( 'royal_inputs_general[align]', array(
	    'default' 	=> 'left',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_inputs_general[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 25
	) );


/* ----------------- Spacing Options ----------------- */

	// padding general
	$wp_customize->add_setting( 'royal_inputs_general[padding_gen]', array(
	    'default' 	=> 9,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_general[padding_gen]', array(
			'label'    => esc_html__( 'Padding', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 50
		)
	) );

	// padding top
	$wp_customize->add_setting( 'royal_inputs_general[padding_tp]', array(
	    'default' 	=> 9,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_general[padding_tp]', array(
			'label'    => esc_html__( 'Padding Top', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 51
		)
	) );

	// padding right
	$wp_customize->add_setting( 'royal_inputs_general[padding_rt]', array(
	    'default' 	=> 9,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_general[padding_rt]', array(
			'label'    => esc_html__( 'Padding Right', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 52
		)
	) );

	// padding bottom
	$wp_customize->add_setting( 'royal_inputs_general[padding_bt]', array(
	    'default' 	=> 9,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_general[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 53
		)
	) );

	// padding left
	$wp_customize->add_setting( 'royal_inputs_general[padding_lt]', array(
	    'default' 	=> 9,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_general[padding_lt]', array(
			'label'    => esc_html__( 'Padding Left', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 54
		)
	) );

	// padding advanced button
	$wp_customize->add_setting( 'royal_inputs_general[padding_ad]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_inputs_general[padding_ad]', array(
		'label'    => '',
		'section'  => 'inputs',
		'type'     => 'checkbox',
		'priority' => 55
	) );

	// gutter
	$wp_customize->add_setting( 'royal_inputs_general[gutter]', array(
	    'default' 	=> 16,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_general[gutter]', array(
			'label'    => esc_html__( 'Gutter', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 60
		)
	) );


/* ----------------- Styling Options----------------- */

	// static colors label
	$wp_customize->add_setting( 'royal_inputs_general[static_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_inputs_general[static_colors_label]', array(
			'label'    => esc_html__( 'Static Colors', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 89
		)
	) );

	// background color
	$wp_customize->add_setting( 'royal_inputs_general[bg_col]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_general[bg_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 90
		)
	) );

	// text color
	$wp_customize->add_setting( 'royal_inputs_general[txt_col]', array(
	    'default' 	=> '#8d8d8d',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_general[txt_col]', array(
			'label'    => esc_html__( 'Text Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 93
		)
	) );

	// error color
	$wp_customize->add_setting( 'royal_inputs_general[error_col]', array(
	    'default' 	=> '#e5ae47',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_general[error_col]', array(
			'label'    => esc_html__( 'Error Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 94
		)
	) );

	// focus colors label
	$wp_customize->add_setting( 'royal_inputs_general[focus_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_inputs_general[focus_colors_label]', array(
			'label'    => esc_html__( 'Focus Colors', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 95
		)
	) );

	// focus background color
	$wp_customize->add_setting( 'royal_inputs_general[bg_fcol]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_general[bg_fcol]', array(
			'label'    => esc_html__( 'Focus Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 99
		)
	) );

	// focus text color
	$wp_customize->add_setting( 'royal_inputs_general[txt_fcol]', array(
	    'default' 	=> '#8d8d8d',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_general[txt_fcol]', array(
			'label'    => esc_html__( 'Focus Text Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 101
		)
	) );

	// focus border color
	$wp_customize->add_setting( 'royal_inputs_general[bd_fcol]', array(
	    'default' 	=> '#8d8d8d',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_general[bd_fcol]', array(
			'label'    => esc_html__( 'Focus Border Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 103
		)
	) );

	// border label
	$wp_customize->add_setting( 'royal_inputs_general[border_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_inputs_general[border_label]', array(
		'label'    => esc_html__( 'Border', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'checkbox',
		'priority' => 110
	) );

	// border size general
	$wp_customize->add_setting( 'royal_inputs_general[bd_size_gen]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_general[bd_size_gen]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 111
		)
	) );

	// border style general
	$wp_customize->add_setting( 'royal_inputs_general[bd_style_gen]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_inputs_general[bd_style_gen]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 112
	) );

	// border color general
	$wp_customize->add_setting( 'royal_inputs_general[bd_col_gen]', array(
	    'default' 	=> '#efefef',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_general[bd_col_gen]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 113
		)
	) );

	// border top size
	$wp_customize->add_setting( 'royal_inputs_general[bd_size_tp]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_general[bd_size_tp]', array(
			'label'    => esc_html__( 'Top Size', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 114
		)
	) );

	// border top style
	$wp_customize->add_setting( 'royal_inputs_general[bd_style_tp]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_inputs_general[bd_style_tp]', array(
		'label'    => esc_html__( 'Top Style', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 115
	) );

	// border top color
	$wp_customize->add_setting( 'royal_inputs_general[bd_col_tp]', array(
	    'default' 	=> '#efefef',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_general[bd_col_tp]', array(
			'label'    => esc_html__( 'Top Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 116
		)
	) );

	// border right size
	$wp_customize->add_setting( 'royal_inputs_general[bd_size_rt]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_general[bd_size_rt]', array(
			'label'    => esc_html__( 'Right Size', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 117
		)
	) );

	// border right style
	$wp_customize->add_setting( 'royal_inputs_general[bd_style_rt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_inputs_general[bd_style_rt]', array(
		'label'    => esc_html__( 'Right Style', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 118
	) );

	// border right color
	$wp_customize->add_setting( 'royal_inputs_general[bd_col_rt]', array(
	    'default' 	=> '#efefef',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_general[bd_col_rt]', array(
			'label'    => esc_html__( 'Right Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 119
		)
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_inputs_general[bd_size_bt]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_general[bd_size_bt]', array(
			'label'    => esc_html__( 'Bottom Size', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 120
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_inputs_general[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_inputs_general[bd_style_bt]', array(
		'label'    => esc_html__( 'Bottom Style', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 121
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_inputs_general[bd_col_bt]', array(
	    'default' 	=> '#efefef',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_general[bd_col_bt]', array(
			'label'    => esc_html__( 'Bottom Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 122
		)
	) );

	// border left size
	$wp_customize->add_setting( 'royal_inputs_general[bd_size_lt]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_general[bd_size_lt]', array(
			'label'    => esc_html__( 'Left Size', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 123
		)
	) );

	// border left style
	$wp_customize->add_setting( 'royal_inputs_general[bd_style_lt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_inputs_general[bd_style_lt]', array(
		'label'    => esc_html__( 'Left Style', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 124
	) );

	// border left color
	$wp_customize->add_setting( 'royal_inputs_general[bd_col_lt]', array(
	    'default' 	=> '#efefef',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_general[bd_col_lt]', array(
			'label'    => esc_html__( 'Left Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 125
		)
	) );

	// border advanced button
	$wp_customize->add_setting( 'royal_inputs_general[bd_ad]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_inputs_general[bd_ad]', array(
		'label'    => '',
		'section'  => 'inputs',
		'type'     => 'checkbox',
		'priority' => 126
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_inputs_general[radius_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_inputs_general[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'checkbox',
		'priority' => 127
	) );

	// border radius
	$wp_customize->add_setting( 'royal_inputs_general[radius]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_general[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 128
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_inputs_general[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_inputs_general[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'checkbox',
		'priority' => 129
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_inputs_general[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_general[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 130
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_inputs_general[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_general[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 131
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_inputs_general[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_general[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 132
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_inputs_general[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_general[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 133
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_inputs_general[shad_col]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_general[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 134
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_inputs_general[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_general[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 135
		)
	) );

	// box shadow inset
	$wp_customize->add_setting( 'royal_inputs_general[shad_in]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_inputs_general[shad_in]', array(
		'label'    => esc_html__( 'Inner', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'checkbox',
		'priority' => 136
	) );



// submit button label
	$wp_customize->add_setting( 'royal_inputs_submit[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_inputs_submit[label]', array(
			'label'    => esc_html__( 'Submit Button', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 211
		)
	) );

/* ----------------- Submit Button General Options ----------------- */

	// item width
	$wp_customize->add_setting( 'royal_inputs_submit[style]', array(
	    'default' 	=> '100%',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_inputs_submit[style]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'radio',
		'choices'  => array(
			'100%' 	=> esc_html__( 'Full Width', 'hyperx' ),
			'auto' 	=> esc_html__( 'Button', 'hyperx' )
		),
		'priority' => 221
	) );

	// align
	$wp_customize->add_setting( 'royal_inputs_submit[align]', array(
	    'default' 	=> 'left',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_inputs_submit[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 230
	) );


/* ----------------- Submit Button Spacing Options ----------------- */

	// padding general
	$wp_customize->add_setting( 'royal_inputs_submit[padding_gen]', array(
	    'default' 	=> 5,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_submit[padding_gen]', array(
			'label'    => esc_html__( 'Padding', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 250
		)
	) );

	// padding top
	$wp_customize->add_setting( 'royal_inputs_submit[padding_tp]', array(
	    'default' 	=> 9,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_submit[padding_tp]', array(
			'label'    => esc_html__( 'Padding Top', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 251
		)
	) );

	// padding right
	$wp_customize->add_setting( 'royal_inputs_submit[padding_rt]', array(
	    'default' 	=> 10,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_submit[padding_rt]', array(
			'label'    => esc_html__( 'Padding Right', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 252
		)
	) );

	// padding bottom
	$wp_customize->add_setting( 'royal_inputs_submit[padding_bt]', array(
	    'default' 	=> 9,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_submit[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 253
		)
	) );

	// padding left
	$wp_customize->add_setting( 'royal_inputs_submit[padding_lt]', array(
	    'default' 	=> 10,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_submit[padding_lt]', array(
			'label'    => esc_html__( 'Padding Left', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 254
		)
	) );

	// padding advanced button
	$wp_customize->add_setting( 'royal_inputs_submit[padding_ad]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_inputs_submit[padding_ad]', array(
		'label'    => '',
		'section'  => 'inputs',
		'type'     => 'checkbox',
		'priority' => 255
	) );


/* ----------------- Submit Button Styling Options----------------- */

	// static colors label
	$wp_customize->add_setting( 'royal_inputs_submit[static_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_inputs_submit[static_colors_label]', array(
			'label'    => esc_html__( 'Static Colors', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 299
		)
	) );

	// background color
	$wp_customize->add_setting( 'royal_inputs_submit[bg_col]', array(
	    'default' 	=> '#e5ae47',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_submit[bg_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 300
		)
	) );

	// background color transparency
	$wp_customize->add_setting( 'royal_inputs_submit[bg_col_tr]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_submit[bg_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 302
		)
	) );

	// text color
	$wp_customize->add_setting( 'royal_inputs_submit[txt_col]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_submit[txt_col]', array(
			'label'    => esc_html__( 'Text Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 303
		)
	) );

	// hover colors label
	$wp_customize->add_setting( 'royal_inputs_submit[hover_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_inputs_submit[hover_colors_label]', array(
			'label'    => esc_html__( 'Hover Colors', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 304
		)
	) );

	// hover background color
	$wp_customize->add_setting( 'royal_inputs_submit[bg_hcol]', array(
	    'default' 	=> '#cb9b3f',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_submit[bg_hcol]', array(
			'label'    => esc_html__( 'Hover Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 309
		)
	) );

	// hover background color transparency
	$wp_customize->add_setting( 'royal_inputs_submit[bg_hcol_tr]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_submit[bg_hcol_tr]', array(
			'label'    => esc_html__( 'Hover Transparency', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 400
		)
	) );

	// hover text color
	$wp_customize->add_setting( 'royal_inputs_submit[txt_hcol]', array(
	    'default' 	=> '#fcfcfc',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_submit[txt_hcol]', array(
			'label'    => esc_html__( 'Hover Text Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 401
		)
	) );

	// hover border color
	$wp_customize->add_setting( 'royal_inputs_submit[bd_hcol]', array(
	    'default' 	=> '#555555',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_submit[bd_hcol]', array(
			'label'    => esc_html__( 'Hover Border Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 403
		)
	) );

	// border label
	$wp_customize->add_setting( 'royal_inputs_submit[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_inputs_submit[border_label]', array(
		'label'    => esc_html__( 'Border', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'checkbox',
		'priority' => 500
	) );

	// border size general
	$wp_customize->add_setting( 'royal_inputs_submit[bd_size_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_submit[bd_size_gen]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 501
		)
	) );

	// border style general
	$wp_customize->add_setting( 'royal_inputs_submit[bd_style_gen]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_inputs_submit[bd_style_gen]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 502
	) );

	// border color general
	$wp_customize->add_setting( 'royal_inputs_submit[bd_col_gen]', array(
	    'default' 	=> '#111111',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_submit[bd_col_gen]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 503
		)
	) );

	// border top size
	$wp_customize->add_setting( 'royal_inputs_submit[bd_size_tp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_submit[bd_size_tp]', array(
			'label'    => esc_html__( 'Top Size', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 504
		)
	) );

	// border top style
	$wp_customize->add_setting( 'royal_inputs_submit[bd_style_tp]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_inputs_submit[bd_style_tp]', array(
		'label'    => esc_html__( 'Top Style', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 505
	) );

	// border top color
	$wp_customize->add_setting( 'royal_inputs_submit[bd_col_tp]', array(
	    'default' 	=> '#111111',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_submit[bd_col_tp]', array(
			'label'    => esc_html__( 'Top Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 506
		)
	) );

	// border right size
	$wp_customize->add_setting( 'royal_inputs_submit[bd_size_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_submit[bd_size_rt]', array(
			'label'    => esc_html__( 'Right Size', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 507
		)
	) );

	// border right style
	$wp_customize->add_setting( 'royal_inputs_submit[bd_style_rt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_inputs_submit[bd_style_rt]', array(
		'label'    => esc_html__( 'Right Style', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 508
	) );

	// border right color
	$wp_customize->add_setting( 'royal_inputs_submit[bd_col_rt]', array(
	    'default' 	=> '#111111',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_submit[bd_col_rt]', array(
			'label'    => esc_html__( 'Right Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 509
		)
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_inputs_submit[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_submit[bd_size_bt]', array(
			'label'    => esc_html__( 'Bottom Size', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 600
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_inputs_submit[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_inputs_submit[bd_style_bt]', array(
		'label'    => esc_html__( 'Bottom Style', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 601
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_inputs_submit[bd_col_bt]', array(
	    'default' 	=> '#111111',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_submit[bd_col_bt]', array(
			'label'    => esc_html__( 'Bottom Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 602
		)
	) );

	// border left size
	$wp_customize->add_setting( 'royal_inputs_submit[bd_size_lt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_submit[bd_size_lt]', array(
			'label'    => esc_html__( 'Left Size', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 603
		)
	) );

	// border left style
	$wp_customize->add_setting( 'royal_inputs_submit[bd_style_lt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_inputs_submit[bd_style_lt]', array(
		'label'    => esc_html__( 'Left Style', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 604
	) );

	// border left color
	$wp_customize->add_setting( 'royal_inputs_submit[bd_col_lt]', array(
	    'default' 	=> '#111111',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_submit[bd_col_lt]', array(
			'label'    => esc_html__( 'Left Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 605
		)
	) );

	// border advanced button
	$wp_customize->add_setting( 'royal_inputs_submit[bd_ad]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_inputs_submit[bd_ad]', array(
		'label'    => '',
		'section'  => 'inputs',
		'type'     => 'checkbox',
		'priority' => 606
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_inputs_submit[radius_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_inputs_submit[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'checkbox',
		'priority' => 607
	) );

	// border radius
	$wp_customize->add_setting( 'royal_inputs_submit[radius]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_submit[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 608
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_inputs_submit[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_inputs_submit[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'checkbox',
		'priority' => 609
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_inputs_submit[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_submit[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 700
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_inputs_submit[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_submit[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 701
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_inputs_submit[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_submit[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 702
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_inputs_submit[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_submit[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 703
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_inputs_submit[shad_col]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_submit[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 704
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_inputs_submit[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_submit[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 745
		)
	) );

	// box shadow inset
	$wp_customize->add_setting( 'royal_inputs_submit[shad_in]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_inputs_submit[shad_in]', array(
		'label'    => esc_html__( 'Inner', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'checkbox',
		'priority' => 746
	) );



// search widget label
	$wp_customize->add_setting( 'royal_inputs_search[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_inputs_search[label]', array(
			'label'    => esc_html__( 'Search Widget', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 800
		)
	) );

/* ----------------- Search General Options  ----------------- */

	// border label
	$wp_customize->add_setting( 'royal_inputs_search[show_top_nav]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_inputs_search[show_top_nav]', array(
		'label'    => esc_html__( 'Show in Top Menu', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'checkbox',
		'priority' => 805
	) );

	// FontAwesome icon select
	$wp_customize->add_setting( 'royal_inputs_search[icon]', array(
	    'default' 	=> 'search',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_inputs_search[icon]', array(
		'label'    => esc_html__( 'Select Icon', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'select',
		'choices'  => array(
			'none'					=> '&#xf05e;',
			'search'				=> '&#xf002;',
			'eye'					=> '&#xf06e;',
			'angle-right' 			=> '&#xf105;',
			'angle-double-right' 	=> '&#xf101;',
			'caret-right' 			=> '&#xf0da;',
			'chevron-right' 		=> '&#xf054;',
			'arrow-right' 			=> '&#xf061;',
			'arrow-circle-o-right' 	=> '&#xf18e;',
			'chevron-circle-right' 	=> '&#xf138;'
		),
		'priority' => 810
	) );


/* ----------------- Search Spacing Options ----------------- */

	// padding general
	$wp_customize->add_setting( 'royal_inputs_search[padding_gen]', array(
	    'default' 	=> 10,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_search[padding_gen]', array(
			'label'    => esc_html__( 'Padding', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 830
		)
	) );

	// padding top
	$wp_customize->add_setting( 'royal_inputs_search[padding_tp]', array(
	    'default' 	=> 10,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_search[padding_tp]', array(
			'label'    => esc_html__( 'Padding Top', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 831
		)
	) );

	// padding right
	$wp_customize->add_setting( 'royal_inputs_search[padding_rt]', array(
	    'default' 	=> 10,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_search[padding_rt]', array(
			'label'    => esc_html__( 'Padding Right', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 832
		)
	) );

	// padding bottom
	$wp_customize->add_setting( 'royal_inputs_search[padding_bt]', array(
	    'default' 	=> 10,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_search[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 833
		)
	) );

	// padding left
	$wp_customize->add_setting( 'royal_inputs_search[padding_lt]', array(
	    'default' 	=> 10,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_search[padding_lt]', array(
			'label'    => esc_html__( 'Padding Left', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 834
		)
	) );

	// padding advanced button
	$wp_customize->add_setting( 'royal_inputs_search[padding_ad]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_inputs_search[padding_ad]', array(
		'label'    => '',
		'section'  => 'inputs',
		'type'     => 'checkbox',
		'priority' => 835
	) );

	// margin general
	$wp_customize->add_setting( 'royal_inputs_search[margin_gen]', array(
	    'default' 	=> 10,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_search[margin_gen]', array(
			'label'    => esc_html__( 'margin', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 840
		)
	) );

	// margin top
	$wp_customize->add_setting( 'royal_inputs_search[margin_tp]', array(
	    'default' 	=> 9,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_search[margin_tp]', array(
			'label'    => esc_html__( 'margin Top', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 841
		)
	) );

	// margin right
	$wp_customize->add_setting( 'royal_inputs_search[margin_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_search[margin_rt]', array(
			'label'    => esc_html__( 'margin Right', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 842
		)
	) );

	// margin bottom
	$wp_customize->add_setting( 'royal_inputs_search[margin_bt]', array(
	    'default' 	=> 8,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_search[margin_bt]', array(
			'label'    => esc_html__( 'margin Bottom', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 843
		)
	) );

	// margin left
	$wp_customize->add_setting( 'royal_inputs_search[margin_lt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_search[margin_lt]', array(
			'label'    => esc_html__( 'margin Left', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 844
		)
	) );

	// margin advanced button
	$wp_customize->add_setting( 'royal_inputs_search[margin_ad]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_inputs_search[margin_ad]', array(
		'label'    => '',
		'section'  => 'inputs',
		'type'     => 'checkbox',
		'priority' => 845
	) );


/* ----------------- Search Styling Options----------------- */

	// static colors label
	$wp_customize->add_setting( 'royal_inputs_search[static_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_inputs_search[static_colors_label]', array(
			'label'    => esc_html__( 'Static Colors', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 899
		)
	) );

	// background color
	$wp_customize->add_setting( 'royal_inputs_search[bg_col]', array(
	    'default' 	=> '#f9f9f9',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_search[bg_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 900
		)
	) );

	// text color
	$wp_customize->add_setting( 'royal_inputs_search[txt_col]', array(
	    'default' 	=> '#aaaaaa',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_search[txt_col]', array(
			'label'    => esc_html__( 'Text Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 903
		)
	) );

	// focus colors label
	$wp_customize->add_setting( 'royal_inputs_search[focus_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_inputs_search[focus_colors_label]', array(
			'label'    => esc_html__( 'Focus Colors', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 904
		)
	) );

	// focus background color
	$wp_customize->add_setting( 'royal_inputs_search[bg_fcol]', array(
	    'default' 	=> '#f4f4f4',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_search[bg_fcol]', array(
			'label'    => esc_html__( 'Focus Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 909
		)
	) );

	// focus text color
	$wp_customize->add_setting( 'royal_inputs_search[txt_fcol]', array(
	    'default' 	=> '#8d8d8d',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_search[txt_fcol]', array(
			'label'    => esc_html__( 'Focus Text Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 911
		)
	) );

	// focus border color
	$wp_customize->add_setting( 'royal_inputs_search[bd_fcol]', array(
	    'default' 	=> '#e5ae47',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_search[bd_fcol]', array(
			'label'    => esc_html__( 'Focus Border Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 913
		)
	) );

	// border label
	$wp_customize->add_setting( 'royal_inputs_search[border_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_inputs_search[border_label]', array(
		'label'    => esc_html__( 'Border', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'checkbox',
		'priority' => 920
	) );

	// border size general
	$wp_customize->add_setting( 'royal_inputs_search[bd_size_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_search[bd_size_gen]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 921
		)
	) );

	// border style general
	$wp_customize->add_setting( 'royal_inputs_search[bd_style_gen]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_inputs_search[bd_style_gen]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 922
	) );

	// border color general
	$wp_customize->add_setting( 'royal_inputs_search[bd_col_gen]', array(
	    'default' 	=> '#f9f9f9',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_search[bd_col_gen]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 923
		)
	) );

	// border top size
	$wp_customize->add_setting( 'royal_inputs_search[bd_size_tp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_search[bd_size_tp]', array(
			'label'    => esc_html__( 'Top Size', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 924
		)
	) );

	// border top style
	$wp_customize->add_setting( 'royal_inputs_search[bd_style_tp]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_inputs_search[bd_style_tp]', array(
		'label'    => esc_html__( 'Top Style', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 925
	) );

	// border top color
	$wp_customize->add_setting( 'royal_inputs_search[bd_col_tp]', array(
	    'default' 	=> '#f9f9f9',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_search[bd_col_tp]', array(
			'label'    => esc_html__( 'Top Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 926
		)
	) );

	// border right size
	$wp_customize->add_setting( 'royal_inputs_search[bd_size_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_search[bd_size_rt]', array(
			'label'    => esc_html__( 'Right Size', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 927
		)
	) );

	// border right style
	$wp_customize->add_setting( 'royal_inputs_search[bd_style_rt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_inputs_search[bd_style_rt]', array(
		'label'    => esc_html__( 'Right Style', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 928
	) );

	// border right color
	$wp_customize->add_setting( 'royal_inputs_search[bd_col_rt]', array(
	    'default' 	=> '#f9f9f9',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_search[bd_col_rt]', array(
			'label'    => esc_html__( 'Right Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 929
		)
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_inputs_search[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_search[bd_size_bt]', array(
			'label'    => esc_html__( 'Bottom Size', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 930
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_inputs_search[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_inputs_search[bd_style_bt]', array(
		'label'    => esc_html__( 'Bottom Style', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 931
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_inputs_search[bd_col_bt]', array(
	    'default' 	=> '#f9f9f9',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_search[bd_col_bt]', array(
			'label'    => esc_html__( 'Bottom Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 932
		)
	) );

	// border left size
	$wp_customize->add_setting( 'royal_inputs_search[bd_size_lt]', array(
	    'default' 	=> 3,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_search[bd_size_lt]', array(
			'label'    => esc_html__( 'Left Size', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 933
		)
	) );

	// border left style
	$wp_customize->add_setting( 'royal_inputs_search[bd_style_lt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_inputs_search[bd_style_lt]', array(
		'label'    => esc_html__( 'Left Style', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 934
	) );

	// border left color
	$wp_customize->add_setting( 'royal_inputs_search[bd_col_lt]', array(
	    'default' 	=> '#e5e5e5',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_search[bd_col_lt]', array(
			'label'    => esc_html__( 'Left Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 935
		)
	) );

	// border advanced button
	$wp_customize->add_setting( 'royal_inputs_search[bd_ad]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_inputs_search[bd_ad]', array(
		'label'    => '',
		'section'  => 'inputs',
		'type'     => 'checkbox',
		'priority' => 936
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_inputs_search[radius_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_inputs_search[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'checkbox',
		'priority' => 937
	) );

	// border radius
	$wp_customize->add_setting( 'royal_inputs_search[radius]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_search[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 938
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_inputs_search[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_inputs_search[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'checkbox',
		'priority' => 939
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_inputs_search[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_search[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 940
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_inputs_search[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_search[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 941
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_inputs_search[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_search[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 942
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_inputs_search[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_search[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 943
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_inputs_search[shad_col]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_inputs_search[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 944
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_inputs_search[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_inputs_search[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'inputs',
			'priority' => 945
		)
	) );

	// box shadow inset
	$wp_customize->add_setting( 'royal_inputs_search[shad_in]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_inputs_search[shad_in]', array(
		'label'    => esc_html__( 'Inner', 'hyperx' ),
		'section'  => 'inputs',
		'type'     => 'checkbox',
		'priority' => 946
	) );




/*
***************************************************************
* #Pagination
***************************************************************
*/

	$section_pagination = 'pagination';
	
	if ( get_option('section_pagination') === '' ) {
		$section_pagination = 'pagination_disabled';
	}

	// add Pagination Section -------------------------------------------
	$wp_customize->add_section( $section_pagination, array(
	    'title' 		=> esc_html__( 'Pagination', 'hyperx' ),
	    'description' 	=> esc_html__( 'This options will apply on Blog and Portfolio Posts Pagination.', 'hyperx' ),
	    'priority' 		=> 85
	) );

	// pagination general label
	$wp_customize->add_setting( 'royal_pagination[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_pagination[label]', array(
			'label'    => esc_html__( 'General', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 10
		)
	) );

/* ----------------- Wrapper Spacing Options ----------------- */

	// padding general
	$wp_customize->add_setting( 'royal_pagination[padding_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination[padding_gen]', array(
			'label'    => esc_html__( 'Padding', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 20
		)
	) );

	// padding top
	$wp_customize->add_setting( 'royal_pagination[padding_tp]', array(
	    'default' 	=> 40,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination[padding_tp]', array(
			'label'    => esc_html__( 'Padding Top', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 21
		)
	) );

	// padding right
	$wp_customize->add_setting( 'royal_pagination[padding_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination[padding_rt]', array(
			'label'    => esc_html__( 'Padding Right', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 22
		)
	) );

	// padding bottom
	$wp_customize->add_setting( 'royal_pagination[padding_bt]', array(
	    'default' 	=> 39,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 23
		)
	) );

	// padding left
	$wp_customize->add_setting( 'royal_pagination[padding_lt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination[padding_lt]', array(
			'label'    => esc_html__( 'Padding Left', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 24
		)
	) );

	// padding advanced button
	$wp_customize->add_setting( 'royal_pagination[padding_ad]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pagination[padding_ad]', array(
		'label'    => '',
		'section'  => 'pagination',
		'type'     => 'checkbox',
		'priority' => 25
	) );


/* ----------------- Wrapper Styling Options----------------- */

	// background color
	$wp_customize->add_setting( 'royal_pagination[bg_color]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pagination[bg_color]', array(
			'label'    => esc_html__( 'Background Color', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 51
		)
	) );

	// background color transparency
	$wp_customize->add_setting( 'royal_pagination[bg_color_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination[bg_color_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 52
		)
	) );

	// border label
	$wp_customize->add_setting( 'royal_pagination[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pagination[border_label]', array(
		'label'    => esc_html__( 'Border', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'checkbox',
		'priority' => 64
	) );

	// border size general
	$wp_customize->add_setting( 'royal_pagination[bd_size_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination[bd_size_gen]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 65
		)
	) );

	// border style general
	$wp_customize->add_setting( 'royal_pagination[bd_style_gen]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pagination[bd_style_gen]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 66
	) );

	// border color general
	$wp_customize->add_setting( 'royal_pagination[bd_col_gen]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pagination[bd_col_gen]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 67
		)
	) );

	// border top size
	$wp_customize->add_setting( 'royal_pagination[bd_size_tp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination[bd_size_tp]', array(
			'label'    => esc_html__( 'Top Size', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 68
		)
	) );

	// border top style
	$wp_customize->add_setting( 'royal_pagination[bd_style_tp]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pagination[bd_style_tp]', array(
		'label'    => esc_html__( 'Top Style', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 69
	) );

	// border top color
	$wp_customize->add_setting( 'royal_pagination[bd_col_tp]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pagination[bd_col_tp]', array(
			'label'    => esc_html__( 'Top Color', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 70
		)
	) );

	// border right size
	$wp_customize->add_setting( 'royal_pagination[bd_size_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination[bd_size_rt]', array(
			'label'    => esc_html__( 'Right Size', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 71
		)
	) );

	// border right style
	$wp_customize->add_setting( 'royal_pagination[bd_style_rt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pagination[bd_style_rt]', array(
		'label'    => esc_html__( 'Right Style', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 72
	) );

	// border right color
	$wp_customize->add_setting( 'royal_pagination[bd_col_rt]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pagination[bd_col_rt]', array(
			'label'    => esc_html__( 'Right Color', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 73
		)
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_pagination[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination[bd_size_bt]', array(
			'label'    => esc_html__( 'Bottom Size', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 74
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_pagination[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pagination[bd_style_bt]', array(
		'label'    => esc_html__( 'Bottom Style', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 75
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_pagination[bd_col_bt]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pagination[bd_col_bt]', array(
			'label'    => esc_html__( 'Bottom Color', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 76
		)
	) );

	// border left size
	$wp_customize->add_setting( 'royal_pagination[bd_size_lt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination[bd_size_lt]', array(
			'label'    => esc_html__( 'Left Size', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 77
		)
	) );

	// border left style
	$wp_customize->add_setting( 'royal_pagination[bd_style_lt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pagination[bd_style_lt]', array(
		'label'    => esc_html__( 'Left Style', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 78
	) );

	// border left color
	$wp_customize->add_setting( 'royal_pagination[bd_col_lt]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pagination[bd_col_lt]', array(
			'label'    => esc_html__( 'Left Color', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 79
		)
	) );

	// border advanced button
	$wp_customize->add_setting( 'royal_pagination[bd_ad]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pagination[bd_ad]', array(
		'label'    => '',
		'section'  => 'pagination',
		'type'     => 'checkbox',
		'priority' => 80
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_pagination[radius_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pagination[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'checkbox',
		'priority' => 90
	) );

	// border radius
	$wp_customize->add_setting( 'royal_pagination[radius]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 91
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_pagination[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pagination[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'checkbox',
		'priority' => 105
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_pagination[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 106
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_pagination[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 107
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_pagination[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 108
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_pagination[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 109
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_pagination[shad_col]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pagination[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 110
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_pagination[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 111
		)
	) );


	// box shadow inset
	$wp_customize->add_setting( 'royal_pagination[shad_in]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pagination[shad_in]', array(
		'label'    => esc_html__( 'Inner', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'checkbox',
		'priority' => 112
	) );



// pagination navigation label
	$wp_customize->add_setting( 'royal_pagination_nav[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_pagination_nav[label]', array(
			'label'    => esc_html__( 'Navigation', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 130
		)
	) );

/* ----------------- Navigation General Options ----------------- */

	// navigation type
	$wp_customize->add_setting( 'royal_pagination_nav[type]', array(
	    'default' 	=> 'infinite',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pagination_nav[type]', array(
		'label'    => esc_html__( 'Choose Pagination Type:', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'select',
		'choices'  => array(
			'numbers' 	=> esc_html__( 'Numeric (Prev/Next Links)', 'hyperx' ),
			'infinite' 	=> esc_html__( 'Infinite Scroll / Load More', 'hyperx' ),
			'default' 	=> esc_html__( 'Default (only Previous/Next Links)', 'hyperx' )
		),
		'priority' => 150
	) );

	// next & previous label
	$wp_customize->add_setting( 'royal_pagination_nav[prev_nxt_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pagination_nav[prev_nxt_label]', array(
		'label'    => esc_html__( 'Previous & Next', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'checkbox',
		'priority' => 160
	) );

	// previous page label
	$wp_customize->add_setting( 'royal_pagination_nav[prev_text]', array(
	    'default' 	=> '',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_pagination_nav[prev_text]', array(
		'label'    => esc_html__( 'Previous Page Label', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'text',
		'priority' => 165
	) );

	// next page label
	$wp_customize->add_setting( 'royal_pagination_nav[nxt_text]', array(
	    'default' 	=> '',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_pagination_nav[nxt_text]', array(
		'label'    => esc_html__( 'Next Page Label', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'text',
		'priority' => 166
	) );

	// FontAwesome icon select
	$wp_customize->add_setting( 'royal_pagination_nav[prev_nxt_icon]', array(
	    'default' 	=> 'long-arrow',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pagination_nav[prev_nxt_icon]', array(
		'label'    => esc_html__( 'Select Icon', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'select',
		'choices'  => array(
			'none'				=> '&#xf05e;',
			'angle' 			=> '&#xf104; &#xf105;',
			'angle-double' 		=> '&#xf100; &#xf101;',
			'chevron' 			=> '&#xf053; &#xf054;',
			'arrow' 			=> '&#xf060; &#xf061;',
			'long-arrow' 		=> '&#xf177; &#xf178;',
			'chevron-circle'	=> '&#xf137; &#xf138;',
			'arrow-circle' 		=> '&#xf0a8; &#xf0a9;',
			'arrow-circle-o' 	=> '&#xf190; &#xf18e;',
			'hand-o' 			=> '&#xf0a5; &#xf0a4;'
		),
		'priority' => 167
	) );

	// first & last label
	$wp_customize->add_setting( 'royal_pagination_nav[first_last_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pagination_nav[first_last_label]', array(
		'label'    => esc_html__( 'First & Last', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'checkbox',
		'priority' => 168
	) );

	// first page label
	$wp_customize->add_setting( 'royal_pagination_nav[first_text]', array(
	    'default' 	=> '',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_pagination_nav[first_text]', array(
		'label'    => esc_html__( 'First Page Label', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'text',
		'priority' => 169
	) );

	// last page label
	$wp_customize->add_setting( 'royal_pagination_nav[last_text]', array(
	    'default' 	=> '',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_pagination_nav[last_text]', array(
		'label'    => esc_html__( 'Last Page Label', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'text',
		'priority' => 170
	) );

	// FontAwesome icon select
	$wp_customize->add_setting( 'royal_pagination_nav[first_last_icon]', array(
	    'default' 	=> 'long-arrow',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pagination_nav[first_last_icon]', array(
		'label'    => esc_html__( 'Select Icon', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'select',
		'choices'  => array(
			'none'				=> '&#xf05e;',
			'angle' 			=> '&#xf104; &#xf105;',
			'angle-double' 		=> '&#xf100; &#xf101;',
			'chevron' 			=> '&#xf053; &#xf054;',
			'arrow' 			=> '&#xf060; &#xf061;',
			'long-arrow' 		=> '&#xf177; &#xf178;',
			'chevron-circle'	=> '&#xf137; &#xf138;',
			'arrow-circle' 		=> '&#xf0a8; &#xf0a9;',
			'arrow-circle-o' 	=> '&#xf190; &#xf18e;',
			'hand-o' 			=> '&#xf0a5; &#xf0a4;'
		),
		'priority' => 171
	) );

	// load posts
	$wp_customize->add_setting( 'royal_pagination_nav[load_posts]', array(
	    'default' 	=> 'facebook',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pagination_nav[load_posts]', array(
		'label'    => esc_html__( 'Load Posts:', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'select',
		'choices'  => array(
			'facebook' 	=> esc_html__( 'Automatic (on Scroll)', 'hyperx' ),
			'twitter' 	=> esc_html__( 'Manual (on Load More click)', 'hyperx' )
		),
		'priority' => 175
	) );

	// Load More text
	$wp_customize->add_setting( 'royal_pagination_nav[more_text]', array(
	    'default' 	=> 'Load More',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_pagination_nav[more_text]', array(
		'label'    => esc_html__( 'Load More Text', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'text',
		'priority' => 180
	) );

	// FontAwesome icon select
	$wp_customize->add_setting( 'royal_pagination_nav[loading_icon]', array(
	    'default' 	=> 'refresh',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pagination_nav[loading_icon]', array(
		'label'    => esc_html__( 'Loading Icon', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'select',
		'choices'  => array(
			'none'				=> '&#xf05e;',
			'spinner' 			=> '&#xf110;',
			'circle-o-notch' 	=> '&#xf1ce;',
			'refresh' 			=> '&#xf021;',
			'cog' 				=> '&#xf013;',
		),
		'priority' => 182
	) );

	// prev page text
	$wp_customize->add_setting( 'royal_pagination_nav[prev_page_text]', array(
	    'default' 	=> ' Previous Page',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_pagination_nav[prev_page_text]', array(
		'label'    => esc_html__( 'Previous Page Label', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'text',
		'priority' => 190
	) );

	// next page text
	$wp_customize->add_setting( 'royal_pagination_nav[next_page_text]', array(
	    'default' 	=> 'Next Page ',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_pagination_nav[next_page_text]', array(
		'label'    => esc_html__( 'Next Page Label', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'text',
		'priority' => 191
	) );

	// FontAwesome icon select
	$wp_customize->add_setting( 'royal_pagination_nav[prev_next_page_icon]', array(
	    'default' 	=> 'none',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pagination_nav[prev_next_page_icon]', array(
		'label'    => esc_html__( 'Select Icon', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'select',
		'choices'  => array(
			'none'				=> '&#xf05e;',
			'angle' 			=> '&#xf104; &#xf105;',
			'angle-double' 		=> '&#xf100; &#xf101;',
			'chevron' 			=> '&#xf053; &#xf054;',
			'arrow' 			=> '&#xf060; &#xf061;',
			'long-arrow' 		=> '&#xf177; &#xf178;',
			'chevron-circle'	=> '&#xf137; &#xf138;',
			'arrow-circle' 		=> '&#xf0a8; &#xf0a9;',
			'arrow-circle-o' 	=> '&#xf190; &#xf18e;',
			'hand-o' 			=> '&#xf0a5; &#xf0a4;'
		),
		'priority' => 192
	) );

	// navigation align
	$wp_customize->add_setting( 'royal_pagination_nav[align]', array(
	    'default' 	=> 'center',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pagination_nav[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 299
	) );


/* ----------------- Navigation Spacing Options ----------------- */

	// padding all
	$wp_customize->add_setting( 'royal_pagination_nav[padding_all]', array(
	    'default' 	=> 15,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination_nav[padding_all]', array(
			'label'    => esc_html__( 'Padding', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 300
		)
	) );

	// horizontal gutter
	$wp_customize->add_setting( 'royal_pagination_nav[horz_gutter]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination_nav[horz_gutter]', array(
			'label'    => esc_html__( 'Horizontal Gutter', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 320
		)
	) );


/* ----------------- Navigation Styling Options----------------- */

	// static colors label
	$wp_customize->add_setting( 'royal_pagination_nav[static_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_pagination_nav[static_colors_label]', array(
			'label'    => esc_html__( 'Static Colors', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 400
		)
	) );

	// background color
	$wp_customize->add_setting( 'royal_pagination_nav[bg_col]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pagination_nav[bg_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 410
		)
	) );

	// background color transparency
	$wp_customize->add_setting( 'royal_pagination_nav[bg_col_tr]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination_nav[bg_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 412
		)
	) );

	// text color
	$wp_customize->add_setting( 'royal_pagination_nav[txt_col]', array(
	    'default' 	=> '#8d8d8d',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pagination_nav[txt_col]', array(
			'label'    => esc_html__( 'Text Color', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 413
		)
	) );

	// hover colors label
	$wp_customize->add_setting( 'royal_pagination_nav[hover_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_pagination_nav[hover_colors_label]', array(
			'label'    => esc_html__( 'Hover Colors', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 414
		)
	) );

	// hover background color
	$wp_customize->add_setting( 'royal_pagination_nav[bg_hcol]', array(
	    'default' 	=> '#e5ae47',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pagination_nav[bg_hcol]', array(
			'label'    => esc_html__( 'Hover Color', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 419
		)
	) );

	// hover background color transparency
	$wp_customize->add_setting( 'royal_pagination_nav[bg_hcol_tr]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination_nav[bg_hcol_tr]', array(
			'label'    => esc_html__( 'Hover Transparency', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 420
		)
	) );

	// hover text color
	$wp_customize->add_setting( 'royal_pagination_nav[txt_hcol]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pagination_nav[txt_hcol]', array(
			'label'    => esc_html__( 'Hover Text Color', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 421
		)
	) );

	// hover border color
	$wp_customize->add_setting( 'royal_pagination_nav[bd_hcol]', array(
	    'default' 	=> '#e5ae47',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pagination_nav[bd_hcol]', array(
			'label'    => esc_html__( 'Hover Border Color', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 423
		)
	) );

	// border label
	$wp_customize->add_setting( 'royal_pagination_nav[border_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pagination_nav[border_label]', array(
		'label'    => esc_html__( 'Border', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'checkbox',
		'priority' => 430
	) );

	// border size general
	$wp_customize->add_setting( 'royal_pagination_nav[border_size]', array(
	    'default' 	=> 2,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination_nav[border_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 431
		)
	) );

	// border style general
	$wp_customize->add_setting( 'royal_pagination_nav[border_style]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_pagination_nav[border_style]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 432
	) );

	// border color general
	$wp_customize->add_setting( 'royal_pagination_nav[border_color]', array(
	    'default' 	=> '#e5ae47',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pagination_nav[border_color]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 433
		)
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_pagination_nav[radius_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pagination_nav[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'checkbox',
		'priority' => 440
	) );

	// border radius
	$wp_customize->add_setting( 'royal_pagination_nav[radius]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination_nav[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 441
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_pagination_nav[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pagination_nav[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'checkbox',
		'priority' => 451
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_pagination_nav[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination_nav[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 452
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_pagination_nav[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination_nav[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 453
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_pagination_nav[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination_nav[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 454
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_pagination_nav[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination_nav[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 455
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_pagination_nav[shad_col]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_pagination_nav[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 456
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_pagination_nav[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination_nav[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 457
		)
	) );


	// box shadow inset
	$wp_customize->add_setting( 'royal_pagination_nav[shad_in]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pagination_nav[shad_in]', array(
		'label'    => esc_html__( 'Inner', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'checkbox',
		'priority' => 458
	) );


/* ----------------- Navigation Font Options ----------------- */

	// font family
	$wp_customize->add_setting( 'royal_pagination_nav[font_family]', array(
	    'default' 	=> 'Lato',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control(
		new Royal_Google_Fonts_Control( $wp_customize, 'royal_pagination_nav[font_family]', array(
			'label'    => esc_html__( 'Family', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 560
		)
	) );

	// font size
	$wp_customize->add_setting( 'royal_pagination_nav[font_size]', array(
	    'default' 	=> 12,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination_nav[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 561
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_pagination_nav[line_height]', array(
	    'default' 	=> 15,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination_nav[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 562
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_pagination_nav[letter_space]', array(
	    'default' 	=> 1.9,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination_nav[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 563
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_pagination_nav[font_weight]', array(
	    'default' 	=> 700,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_pagination_nav[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'pagination',
			'priority' => 564
		)
	) );

	// italic
	$wp_customize->add_setting( 'royal_pagination_nav[italic]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pagination_nav[italic]', array(
		'label'    => esc_html__( 'Italic', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'checkbox',
		'priority' => 565
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_pagination_nav[uppercase]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pagination_nav[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'checkbox',
		'priority' => 566
	) );

	// underline
	$wp_customize->add_setting( 'royal_pagination_nav[underline]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_pagination_nav[underline]', array(
		'label'    => esc_html__( 'Underline', 'hyperx' ),
		'section'  => 'pagination',
		'type'     => 'checkbox',
		'priority' => 567
	) );




/*
***************************************************************
* #Contact Page
***************************************************************
*/

	$section_contact_page = 'contact_page';
	
	if ( get_option('section_contact_page') === '' ) {
		$section_contact_page = 'contact_page_disabled';
	}

	// add Contact Page Section -------------------------------------------
	$wp_customize->add_section( $section_contact_page, array(
	    'title' 		=> esc_html__( 'Contact Page', 'hyperx' ),
	    'priority' 		=> 90
	) );


	// contact page general label
	$wp_customize->add_setting( 'royal_cPage_general[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_cPage_general[label]', array(
			'label'    => esc_html__( 'General', 'hyperx' ),
			'section'  => 'contact_page',
			'priority' => 11
		)
	) );

/* ----------------- General Options ----------------- */

	// layout select
	$wp_customize->add_setting( 'royal_cPage_general[layout]', array(
	    'default' 	=> 'form_info',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_cPage_general[layout]', array(
		'label'    => esc_html__( 'Layout', 'hyperx' ),
		'section'  => 'contact_page',
		'type'     => 'select',
		'choices'  => array(
			'form_info' => esc_html__( 'Form / Info', 'hyperx' ),
			'info_form' => esc_html__( 'Info / Form', 'hyperx' )
		),
		'priority' => 20
	) );

	// info list align
	$wp_customize->add_setting( 'royal_cPage_general[list_align]', array(
	    'default' 	=> 'left',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_cPage_general[list_align]', array(
		'label'    => esc_html__( 'Info List Align', 'hyperx' ),
		'section'  => 'contact_page',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 25
	) );

	// error message text
	$wp_customize->add_setting( 'royal_cPage_general[reciever_email]', array(
	    'default' 	=> '',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_cPage_general[reciever_email]', array(
		'label'    => esc_html__( 'Reciever Email', 'hyperx' ),
		'section'  => 'contact_page',
		'type'     => 'text',
		'priority' => 30
	) );

	// captcha
	$wp_customize->add_setting( 'royal_cPage_general[enable_captcha]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_cPage_general[enable_captcha]', array(
		'label'    => esc_html__( 'Enable Captcha', 'hyperx' ),
		'section'  => 'contact_page',
		'type'     => 'checkbox',
		'priority' => 35
	) );


/* ----------------- Spacing Options ----------------- */

	// gutter
	$wp_customize->add_setting( 'royal_cPage_general[gutter]', array(
	    'default' 	=> 45,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_cPage_general[gutter]', array(
			'label'    => esc_html__( 'Form - Info Gutter', 'hyperx' ),
			'section'  => 'contact_page',
			'priority' => 50
		)
	) );

	// info list gutter
	$wp_customize->add_setting( 'royal_cPage_general[list_gutter]', array(
	    'default' 	=> 10,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_cPage_general[list_gutter]', array(
			'label'    => esc_html__( 'Info List Gutter', 'hyperx' ),
			'section'  => 'contact_page',
			'priority' => 60
		)
	) );


/* ----------------- Styling Options----------------- */

	// border label
	$wp_customize->add_setting( 'royal_cPage_general[border_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_cPage_general[border_label]', array(
		'label'    => esc_html__( 'Info List Border', 'hyperx' ),
		'section'  => 'contact_page',
		'type'     => 'checkbox',
		'priority' => 70
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_cPage_general[bd_size_bt]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_cPage_general[bd_size_bt]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'contact_page',
			'priority' => 72
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_cPage_general[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_cPage_general[bd_style_bt]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'contact_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 73
	) );

	// full width border
	$wp_customize->add_setting( 'royal_cPage_general[bd_full_width]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_cPage_general[bd_full_width]', array(
		'label'    => esc_html__( 'Full Width Border', 'hyperx' ),
		'section'  => 'contact_page',
		'type'     => 'checkbox',
		'priority' => 74
	) );



// Title label
	$wp_customize->add_setting( 'royal_cPage_title[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_cPage_title[label]', array(
			'label'    => esc_html__( 'Title', 'hyperx' ),
			'section'  => 'contact_page',
			'priority' => 100
		)
	) );

/* ----------------- Title General Options ----------------- */

	// align
	$wp_customize->add_setting( 'royal_cPage_title[align]', array(
	    'default' 	=> 'left',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_cPage_title[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'contact_page',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 120
	) );


/* ----------------- Title Spacing Options  ----------------- */

	// padding bottom
	$wp_customize->add_setting( 'royal_cPage_title[padding_bt]', array(
	    'default' 	=> 12,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_cPage_title[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'contact_page',
			'priority' => 140
		)
	) );

	// margin bottom
	$wp_customize->add_setting( 'royal_cPage_title[margin_bt]', array(
	    'default' 	=> 30,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_cPage_title[margin_bt]', array(
			'label'    => esc_html__( 'Margin Bottom', 'hyperx' ),
			'section'  => 'contact_page',
			'priority' => 150
		)
	) );


/* ----------------- Title Styling Options----------------- */

	// border label
	$wp_customize->add_setting( 'royal_cPage_title[border_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_cPage_title[border_label]', array(
		'label'    => esc_html__( 'Border Bottom', 'hyperx' ),
		'section'  => 'contact_page',
		'type'     => 'checkbox',
		'priority' => 160
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_cPage_title[bd_size_bt]', array(
	    'default' 	=> 2,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_cPage_title[bd_size_bt]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'contact_page',
			'priority' => 162
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_cPage_title[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_cPage_title[bd_style_bt]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'contact_page',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 163
	) );

	// full width border
	$wp_customize->add_setting( 'royal_cPage_title[bd_full_width]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_cPage_title[bd_full_width]', array(
		'label'    => esc_html__( 'Full Width Border', 'hyperx' ),
		'section'  => 'contact_page',
		'type'     => 'checkbox',
		'priority' => 164
	) );



// google map label
	$wp_customize->add_setting( 'royal_cPage_map[label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_cPage_map[label]', array(
		'label'    => esc_html__( 'Google Map', 'hyperx' ),
		'section'  => 'contact_page',
		'type'     => 'checkbox',
		'priority' => 200
	) );

/* ----------------- Google Map General Options ----------------- */

	// position
	$wp_customize->add_setting( 'royal_cPage_map[position]', array(
	    'default' 	=> 'top',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_cPage_map[position]', array(
		'label'    => esc_html__( 'Position', 'hyperx' ),
		'section'  => 'contact_page',
		'type'     => 'select',
		'choices'  => array(
			'top' 	 => esc_html__( 'Top', 'hyperx' ),
			'bottom' => esc_html__( 'Bottom', 'hyperx' )
		),
		'priority' => 210
	) );

	// api key
	$wp_customize->add_setting( 'royal_cPage_map[api_key]', array(
	    'default' 	=> '',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_cPage_map[api_key]', array(
		'label'    => esc_html__( 'Google Map Api Key', 'hyperx' ),
		'section'  => 'contact_page',
		'type'     => 'text',
		'priority' => 215
	) );

	// location
	$wp_customize->add_setting( 'royal_cPage_map[location]', array(
	    'default' 	=> 'London Uk',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_cPage_map[location]', array(
		'label'    => esc_html__( 'Location', 'hyperx' ),
		'section'  => 'contact_page',
		'type'     => 'text',
		'priority' => 220
	) );

	// tooltip label
	$wp_customize->add_setting( 'royal_cPage_map[tooltip_label]', array(
	    'default' 	=> 'My Base is Here',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_cPage_map[tooltip_label]', array(
		'label'    => esc_html__( 'Tooltip Label', 'hyperx' ),
		'section'  => 'contact_page',
		'type'     => 'text',
		'priority' => 230
	) );

	// type
	$wp_customize->add_setting( 'royal_cPage_map[type]', array(
	    'default' 	=> 'ROADMAP',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_cPage_map[type]', array(
		'label'    => esc_html__( 'Type', 'hyperx' ),
		'section'  => 'contact_page',
		'type'     => 'radio',
		'choices'  => array(
			'ROADMAP'	=> 'Roadmap',
			'SATELLITE' => 'Satellite'
		),
		'priority' => 240
	) );

	// zoom level
	$wp_customize->add_setting( 'royal_cPage_map[zoom]', array(
	    'default' 	=> '17',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_cPage_map[zoom]', array(
		'label'    => esc_html__( 'Zoom Level', 'hyperx' ),
		'section'  => 'contact_page',
		'type'     => 'select',
		'choices'  => array(
			'2'	=> '2 x',
			'3' => '3 x',
			'4' => '4 x',
			'5' => '5 x',
			'6' => '6 x',
			'7' => '7 x',
			'8' => '8 x',
			'9' => '9 x',
			'10' => '10 x',
			'11' => '11 x',
			'12' => '12 x',
			'13' => '13 x',
			'14' => '14 x',
			'15' => '15 x',
			'16' => '16 x',
			'17' => '17 x',
			'18' => '18 x',
			'19' => '19 x',
			'20' => '20 x'
		),
		'priority' => 250
	) );

	// mousewheel scrolling
	$wp_customize->add_setting( 'royal_cPage_map[mousewheel]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_cPage_map[mousewheel]', array(
		'label'    => esc_html__( 'MouseWheel Scrolling', 'hyperx' ),
		'section'  => 'contact_page',
		'type'     => 'checkbox',
		'priority' => 260
	) );

	// navigation & scaling
	$wp_customize->add_setting( 'royal_cPage_map[nav]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_cPage_map[nav]', array(
		'label'    => esc_html__( 'Navigation & Scaling', 'hyperx' ),
		'section'  => 'contact_page',
		'type'     => 'checkbox',
		'priority' => 270
	) );

	// type control
	$wp_customize->add_setting( 'royal_cPage_map[type_control]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_cPage_map[type_control]', array(
		'label'    => esc_html__( 'Type Control', 'hyperx' ),
		'section'  => 'contact_page',
		'type'     => 'checkbox',
		'priority' => 280
	) );


/* ----------------- Google Map Spacing Options ----------------- */

	// height
	$wp_customize->add_setting( 'royal_cPage_map[height]', array(
	    'default' 	=> 450,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_cPage_map[height]', array(
			'label'    => esc_html__( 'Height', 'hyperx' ),
			'section'  => 'contact_page',
			'priority' => 290
		)
	) );



/*
***************************************************************
* #404 Page
***************************************************************
*/

	$section_404_page = '404_page';
	
	if ( get_option('section_404_page') === '' ) {
		$section_404_page = '404_page_disabled';
	}

	// add 404 Page Section -------------------------------------------
	$wp_customize->add_section( $section_404_page, array(
	    'title' 		=> esc_html__( '404 Page', 'hyperx' ),
	    'priority' 		=> 95
	) );

	// error message text
	$wp_customize->add_setting( 'royal_404_page[text]', array(
	    'default' 	=> 'Error 404. Page Not Found!',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control( 'royal_404_page[text]', array(
		'label'    => esc_html__( 'Error Message', 'hyperx' ),
		'section'  => '404_page',
		'type'     => 'text',
		'priority' => 10
	) );

	// video embed code
	$wp_customize->add_setting( 'royal_404_page[embed]', array(
	    'default' 	=> 'The page you were looking for appears to have been moved, deleted or does not exist.',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_textarea'
	) );

	$wp_customize->add_control(
		new Royal_Textarea_Control( $wp_customize, 'royal_404_page[embed]', array(
			'label'    => esc_html__( 'Text Message / Video Embed Code', 'hyperx' ),
			'section'  => '404_page',
			'priority' => 20
		)
	) );



/*
***************************************************************
* #Copyright & Socials
***************************************************************
*/

	$section_copy_and_socials = 'copy_and_socials';
	
	if ( get_option('section_copy_and_socials') === '' ) {
		$section_copy_and_socials = 'copy_and_socials_disabled';
	}

	// add Copyright & Socials Section -------------------------------------------
	$wp_customize->add_section( $section_copy_and_socials, array(
	    'title' 		=> esc_html__( 'Socials & Copyright', 'hyperx' ),
	    'priority' 		=> 100
	) );


	// copyright & socials general label
	$wp_customize->add_setting( 'royal_copy_soc_general[label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_copy_soc_general[label]', array(
		'label'    => esc_html__( 'Wrapper Block', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'checkbox',
		'priority' => 10
	) );

/* ----------------- General Options ----------------- */

	// position
	$wp_customize->add_setting( 'royal_copy_soc_general[position]', array(
	    'default' 	=> 'static',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_copy_soc_general[position]', array(
		'label'    => esc_html__( 'Attachment', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'select',
		'choices'  => array(
			'static' 	=> esc_html__( 'Scroll', 'hyperx' ),
			'fixed' 	=> esc_html__( 'Fixed', 'hyperx' )
		),
		'priority' => 20
	) );

	// arrange
	$wp_customize->add_setting( 'royal_copy_soc_general[arrange]', array(
	    'default' 	=> 'vertical',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_copy_soc_general[arrange]', array(
		'label'    => esc_html__( 'Arrangement', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'radio',
		'choices'  => array(
			'vertical' 	=> esc_html__( 'Vertical', 'hyperx' ),
			'horizontal1' 	=> esc_html__( 'Horizontal 1', 'hyperx' ),
			'horizontal2' 	=> esc_html__( 'Horizontal 2', 'hyperx' )
		),
		'priority' => 25
	) );

	// fold button label
	$wp_customize->add_setting( 'royal_copy_soc_general[fold_btn_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_copy_soc_general[fold_btn_label]', array(
		'label'    => esc_html__( 'Fold Button', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'checkbox',
		'priority' => 27
	) );

	// fold button icon select
	$wp_customize->add_setting( 'royal_copy_soc_general[fold_btn_icon]', array(
	    'default' 	=> 'angle-up',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_copy_soc_general[fold_btn_icon]', array(
		'label'    => esc_html__( 'Select Icon', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'select',
		'choices'  => array(
			'caret-up' 			=> '&#xf0d8;',
			'angle-up' 			=> '&#xf106;',
			'angle-double-up' 	=> '&#xf102;',
			'chevron-up' 		=> '&#xf077;',
			'arrow-up' 			=> '&#xf062;',
			'arrow-circle-o-up' => '&#xf01b;',
			'arrow-circle-up' 	=> '&#xf0aa;',
			'chevron-circle-up' => '&#xf139;',
			'level-up' 			=> '&#xf148;',
			'long-arrow-up' 	=> '&#xf176;',
			'share' 			=> '&#xf064;',
			'share-alt' 		=> '&#xf1e0;',
			'external-link' 	=> '&#xf08e;',
			'external-link-square' 	=> '&#xf14c;',
			'link' 				=> '&#xf0c1;',
			'expand' 			=> '&#xf065;',
			
		),
		'priority' => 28
	) );


/* ----------------- Spacing Options ----------------- */

	// padding general
	$wp_customize->add_setting( 'royal_copy_soc_general[padding_gen]', array(
	    'default' 	=> 25,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_copy_soc_general[padding_gen]', array(
			'label'    => esc_html__( 'Padding', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 30
		)
	) );

	// padding top
	$wp_customize->add_setting( 'royal_copy_soc_general[padding_tp]', array(
	    'default' 	=> 50,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_copy_soc_general[padding_tp]', array(
			'label'    => esc_html__( 'Padding Top', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 31
		)
	) );

	// padding right
	$wp_customize->add_setting( 'royal_copy_soc_general[padding_rt]', array(
	    'default' 	=> 34,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_copy_soc_general[padding_rt]', array(
			'label'    => esc_html__( 'Padding Right', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 32
		)
	) );

	// padding bottom
	$wp_customize->add_setting( 'royal_copy_soc_general[padding_bt]', array(
	    'default' 	=> 60,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_copy_soc_general[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 33
		)
	) );

	// padding left
	$wp_customize->add_setting( 'royal_copy_soc_general[padding_lt]', array(
	    'default' 	=> 31,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_copy_soc_general[padding_lt]', array(
			'label'    => esc_html__( 'Padding Left', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 34
		)
	) );

	// padding advanced button
	$wp_customize->add_setting( 'royal_copy_soc_general[padding_ad]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_copy_soc_general[padding_ad]', array(
		'label'    => '',
		'section'  => 'copy_and_socials',
		'type'     => 'checkbox',
		'priority' => 35
	) );


/* ----------------- Styling Options----------------- */

	// wrapper block colors label
	$wp_customize->add_setting( 'royal_copy_soc_general[wrapper_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_copy_soc_general[wrapper_colors_label]', array(
			'label'    => esc_html__( 'Wrapper Block Colors', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 100
		)
	) );

	// color
	$wp_customize->add_setting( 'royal_copy_soc_general[color]', array(
	    'default' 	=> '#eeeeee',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_copy_soc_general[color]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 101
		)
	) );

	// transparency
	$wp_customize->add_setting( 'royal_copy_soc_general[col_tr]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_copy_soc_general[col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 102
		)
	) );

	// fold button colors label
	$wp_customize->add_setting( 'royal_copy_soc_general[fold_btn_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_copy_soc_general[fold_btn_colors_label]', array(
			'label'    => esc_html__( 'Fold Button Colors', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 105
		)
	) );

	// fold button color
	$wp_customize->add_setting( 'royal_copy_soc_general[fold_btn_color]', array(
	    'default' 	=> '#111111',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_copy_soc_general[fold_btn_color]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 106
		)
	) );

	// fold button icon color
	$wp_customize->add_setting( 'royal_copy_soc_general[fold_btn_icon_color]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_copy_soc_general[fold_btn_icon_color]', array(
			'label'    => esc_html__( 'Icon Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 108
		)
	) );

	// border label
	$wp_customize->add_setting( 'royal_copy_soc_general[border_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_copy_soc_general[border_label]', array(
		'label'    => esc_html__( 'Border', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'checkbox',
		'priority' => 110
	) );

	// border size general
	$wp_customize->add_setting( 'royal_copy_soc_general[bd_size_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_copy_soc_general[bd_size_gen]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 111
		)
	) );

	// border style general
	$wp_customize->add_setting( 'royal_copy_soc_general[bd_style_gen]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_copy_soc_general[bd_style_gen]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 112
	) );

	// border color general
	$wp_customize->add_setting( 'royal_copy_soc_general[bd_col_gen]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_copy_soc_general[bd_col_gen]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 113
		)
	) );

	// border top size
	$wp_customize->add_setting( 'royal_copy_soc_general[bd_size_tp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_copy_soc_general[bd_size_tp]', array(
			'label'    => esc_html__( 'Top Size', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 114
		)
	) );

	// border top style
	$wp_customize->add_setting( 'royal_copy_soc_general[bd_style_tp]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_copy_soc_general[bd_style_tp]', array(
		'label'    => esc_html__( 'Top Style', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 115
	) );

	// border top color
	$wp_customize->add_setting( 'royal_copy_soc_general[bd_col_tp]', array(
	    'default' 	=> '#e8e8e8',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_copy_soc_general[bd_col_tp]', array(
			'label'    => esc_html__( 'Top Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 116
		)
	) );

	// border right size
	$wp_customize->add_setting( 'royal_copy_soc_general[bd_size_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_copy_soc_general[bd_size_rt]', array(
			'label'    => esc_html__( 'Right Size', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 117
		)
	) );

	// border right style
	$wp_customize->add_setting( 'royal_copy_soc_general[bd_style_rt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_copy_soc_general[bd_style_rt]', array(
		'label'    => esc_html__( 'Right Style', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 118
	) );

	// border right color
	$wp_customize->add_setting( 'royal_copy_soc_general[bd_col_rt]', array(
	    'default' 	=> '#e8e8e8',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_copy_soc_general[bd_col_rt]', array(
			'label'    => esc_html__( 'Right Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 119
		)
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_copy_soc_general[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_copy_soc_general[bd_size_bt]', array(
			'label'    => esc_html__( 'Bottom Size', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 120
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_copy_soc_general[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_copy_soc_general[bd_style_bt]', array(
		'label'    => esc_html__( 'Bottom Style', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 121
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_copy_soc_general[bd_col_bt]', array(
	    'default' 	=> '#e8e8e8',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_copy_soc_general[bd_col_bt]', array(
			'label'    => esc_html__( 'Bottom Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 122
		)
	) );

	// border left size
	$wp_customize->add_setting( 'royal_copy_soc_general[bd_size_lt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_copy_soc_general[bd_size_lt]', array(
			'label'    => esc_html__( 'Left Size', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 123
		)
	) );

	// border left style
	$wp_customize->add_setting( 'royal_copy_soc_general[bd_style_lt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_copy_soc_general[bd_style_lt]', array(
		'label'    => esc_html__( 'Left Style', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 124
	) );

	// border left color
	$wp_customize->add_setting( 'royal_copy_soc_general[bd_col_lt]', array(
	    'default' 	=> '#e8e8e8',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_copy_soc_general[bd_col_lt]', array(
			'label'    => esc_html__( 'Left Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 125
		)
	) );

	// border advanced button
	$wp_customize->add_setting( 'royal_copy_soc_general[bd_ad]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_copy_soc_general[bd_ad]', array(
		'label'    => '',
		'section'  => 'copy_and_socials',
		'type'     => 'checkbox',
		'priority' => 126
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_copy_soc_general[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_copy_soc_general[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'checkbox',
		'priority' => 129
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_copy_soc_general[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_copy_soc_general[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 130
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_copy_soc_general[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_copy_soc_general[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 131
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_copy_soc_general[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_copy_soc_general[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 132
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_copy_soc_general[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_copy_soc_general[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 133
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_copy_soc_general[shad_col]', array(
	    'default' 	=> '#555555',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_copy_soc_general[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 134
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_copy_soc_general[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_copy_soc_general[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 135
		)
	) );

	// box shadow inset
	$wp_customize->add_setting( 'royal_copy_soc_general[shad_in]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_copy_soc_general[shad_in]', array(
		'label'    => esc_html__( 'Inner', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'checkbox',
		'priority' => 136
	) );


// socials general label
	$wp_customize->add_setting( 'royal_socials[label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_socials[label]', array(
		'label'    => esc_html__( 'Socials', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'checkbox',
		'priority' => 200
	) );

/* ----------------- Socials General Options ----------------- */

	// social icon url 1
	$wp_customize->add_setting( 'royal_socials[url_1]', array(
	    'default' 	=> 'http://www.example.com',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'esc_url_raw'
	) );

	$wp_customize->add_control( 'royal_socials[url_1]', array(
		'label'    => esc_html__( 'Social URL', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'text',
		'priority' => 205
	) );

	// social icon select 1
	$wp_customize->add_setting( 'royal_socials[icon_1]', array(
	    'default' 	=> 'facebook',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_socials[icon_1]', array(
		'label'    => esc_html__( 'Select Icon', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'select',
		'choices'  => array(
			'facebook' 				=> '&#xf09a;',
			'facebook-square' 		=> '&#xf082;',
			'twitter' 				=> '&#xf099;',
			'twitter-square' 		=> '&#xf081;',
			'google' 				=> '&#xf1a0;',
			'google-plus' 			=> '&#xf0d5;',
			'google-plus-square'	=> '&#xf0d4;',
			'linkedin'				=> '&#xf0e1;',
			'linkedin-square' 		=> '&#xf08c;',
			'pinterest' 			=> '&#xf0d2;',
			'pinterest-square'		=> '&#xf0d3;',
			'behance' 				=> '&#xf1b4;',
			'behance-square'		=> '&#xf1b5;',
			'tumblr' 				=> '&#xf173;',
			'tumblr-square' 		=> '&#xf174;',
			'reddit' 				=> '&#xf1a1;',
			'reddit-square' 		=> '&#xf1a2;',
			'dribbble' 				=> '&#xf17d;',
			'vk' 					=> '&#xf189;',
			'skype' 				=> '&#xf17e;',
			'film' 					=> '&#xf008;',
			'youtube-play' 			=> '&#xf16a;',
			'youtube' 				=> '&#xf167;',
			'youtube-square' 		=> '&#xf166;',
			'vimeo-square' 			=> '&#xf194;',
			'soundcloud' 			=> '&#xf1be;',
			'instagram' 			=> '&#xf16d;',
			'flickr' 				=> '&#xf16e;',
			'rss' 					=> '&#xf09e;',
			'rss-square' 			=> '&#xf143;',
			'github' 				=> '&#xf09b;',
			'github-alt' 			=> '&#xf113;',
			'github-square' 		=> '&#xf092;',
			'stack-overflow' 		=> '&#xf16c;',
			'qq' 					=> '&#xf1d6;',
			'weibo' 				=> '&#xf18a;',
			'weixin' 				=> '&#xf1d7;',
			'xing' 					=> '&#xf168;',
			'gamepad' 				=> '&#xf11b;',
			'medium' 				=> '&#xf23a;',
			'envelope' 				=> '&#xf003;',
			'etsy' 					=> '&#xf2d7;',
			'snapchat' 				=> '&#xf2ab;',
			'imdb' 					=> '&#xf2d8;',
			'500px' 				=> '&#xf26e;',
			'spotify' 				=> '&#xf1bc;',
		),
		'priority' => 206
	) );

	// social icon url 2
	$wp_customize->add_setting( 'royal_socials[url_2]', array(
	    'default' 	=> 'http://www.example.com',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'esc_url_raw'
	) );

	$wp_customize->add_control( 'royal_socials[url_2]', array(
		'label'    => esc_html__( 'Social URL', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'text',
		'priority' => 215
	) );

	// social icon select 2
	$wp_customize->add_setting( 'royal_socials[icon_2]', array(
	    'default' 	=> 'twitter',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_socials[icon_2]', array(
		'label'    => esc_html__( 'Select Icon', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'select',
		'choices'  => array(
			'facebook' 				=> '&#xf09a;',
			'facebook-square' 		=> '&#xf082;',
			'twitter' 				=> '&#xf099;',
			'twitter-square' 		=> '&#xf081;',
			'google' 				=> '&#xf1a0;',
			'google-plus' 			=> '&#xf0d5;',
			'google-plus-square'	=> '&#xf0d4;',
			'linkedin'				=> '&#xf0e1;',
			'linkedin-square' 		=> '&#xf08c;',
			'pinterest' 			=> '&#xf0d2;',
			'pinterest-square'		=> '&#xf0d3;',
			'behance' 				=> '&#xf1b4;',
			'behance-square'		=> '&#xf1b5;',
			'tumblr' 				=> '&#xf173;',
			'tumblr-square' 		=> '&#xf174;',
			'reddit' 				=> '&#xf1a1;',
			'reddit-square' 		=> '&#xf1a2;',
			'dribbble' 				=> '&#xf17d;',
			'vk' 					=> '&#xf189;',
			'skype' 				=> '&#xf17e;',
			'film' 					=> '&#xf008;',
			'youtube-play' 			=> '&#xf16a;',
			'youtube' 				=> '&#xf167;',
			'youtube-square' 		=> '&#xf166;',
			'vimeo-square' 			=> '&#xf194;',
			'soundcloud' 			=> '&#xf1be;',
			'instagram' 			=> '&#xf16d;',
			'flickr' 				=> '&#xf16e;',
			'rss' 					=> '&#xf09e;',
			'rss-square' 			=> '&#xf143;',
			'github' 				=> '&#xf09b;',
			'github-alt' 			=> '&#xf113;',
			'github-square' 		=> '&#xf092;',
			'stack-overflow' 		=> '&#xf16c;',
			'qq' 					=> '&#xf1d6;',
			'weibo' 				=> '&#xf18a;',
			'weixin' 				=> '&#xf1d7;',
			'xing' 					=> '&#xf168;',
			'gamepad' 				=> '&#xf11b;',
			'medium' 				=> '&#xf23a;',
			'envelope' 				=> '&#xf003;',
			'etsy' 					=> '&#xf2d7;',
			'snapchat' 				=> '&#xf2ab;',
			'imdb' 					=> '&#xf2d8;',
			'500px' 				=> '&#xf26e;',
			'spotify' 				=> '&#xf1bc;',
		),
		'priority' => 216
	) );

	// social icon url 3
	$wp_customize->add_setting( 'royal_socials[url_3]', array(
	    'default' 	=> 'http://www.example.com',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'esc_url_raw'
	) );

	$wp_customize->add_control( 'royal_socials[url_3]', array(
		'label'    => esc_html__( 'Social URL', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'text',
		'priority' => 225
	) );

	// social icon select 3
	$wp_customize->add_setting( 'royal_socials[icon_3]', array(
	    'default' 	=> 'google',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_socials[icon_3]', array(
		'label'    => esc_html__( 'Select Icon', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'select',
		'choices'  => array(
			'facebook' 				=> '&#xf09a;',
			'facebook-square' 		=> '&#xf082;',
			'twitter' 				=> '&#xf099;',
			'twitter-square' 		=> '&#xf081;',
			'google' 				=> '&#xf1a0;',
			'google-plus' 			=> '&#xf0d5;',
			'google-plus-square'	=> '&#xf0d4;',
			'linkedin'				=> '&#xf0e1;',
			'linkedin-square' 		=> '&#xf08c;',
			'pinterest' 			=> '&#xf0d2;',
			'pinterest-square'		=> '&#xf0d3;',
			'behance' 				=> '&#xf1b4;',
			'behance-square'		=> '&#xf1b5;',
			'tumblr' 				=> '&#xf173;',
			'tumblr-square' 		=> '&#xf174;',
			'reddit' 				=> '&#xf1a1;',
			'reddit-square' 		=> '&#xf1a2;',
			'dribbble' 				=> '&#xf17d;',
			'vk' 					=> '&#xf189;',
			'skype' 				=> '&#xf17e;',
			'film' 					=> '&#xf008;',
			'youtube-play' 			=> '&#xf16a;',
			'youtube' 				=> '&#xf167;',
			'youtube-square' 		=> '&#xf166;',
			'vimeo-square' 			=> '&#xf194;',
			'soundcloud' 			=> '&#xf1be;',
			'instagram' 			=> '&#xf16d;',
			'flickr' 				=> '&#xf16e;',
			'rss' 					=> '&#xf09e;',
			'rss-square' 			=> '&#xf143;',
			'github' 				=> '&#xf09b;',
			'github-alt' 			=> '&#xf113;',
			'github-square' 		=> '&#xf092;',
			'stack-overflow' 		=> '&#xf16c;',
			'qq' 					=> '&#xf1d6;',
			'weibo' 				=> '&#xf18a;',
			'weixin' 				=> '&#xf1d7;',
			'xing' 					=> '&#xf168;',
			'gamepad' 				=> '&#xf11b;',
			'medium' 				=> '&#xf23a;',
			'envelope' 				=> '&#xf003;',
			'etsy' 					=> '&#xf2d7;',
			'snapchat' 				=> '&#xf2ab;',
			'imdb' 					=> '&#xf2d8;',
			'500px' 				=> '&#xf26e;',
			'spotify' 				=> '&#xf1bc;',
		),
		'priority' => 226
	) );

	// social icon url 4
	$wp_customize->add_setting( 'royal_socials[url_4]', array(
	    'default' 	=> 'http://www.example.com',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'esc_url_raw'
	) );

	$wp_customize->add_control( 'royal_socials[url_4]', array(
		'label'    => esc_html__( 'Social URL', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'text',
		'priority' => 235
	) );

	// social icon select 4
	$wp_customize->add_setting( 'royal_socials[icon_4]', array(
	    'default' 	=> 'linkedin',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_socials[icon_4]', array(
		'label'    => esc_html__( 'Select Icon', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'select',
		'choices'  => array(
			'facebook' 				=> '&#xf09a;',
			'facebook-square' 		=> '&#xf082;',
			'twitter' 				=> '&#xf099;',
			'twitter-square' 		=> '&#xf081;',
			'google' 				=> '&#xf1a0;',
			'google-plus' 			=> '&#xf0d5;',
			'google-plus-square'	=> '&#xf0d4;',
			'linkedin'				=> '&#xf0e1;',
			'linkedin-square' 		=> '&#xf08c;',
			'pinterest' 			=> '&#xf0d2;',
			'pinterest-square'		=> '&#xf0d3;',
			'behance' 				=> '&#xf1b4;',
			'behance-square'		=> '&#xf1b5;',
			'tumblr' 				=> '&#xf173;',
			'tumblr-square' 		=> '&#xf174;',
			'reddit' 				=> '&#xf1a1;',
			'reddit-square' 		=> '&#xf1a2;',
			'dribbble' 				=> '&#xf17d;',
			'vk' 					=> '&#xf189;',
			'skype' 				=> '&#xf17e;',
			'film' 					=> '&#xf008;',
			'youtube-play' 			=> '&#xf16a;',
			'youtube' 				=> '&#xf167;',
			'youtube-square' 		=> '&#xf166;',
			'vimeo-square' 			=> '&#xf194;',
			'soundcloud' 			=> '&#xf1be;',
			'instagram' 			=> '&#xf16d;',
			'flickr' 				=> '&#xf16e;',
			'rss' 					=> '&#xf09e;',
			'rss-square' 			=> '&#xf143;',
			'github' 				=> '&#xf09b;',
			'github-alt' 			=> '&#xf113;',
			'github-square' 		=> '&#xf092;',
			'stack-overflow' 		=> '&#xf16c;',
			'qq' 					=> '&#xf1d6;',
			'weibo' 				=> '&#xf18a;',
			'weixin' 				=> '&#xf1d7;',
			'xing' 					=> '&#xf168;',
			'gamepad' 				=> '&#xf11b;',
			'medium' 				=> '&#xf23a;',
			'envelope' 				=> '&#xf003;',
			'etsy' 					=> '&#xf2d7;',
			'snapchat' 				=> '&#xf2ab;',
			'imdb' 					=> '&#xf2d8;',
			'500px' 				=> '&#xf26e;',
			'spotify' 				=> '&#xf1bc;',
		),
		'priority' => 236
	) );

	// social icon url 5
	$wp_customize->add_setting( 'royal_socials[url_5]', array(
	    'default' 	=> '',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'esc_url_raw'
	) );

	$wp_customize->add_control( 'royal_socials[url_5]', array(
		'label'    => esc_html__( 'Social URL', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'text',
		'priority' => 245
	) );

	// social icon select 5
	$wp_customize->add_setting( 'royal_socials[icon_5]', array(
	    'default' 	=> 'pinterest',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_socials[icon_5]', array(
		'label'    => esc_html__( 'Select Icon', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'select',
		'choices'  => array(
			'facebook' 				=> '&#xf09a;',
			'facebook-square' 		=> '&#xf082;',
			'twitter' 				=> '&#xf099;',
			'twitter-square' 		=> '&#xf081;',
			'google' 				=> '&#xf1a0;',
			'google-plus' 			=> '&#xf0d5;',
			'google-plus-square'	=> '&#xf0d4;',
			'linkedin'				=> '&#xf0e1;',
			'linkedin-square' 		=> '&#xf08c;',
			'pinterest' 			=> '&#xf0d2;',
			'pinterest-square'		=> '&#xf0d3;',
			'behance' 				=> '&#xf1b4;',
			'behance-square'		=> '&#xf1b5;',
			'tumblr' 				=> '&#xf173;',
			'tumblr-square' 		=> '&#xf174;',
			'reddit' 				=> '&#xf1a1;',
			'reddit-square' 		=> '&#xf1a2;',
			'dribbble' 				=> '&#xf17d;',
			'vk' 					=> '&#xf189;',
			'skype' 				=> '&#xf17e;',
			'film' 					=> '&#xf008;',
			'youtube-play' 			=> '&#xf16a;',
			'youtube' 				=> '&#xf167;',
			'youtube-square' 		=> '&#xf166;',
			'vimeo-square' 			=> '&#xf194;',
			'soundcloud' 			=> '&#xf1be;',
			'instagram' 			=> '&#xf16d;',
			'flickr' 				=> '&#xf16e;',
			'rss' 					=> '&#xf09e;',
			'rss-square' 			=> '&#xf143;',
			'github' 				=> '&#xf09b;',
			'github-alt' 			=> '&#xf113;',
			'github-square' 		=> '&#xf092;',
			'stack-overflow' 		=> '&#xf16c;',
			'qq' 					=> '&#xf1d6;',
			'weibo' 				=> '&#xf18a;',
			'weixin' 				=> '&#xf1d7;',
			'xing' 					=> '&#xf168;',
			'gamepad' 				=> '&#xf11b;',
			'medium' 				=> '&#xf23a;',
			'envelope' 				=> '&#xf003;',
			'etsy' 					=> '&#xf2d7;',
			'snapchat' 				=> '&#xf2ab;',
			'imdb' 					=> '&#xf2d8;',
			'500px' 				=> '&#xf26e;',
			'spotify' 				=> '&#xf1bc;',
		),
		'priority' => 246
	) );

	// social icon url 6
	$wp_customize->add_setting( 'royal_socials[url_6]', array(
	    'default' 	=> '',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'esc_url_raw'
	) );

	$wp_customize->add_control( 'royal_socials[url_6]', array(
		'label'    => esc_html__( 'Social URL', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'text',
		'priority' => 255
	) );

	// social icon select 6
	$wp_customize->add_setting( 'royal_socials[icon_6]', array(
	    'default' 	=> 'tumblr',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_socials[icon_6]', array(
		'label'    => esc_html__( 'Select Icon', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'select',
		'choices'  => array(
			'facebook' 				=> '&#xf09a;',
			'facebook-square' 		=> '&#xf082;',
			'twitter' 				=> '&#xf099;',
			'twitter-square' 		=> '&#xf081;',
			'google' 				=> '&#xf1a0;',
			'google-plus' 			=> '&#xf0d5;',
			'google-plus-square'	=> '&#xf0d4;',
			'linkedin'				=> '&#xf0e1;',
			'linkedin-square' 		=> '&#xf08c;',
			'pinterest' 			=> '&#xf0d2;',
			'pinterest-square'		=> '&#xf0d3;',
			'behance' 				=> '&#xf1b4;',
			'behance-square'		=> '&#xf1b5;',
			'tumblr' 				=> '&#xf173;',
			'tumblr-square' 		=> '&#xf174;',
			'reddit' 				=> '&#xf1a1;',
			'reddit-square' 		=> '&#xf1a2;',
			'dribbble' 				=> '&#xf17d;',
			'vk' 					=> '&#xf189;',
			'skype' 				=> '&#xf17e;',
			'film' 					=> '&#xf008;',
			'youtube-play' 			=> '&#xf16a;',
			'youtube' 				=> '&#xf167;',
			'youtube-square' 		=> '&#xf166;',
			'vimeo-square' 			=> '&#xf194;',
			'soundcloud' 			=> '&#xf1be;',
			'instagram' 			=> '&#xf16d;',
			'flickr' 				=> '&#xf16e;',
			'rss' 					=> '&#xf09e;',
			'rss-square' 			=> '&#xf143;',
			'github' 				=> '&#xf09b;',
			'github-alt' 			=> '&#xf113;',
			'github-square' 		=> '&#xf092;',
			'stack-overflow' 		=> '&#xf16c;',
			'qq' 					=> '&#xf1d6;',
			'weibo' 				=> '&#xf18a;',
			'weixin' 				=> '&#xf1d7;',
			'xing' 					=> '&#xf168;',
			'gamepad' 				=> '&#xf11b;',
			'medium' 				=> '&#xf23a;',
			'envelope' 				=> '&#xf003;',
			'etsy' 					=> '&#xf2d7;',
			'snapchat' 				=> '&#xf2ab;',
			'imdb' 					=> '&#xf2d8;',
			'500px' 				=> '&#xf26e;',
			'spotify' 				=> '&#xf1bc;',
		),
		'priority' => 256
	) );

	// social icon url 7
	$wp_customize->add_setting( 'royal_socials[url_7]', array(
	    'default' 	=> '',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'esc_url_raw'
	) );

	$wp_customize->add_control( 'royal_socials[url_7]', array(
		'label'    => esc_html__( 'Social URL', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'text',
		'priority' => 265
	) );

	// social icon select 7
	$wp_customize->add_setting( 'royal_socials[icon_7]', array(
	    'default' 	=> 'reddit',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_socials[icon_7]', array(
		'label'    => esc_html__( 'Select Icon', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'select',
		'choices'  => array(
			'facebook' 				=> '&#xf09a;',
			'facebook-square' 		=> '&#xf082;',
			'twitter' 				=> '&#xf099;',
			'twitter-square' 		=> '&#xf081;',
			'google' 				=> '&#xf1a0;',
			'google-plus' 			=> '&#xf0d5;',
			'google-plus-square'	=> '&#xf0d4;',
			'linkedin'				=> '&#xf0e1;',
			'linkedin-square' 		=> '&#xf08c;',
			'pinterest' 			=> '&#xf0d2;',
			'pinterest-square'		=> '&#xf0d3;',
			'behance' 				=> '&#xf1b4;',
			'behance-square'		=> '&#xf1b5;',
			'tumblr' 				=> '&#xf173;',
			'tumblr-square' 		=> '&#xf174;',
			'reddit' 				=> '&#xf1a1;',
			'reddit-square' 		=> '&#xf1a2;',
			'dribbble' 				=> '&#xf17d;',
			'vk' 					=> '&#xf189;',
			'skype' 				=> '&#xf17e;',
			'film' 					=> '&#xf008;',
			'youtube-play' 			=> '&#xf16a;',
			'youtube' 				=> '&#xf167;',
			'youtube-square' 		=> '&#xf166;',
			'vimeo-square' 			=> '&#xf194;',
			'soundcloud' 			=> '&#xf1be;',
			'instagram' 			=> '&#xf16d;',
			'flickr' 				=> '&#xf16e;',
			'rss' 					=> '&#xf09e;',
			'rss-square' 			=> '&#xf143;',
			'github' 				=> '&#xf09b;',
			'github-alt' 			=> '&#xf113;',
			'github-square' 		=> '&#xf092;',
			'stack-overflow' 		=> '&#xf16c;',
			'qq' 					=> '&#xf1d6;',
			'weibo' 				=> '&#xf18a;',
			'weixin' 				=> '&#xf1d7;',
			'xing' 					=> '&#xf168;',
			'gamepad' 				=> '&#xf11b;',
			'medium' 				=> '&#xf23a;',
			'envelope' 				=> '&#xf003;',
			'etsy' 					=> '&#xf2d7;',
			'snapchat' 				=> '&#xf2ab;',
			'imdb' 					=> '&#xf2d8;',
			'500px' 				=> '&#xf26e;',
			'spotify' 				=> '&#xf1bc;',
		),
		'priority' => 266
	) );

	// social icon url 8
	$wp_customize->add_setting( 'royal_socials[url_8]', array(
	    'default' 	=> '',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'esc_url_raw'
	) );

	$wp_customize->add_control( 'royal_socials[url_8]', array(
		'label'    => esc_html__( 'Social URL', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'text',
		'priority' => 275
	) );

	// social icon select 8
	$wp_customize->add_setting( 'royal_socials[icon_8]', array(
	    'default' 	=> 'dribbble',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_socials[icon_8]', array(
		'label'    => esc_html__( 'Select Icon', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'select',
		'choices'  => array(
			'facebook' 				=> '&#xf09a;',
			'facebook-square' 		=> '&#xf082;',
			'twitter' 				=> '&#xf099;',
			'twitter-square' 		=> '&#xf081;',
			'google' 				=> '&#xf1a0;',
			'google-plus' 			=> '&#xf0d5;',
			'google-plus-square'	=> '&#xf0d4;',
			'linkedin'				=> '&#xf0e1;',
			'linkedin-square' 		=> '&#xf08c;',
			'pinterest' 			=> '&#xf0d2;',
			'pinterest-square'		=> '&#xf0d3;',
			'behance' 				=> '&#xf1b4;',
			'behance-square'		=> '&#xf1b5;',
			'tumblr' 				=> '&#xf173;',
			'tumblr-square' 		=> '&#xf174;',
			'reddit' 				=> '&#xf1a1;',
			'reddit-square' 		=> '&#xf1a2;',
			'dribbble' 				=> '&#xf17d;',
			'vk' 					=> '&#xf189;',
			'skype' 				=> '&#xf17e;',
			'film' 					=> '&#xf008;',
			'youtube-play' 			=> '&#xf16a;',
			'youtube' 				=> '&#xf167;',
			'youtube-square' 		=> '&#xf166;',
			'vimeo-square' 			=> '&#xf194;',
			'soundcloud' 			=> '&#xf1be;',
			'instagram' 			=> '&#xf16d;',
			'flickr' 				=> '&#xf16e;',
			'rss' 					=> '&#xf09e;',
			'rss-square' 			=> '&#xf143;',
			'github' 				=> '&#xf09b;',
			'github-alt' 			=> '&#xf113;',
			'github-square' 		=> '&#xf092;',
			'stack-overflow' 		=> '&#xf16c;',
			'qq' 					=> '&#xf1d6;',
			'weibo' 				=> '&#xf18a;',
			'weixin' 				=> '&#xf1d7;',
			'xing' 					=> '&#xf168;',
			'gamepad' 				=> '&#xf11b;',
			'medium' 				=> '&#xf23a;',
			'envelope' 				=> '&#xf003;',
			'etsy' 					=> '&#xf2d7;',
			'snapchat' 				=> '&#xf2ab;',
			'imdb' 					=> '&#xf2d8;',
			'500px' 				=> '&#xf26e;',
			'spotify' 				=> '&#xf1bc;',
		),
		'priority' => 276
	) );

	// social icon url 9
	$wp_customize->add_setting( 'royal_socials[url_9]', array(
	    'default' 	=> '',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'esc_url_raw'
	) );

	$wp_customize->add_control( 'royal_socials[url_9]', array(
		'label'    => esc_html__( 'Social URL', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'text',
		'priority' => 285
	) );

	// social icon select 9
	$wp_customize->add_setting( 'royal_socials[icon_9]', array(
	    'default' 	=> 'vk',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_socials[icon_9]', array(
		'label'    => esc_html__( 'Select Icon', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'select',
		'choices'  => array(
			'facebook' 				=> '&#xf09a;',
			'facebook-square' 		=> '&#xf082;',
			'twitter' 				=> '&#xf099;',
			'twitter-square' 		=> '&#xf081;',
			'google' 				=> '&#xf1a0;',
			'google-plus' 			=> '&#xf0d5;',
			'google-plus-square'	=> '&#xf0d4;',
			'linkedin'				=> '&#xf0e1;',
			'linkedin-square' 		=> '&#xf08c;',
			'pinterest' 			=> '&#xf0d2;',
			'pinterest-square'		=> '&#xf0d3;',
			'behance' 				=> '&#xf1b4;',
			'behance-square'		=> '&#xf1b5;',
			'tumblr' 				=> '&#xf173;',
			'tumblr-square' 		=> '&#xf174;',
			'reddit' 				=> '&#xf1a1;',
			'reddit-square' 		=> '&#xf1a2;',
			'dribbble' 				=> '&#xf17d;',
			'vk' 					=> '&#xf189;',
			'skype' 				=> '&#xf17e;',
			'film' 					=> '&#xf008;',
			'youtube-play' 			=> '&#xf16a;',
			'youtube' 				=> '&#xf167;',
			'youtube-square' 		=> '&#xf166;',
			'vimeo-square' 			=> '&#xf194;',
			'soundcloud' 			=> '&#xf1be;',
			'instagram' 			=> '&#xf16d;',
			'flickr' 				=> '&#xf16e;',
			'rss' 					=> '&#xf09e;',
			'rss-square' 			=> '&#xf143;',
			'github' 				=> '&#xf09b;',
			'github-alt' 			=> '&#xf113;',
			'github-square' 		=> '&#xf092;',
			'stack-overflow' 		=> '&#xf16c;',
			'qq' 					=> '&#xf1d6;',
			'weibo' 				=> '&#xf18a;',
			'weixin' 				=> '&#xf1d7;',
			'xing' 					=> '&#xf168;',
			'gamepad' 				=> '&#xf11b;',
			'medium' 				=> '&#xf23a;',
			'envelope' 				=> '&#xf003;',
			'etsy' 					=> '&#xf2d7;',
			'snapchat' 				=> '&#xf2ab;',
			'imdb' 					=> '&#xf2d8;',
			'500px' 				=> '&#xf26e;',
			'spotify' 				=> '&#xf1bc;',
		),
		'priority' => 286
	) );

	// social icon url 10
	$wp_customize->add_setting( 'royal_socials[url_10]', array(
	    'default' 	=> '',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'esc_url_raw'
	) );

	$wp_customize->add_control( 'royal_socials[url_10]', array(
		'label'    => esc_html__( 'Social URL', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'text',
		'priority' => 295
	) );

	// social icon select 10
	$wp_customize->add_setting( 'royal_socials[icon_10]', array(
	    'default' 	=> 'skype',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_socials[icon_10]', array(
		'label'    => esc_html__( 'Select Icon', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'select',
		'choices'  => array(
			'facebook' 				=> '&#xf09a;',
			'facebook-square' 		=> '&#xf082;',
			'twitter' 				=> '&#xf099;',
			'twitter-square' 		=> '&#xf081;',
			'google' 				=> '&#xf1a0;',
			'google-plus' 			=> '&#xf0d5;',
			'google-plus-square'	=> '&#xf0d4;',
			'linkedin'				=> '&#xf0e1;',
			'linkedin-square' 		=> '&#xf08c;',
			'pinterest' 			=> '&#xf0d2;',
			'pinterest-square'		=> '&#xf0d3;',
			'behance' 				=> '&#xf1b4;',
			'behance-square'		=> '&#xf1b5;',
			'tumblr' 				=> '&#xf173;',
			'tumblr-square' 		=> '&#xf174;',
			'reddit' 				=> '&#xf1a1;',
			'reddit-square' 		=> '&#xf1a2;',
			'dribbble' 				=> '&#xf17d;',
			'vk' 					=> '&#xf189;',
			'skype' 				=> '&#xf17e;',
			'film' 					=> '&#xf008;',
			'youtube-play' 			=> '&#xf16a;',
			'youtube' 				=> '&#xf167;',
			'youtube-square' 		=> '&#xf166;',
			'vimeo-square' 			=> '&#xf194;',
			'soundcloud' 			=> '&#xf1be;',
			'instagram' 			=> '&#xf16d;',
			'flickr' 				=> '&#xf16e;',
			'rss' 					=> '&#xf09e;',
			'rss-square' 			=> '&#xf143;',
			'github' 				=> '&#xf09b;',
			'github-alt' 			=> '&#xf113;',
			'github-square' 		=> '&#xf092;',
			'stack-overflow' 		=> '&#xf16c;',
			'qq' 					=> '&#xf1d6;',
			'weibo' 				=> '&#xf18a;',
			'weixin' 				=> '&#xf1d7;',
			'xing' 					=> '&#xf168;',
			'gamepad' 				=> '&#xf11b;',
			'medium' 				=> '&#xf23a;',
			'envelope' 				=> '&#xf003;',
			'etsy' 					=> '&#xf2d7;',
			'snapchat' 				=> '&#xf2ab;',
			'imdb' 					=> '&#xf2d8;',
			'500px' 				=> '&#xf26e;',
			'spotify' 				=> '&#xf1bc;',
		),
		'priority' => 296
	) );


	// align
	$wp_customize->add_setting( 'royal_socials[align]', array(
	    'default' 	=> 'center',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_socials[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 299
	) );


/* ----------------- Socials Spacing Options ----------------- */

	// width
	$wp_customize->add_setting( 'royal_socials[width]', array(
	    'default' 	=> 38,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_socials[width]', array(
			'label'    => esc_html__( 'Width', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 350
		)
	) );

	// height
	$wp_customize->add_setting( 'royal_socials[height]', array(
	    'default' 	=> 38,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_socials[height]', array(
			'label'    => esc_html__( 'Height', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 355
		)
	) );

	// horizontal gutter
	$wp_customize->add_setting( 'royal_socials[gutter_horz]', array(
	    'default' 	=> 7,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_socials[gutter_horz]', array(
			'label'    => esc_html__( 'Horizontal Gutter', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 360
		)
	) );

	// vertical gutter
	$wp_customize->add_setting( 'royal_socials[gutter_vert]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_socials[gutter_vert]', array(
			'label'    => esc_html__( 'Vertical Gutter', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 361
		)
	) );

	// wrapper padding bottom
	$wp_customize->add_setting( 'royal_socials[padding_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_socials[padding_bt]', array(
			'label'    => esc_html__( 'Wrapper Padding Bottom', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 363
		)
	) );

	// wrapper margin bottom
	$wp_customize->add_setting( 'royal_socials[margin_bt]', array(
	    'default' 	=> 18,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_socials[margin_bt]', array(
			'label'    => esc_html__( 'Wrapper Margin Bottom', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 364
		)
	) );


/* ----------------- Socials Styling Options----------------- */

	// static colors label
	$wp_customize->add_setting( 'royal_socials[static_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_socials[static_colors_label]', array(
			'label'    => esc_html__( 'Static Colors', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 399
		)
	) );

	// background color
	$wp_customize->add_setting( 'royal_socials[bg_col]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_socials[bg_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 400
		)
	) );

	// transparency
	$wp_customize->add_setting( 'royal_socials[bg_col_tr]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_socials[bg_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 402
		)
	) );

	// text color
	$wp_customize->add_setting( 'royal_socials[txt_col]', array(
	    'default' 	=> '#919191',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_socials[txt_col]', array(
			'label'    => esc_html__( 'Text Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 403
		)
	) );

	// hover colors label
	$wp_customize->add_setting( 'royal_socials[hover_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_socials[hover_colors_label]', array(
			'label'    => esc_html__( 'Hover Colors', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 404
		)
	) );

	// hover background color
	$wp_customize->add_setting( 'royal_socials[bg_hcol]', array(
	    'default' 	=> '#e5ae47',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_socials[bg_hcol]', array(
			'label'    => esc_html__( 'Hover Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 409
		)
	) );

	// hover transparency
	$wp_customize->add_setting( 'royal_socials[bg_hcol_tr]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_socials[bg_hcol_tr]', array(
			'label'    => esc_html__( 'Hover Transparency', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 410
		)
	) );

	// hover text color
	$wp_customize->add_setting( 'royal_socials[txt_hcol]', array(
	    'default' 	=> '#3a3a3a',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_socials[txt_hcol]', array(
			'label'    => esc_html__( 'Hover Text Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 411
		)
	) );

	// hover border color
	$wp_customize->add_setting( 'royal_socials[bd_hcol]', array(
	    'default' 	=> '#3a3a3a',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_socials[bd_hcol]', array(
			'label'    => esc_html__( 'Hover Border Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 413
		)
	) );

	// border label
	$wp_customize->add_setting( 'royal_socials[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_socials[border_label]', array(
		'label'    => esc_html__( 'Border', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'checkbox',
		'priority' => 420
	) );

	// border size general
	$wp_customize->add_setting( 'royal_socials[bd_size_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_socials[bd_size_gen]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 421
		)
	) );

	// border style general
	$wp_customize->add_setting( 'royal_socials[bd_style_gen]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_socials[bd_style_gen]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 422
	) );

	// border color general
	$wp_customize->add_setting( 'royal_socials[bd_col_gen]', array(
	    'default' 	=> '#3a3a3a',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_socials[bd_col_gen]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 423
		)
	) );

	// border top size
	$wp_customize->add_setting( 'royal_socials[bd_size_tp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_socials[bd_size_tp]', array(
			'label'    => esc_html__( 'Top Size', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 424
		)
	) );

	// border top style
	$wp_customize->add_setting( 'royal_socials[bd_style_tp]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_socials[bd_style_tp]', array(
		'label'    => esc_html__( 'Top Style', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 425
	) );

	// border top color
	$wp_customize->add_setting( 'royal_socials[bd_col_tp]', array(
	    'default' 	=> '#3a3a3a',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_socials[bd_col_tp]', array(
			'label'    => esc_html__( 'Top Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 426
		)
	) );

	// border right size
	$wp_customize->add_setting( 'royal_socials[bd_size_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_socials[bd_size_rt]', array(
			'label'    => esc_html__( 'Right Size', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 427
		)
	) );

	// border right style
	$wp_customize->add_setting( 'royal_socials[bd_style_rt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_socials[bd_style_rt]', array(
		'label'    => esc_html__( 'Right Style', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 428
	) );

	// border right color
	$wp_customize->add_setting( 'royal_socials[bd_col_rt]', array(
	    'default' 	=> '#3a3a3a',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_socials[bd_col_rt]', array(
			'label'    => esc_html__( 'Right Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 429
		)
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_socials[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_socials[bd_size_bt]', array(
			'label'    => esc_html__( 'Bottom Size', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 430
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_socials[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_socials[bd_style_bt]', array(
		'label'    => esc_html__( 'Bottom Style', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 431
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_socials[bd_col_bt]', array(
	    'default' 	=> '#3a3a3a',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_socials[bd_col_bt]', array(
			'label'    => esc_html__( 'Bottom Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 432
		)
	) );

	// border left size
	$wp_customize->add_setting( 'royal_socials[bd_size_lt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_socials[bd_size_lt]', array(
			'label'    => esc_html__( 'Left Size', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 433
		)
	) );

	// border left style
	$wp_customize->add_setting( 'royal_socials[bd_style_lt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_socials[bd_style_lt]', array(
		'label'    => esc_html__( 'Left Style', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 434
	) );

	// border left color
	$wp_customize->add_setting( 'royal_socials[bd_col_lt]', array(
	    'default' 	=> '#3a3a3a',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_socials[bd_col_lt]', array(
			'label'    => esc_html__( 'Left Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 435
		)
	) );

	// border advanced button
	$wp_customize->add_setting( 'royal_socials[bd_ad]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_socials[bd_ad]', array(
		'label'    => '',
		'section'  => 'copy_and_socials',
		'type'     => 'checkbox',
		'priority' => 436
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_socials[radius_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_socials[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'checkbox',
		'priority' => 437
	) );

	// border radius
	$wp_customize->add_setting( 'royal_socials[radius]', array(
	    'default' 	=> 50,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_socials[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 438
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_socials[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_socials[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'checkbox',
		'priority' => 439
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_socials[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_socials[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 440
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_socials[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_socials[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 441
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_socials[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_socials[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 442
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_socials[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_socials[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 443
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_socials[shad_col]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_socials[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 444
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_socials[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_socials[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 445
		)
	) );

	// box shadow inset
	$wp_customize->add_setting( 'royal_socials[shad_in]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_socials[shad_in]', array(
		'label'    => esc_html__( 'Inner', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'checkbox',
		'priority' => 446
	) );

	// border bottom label
	$wp_customize->add_setting( 'royal_socials[wrap_border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_socials[wrap_border_label]', array(
		'label'    => esc_html__( 'Wrapper Border Bottom', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'checkbox',
		'priority' => 449
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_socials[wrap_bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_socials[wrap_bd_size_bt]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 450
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_socials[wrap_bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_socials[wrap_bd_style_bt]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 451
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_socials[wrap_bd_col_bt]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_socials[wrap_bd_col_bt]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 452
		)
	) );

	// full width border
	$wp_customize->add_setting( 'royal_socials[wrap_bd_full_width]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_socials[wrap_bd_full_width]', array(
		'label'    => esc_html__( 'Full Width Border', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'checkbox',
		'priority' => 453
	) );


/* ----------------- Socials Font Options ----------------- */

	// font size
	$wp_customize->add_setting( 'royal_socials[font_size]', array(
	    'default' 	=> 15,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_socials[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 550
		)
	) );

	// text shadow label
	$wp_customize->add_setting( 'royal_socials[txt_shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_socials[txt_shadow_label]', array(
		'label'    => esc_html__( 'Text Shadow', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'checkbox',
		'priority' => 568
	) );

	// text shadow horizontal
	$wp_customize->add_setting( 'royal_socials[txt_shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_socials[txt_shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 569
		)
	) );

	// text shadow vertical
	$wp_customize->add_setting( 'royal_socials[txt_shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_socials[txt_shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 570
		)
	) );

	// text shadow blur
	$wp_customize->add_setting( 'royal_socials[txt_shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_socials[txt_shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 571
		)
	) );

	// text shadow color
	$wp_customize->add_setting( 'royal_socials[txt_shad_col]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_socials[txt_shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 572
		)
	) );


// copyright general label
	$wp_customize->add_setting( 'royal_copyright[label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_copyright[label]', array(
		'label'    => esc_html__( 'Copyright', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'checkbox',
		'priority' => 599
	) );

/* ----------------- Copyright General Options ----------------- */

	// copyright text
	$wp_customize->add_setting( 'royal_copyright[text]', array(
	    'default' 	=> 'Hyper-X Theme. By Royal-Flush 2014',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_string'
	) );

	$wp_customize->add_control(
		new Royal_Textarea_Control( $wp_customize, 'royal_copyright[text]', array(
			'label'    => esc_html__( 'Enter Text', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 600
		)
	) );

	// align
	$wp_customize->add_setting( 'royal_copyright[align]', array(
	    'default' 	=> 'center',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_copyright[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 605
	) );


/* ----------------- Copyright Styling Options ----------------- */

	// text color
	$wp_customize->add_setting( 'royal_copyright[txt_col]', array(
	    'default' 	=> '#999999',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_copyright[txt_col]', array(
			'label'    => esc_html__( 'Text Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 620
		)
	) );

	// link color
	$wp_customize->add_setting( 'royal_copyright[link_col]', array(
	    'default' 	=> '#999999',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_copyright[link_col]', array(
			'label'    => esc_html__( 'Link Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 623
		)
	) );

	// link hover color
	$wp_customize->add_setting( 'royal_copyright[link_hcol]', array(
	    'default' 	=> '#e5ae47',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_copyright[link_hcol]', array(
			'label'    => esc_html__( 'Link Hover Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 624
		)
	) );


/* ----------------- Copyright Font Options ----------------- */

	// font family
	$wp_customize->add_setting( 'royal_copyright[font_family]', array(
	    'default' 	=> 'Arial',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control(
		new Royal_Google_Fonts_Control( $wp_customize, 'royal_copyright[font_family]', array(
			'label'    => esc_html__( 'Family', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 660
		)
	) );

	// font size
	$wp_customize->add_setting( 'royal_copyright[font_size]', array(
	    'default' 	=> 12,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_copyright[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 661
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_copyright[line_height]', array(
	    'default' 	=> 15,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_copyright[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 662
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_copyright[letter_space]', array(
	    'default' 	=> 0.4,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_copyright[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 663
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_copyright[font_weight]', array(
	    'default' 	=> 400,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_copyright[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 664
		)
	) );

	// italic
	$wp_customize->add_setting( 'royal_copyright[italic]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_copyright[italic]', array(
		'label'    => esc_html__( 'Italic', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'checkbox',
		'priority' => 665
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_copyright[uppercase]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_copyright[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'checkbox',
		'priority' => 666
	) );

	// underline
	$wp_customize->add_setting( 'royal_copyright[underline]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_copyright[underline]', array(
		'label'    => esc_html__( 'Link Underline', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'checkbox',
		'priority' => 667
	) );


// back to top button label
	$wp_customize->add_setting( 'royal_back_btn[label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_back_btn[label]', array(
		'label'    => esc_html__( 'Back To Top Button', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'checkbox',
		'priority' => 799
	) );

/* ----------------- Back Button General Options ----------------- */

	// FontAwesome icon select
	$wp_customize->add_setting( 'royal_back_btn[icon]', array(
	    'default' 	=> 'angle-up',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_back_btn[icon]', array(
		'label'    => esc_html__( 'Select Icon', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'select',
		'choices'  => array(
			'caret-up' 			=> '&#xf0d8;',
			'angle-up' 			=> '&#xf106;',
			'angle-double-up' 	=> '&#xf102;',
			'chevron-up' 		=> '&#xf077;',
			'arrow-up' 			=> '&#xf062;',
			'arrow-circle-o-up' => '&#xf01b;',
			'arrow-circle-up' 	=> '&#xf0aa;',
			'chevron-circle-up' => '&#xf139;',
			'level-up' 			=> '&#xf148;',
			'long-arrow-up' 	=> '&#xf176;',
			'upload' 			=> '&#xf093;'
		),
		'priority' => 805
	) ); 

	// show up transition
	$wp_customize->add_setting( 'royal_back_btn[show_trans]', array(
	    'default' 	=> '600',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_back_btn[show_trans]', array(
		'label'    => esc_html__( 'Show Up Transition', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'select',
		'choices'  => array(
			'0' 	=> esc_html__( 'None', 'hyperx' ),
			'200' 	=> '200 ms',
			'400' 	=> '400 ms',
			'600' 	=> '600 ms',
			'800' 	=> '800 ms',
			'1000' 	=> '1000 ms',
			'1200' 	=> '1200 ms',
			'1400' 	=> '1400 ms',
			'1600' 	=> '1600 ms',
			'1800' 	=> '1800 ms',
			'2000' 	=> '2000 ms'
		),
		'priority' => 810
	) );

	// scroll top transition
	$wp_customize->add_setting( 'royal_back_btn[scroll_trans]', array(
	    'default' 	=> '800',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_back_btn[scroll_trans]', array(
		'label'    => esc_html__( 'Scroll Top Transition', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'select',
		'choices'  => array(
			'0' 	=> esc_html__( 'None', 'hyperx' ),
			'200' 	=> '200 ms',
			'400' 	=> '400 ms',
			'600' 	=> '600 ms',
			'800' 	=> '800 ms',
			'1000' 	=> '1000 ms',
			'1200' 	=> '1200 ms',
			'1400' 	=> '1400 ms',
			'1600' 	=> '1600 ms',
			'1800' 	=> '1800 ms',
			'2000' 	=> '2000 ms'
		),
		'priority' => 820
	) );


/* ----------------- Back Button Spacing Options ----------------- */

	// width
	$wp_customize->add_setting( 'royal_back_btn[width]', array(
	    'default' 	=> 47,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_back_btn[width]', array(
			'label'    => esc_html__( 'Width', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 890
		)
	) );

	// height
	$wp_customize->add_setting( 'royal_back_btn[height]', array(
	    'default' 	=> 45,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_back_btn[height]', array(
			'label'    => esc_html__( 'Height', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 891
		)
	) );

	// right position
	$wp_customize->add_setting( 'royal_back_btn[pos_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_back_btn[pos_rt]', array(
			'label'    => esc_html__( 'Right Position', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 893
		)
	) );

	// bottom position
	$wp_customize->add_setting( 'royal_back_btn[pos_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_back_btn[pos_bt]', array(
			'label'    => esc_html__( 'Bottom Position', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 894
		)
	) );


/* ----------------- Back Button Styling Options ----------------- */

	// static colors label
	$wp_customize->add_setting( 'royal_back_btn[static_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_back_btn[static_colors_label]', array(
			'label'    => esc_html__( 'Static Colors', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 899
		)
	) );

	// color
	$wp_customize->add_setting( 'royal_back_btn[color]', array(
	    'default' 	=> '#222222',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_back_btn[color]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 900
		)
	) );

	// transparency
	$wp_customize->add_setting( 'royal_back_btn[col_tr]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_back_btn[col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 901
		)
	) );

	// text color
	$wp_customize->add_setting( 'royal_back_btn[txt_col]', array(
	    'default' 	=> '#fcfcfc',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_back_btn[txt_col]', array(
			'label'    => esc_html__( 'Text Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 902
		)
	) );

	// hover colors label
	$wp_customize->add_setting( 'royal_back_btn[hover_colors_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_back_btn[hover_colors_label]', array(
			'label'    => esc_html__( 'hover Colors', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 903
		)
	) );

	// hover color
	$wp_customize->add_setting( 'royal_back_btn[hcol]', array(
	    'default' 	=> '#111111',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_back_btn[hcol]', array(
			'label'    => esc_html__( 'Hover Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 904
		)
	) );

	// transparency
	$wp_customize->add_setting( 'royal_back_btn[hcol_tr]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_back_btn[hcol_tr]', array(
			'label'    => esc_html__( 'Hover Transparency', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 905
		)
	) );

	// hover text color
	$wp_customize->add_setting( 'royal_back_btn[txt_hcol]', array(
	    'default' 	=> '#fcfcfc',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_back_btn[txt_hcol]', array(
			'label'    => esc_html__( 'Hover Text Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 906
		)
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_back_btn[radius_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_back_btn[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'checkbox',
		'priority' => 927
	) );

	// border radius
	$wp_customize->add_setting( 'royal_back_btn[radius]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_back_btn[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 928
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_back_btn[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_back_btn[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'checkbox',
		'priority' => 929
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_back_btn[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_back_btn[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 930
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_back_btn[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_back_btn[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 931
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_back_btn[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_back_btn[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 932
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_back_btn[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_back_btn[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 933
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_back_btn[shad_col]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_back_btn[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 934
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_back_btn[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_back_btn[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 935
		)
	) );

	// box shadow inset
	$wp_customize->add_setting( 'royal_back_btn[shad_in]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_back_btn[shad_in]', array(
		'label'    => esc_html__( 'Inner', 'hyperx' ),
		'section'  => 'copy_and_socials',
		'type'     => 'checkbox',
		'priority' => 936
	) );


/* ----------------- Back Button Font Options ----------------- */

	// text size
	$wp_customize->add_setting( 'royal_back_btn[txt_sz]', array(
	    'default' 	=> 14,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_back_btn[txt_sz]', array(
			'label'    => esc_html__( 'Text Size', 'hyperx' ),
			'section'  => 'copy_and_socials',
			'priority' => 940
		)
	) );



/*
***************************************************************
* #Typography
***************************************************************
*/

	$section_typography = 'typography';
	
	if ( get_option('section_typography') === '' ) {
		$section_typography = 'typography_disabled';
	}

	// add Typography Section -------------------------------------------
	$wp_customize->add_section( $section_typography, array(
	    'title' 		=> esc_html__( 'Typography', 'hyperx' ),
	    'priority' 		=> 105
	) );

	// general label
	$wp_customize->add_setting( 'royal_typography[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_typography[label]', array(
			'label'    => esc_html__( 'General', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 3
		)
	) );

/* ----------------- General Options ----------------- */

	// font family subsets label
	$wp_customize->add_setting( 'royal_typography[subsets_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_typography[subsets_label]', array(
		'label'    => esc_html__( 'Google Font Subsets', 'hyperx' ),
		'section'  => 'typography',
		'type'     => 'checkbox',
		'priority' => 5
	) );

	// latin subset
	$wp_customize->add_setting( 'royal_typography[latin_subset]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_typography[latin_subset]', array(
		'label'    => esc_html__( 'Latin', 'hyperx' ),
		'section'  => 'typography',
		'type'     => 'checkbox',
		'priority' => 10
	) );

	// cyrillic subset
	$wp_customize->add_setting( 'royal_typography[cyrillic_subset]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_typography[cyrillic_subset]', array(
		'label'    => esc_html__( 'Cyrillic', 'hyperx' ),
		'section'  => 'typography',
		'type'     => 'checkbox',
		'priority' => 11
	) );

	// greek subset
	$wp_customize->add_setting( 'royal_typography[greek_subset]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_typography[greek_subset]', array(
		'label'    => esc_html__( 'Greek', 'hyperx' ),
		'section'  => 'typography',
		'type'     => 'checkbox',
		'priority' => 12
	) );

	// vietnamese subset
	$wp_customize->add_setting( 'royal_typography[vietnamese_subset]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_typography[vietnamese_subset]', array(
		'label'    => esc_html__( 'Vietnamese', 'hyperx' ),
		'section'  => 'typography',
		'type'     => 'checkbox',
		'priority' => 13
	) );

	// change headings global font family
	$wp_customize->add_setting( 'royal_typography[heading_family]', array(
	    'default' 	=> 'Roboto',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control(
		new Royal_Google_Fonts_Control( $wp_customize, 'royal_typography[heading_family]', array(
			'label'    => esc_html__( 'Heading Family', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 20
		)
	) );

	// change body text global font family
	$wp_customize->add_setting( 'royal_typography[body_text_family]', array(
	    'default' 	=> 'Muli',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control(
		new Royal_Google_Fonts_Control( $wp_customize, 'royal_typography[body_text_family]', array(
			'label'    => esc_html__( 'Body Text Family', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 25
		)
	) );


/* ----------------- Spacing Options ----------------- */

	// inner content text margins
	$wp_customize->add_setting( 'royal_typography[text_margins]', array(
	    'default' 	=> 12,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_typography[text_margins]', array(
			'label'    => esc_html__( 'Text Margins', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 30
		)
	) );



// Paragraph label
	$wp_customize->add_setting( 'royal_typography_p[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_typography_p[label]', array(
			'label'    => 'Paragraph',
			'section'  => 'typography',
			'priority' => 49
		)
	) );

/* ----------------- Paragraph Font Options ----------------- */

	// font family
	$wp_customize->add_setting( 'royal_typography_p[font_family]', array(
	    'default' 	=> 'Merriweather',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control(
		new Royal_Google_Fonts_Control( $wp_customize, 'royal_typography_p[font_family]', array(
			'label'    => esc_html__( 'Family', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 50
		)
	) );

	// font size
	$wp_customize->add_setting( 'royal_typography_p[font_size]', array(
	    'default' 	=> 13,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_typography_p[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 51
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_typography_p[line_height]', array(
	    'default' 	=> 25,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_typography_p[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 52
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_typography_p[letter_space]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_typography_p[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 53
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_typography_p[font_weight]', array(
	    'default' 	=> 400,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_typography_p[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 54
		)
	) );

	// italic
	$wp_customize->add_setting( 'royal_typography_p[italic]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_typography_p[italic]', array(
		'label'    => esc_html__( 'Italic', 'hyperx' ),
		'section'  => 'typography',
		'type'     => 'checkbox',
		'priority' => 55
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_typography_p[uppercase]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_typography_p[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'typography',
		'type'     => 'checkbox',
		'priority' => 56
	) );


// H1 label
	$wp_customize->add_setting( 'royal_typography_h1[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_typography_h1[label]', array(
			'label'    => 'H1',
			'section'  => 'typography',
			'priority' => 149
		)
	) );

/* ----------------- H1 Font Options ----------------- */

	// font family
	$wp_customize->add_setting( 'royal_typography_h1[font_family]', array(
	    'default' 	=> 'Lato',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control(
		new Royal_Google_Fonts_Control( $wp_customize, 'royal_typography_h1[font_family]', array(
			'label'    => esc_html__( 'Family', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 150
		)
	) );

	// font size
	$wp_customize->add_setting( 'royal_typography_h1[font_size]', array(
	    'default' 	=> 33,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_typography_h1[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 151
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_typography_h1[line_height]', array(
	    'default' 	=> 45,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_typography_h1[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 152
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_typography_h1[letter_space]', array(
	    'default' 	=> 0.5,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_typography_h1[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 153
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_typography_h1[font_weight]', array(
	    'default' 	=> 700,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_typography_h1[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 154
		)
	) );

	// italic
	$wp_customize->add_setting( 'royal_typography_h1[italic]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_typography_h1[italic]', array(
		'label'    => esc_html__( 'Italic', 'hyperx' ),
		'section'  => 'typography',
		'type'     => 'checkbox',
		'priority' => 155
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_typography_h1[uppercase]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_typography_h1[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'typography',
		'type'     => 'checkbox',
		'priority' => 156
	) );


// H2 label
	$wp_customize->add_setting( 'royal_typography_h2[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_typography_h2[label]', array(
			'label'    => 'H2',
			'section'  => 'typography',
			'priority' => 249
		)
	) );

/* ----------------- H2 Font Options ----------------- */

	// font family
	$wp_customize->add_setting( 'royal_typography_h2[font_family]', array(
	    'default' 	=> 'Lato',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control(
		new Royal_Google_Fonts_Control( $wp_customize, 'royal_typography_h2[font_family]', array(
			'label'    => esc_html__( 'Family', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 250
		)
	) );

	// font size
	$wp_customize->add_setting( 'royal_typography_h2[font_size]', array(
	    'default' 	=> 16,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_typography_h2[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 251
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_typography_h2[line_height]', array(
	    'default' 	=> 36,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_typography_h2[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 252
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_typography_h2[letter_space]', array(
	    'default' 	=> 0.8,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_typography_h2[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 253
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_typography_h2[font_weight]', array(
	    'default' 	=> 400,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_typography_h2[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 254
		)
	) );

	// italic
	$wp_customize->add_setting( 'royal_typography_h2[italic]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_typography_h2[italic]', array(
		'label'    => esc_html__( 'Italic', 'hyperx' ),
		'section'  => 'typography',
		'type'     => 'checkbox',
		'priority' => 255
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_typography_h2[uppercase]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_typography_h2[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'typography',
		'type'     => 'checkbox',
		'priority' => 256
	) );


// H3 label
	$wp_customize->add_setting( 'royal_typography_h3[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_typography_h3[label]', array(
			'label'    => 'H3',
			'section'  => 'typography',
			'priority' => 349
		)
	) );

/* ----------------- H3 Font Options ----------------- */

	// font family
	$wp_customize->add_setting( 'royal_typography_h3[font_family]', array(
	    'default' 	=> 'Lato',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control(
		new Royal_Google_Fonts_Control( $wp_customize, 'royal_typography_h3[font_family]', array(
			'label'    => esc_html__( 'Family', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 350
		)
	) );

	// font size
	$wp_customize->add_setting( 'royal_typography_h3[font_size]', array(
	    'default' 	=> 16,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_typography_h3[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 351
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_typography_h3[line_height]', array(
	    'default' 	=> 22,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_typography_h3[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 352
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_typography_h3[letter_space]', array(
	    'default' 	=> 0.5,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_typography_h3[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 353
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_typography_h3[font_weight]', array(
	    'default' 	=> 600,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_typography_h3[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 354
		)
	) );

	// italic
	$wp_customize->add_setting( 'royal_typography_h3[italic]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_typography_h3[italic]', array(
		'label'    => esc_html__( 'Italic', 'hyperx' ),
		'section'  => 'typography',
		'type'     => 'checkbox',
		'priority' => 355
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_typography_h3[uppercase]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_typography_h3[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'typography',
		'type'     => 'checkbox',
		'priority' => 356
	) );


// H4 label
	$wp_customize->add_setting( 'royal_typography_h4[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_typography_h4[label]', array(
			'label'    => 'H4',
			'section'  => 'typography',
			'priority' => 449
		)
	) );

/* ----------------- H4 Font Options ----------------- */

	// font family
	$wp_customize->add_setting( 'royal_typography_h4[font_family]', array(
	    'default' 	=> 'Lato',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control(
		new Royal_Google_Fonts_Control( $wp_customize, 'royal_typography_h4[font_family]', array(
			'label'    => esc_html__( 'Family', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 450
		)
	) );

	// font size
	$wp_customize->add_setting( 'royal_typography_h4[font_size]', array(
	    'default' 	=> 14,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_typography_h4[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 451
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_typography_h4[line_height]', array(
	    'default' 	=> 19,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_typography_h4[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 452
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_typography_h4[letter_space]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_typography_h4[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 453
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_typography_h4[font_weight]', array(
	    'default' 	=> 400,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_typography_h4[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 454
		)
	) );

	// italic
	$wp_customize->add_setting( 'royal_typography_h4[italic]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_typography_h4[italic]', array(
		'label'    => esc_html__( 'Italic', 'hyperx' ),
		'section'  => 'typography',
		'type'     => 'checkbox',
		'priority' => 455
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_typography_h4[uppercase]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_typography_h4[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'typography',
		'type'     => 'checkbox',
		'priority' => 456
	) );


// H5 label
	$wp_customize->add_setting( 'royal_typography_h5[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_typography_h5[label]', array(
			'label'    => 'H5',
			'section'  => 'typography',
			'priority' => 549
		)
	) );

/* ----------------- H5 Font Options ----------------- */

	// font family
	$wp_customize->add_setting( 'royal_typography_h5[font_family]', array(
	    'default' 	=> 'Lato',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control(
		new Royal_Google_Fonts_Control( $wp_customize, 'royal_typography_h5[font_family]', array(
			'label'    => esc_html__( 'Family', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 550
		)
	) );

	// font size
	$wp_customize->add_setting( 'royal_typography_h5[font_size]', array(
	    'default' 	=> 14,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_typography_h5[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 551
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_typography_h5[line_height]', array(
	    'default' 	=> 19,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_typography_h5[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 552
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_typography_h5[letter_space]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_typography_h5[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 553
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_typography_h5[font_weight]', array(
	    'default' 	=> 400,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_typography_h5[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 554
		)
	) );

	// italic
	$wp_customize->add_setting( 'royal_typography_h5[italic]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_typography_h5[italic]', array(
		'label'    => esc_html__( 'Italic', 'hyperx' ),
		'section'  => 'typography',
		'type'     => 'checkbox',
		'priority' => 555
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_typography_h5[uppercase]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_typography_h5[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'typography',
		'type'     => 'checkbox',
		'priority' => 556
	) );


// H6 label
	$wp_customize->add_setting( 'royal_typography_h6[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_typography_h6[label]', array(
			'label'    => 'H6',
			'section'  => 'typography',
			'priority' => 649
		)
	) );

/* ----------------- H6 Font Options ----------------- */

	// font family
	$wp_customize->add_setting( 'royal_typography_h6[font_family]', array(
	    'default' 	=> 'Lato',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control(
		new Royal_Google_Fonts_Control( $wp_customize, 'royal_typography_h6[font_family]', array(
			'label'    => esc_html__( 'Family', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 650
		)
	) );

	// font size
	$wp_customize->add_setting( 'royal_typography_h6[font_size]', array(
	    'default' 	=> 14,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_typography_h6[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 651
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_typography_h6[line_height]', array(
	    'default' 	=> 17,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_typography_h6[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 652
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_typography_h6[letter_space]', array(
	    'default' 	=> 0.5,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_typography_h6[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 653
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_typography_h6[font_weight]', array(
	    'default' 	=> 400,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_typography_h6[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'typography',
			'priority' => 654
		)
	) );

	// italic
	$wp_customize->add_setting( 'royal_typography_h6[italic]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_typography_h6[italic]', array(
		'label'    => esc_html__( 'Italic', 'hyperx' ),
		'section'  => 'typography',
		'type'     => 'checkbox',
		'priority' => 655
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_typography_h6[uppercase]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_typography_h6[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'typography',
		'type'     => 'checkbox',
		'priority' => 656
	) );




/*
***************************************************************
* #Preloader
***************************************************************
*/

	$section_preloaders = 'preloaders';
	
	if ( get_option('section_preloaders') === '' ) {
		$section_preloaders = 'preloaders_disabled';
	}

	// add Preloader Section -------------------------------------------
	$wp_customize->add_section( $section_preloaders, array(
	    'title' 		=> esc_html__( 'Preloader', 'hyperx' ),
	    'description' 	=> '',
	    'priority' 		=> 110
	) );


	class Royal_Preloader_Tabs extends WP_Customize_Control {
	    public $type = 'preloader';
	 
	    public function render_content() {

	    	$html  = '<label>';
	    		$html .= '<span class="customize-control-title">'. esc_html( $this->label ) .'</span>';
	    		$html .= '<textarea rows="10" style="width:100%;" '. $this->get_link() .'>'. esc_textarea( $this->value() ) .'</textarea>';
	    	$html .= '</label>';
	        
	        echo ''. $html;

	        // get options from db
	        $preloader = royal_get_option('royal_preloader');
	        
			?>

			<!-- Label -->
			<li id="customize-control-royal_preloader-label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $preloader['label'], true); ?>>
					<?php esc_html_e( 'Preloading Animation', 'hyperx' ); ?>
				</label>
			</li>

			<!-- General Options -->
			<li id="customize-control-royal_preloader-bg_trans" class="customize-control customize-control-select" style="display: list-item;">
				<label>
				<span class="customize-control-title"><?php esc_html_e( 'Background Transition', 'hyperx' ); ?></span>

				<select>
					<option <?php selected('0', $preloader['bg_trans'], true); ?> value="0">0ms</option>
					<option <?php selected('50', $preloader['bg_trans'], true); ?> value="50">50ms</option>
					<option <?php selected('100', $preloader['bg_trans'], true); ?> value="100">100ms</option>
					<option <?php selected('150', $preloader['bg_trans'], true); ?> value="150">150ms</option>
					<option <?php selected('200', $preloader['bg_trans'], true); ?> value="200">200ms</option>
					<option <?php selected('250', $preloader['bg_trans'], true); ?> value="250">250ms</option>
					<option <?php selected('300', $preloader['bg_trans'], true); ?> value="300">300ms</option>
					<option <?php selected('350', $preloader['bg_trans'], true); ?> value="350">350ms</option>
					<option <?php selected('400', $preloader['bg_trans'], true); ?> value="400">400ms</option>
					<option <?php selected('450', $preloader['bg_trans'], true); ?> value="450">450ms</option>
					<option <?php selected('500', $preloader['bg_trans'], true); ?> value="500">500ms</option>
					<option <?php selected('550', $preloader['bg_trans'], true); ?> value="550">550ms</option>
					<option <?php selected('600', $preloader['bg_trans'], true); ?> value="600">600ms</option>
					<option <?php selected('650', $preloader['bg_trans'], true); ?> value="650">650ms</option>
					<option <?php selected('700', $preloader['bg_trans'], true); ?> value="700">700ms</option>
					<option <?php selected('750', $preloader['bg_trans'], true); ?> value="750">750ms</option>
					<option <?php selected('800', $preloader['bg_trans'], true); ?> value="800">800ms</option>
					<option <?php selected('850', $preloader['bg_trans'], true); ?> value="850">850ms</option>
					<option <?php selected('900', $preloader['bg_trans'], true); ?> value="900">900ms</option>
					<option <?php selected('950', $preloader['bg_trans'], true); ?> value="950">950ms</option>
					<option <?php selected('1000', $preloader['bg_trans'], true); ?> value="1000">1000ms</option>
				</select>
				
				</label>
			</li>
			<li id="customize-control-royal_preloader-anim" class="customize-control customize-control-select" style="display: list-item;">
				<label>
				<span class="customize-control-title"><?php esc_html_e( 'Select Icon', 'hyperx' ); ?></span>

				<select>
					<option <?php selected('none', $preloader['anim'], true); ?> value="none">None</option>
					<option <?php selected('logo', $preloader['anim'], true); ?> value="logo">Logo</option>
					<option <?php selected('spinner1', $preloader['anim'], true); ?> value="spinner1">Spinner 1</option>
					<option <?php selected('spinner2', $preloader['anim'], true); ?> value="spinner2">Spinner 2</option>
					<option <?php selected('spinner3', $preloader['anim'], true); ?> value="spinner3">Spinner 3</option>
					<option <?php selected('spinner4', $preloader['anim'], true); ?> value="spinner4">Spinner 4</option>
					<option <?php selected('spinner5', $preloader['anim'], true); ?> value="spinner5">Spinner 5</option>
					<option <?php selected('spinner6', $preloader['anim'], true); ?> value="spinner6">Spinner 6</option>
					<option <?php selected('horizontal1', $preloader['anim'], true); ?> value="horizontal1">Horizontal 1</option>
					<option <?php selected('horizontal2', $preloader['anim'], true); ?> value="horizontal2">Horizontal 2</option>
					<option <?php selected('horizontal3', $preloader['anim'], true); ?> value="horizontal3">Horizontal 3</option>
					<option <?php selected('3d1', $preloader['anim'], true); ?> value="3d1">3D 1</option>
					<option <?php selected('3d2', $preloader['anim'], true); ?> value="3d2">3D 2</option>
				</select>
				
				</label>
			</li>
			<li id="customize-control-royal_preloader-anim_size" class="customize-control customize-control-select" style="display: list-item;">
				<label>
				<span class="customize-control-title"><?php esc_html_e( 'Select Icon Size', 'hyperx' ); ?></span>

				<select>
					<option <?php selected('normal', $preloader['anim_size'], true); ?> value="normal"><?php esc_html_e( 'Normal', 'hyperx' ); ?></option>
					<option <?php selected('large', $preloader['anim_size'], true); ?> value="large"><?php esc_html_e( 'Large', 'hyperx' ); ?></option>
				</select>
				
				</label>
			</li>

			<!-- Styling Options -->
			<li id="customize-control-royal_preloader-anim_color" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Animation Color', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($preloader['anim_color']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_preloader-bg_color" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Background Color', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($preloader['bg_color']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_preloader-bg_color_tr" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Transparency', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($preloader['bg_color_tr']); ?>" id="royal_rg_preloader_bg_color_tr" />
					<div id="royal_sl_preloader_bg_color_tr" class="rf-slider"></div>
				</div>
			</li>

			<?php
	    }
	}


	// preloader
	$wp_customize->add_setting( 'royal_preloader[db_input]', array(
	    'default' 	=> 'preloader-label[false]___preloader-bg_trans[0]___preloader-anim[none]___preloader-anim_size[normal]___preloader-anim_color[#000000]___preloader-bg_color[#ffffff]___preloader-bg_color_tr[1]___preloader-fx[none]___preloader-fx_speed[700]',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_textarea'
	) );

	$wp_customize->add_control(
		new Royal_Preloader_Tabs( $wp_customize, 'royal_preloader[db_input]', array(
			'label'    => '',
			'section'  => 'preloaders',
			'priority' => 10
		)
	) );



/*
***************************************************************
* #Custom CSS
***************************************************************
*/

	$section_custom_css = 'custom_css';
	
	if ( get_option('section_custom_css') === '' ) {
		$section_custom_css = 'custom_css_disabled';
	}

	// add Custom Css Section -------------------------------------------
	$wp_customize->add_section( $section_custom_css, array(
	    'title' 		=> esc_html__( 'Custom CSS', 'hyperx' ),
	    'description' 	=> esc_html__( 'Custom CSS for special purposes. Have Fun :)', 'hyperx' ),
	    'priority' 		=> 115
	) );

	// custom css field
	$wp_customize->add_setting( 'royal_custom_css[textarea]', array(
	    'default' 	=> '',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_textarea'
	) );

	$wp_customize->add_control(
		new Royal_Textarea_Control( $wp_customize, 'royal_custom_css[textarea]', array(
			'label'    => '',
			'section'  => 'custom_css',
			'priority' => 5
		)
	) );

	// full screen options label
	$wp_customize->add_setting( 'royal_custom_css[full_screen_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_custom_css[full_screen_label]', array(
			'label'    => esc_html__( 'Editor Styling', 'hyperx' ),
			'section'  => 'custom_css',
			'priority' => 9
		)
	) );

	// custom css field text color
	$wp_customize->add_setting( 'royal_custom_css[text_color]', array(
	    'default' 	=> '#333333',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_custom_css[text_color]', array(
			'label'    => esc_html__( 'Text Color', 'hyperx' ),
			'section'  => 'custom_css',
			'priority' => 10
		)
	) );

	// custom css field background color
	$wp_customize->add_setting( 'royal_custom_css[bg_color]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_custom_css[bg_color]', array(
			'label'    => esc_html__( 'Background Color', 'hyperx' ),
			'section'  => 'custom_css',
			'priority' => 11
		)
	) );

	// custom css field background color transparency
	$wp_customize->add_setting( 'royal_custom_css[bg_color_tr]', array(
	    'default' 	=> 0.7,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_custom_css[bg_color_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'custom_css',
			'priority' => 12
		)
	) );

	// custom css field background color transparency
	$wp_customize->add_setting( 'royal_custom_css[font_size]', array(
	    'default' 	=> 13,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_custom_css[font_size]', array(
			'label'    => esc_html__( 'Font Size', 'hyperx' ),
			'section'  => 'custom_css',
			'priority' => 13
		)
	) );

	// Theme Activation
	$wp_customize->add_setting( 'royal_custom_css[hyperx_activation]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_custom_css[hyperx_activation]', array(
		'label'    => '',
		'section'  => 'custom_css',
		'type'     => 'checkbox',
		'priority' => 320
	) );



/*
***************************************************************
* #Custom JS / Ga
***************************************************************
*/

	$section_custom_js = 'custom_js';
	
	if ( get_option('section_custom_js') === '' ) {
		$section_custom_js = 'custom_js_disabled';
	}

	// add Custom JS / Google Analitics Section -------------------------------------------
	$wp_customize->add_section( $section_custom_js, array(
	    'title' 		=> esc_html__( 'Custom JS / GA', 'hyperx' ),
	    'description' 	=> esc_html__( 'Use this field for Custom JavaScript or Google Analytics Code, but without &lt;script&gt; And &lt;/script&gt; tags.', 'hyperx' ),
	    'priority' 		=> 120
	) );

	// custom js field
	$wp_customize->add_setting( 'royal_custom_js[textarea]', array(
	    'default' 	=> '',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_textarea'
	) );

	$wp_customize->add_control(
		new Royal_Textarea_Control( $wp_customize, 'royal_custom_js[textarea]', array(
			'label'    => '',
			'section'  => 'custom_js',
			'priority' => 5
		)
	) );



/*
***************************************************************
* #Sidebar Widgets
***************************************************************
*/

	$section_sidebar_widgets = 'sidebar_widgets';
	
	if ( get_option('section_sidebar_widgets') === '' ) {
		$section_sidebar_widgets = 'sidebar_widgets_disabled';
	}

	// add Sidebar Widgets Section -------------------------------------------
	$wp_customize->add_section( $section_sidebar_widgets, array(
	    'title' 		=> esc_html__( '  Sidebar Widgets', 'hyperx' ),
	    'priority' 		=> 1002
	) );

	// sidebar widgets title label
	$wp_customize->add_setting( 'royal_sWidgets_title[label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sWidgets_title[label]', array(
		'label'    => esc_html__( 'Widget Title', 'hyperx' ),
		'section'  => 'sidebar_widgets',
		'type'     => 'checkbox',
		'priority' => 9
	) );


/* ----------------- Title General Options ----------------- */

	// align
	$wp_customize->add_setting( 'royal_sWidgets_title[align]', array(
	    'default' 	=> 'left',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_sWidgets_title[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'sidebar_widgets',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 15
	) );


/* ----------------- Title Spacing Options ----------------- */

	// padding bottom
	$wp_customize->add_setting( 'royal_sWidgets_title[padding_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sWidgets_title[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 30
		)
	) );

	// margin bottom
	$wp_customize->add_setting( 'royal_sWidgets_title[margin_bt]', array(
	    'default' 	=> 12,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sWidgets_title[margin_bt]', array(
			'label'    => esc_html__( 'Margin Bottom', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 35
		)
	) );


/* ----------------- Title Styling Options----------------- */

	// color
	$wp_customize->add_setting( 'royal_sWidgets_title[color]', array(
	    'default' 	=> '#3a3a3a',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_sWidgets_title[color]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 40
		)
	) );

	// border label
	$wp_customize->add_setting( 'royal_sWidgets_title[border_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sWidgets_title[border_label]', array(
		'label'    => esc_html__( 'Border Bottom', 'hyperx' ),
		'section'  => 'sidebar_widgets',
		'type'     => 'checkbox',
		'priority' => 49
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_sWidgets_title[bd_size_bt]', array(
	    'default' 	=> 2,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sWidgets_title[bd_size_bt]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 50
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_sWidgets_title[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_sWidgets_title[bd_style_bt]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'sidebar_widgets',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 51
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_sWidgets_title[bd_col_bt]', array(
	    'default' 	=> '#f4f4f4',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_sWidgets_title[bd_col_bt]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 52
		)
	) );

	// full width border
	$wp_customize->add_setting( 'royal_sWidgets_title[bd_full_width]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sWidgets_title[bd_full_width]', array(
		'label'    => esc_html__( 'Full Width Border', 'hyperx' ),
		'section'  => 'sidebar_widgets',
		'type'     => 'checkbox',
		'priority' => 53
	) );


/* ----------------- Title Font Options ----------------- */

	// font family
	$wp_customize->add_setting( 'royal_sWidgets_title[font_family]', array(
	    'default' 	=> 'Lato',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control(
		new Royal_Google_Fonts_Control( $wp_customize, 'royal_sWidgets_title[font_family]', array(
			'label'    => esc_html__( 'Family', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 60
		)
	) );

	// font size
	$wp_customize->add_setting( 'royal_sWidgets_title[font_size]', array(
	    'default' 	=> 15,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sWidgets_title[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 61
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_sWidgets_title[line_height]', array(
	    'default' 	=> 30,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sWidgets_title[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 62
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_sWidgets_title[letter_space]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sWidgets_title[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 63
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_sWidgets_title[font_weight]', array(
	    'default' 	=> 700,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sWidgets_title[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 64
		)
	) );

	// italic
	$wp_customize->add_setting( 'royal_sWidgets_title[italic]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sWidgets_title[italic]', array(
		'label'    => esc_html__( 'Italic', 'hyperx' ),
		'section'  => 'sidebar_widgets',
		'type'     => 'checkbox',
		'priority' => 65
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_sWidgets_title[uppercase]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sWidgets_title[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'sidebar_widgets',
		'type'     => 'checkbox',
		'priority' => 66
	) );


// widget content label
	$wp_customize->add_setting( 'royal_sWidgets_content[label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sWidgets_content[label]', array(
		'label'    => esc_html__( 'Widget Content', 'hyperx' ),
		'section'  => 'sidebar_widgets',
		'type'     => 'checkbox',
		'priority' => 95
	) );

/* ----------------- Content General Options ----------------- */

	// align
	$wp_customize->add_setting( 'royal_sWidgets_content[align]', array(
	    'default' 	=> 'left',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_sWidgets_content[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'sidebar_widgets',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 97
	) );


/* ----------------- Content Spacing Options ----------------- */

	// padding general
	$wp_customize->add_setting( 'royal_sWidgets_content[padding_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sWidgets_content[padding_gen]', array(
			'label'    => esc_html__( 'Padding', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 100
		)
	) );

	// padding top
	$wp_customize->add_setting( 'royal_sWidgets_content[padding_tp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sWidgets_content[padding_tp]', array(
			'label'    => esc_html__( 'Padding Top', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 101
		)
	) );

	// padding right
	$wp_customize->add_setting( 'royal_sWidgets_content[padding_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sWidgets_content[padding_rt]', array(
			'label'    => esc_html__( 'Padding Right', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 102
		)
	) );

	// padding bottom
	$wp_customize->add_setting( 'royal_sWidgets_content[padding_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sWidgets_content[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 103
		)
	) );

	// padding left
	$wp_customize->add_setting( 'royal_sWidgets_content[padding_lt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sWidgets_content[padding_lt]', array(
			'label'    => esc_html__( 'Padding Left', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 104
		)
	) );

	// padding advanced button
	$wp_customize->add_setting( 'royal_sWidgets_content[padding_ad]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sWidgets_content[padding_ad]', array(
		'label'    => '',
		'section'  => 'sidebar_widgets',
		'type'     => 'checkbox',
		'priority' => 105
	) );


/* ----------------- Content Styling Options ----------------- */

	// background color
	$wp_customize->add_setting( 'royal_sWidgets_content[bg_col]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_sWidgets_content[bg_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 120
		)
	) );

	// background color transparency
	$wp_customize->add_setting( 'royal_sWidgets_content[bg_col_tr]', array(
	    'default' 	=> 0.8,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sWidgets_content[bg_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 121
		)
	) );

	// text color
	$wp_customize->add_setting( 'royal_sWidgets_content[txt_col]', array(
	    'default' 	=> '#3a3a3a',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_sWidgets_content[txt_col]', array(
			'label'    => esc_html__( 'Text Color', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 122
		)
	) );

	// link color
	$wp_customize->add_setting( 'royal_sWidgets_content[link_col]', array(
	    'default' 	=> '#3a3a3a',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_sWidgets_content[link_col]', array(
			'label'    => esc_html__( 'Link Color', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 123
		)
	) );

	// link hover color
	$wp_customize->add_setting( 'royal_sWidgets_content[link_hcol]', array(
	    'default' 	=> '#8d8d8d',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_sWidgets_content[link_hcol]', array(
			'label'    => esc_html__( 'Link Hover Color', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 124
		)
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_sWidgets_content[radius_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sWidgets_content[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'sidebar_widgets',
		'type'     => 'checkbox',
		'priority' => 142
	) );

	// border radius
	$wp_customize->add_setting( 'royal_sWidgets_content[radius]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sWidgets_content[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 143
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_sWidgets_content[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sWidgets_content[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'sidebar_widgets',
		'type'     => 'checkbox',
		'priority' => 144
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_sWidgets_content[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sWidgets_content[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 145
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_sWidgets_content[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sWidgets_content[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 146
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_sWidgets_content[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sWidgets_content[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 147
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_sWidgets_content[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sWidgets_content[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 148
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_sWidgets_content[shad_col]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_sWidgets_content[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 149
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_sWidgets_content[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sWidgets_content[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 150
		)
	) );


	// box shadow inset
	$wp_customize->add_setting( 'royal_sWidgets_content[shad_in]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sWidgets_content[shad_in]', array(
		'label'    => esc_html__( 'Inner', 'hyperx' ),
		'section'  => 'sidebar_widgets',
		'type'     => 'checkbox',
		'priority' => 151
	) );


/* ----------------- Content Font Options ----------------- */

	// font family
	$wp_customize->add_setting( 'royal_sWidgets_content[font_family]', array(
	    'default' 	=> 'Arial',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control(
		new Royal_Google_Fonts_Control( $wp_customize, 'royal_sWidgets_content[font_family]', array(
			'label'    => esc_html__( 'Family', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 160
		)
	) );

	// font size
	$wp_customize->add_setting( 'royal_sWidgets_content[font_size]', array(
	    'default' 	=> 15,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sWidgets_content[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 161
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_sWidgets_content[line_height]', array(
	    'default' 	=> 25,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sWidgets_content[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 162
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_sWidgets_content[letter_space]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sWidgets_content[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 163
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_sWidgets_content[font_weight]', array(
	    'default' 	=> 500,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_sWidgets_content[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'sidebar_widgets',
			'priority' => 164
		)
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_sWidgets_content[uppercase]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sWidgets_content[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'sidebar_widgets',
		'type'     => 'checkbox',
		'priority' => 165
	) );
	
	// underline
	$wp_customize->add_setting( 'royal_sWidgets_content[underline]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_sWidgets_content[underline]', array(
		'label'    => esc_html__( 'Underline', 'hyperx' ),
		'section'  => 'sidebar_widgets',
		'type'     => 'checkbox',
		'priority' => 166
	) );




/*
***************************************************************
* #Top & Footer Widgets
***************************************************************
*/

	$section_footer_widgets = 'footer_widgets';
	
	if ( get_option('section_footer_widgets') === '' ) {
		$section_footer_widgets = 'footer_widgets_disabled';
	}

	// add Top & Footer Widgets Section -------------------------------------------
	$wp_customize->add_section( $section_footer_widgets, array(
	    'title' 		=> esc_html__( '  Top & Footer Widgets', 'hyperx' ),
	    'priority' 		=> 1003
	) );

	// footer widgets general label
	$wp_customize->add_setting( 'royal_fWidgets_general[label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_fWidgets_general[label]', array(
			'label'    => esc_html__( 'General', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 9
		)
	) );

/* ----------------- General Options ----------------- */

	// include footer widgets
	$wp_customize->add_setting( 'royal_fWidgets_general[inc_label]', array( 'sanitize_callback' => 'royal_sanitize_sample' ) );

	$wp_customize->add_control(
		new Royal_Custom_Label_Control( $wp_customize, 'royal_fWidgets_general[inc_label]', array(
			'label'    => esc_html__( 'Include Footer Widgets on:', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 10
		)
	) );

	// blog
	$wp_customize->add_setting( 'royal_fWidgets_general[inc_blog]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_fWidgets_general[inc_blog]', array(
		'label'    => esc_html__( 'Blog Page', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'checkbox',
		'priority' => 11
	) );

	// blog single
	$wp_customize->add_setting( 'royal_fWidgets_general[inc_blog_single]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_fWidgets_general[inc_blog_single]', array(
		'label'    => esc_html__( 'Blog Single Page', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'checkbox',
		'priority' => 12
	) );

	// portfolio
	$wp_customize->add_setting( 'royal_fWidgets_general[inc_portfolio]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_fWidgets_general[inc_portfolio]', array(
		'label'    => esc_html__( 'Portfolio Page', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'checkbox',
		'priority' => 13
	) );

	// portfolio single
	$wp_customize->add_setting( 'royal_fWidgets_general[inc_portfolio_single]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_fWidgets_general[inc_portfolio_single]', array(
		'label'    => esc_html__( 'Portfolio Single Page', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'checkbox',
		'priority' => 14
	) );

	// shop
	$wp_customize->add_setting( 'royal_fWidgets_general[inc_shop]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_fWidgets_general[inc_shop]', array(
		'label'    => esc_html__( 'Shop Page', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'checkbox',
		'priority' => 15
	) );

	// shop single
	$wp_customize->add_setting( 'royal_fWidgets_general[inc_shop_single]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_fWidgets_general[inc_shop_single]', array(
		'label'    => esc_html__( 'Shop Single Page', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'checkbox',
		'priority' => 16
	) );

	// contact
	$wp_customize->add_setting( 'royal_fWidgets_general[inc_contact]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_fWidgets_general[inc_contact]', array(
		'label'    => esc_html__( 'Contact Page', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'checkbox',
		'priority' => 17
	) );

	// default
	$wp_customize->add_setting( 'royal_fWidgets_general[inc_default]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_fWidgets_general[inc_default]', array(
		'label'    => esc_html__( 'Default Page Template', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'checkbox',
		'priority' => 18
	) );


	// footer widgets columns
	$wp_customize->add_setting( 'royal_fWidgets_general[columns]', array(
	    'default' 	=> '4',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_fWidgets_general[columns]', array(
		'label'    => esc_html__( 'Columns', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'select',
		'choices'  => array(
			'2' 	=> esc_html__( 'Two', 'hyperx' ),
			'3' 	=> esc_html__( 'Three', 'hyperx' ),
			'4' 	=> esc_html__( 'Four', 'hyperx' )
		),
		'priority' => 35
	) );

	// FontAwesome icon select
	$wp_customize->add_setting( 'royal_fWidgets_general[icon]', array(
	    'default' 	=> 'angle-down',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_fWidgets_general[icon]', array(
		'label'    => esc_html__( 'Toggle Icon Select', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'select',
		'choices'  => array(
			'plus' 					=> '&#xf067;',
			'navicon' 				=> '&#xf0c9;',
			'caret-down' 			=> '&#xf0d7;',
			'angle-down' 			=> '&#xf107;',
			'angle-double-down' 	=> '&#xf103;',
			'chevron-down' 			=> '&#xf078;',
			'arrow-down' 			=> '&#xf063;',
			'long-arrow-down' 		=> '&#xf175;',
			'level-down' 			=> '&#xf149;',
			'arrow-circle-down' 	=> '&#xf0ab;',
			'arrow-circle-o-down' 	=> '&#xf01a;',
			'hand-o-down' 			=> '&#xf0a7;'
		),
		'priority' => 40
	) );


/* ----------------- Spacing Options ----------------- */

	// padding general
	$wp_customize->add_setting( 'royal_fWidgets_general[padding_gen]', array(
	    'default' 	=> 40,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_general[padding_gen]', array(
			'label'    => esc_html__( 'Padding', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 50
		)
	) );

	// padding top
	$wp_customize->add_setting( 'royal_fWidgets_general[padding_tp]', array(
	    'default' 	=> 40,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_general[padding_tp]', array(
			'label'    => esc_html__( 'Padding Top', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 51
		)
	) );

	// padding right
	$wp_customize->add_setting( 'royal_fWidgets_general[padding_rt]', array(
	    'default' 	=> 59,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_general[padding_rt]', array(
			'label'    => esc_html__( 'Padding Right', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 52
		)
	) );

	// padding bottom
	$wp_customize->add_setting( 'royal_fWidgets_general[padding_bt]', array(
	    'default' 	=> 38,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_general[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 53
		)
	) );

	// padding left
	$wp_customize->add_setting( 'royal_fWidgets_general[padding_lt]', array(
	    'default' 	=> 59,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_general[padding_lt]', array(
			'label'    => esc_html__( 'Padding Left', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 54
		)
	) );

	// padding advanced button
	$wp_customize->add_setting( 'royal_fWidgets_general[padding_ad]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_fWidgets_general[padding_ad]', array(
		'label'    => '',
		'section'  => 'footer_widgets',
		'type'     => 'checkbox',
		'priority' => 55
	) );

	// horizontal gutter
	$wp_customize->add_setting( 'royal_fWidgets_general[gutter_horz]', array(
	    'default' 	=> 40,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_general[gutter_horz]', array(
			'label'    => esc_html__( 'Horizontal Gutter', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 65
		)
	) );

	// vertical gutter
	$wp_customize->add_setting( 'royal_fWidgets_general[gutter_vert]', array(
	    'default' 	=> 40,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_general[gutter_vert]', array(
			'label'    => esc_html__( 'Vertical Gutter', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 66
		)
	) );


/* ----------------- Styling Options----------------- */

	// Background
	$wp_customize->add_setting( 'royal_fWidgets_general[background]', array(
	    'default' 	=> 'color',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_fWidgets_general[background]', array(
		'label'    => esc_html__( 'Background', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'select',
		'choices'  => array(
			'color' 	=> esc_html__( 'Color', 'hyperx' ),
			'gradient' 	=> esc_html__( 'Gradient', 'hyperx' ),
			'image' 	=> esc_html__( 'Image', 'hyperx' )
		),
		'priority' => 100
	) );

	// background color
	$wp_customize->add_setting( 'royal_fWidgets_general[bg_color]', array(
	    'default' 	=> '#393939',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_fWidgets_general[bg_color]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 101
		)
	) );

	// background gradient color 1 transparency
	$wp_customize->add_setting( 'royal_fWidgets_general[bg_color_tr]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_general[bg_color_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 102
		)
	) );

	// background gradient angle
	$wp_customize->add_setting( 'royal_fWidgets_general[bg_grad_angle]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_general[bg_grad_angle]', array(
			'label'    => esc_html__( 'Angle', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 103
		)
	) );

	// background gradient color 1
	$wp_customize->add_setting( 'royal_fWidgets_general[bg_grad_col_1]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_fWidgets_general[bg_grad_col_1]', array(
			'label'    => esc_html__( 'Start Color', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 104
		)
	) );

	// background gradient color 1 transparency
	$wp_customize->add_setting( 'royal_fWidgets_general[bg_grad_col_1_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_general[bg_grad_col_1_tr]', array(
			'label'    => esc_html__( 'Start Color Transparency', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 105
		)
	) );

	// background gradient color 1 position
	$wp_customize->add_setting( 'royal_fWidgets_general[bg_grad_col_1_ps]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_general[bg_grad_col_1_ps]', array(
			'label'    => esc_html__( 'Start Color Position', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 106
		)
	) );

	// background gradient color 2
	$wp_customize->add_setting( 'royal_fWidgets_general[bg_grad_col_2]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_fWidgets_general[bg_grad_col_2]', array(
			'label'    => esc_html__( 'End Color', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 107
		)
	) );

	// background gradient color 2 transparency
	$wp_customize->add_setting( 'royal_fWidgets_general[bg_grad_col_2_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_general[bg_grad_col_2_tr]', array(
			'label'    => esc_html__( 'End Color Transparency', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 108
		)
	) );

	// background gradient color 2 position
	$wp_customize->add_setting( 'royal_fWidgets_general[bg_grad_col_2_ps]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_general[bg_grad_col_2_ps]', array(
			'label'    => esc_html__( 'End Color Position', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 109
		)
	) );

	// background image upload
	$wp_customize->add_setting( 'royal_fWidgets_general[bg_img]', array(
	    'default' 	=> '',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'esc_url_raw'
	) );

	$wp_customize->add_control(
		new WP_Customize_Image_Control( $wp_customize, 'royal_fWidgets_general[bg_img]', array(
			'label'    => esc_html__( 'Upload', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 110
		)
	) );

	// background image size
	$wp_customize->add_setting( 'royal_fWidgets_general[bg_img_sz]', array(
	    'default' 	=> 'pattern',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_fWidgets_general[bg_img_sz]', array(
		'label'    => esc_html__( 'Size', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'radio',
		'choices'  => array(
			'pattern' 	=> esc_html__( 'Pattern', 'hyperx' ),
			'cover' 	=> esc_html__( 'Cover', 'hyperx' )
		),
		'priority' => 111
	) );

	// background image attachment
	$wp_customize->add_setting( 'royal_fWidgets_general[bg_img_att]', array(
	    'default' 	=> 'scroll',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_radio'
	) );

	$wp_customize->add_control( 'royal_fWidgets_general[bg_img_att]', array(
		'label'    => esc_html__( 'Attachment', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'radio',
		'choices'  => array(
			'scroll' 	=> esc_html__( 'Scroll', 'hyperx' ),
			'fixed' 	=> esc_html__( 'Fixed', 'hyperx' )
		),
		'priority' => 112
	) );

	// border label
	$wp_customize->add_setting( 'royal_fWidgets_general[border_label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_fWidgets_general[border_label]', array(
		'label'    => esc_html__( 'Border', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'checkbox',
		'priority' => 144
	) );

	// border size general
	$wp_customize->add_setting( 'royal_fWidgets_general[bd_size_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_general[bd_size_gen]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 145
		)
	) );

	// border style general
	$wp_customize->add_setting( 'royal_fWidgets_general[bd_style_gen]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_fWidgets_general[bd_style_gen]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 146
	) );

	// border color general
	$wp_customize->add_setting( 'royal_fWidgets_general[bd_col_gen]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_fWidgets_general[bd_col_gen]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 147
		)
	) );

	// border top size
	$wp_customize->add_setting( 'royal_fWidgets_general[bd_size_tp]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_general[bd_size_tp]', array(
			'label'    => esc_html__( 'Top Size', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 148
		)
	) );

	// border top style
	$wp_customize->add_setting( 'royal_fWidgets_general[bd_style_tp]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_fWidgets_general[bd_style_tp]', array(
		'label'    => esc_html__( 'Top Style', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 149
	) );

	// border top color
	$wp_customize->add_setting( 'royal_fWidgets_general[bd_col_tp]', array(
	    'default' 	=> '#f4f4f4',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_fWidgets_general[bd_col_tp]', array(
			'label'    => esc_html__( 'Top Color', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 150
		)
	) );

	// border right size
	$wp_customize->add_setting( 'royal_fWidgets_general[bd_size_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_general[bd_size_rt]', array(
			'label'    => esc_html__( 'Right Size', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 151
		)
	) );

	// border right style
	$wp_customize->add_setting( 'royal_fWidgets_general[bd_style_rt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_fWidgets_general[bd_style_rt]', array(
		'label'    => esc_html__( 'Right Style', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 152
	) );

	// border right color
	$wp_customize->add_setting( 'royal_fWidgets_general[bd_col_rt]', array(
	    'default' 	=> '#f4f4f4',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_fWidgets_general[bd_col_rt]', array(
			'label'    => esc_html__( 'Right Color', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 153
		)
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_fWidgets_general[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_general[bd_size_bt]', array(
			'label'    => esc_html__( 'Bottom Size', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 154
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_fWidgets_general[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_fWidgets_general[bd_style_bt]', array(
		'label'    => esc_html__( 'Bottom Style', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 155
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_fWidgets_general[bd_col_bt]', array(
	    'default' 	=> '#f4f4f4',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_fWidgets_general[bd_col_bt]', array(
			'label'    => esc_html__( 'Bottom Color', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 156
		)
	) );

	// border left size
	$wp_customize->add_setting( 'royal_fWidgets_general[bd_size_lt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_general[bd_size_lt]', array(
			'label'    => esc_html__( 'Left Size', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 157
		)
	) );

	// border left style
	$wp_customize->add_setting( 'royal_fWidgets_general[bd_style_lt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_fWidgets_general[bd_style_lt]', array(
		'label'    => esc_html__( 'Left Style', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 158
	) );

	// border left color
	$wp_customize->add_setting( 'royal_fWidgets_general[bd_col_lt]', array(
	    'default' 	=> '#f4f4f4',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_fWidgets_general[bd_col_lt]', array(
			'label'    => esc_html__( 'Left Color', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 159
		)
	) );

	// border advanced button
	$wp_customize->add_setting( 'royal_fWidgets_general[bd_ad]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_fWidgets_general[bd_ad]', array(
		'label'    => '',
		'section'  => 'footer_widgets',
		'type'     => 'checkbox',
		'priority' => 160
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_fWidgets_general[radius_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_fWidgets_general[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'checkbox',
		'priority' => 162
	) );

	// border radius
	$wp_customize->add_setting( 'royal_fWidgets_general[radius]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_general[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 163
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_fWidgets_general[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_fWidgets_general[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'checkbox',
		'priority' => 165
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_fWidgets_general[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_general[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 166
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_fWidgets_general[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_general[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 167
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_fWidgets_general[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_general[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 168
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_fWidgets_general[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_general[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 169
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_fWidgets_general[shad_col]', array(
	    'default' 	=> '#000000',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_fWidgets_general[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 170
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_fWidgets_general[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_general[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 171
		)
	) );

	// box shadow inset
	$wp_customize->add_setting( 'royal_fWidgets_general[shad_in]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_fWidgets_general[shad_in]', array(
		'label'    => esc_html__( 'Inner', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'checkbox',
		'priority' => 172
	) );



// footer widgets title label
	$wp_customize->add_setting( 'royal_fWidgets_title[label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_fWidgets_title[label]', array(
		'label'    => esc_html__( 'Widget Title', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'checkbox',
		'priority' => 204
	) );

/* ----------------- Title General Options ----------------- */

	// align
	$wp_customize->add_setting( 'royal_fWidgets_title[align]', array(
	    'default' 	=> 'left',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_fWidgets_title[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 205
	) );


/* ----------------- Title Spacing Options ----------------- */

	// padding bottom
	$wp_customize->add_setting( 'royal_fWidgets_title[padding_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_title[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 220
		)
	) );

	// margin bottom
	$wp_customize->add_setting( 'royal_fWidgets_title[margin_bt]', array(
	    'default' 	=> 8,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_title[margin_bt]', array(
			'label'    => esc_html__( 'Margin Bottom', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 225
		)
	) );


/* ----------------- Title Styling Options----------------- */

	// color
	$wp_customize->add_setting( 'royal_fWidgets_title[color]', array(
	    'default' 	=> '#f8f8f8',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_fWidgets_title[color]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 230
		)
	) );

	// border label
	$wp_customize->add_setting( 'royal_fWidgets_title[border_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_fWidgets_title[border_label]', array(
		'label'    => esc_html__( 'Border Bottom', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'checkbox',
		'priority' => 249
	) );

	// border bottom size
	$wp_customize->add_setting( 'royal_fWidgets_title[bd_size_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_title[bd_size_bt]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 250
		)
	) );

	// border bottom style
	$wp_customize->add_setting( 'royal_fWidgets_title[bd_style_bt]', array(
	    'default' 	=> 'solid',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_fWidgets_title[bd_style_bt]', array(
		'label'    => esc_html__( 'Style', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'select',
		'choices'  => array(
			'solid' 	=> esc_html__( 'Solid', 'hyperx' ),
			'dotted' 	=> esc_html__( 'Dotted', 'hyperx' ),
			'dashed' 	=> esc_html__( 'Dashed', 'hyperx' ),
			'double' 	=> esc_html__( 'Double', 'hyperx' ),
			'groove'	=> esc_html__( 'Groove', 'hyperx' ),
			'ridge'		=> esc_html__( 'Ridge', 'hyperx' ),
			'inset'		=> esc_html__( 'Inset', 'hyperx' ),
			'outset'	=> esc_html__( 'Outset', 'hyperx' )
		),
		'priority' => 251
	) );

	// border bottom color
	$wp_customize->add_setting( 'royal_fWidgets_title[bd_col_bt]', array(
	    'default' 	=> '#dddddd',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_fWidgets_title[bd_col_bt]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 252
		)
	) );

	// full width border
	$wp_customize->add_setting( 'royal_fWidgets_title[bd_full_width]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_fWidgets_title[bd_full_width]', array(
		'label'    => esc_html__( 'Full Width Border', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'checkbox',
		'priority' => 253
	) );


/* ----------------- Title Font Options ----------------- */

	// font family
	$wp_customize->add_setting( 'royal_fWidgets_title[font_family]', array(
	    'default' 	=> 'Lato',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control(
		new Royal_Google_Fonts_Control( $wp_customize, 'royal_fWidgets_title[font_family]', array(
			'label'    => esc_html__( 'Family', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 260
		)
	) );

	// font size
	$wp_customize->add_setting( 'royal_fWidgets_title[font_size]', array(
	    'default' 	=> 15,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_title[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 261
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_fWidgets_title[line_height]', array(
	    'default' 	=> 34,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_title[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 262
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_fWidgets_title[letter_space]', array(
	    'default' 	=> 1,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_title[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 263
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_fWidgets_title[font_weight]', array(
	    'default' 	=> 700,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_title[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 264
		)
	) );

	// italic
	$wp_customize->add_setting( 'royal_fWidgets_title[italic]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_fWidgets_title[italic]', array(
		'label'    => esc_html__( 'Italic', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'checkbox',
		'priority' => 265
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_fWidgets_title[uppercase]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_fWidgets_title[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'checkbox',
		'priority' => 266
	) );



// widget content label
	$wp_customize->add_setting( 'royal_fWidgets_content[label]', array(
	    'default' 	=> true,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_fWidgets_content[label]', array(
		'label'    => esc_html__( 'Widget Content', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'checkbox',
		'priority' => 295
	) );

/* ----------------- Content General Options ----------------- */

	// align
	$wp_customize->add_setting( 'royal_fWidgets_content[align]', array(
	    'default' 	=> 'left',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_fWidgets_content[align]', array(
		'label'    => esc_html__( 'Align', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'select',
		'choices'  => array(
			'left' 	 => esc_html__( 'Left', 'hyperx' ),
			'center' => esc_html__( 'Center', 'hyperx' ),
			'right'  => esc_html__( 'Right', 'hyperx' )
		),
		'priority' => 297
	) );


/* ----------------- Content Spacing Options ----------------- */

	// padding general
	$wp_customize->add_setting( 'royal_fWidgets_content[padding_gen]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_content[padding_gen]', array(
			'label'    => esc_html__( 'Padding', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 300
		)
	) );

	// padding top
	$wp_customize->add_setting( 'royal_fWidgets_content[padding_tp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_content[padding_tp]', array(
			'label'    => esc_html__( 'Padding Top', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 301
		)
	) );

	// padding right
	$wp_customize->add_setting( 'royal_fWidgets_content[padding_rt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_content[padding_rt]', array(
			'label'    => esc_html__( 'Padding Right', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 302
		)
	) );

	// padding bottom
	$wp_customize->add_setting( 'royal_fWidgets_content[padding_bt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_content[padding_bt]', array(
			'label'    => esc_html__( 'Padding Bottom', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 303
		)
	) );

	// padding left
	$wp_customize->add_setting( 'royal_fWidgets_content[padding_lt]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_content[padding_lt]', array(
			'label'    => esc_html__( 'Padding Left', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 304
		)
	) );

	// padding advanced button
	$wp_customize->add_setting( 'royal_fWidgets_content[padding_ad]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_fWidgets_content[padding_ad]', array(
		'label'    => '',
		'section'  => 'footer_widgets',
		'type'     => 'checkbox',
		'priority' => 305
	) );


/* ----------------- Content Styling Options ----------------- */

	// background color
	$wp_customize->add_setting( 'royal_fWidgets_content[bg_col]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_fWidgets_content[bg_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 320
		)
	) );

	// background color transparency
	$wp_customize->add_setting( 'royal_fWidgets_content[bg_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_content[bg_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 321
		)
	) );

	// text color
	$wp_customize->add_setting( 'royal_fWidgets_content[txt_col]', array(
	    'default' 	=> '#efefef',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_fWidgets_content[txt_col]', array(
			'label'    => esc_html__( 'Text Color', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 322
		)
	) );

	// link color
	$wp_customize->add_setting( 'royal_fWidgets_content[link_col]', array(
	    'default' 	=> '#ffffff',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_fWidgets_content[link_col]', array(
			'label'    => esc_html__( 'Link Color', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 323
		)
	) );

	// link hover color
	$wp_customize->add_setting( 'royal_fWidgets_content[link_hcol]', array(
	    'default' 	=> '#e5ae47',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_fWidgets_content[link_hcol]', array(
			'label'    => esc_html__( 'Link Hover Color', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 324
		)
	) );

	// border radius label
	$wp_customize->add_setting( 'royal_fWidgets_content[radius_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_fWidgets_content[radius_label]', array(
		'label'    => esc_html__( 'Corner Radius', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'checkbox',
		'priority' => 342
	) );

	// border radius
	$wp_customize->add_setting( 'royal_fWidgets_content[radius]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_content[radius]', array(
			'label'    => esc_html__( 'Radius', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 343
		)
	) );

	// box shadow label
	$wp_customize->add_setting( 'royal_fWidgets_content[shadow_label]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_fWidgets_content[shadow_label]', array(
		'label'    => esc_html__( 'Shadow', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'checkbox',
		'priority' => 344
	) );

	// box shadow horizontal
	$wp_customize->add_setting( 'royal_fWidgets_content[shad_h]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_content[shad_h]', array(
			'label'    => esc_html__( 'Horizontal', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 345
		)
	) );

	// box shadow vertical
	$wp_customize->add_setting( 'royal_fWidgets_content[shad_v]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_content[shad_v]', array(
			'label'    => esc_html__( 'Vertical', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 346
		)
	) );

	// box shadow blur
	$wp_customize->add_setting( 'royal_fWidgets_content[shad_bl]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_content[shad_bl]', array(
			'label'    => esc_html__( 'Blur', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 347
		)
	) );

	// box shadow spread
	$wp_customize->add_setting( 'royal_fWidgets_content[shad_sp]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_content[shad_sp]', array(
			'label'    => esc_html__( 'Spread', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 348
		)
	) );

	// box shadow color
	$wp_customize->add_setting( 'royal_fWidgets_content[shad_col]', array(
	    'default' 	=> '#eaeaea',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'royal_fWidgets_content[shad_col]', array(
			'label'    => esc_html__( 'Color', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 349
		)
	) );

	// box shadow transparency
	$wp_customize->add_setting( 'royal_fWidgets_content[shad_col_tr]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_content[shad_col_tr]', array(
			'label'    => esc_html__( 'Transparency', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 350
		)
	) );

	// box shadow inset
	$wp_customize->add_setting( 'royal_fWidgets_content[shad_in]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_fWidgets_content[shad_in]', array(
		'label'    => esc_html__( 'Inner', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'checkbox',
		'priority' => 351
	) );


/* ----------------- Content Font Options ----------------- */

	// font family
	$wp_customize->add_setting( 'royal_fWidgets_content[font_family]', array(
	    'default' 	=> 'Arial',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control(
		new Royal_Google_Fonts_Control( $wp_customize, 'royal_fWidgets_content[font_family]', array(
			'label'    => esc_html__( 'Family', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 360
		)
	) );

	// font size
	$wp_customize->add_setting( 'royal_fWidgets_content[font_size]', array(
	    'default' 	=> 15,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_content[font_size]', array(
			'label'    => esc_html__( 'Size', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 361
		)
	) );

	// line height
	$wp_customize->add_setting( 'royal_fWidgets_content[line_height]', array(
	    'default' 	=> 28,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_content[line_height]', array(
			'label'    => esc_html__( 'Line Height', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 362
		)
	) );

	// letter spacing
	$wp_customize->add_setting( 'royal_fWidgets_content[letter_space]', array(
	    'default' 	=> 0,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_content[letter_space]', array(
			'label'    => esc_html__( 'Letter Spacing', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 363
		)
	) );

	// font weight
	$wp_customize->add_setting( 'royal_fWidgets_content[font_weight]', array(
	    'default' 	=> 700,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_number'
	) );

	$wp_customize->add_control(
		new Royal_Slider_Control( $wp_customize, 'royal_fWidgets_content[font_weight]', array(
			'label'    => esc_html__( 'Font Weight', 'hyperx' ),
			'section'  => 'footer_widgets',
			'priority' => 364
		)
	) );

	// uppercase
	$wp_customize->add_setting( 'royal_fWidgets_content[uppercase]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_fWidgets_content[uppercase]', array(
		'label'    => esc_html__( 'Uppercase', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'checkbox',
		'priority' => 365
	) );

	// underline
	$wp_customize->add_setting( 'royal_fWidgets_content[underline]', array(
	    'default' 	=> false,
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'royal_fWidgets_content[underline]', array(
		'label'    => esc_html__( 'Underline', 'hyperx' ),
		'section'  => 'footer_widgets',
		'type'     => 'checkbox',
		'priority' => 366
	) );




/*
***************************************************************
* #Shop Widgets
***************************************************************
*/

	$section_shop_widgets = 'shop_widgets';
	
	if ( get_option('section_shop_widgets') === '' ) {
		$section_shop_widgets = 'shop_widgets_disabled';
	}

	// add Shop Page Section -------------------------------------------
	$wp_customize->add_section( $section_shop_widgets, array(
	    'title' 		=> esc_html__( 'Shop Widgets', 'hyperx' ),
	    'priority' 		=> 1005
	) );

// Shop Widgets General Tabs
	class Royal_spWidgets_General_Tabs extends WP_Customize_Control {
	    public $type = 'spWidgets_general';
	 
	    public function render_content() {

	    	$html  = '<label>';
	    		$html .= '<span class="customize-control-title">'. esc_html( $this->label ) .'</span>';
	    		$html .= '<textarea rows="10" style="width:100%;" '. $this->get_link() .'>'. esc_textarea( $this->value() ) .'</textarea>';
	    	$html .= '</label>';
	        
	        echo ''. $html;

	        // get options from db
	        $spWidgets_general = royal_get_option('royal_spWidgets_general');
	        
			?>

			<!-- Label -->
			<li id="customize-control-royal_spWidgets_general-label" class="customize-control customize-control-tablabel rf-tabs-label rf-tabs-label-active" style="display: list-item;">
				<span class="customize-control-title rf-custom-label"><?php esc_html_e( 'Widgets General', 'hyperx' ); ?></span>
			</li>

			<!-- General Options -->
			<li id="customize-control-royal_spWidgets_general-align" class="customize-control customize-control-select" style="display: list-item;">
				<label>
				<span class="customize-control-title"><?php esc_html_e( 'Align', 'hyperx' ); ?></span>
				<select>
					<option <?php selected('left', $spWidgets_general['align'], true); ?> value="left">Left</option>
					<option <?php selected('right', $spWidgets_general['align'], true); ?> value="right">Right</option>
				</select>
				</label>
			</li>

			<!-- Spacing Options -->
			<li id="customize-control-royal_spWidgets_general-padding_gen" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Padding', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_general['padding_gen']); ?>" id="royal_rg_spWidgets_general_padding_gen" />
					<div id="royal_sl_spWidgets_general_padding_gen" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_general-padding_tp" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Padding Top', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_general['padding_tp']); ?>" id="royal_rg_spWidgets_general_padding_tp" />
					<div id="royal_sl_spWidgets_general_padding_tp" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_general-padding_rt" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Padding Right', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_general['padding_rt']); ?>" id="royal_rg_spWidgets_general_padding_rt" />
					<div id="royal_sl_spWidgets_general_padding_rt" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_general-padding_bt" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Padding Bottom', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_general['padding_bt']); ?>" id="royal_rg_spWidgets_general_padding_bt" />
					<div id="royal_sl_spWidgets_general_padding_bt" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_general-padding_lt" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Padding Left', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_general['padding_lt']); ?>" id="royal_rg_spWidgets_general_padding_lt" />
					<div id="royal_sl_spWidgets_general_padding_lt" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_general-padding_ad" class="customize-control customize-control-checkbox" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $spWidgets_general['padding_ad'], true); ?>>
				</label>
			</li>
			<li id="customize-control-royal_spWidgets_general-width" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Sidebar Width', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_general['width']); ?>" id="royal_rg_spWidgets_general_width" />
					<div id="royal_sl_spWidgets_general_width" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_general-margin" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Sidebar Left/Right Margin', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_general['margin']); ?>" id="royal_rg_spWidgets_general_margin" />
					<div id="royal_sl_spWidgets_general_margin" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_general-gutter_vert" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Vertical Gutter', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_general['gutter_vert']); ?>" id="royal_rg_spWidgets_general_gutter_vert" />
					<div id="royal_sl_spWidgets_general_gutter_vert" class="rf-slider"></div>
				</div>
			</li>

			<!-- Styling Options -->
			<li id="customize-control-royal_spWidgets_general-bg_color" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Background Color', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($spWidgets_general['bg_color']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_spWidgets_general-bg_color_tr" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Transparency', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_general['bg_color_tr']); ?>" id="royal_rg_spWidgets_general_bg_color_tr" />
					<div id="royal_sl_spWidgets_general_bg_color_tr" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_general-border_label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $spWidgets_general['border_label'], true); ?>>
					<?php esc_html_e( 'Border', 'hyperx' ); ?>
				</label>
			</li>
			<li id="customize-control-royal_spWidgets_general-bd_size_gen" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_general['bd_size_gen']); ?>" id="royal_rg_spWidgets_general_bd_size_gen" />
					<div id="royal_sl_spWidgets_general_bd_size_gen" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_general-bd_style_gen" class="customize-control customize-control-select" style="display: list-item;">
				<label>
				<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
				<select>
					<option <?php selected('solid', $spWidgets_general['bd_style_gen'], true); ?> value="solid">Solid</option>
					<option <?php selected('dotted', $spWidgets_general['bd_style_gen'], true); ?> value="dotted">Dotted</option>
					<option <?php selected('dashed', $spWidgets_general['bd_style_gen'], true); ?> value="dashed">Dashed</option>
					<option <?php selected('double', $spWidgets_general['bd_style_gen'], true); ?> value="double">Double</option>
					<option <?php selected('groove', $spWidgets_general['bd_style_gen'], true); ?> value="groove">Groove</option>
					<option <?php selected('ridge', $spWidgets_general['bd_style_gen'], true); ?> value="ridge">Ridge</option>
					<option <?php selected('inset', $spWidgets_general['bd_style_gen'], true); ?> value="inset">Inset</option>
					<option <?php selected('outset', $spWidgets_general['bd_style_gen'], true); ?> value="outset">Outset</option>
				</select>
				</label>
			</li>
			<li id="customize-control-royal_spWidgets_general-bd_col_gen" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($spWidgets_general['bd_col_gen']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_spWidgets_general-bd_size_tp" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_general['bd_size_tp']); ?>" id="royal_rg_spWidgets_general_bd_size_tp" />
					<div id="royal_sl_spWidgets_general_bd_size_tp" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_general-bd_style_tp" class="customize-control customize-control-select" style="display: list-item;">
				<label>
				<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
				<select>
					<option <?php selected('solid', $spWidgets_general['bd_style_tp'], true); ?> value="solid">Solid</option>
					<option <?php selected('dotted', $spWidgets_general['bd_style_tp'], true); ?> value="dotted">Dotted</option>
					<option <?php selected('dashed', $spWidgets_general['bd_style_tp'], true); ?> value="dashed">Dashed</option>
					<option <?php selected('double', $spWidgets_general['bd_style_tp'], true); ?> value="double">Double</option>
					<option <?php selected('groove', $spWidgets_general['bd_style_tp'], true); ?> value="groove">Groove</option>
					<option <?php selected('ridge', $spWidgets_general['bd_style_tp'], true); ?> value="ridge">Ridge</option>
					<option <?php selected('inset', $spWidgets_general['bd_style_tp'], true); ?> value="inset">Inset</option>
					<option <?php selected('outset', $spWidgets_general['bd_style_tp'], true); ?> value="outset">Outset</option>
				</select>
				</label>
			</li>
			<li id="customize-control-royal_spWidgets_general-bd_col_tp" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($spWidgets_general['bd_col_tp']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_spWidgets_general-bd_size_rt" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_general['bd_size_rt']); ?>" id="royal_rg_spWidgets_general_bd_size_rt" />
					<div id="royal_sl_spWidgets_general_bd_size_rt" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_general-bd_style_rt" class="customize-control customize-control-select" style="display: list-item;">
				<label>
				<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
				<select>
					<option <?php selected('solid', $spWidgets_general['bd_style_rt'], true); ?> value="solid">Solid</option>
					<option <?php selected('dotted', $spWidgets_general['bd_style_rt'], true); ?> value="dotted">Dotted</option>
					<option <?php selected('dashed', $spWidgets_general['bd_style_rt'], true); ?> value="dashed">Dashed</option>
					<option <?php selected('double', $spWidgets_general['bd_style_rt'], true); ?> value="double">Double</option>
					<option <?php selected('groove', $spWidgets_general['bd_style_rt'], true); ?> value="groove">Groove</option>
					<option <?php selected('ridge', $spWidgets_general['bd_style_rt'], true); ?> value="ridge">Ridge</option>
					<option <?php selected('inset', $spWidgets_general['bd_style_rt'], true); ?> value="inset">Inset</option>
					<option <?php selected('outset', $spWidgets_general['bd_style_rt'], true); ?> value="outset">Outset</option>
				</select>
				</label>
			</li>
			<li id="customize-control-royal_spWidgets_general-bd_col_rt" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($spWidgets_general['bd_col_rt']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_spWidgets_general-bd_size_bt" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_general['bd_size_bt']); ?>" id="royal_rg_spWidgets_general_bd_size_bt" />
					<div id="royal_sl_spWidgets_general_bd_size_bt" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_general-bd_style_bt" class="customize-control customize-control-select" style="display: list-item;">
				<label>
				<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
				<select>
					<option <?php selected('solid', $spWidgets_general['bd_style_bt'], true); ?> value="solid">Solid</option>
					<option <?php selected('dotted', $spWidgets_general['bd_style_bt'], true); ?> value="dotted">Dotted</option>
					<option <?php selected('dashed', $spWidgets_general['bd_style_bt'], true); ?> value="dashed">Dashed</option>
					<option <?php selected('double', $spWidgets_general['bd_style_bt'], true); ?> value="double">Double</option>
					<option <?php selected('groove', $spWidgets_general['bd_style_bt'], true); ?> value="groove">Groove</option>
					<option <?php selected('ridge', $spWidgets_general['bd_style_bt'], true); ?> value="ridge">Ridge</option>
					<option <?php selected('inset', $spWidgets_general['bd_style_bt'], true); ?> value="inset">Inset</option>
					<option <?php selected('outset', $spWidgets_general['bd_style_bt'], true); ?> value="outset">Outset</option>
				</select>
				
				</label>
			</li>
			<li id="customize-control-royal_spWidgets_general-bd_col_bt" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($spWidgets_general['bd_col_bt']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_spWidgets_general-bd_size_lt" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_general['bd_size_lt']); ?>" id="royal_rg_spWidgets_general_bd_size_lt" />
					<div id="royal_sl_spWidgets_general_bd_size_lt" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_general-bd_style_lt" class="customize-control customize-control-select" style="display: list-item;">
				<label>
				<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
				<select>
					<option <?php selected('solid', $spWidgets_general['bd_style_lt'], true); ?> value="solid">Solid</option>
					<option <?php selected('dotted', $spWidgets_general['bd_style_lt'], true); ?> value="dotted">Dotted</option>
					<option <?php selected('dashed', $spWidgets_general['bd_style_lt'], true); ?> value="dashed">Dashed</option>
					<option <?php selected('double', $spWidgets_general['bd_style_lt'], true); ?> value="double">Double</option>
					<option <?php selected('groove', $spWidgets_general['bd_style_lt'], true); ?> value="groove">Groove</option>
					<option <?php selected('ridge', $spWidgets_general['bd_style_lt'], true); ?> value="ridge">Ridge</option>
					<option <?php selected('inset', $spWidgets_general['bd_style_lt'], true); ?> value="inset">Inset</option>
					<option <?php selected('outset', $spWidgets_general['bd_style_lt'], true); ?> value="outset">Outset</option>
				</select>
				</label>
			</li>
			<li id="customize-control-royal_spWidgets_general-bd_col_lt" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($spWidgets_general['bd_col_lt']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_spWidgets_general-bd_ad" class="customize-control customize-control-checkbox" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $spWidgets_general['bd_ad'], true); ?>>
				</label>
			</li>
				<li id="customize-control-royal_spWidgets_general-radius_label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $spWidgets_general['radius_label'], true); ?>>
						<?php esc_html_e( 'Corner Radius', 'hyperx' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_spWidgets_general-radius" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Radius', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($spWidgets_general['radius']); ?>" id="royal_rg_spWidgets_general_radius" />
						<div id="royal_sl_spWidgets_general_radius" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_spWidgets_general-shadow_label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $spWidgets_general['shadow_label'], true); ?>>
						<?php esc_html_e( 'Shadow', 'hyperx' ); ?>
					</label>
				</li>
				<li id="customize-control-royal_spWidgets_general-shad_h" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Horizontal', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($spWidgets_general['shad_h']); ?>" id="royal_rg_spWidgets_general_shad_h" />
						<div id="royal_sl_spWidgets_general_shad_h" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_spWidgets_general-shad_v" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Vertical', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($spWidgets_general['shad_v']); ?>" id="royal_rg_spWidgets_general_shad_v" />
						<div id="royal_sl_spWidgets_general_shad_v" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_spWidgets_general-shad_bl" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Blur', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($spWidgets_general['shad_bl']); ?>" id="royal_rg_spWidgets_general_shad_bl" />
						<div id="royal_sl_spWidgets_general_shad_bl" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_spWidgets_general-shad_sp" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Spread', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($spWidgets_general['shad_sp']); ?>" id="royal_rg_spWidgets_general_shad_sp" />
						<div id="royal_sl_spWidgets_general_shad_sp" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_spWidgets_general-shad_col" class="customize-control customize-control-color" style="display: list-item;">
			        <label>
			            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
			            <div class="customize-control-content">
			                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($spWidgets_general['shad_col']); ?>" placeholder="Hex Value"/>
			            </div>
			        </label>
		        </li>
				<li id="customize-control-royal_spWidgets_general-shad_col_tr" class="customize-control customize-control-slider" style="display: list-item;">
					<div class="rf-slider-wrap">
						<span class="customize-control-title"><?php esc_html_e( 'Transparency', 'hyperx' ); ?><strong></strong></span>
						<input type="text" value="<?php echo esc_attr($spWidgets_general['shad_col_tr']); ?>" id="royal_rg_spWidgets_general_shad_col_tr" />
						<div id="royal_sl_spWidgets_general_shad_col_tr" class="rf-slider"></div>
					</div>
				</li>
				<li id="customize-control-royal_spWidgets_general-shad_in" class="customize-control customize-control-checkbox" style="display: list-item;">
					<label>
						<input type="checkbox" <?php checked(true, $spWidgets_general['shad_in'], true); ?>>
						<?php esc_html_e( 'Inner', 'hyperx' ); ?>
					</label>
				</li>







			<?php
	    }
	}


	// shop sidebar
	$wp_customize->add_setting( 'royal_spWidgets_general[db_input]', array(
	    'default' 	=> 'spWidgets_general-label[true]',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_textarea'
	) );

	$wp_customize->add_control(
		new Royal_spWidgets_General_Tabs( $wp_customize, 'royal_spWidgets_general[db_input]', array(
			'label'    => '',
			'section'  => 'shop_widgets',
			'priority' => 10
		)
	) );	


// Shop Widgets Title Tabs
	class Royal_spWidgets_Title_Tabs extends WP_Customize_Control {
	    public $type = 'spWidgets_title';
	 
	    public function render_content() {

	    	$html  = '<label>';
	    		$html .= '<span class="customize-control-title">'. esc_html( $this->label ) .'</span>';
	    		$html .= '<textarea rows="10" style="width:100%;" '. $this->get_link() .'>'. esc_textarea( $this->value() ) .'</textarea>';
	    	$html .= '</label>';
	        
	        echo ''. $html;

	        // get options from db
	        $spWidgets_title = royal_get_option('royal_spWidgets_title');
	        
			?>

			<!-- Label -->
			<li id="customize-control-royal_spWidgets_title-label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $spWidgets_title['label'], true); ?>>
					<?php esc_html_e( 'Widget Title', 'hyperx' ); ?>
				</label>
			</li>

			<!-- General Options -->
			<li id="customize-control-royal_spWidgets_title-align" class="customize-control customize-control-select" style="display: list-item;">
				<label>
				<span class="customize-control-title"><?php esc_html_e( 'Align', 'hyperx' ); ?></span>
				<select>
					<option <?php selected('left', $spWidgets_title['align'], true); ?> value="left">Left</option>
					<option <?php selected('center', $spWidgets_title['align'], true); ?> value="center">Center</option>
					<option <?php selected('right', $spWidgets_title['align'], true); ?> value="right">Right</option>
				</select>
				</label>
			</li>

			<!-- Spacing Options -->
			<li id="customize-control-royal_spWidgets_title-padding_bt" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Padding Bottom', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_title['padding_bt']); ?>" id="royal_rg_spWidgets_title_padding_bt" />
					<div id="royal_sl_spWidgets_title_padding_bt" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_title-margin_bt" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Margin Bottom', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_title['margin_bt']); ?>" id="royal_rg_spWidgets_title_margin_bt" />
					<div id="royal_sl_spWidgets_title_margin_bt" class="rf-slider"></div>
				</div>
			</li>

			<!-- Styling Options -->
			<li id="customize-control-royal_spWidgets_title-color" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($spWidgets_title['color']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_spWidgets_title-border_label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $spWidgets_title['border_label'], true); ?>>
					<?php esc_html_e( 'Border', 'hyperx' ); ?>
				</label>
			</li>
			<li id="customize-control-royal_spWidgets_title-bd_size_bt" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_title['bd_size_bt']); ?>" id="royal_rg_spWidgets_title_bd_size_bt" />
					<div id="royal_sl_spWidgets_title_bd_size_bt" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_title-bd_style_bt" class="customize-control customize-control-select" style="display: list-item;">
				<label>
				<span class="customize-control-title"><?php esc_html_e( 'Style', 'hyperx' ); ?></span>
				<select>
					<option <?php selected('solid', $spWidgets_title['bd_style_bt'], true); ?> value="solid">Solid</option>
					<option <?php selected('dotted', $spWidgets_title['bd_style_bt'], true); ?> value="dotted">Dotted</option>
					<option <?php selected('dashed', $spWidgets_title['bd_style_bt'], true); ?> value="dashed">Dashed</option>
					<option <?php selected('double', $spWidgets_title['bd_style_bt'], true); ?> value="double">Double</option>
					<option <?php selected('groove', $spWidgets_title['bd_style_bt'], true); ?> value="groove">Groove</option>
					<option <?php selected('ridge', $spWidgets_title['bd_style_bt'], true); ?> value="ridge">Ridge</option>
					<option <?php selected('inset', $spWidgets_title['bd_style_bt'], true); ?> value="inset">Inset</option>
					<option <?php selected('outset', $spWidgets_title['bd_style_bt'], true); ?> value="outset">Outset</option>
				</select>
				
				</label>
			</li>
			<li id="customize-control-royal_spWidgets_title-bd_col_bt" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($spWidgets_title['bd_col_bt']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_spWidgets_title-bd_full_width" class="customize-control customize-control-checkbox" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $spWidgets_title['bd_full_width'], true); ?>>
					<?php esc_html_e( 'Full Width Border', 'hyperx' ); ?>
				</label>
			</li>

			<!-- Font Options -->
			<li id="customize-control-royal_spWidgets_title-font_family" class="customize-control customize-control-select" style="display: list-item;">
				<label>
				<span class="customize-control-title"><?php esc_html_e( 'Family', 'hyperx' ); ?></span>
				<?php echo royal_google_fonts_dropdown( 'royal_spWidgets_title_font_family', $spWidgets_title['font_family'], '' ); ?>
				</label>
			</li>
			<li id="customize-control-royal_spWidgets_title-font_size" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_title['font_size']); ?>" id="royal_rg_spWidgets_title_font_size" />
					<div id="royal_sl_spWidgets_title_font_size" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_title-line_height" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Line Height', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_title['line_height']); ?>" id="royal_rg_spWidgets_title_line_height" />
					<div id="royal_sl_spWidgets_title_line_height" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_title-letter_space" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Letter Spacing', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_title['letter_space']); ?>" id="royal_rg_spWidgets_title_letter_space" />
					<div id="royal_sl_spWidgets_title_letter_space" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_title-font_weight" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Font Weight', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_title['font_weight']); ?>" id="royal_rg_spWidgets_title_font_weight" />
					<div id="royal_sl_spWidgets_title_font_weight" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_title-italic" class="customize-control customize-control-checkbox" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $spWidgets_title['italic'], true); ?>>
					<?php esc_html_e( 'Italic', 'hyperx' ); ?>
				</label>
			</li>
			<li id="customize-control-royal_spWidgets_title-uppercase" class="customize-control customize-control-checkbox" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $spWidgets_title['uppercase'], true); ?>>
					<?php esc_html_e( 'Uppercase', 'hyperx' ); ?>
				</label>
			</li>

			<?php
	    }
	}


	// shop sidebar
	$wp_customize->add_setting( 'royal_spWidgets_title[db_input]', array(
	    'default' 	=> 'spWidgets_title-label[true]',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_textarea'
	) );

	$wp_customize->add_control(
		new Royal_spWidgets_Title_Tabs( $wp_customize, 'royal_spWidgets_title[db_input]', array(
			'label'    => '',
			'section'  => 'shop_widgets',
			'priority' => 20
		)
	) );


// Shop Widgets Content Tabs
	class Royal_spWidgets_Content_Tabs extends WP_Customize_Control {
	    public $type = 'spWidgets_content';
	 
	    public function render_content() {

	    	$html  = '<label>';
	    		$html .= '<span class="customize-control-title">'. esc_html( $this->label ) .'</span>';
	    		$html .= '<textarea rows="10" style="width:100%;" '. $this->get_link() .'>'. esc_textarea( $this->value() ) .'</textarea>';
	    	$html .= '</label>';
	        
	        echo ''. $html;

	        // get options from db
	        $spWidgets_content = royal_get_option('royal_spWidgets_content');
	        
			?>

			<!-- Label -->
			<li id="customize-control-royal_spWidgets_content-label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $spWidgets_content['label'], true); ?>>
					<?php esc_html_e( 'Widget Content', 'hyperx' ); ?>
				</label>
			</li>

			<!-- General Options -->
			<li id="customize-control-royal_spWidgets_content-align" class="customize-control customize-control-select" style="display: list-item;">
				<label>
				<span class="customize-control-title"><?php esc_html_e( 'Align', 'hyperx' ); ?></span>
				<select>
					<option <?php selected('left', $spWidgets_content['align'], true); ?> value="left">Left</option>
					<option <?php selected('center', $spWidgets_content['align'], true); ?> value="center">Center</option>
					<option <?php selected('right', $spWidgets_content['align'], true); ?> value="right">Right</option>
				</select>
				</label>
			</li>

			<!-- Spacing Options -->
			<li id="customize-control-royal_spWidgets_content-padding_gen" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Padding', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_content['padding_gen']); ?>" id="royal_rg_spWidgets_content_padding_gen" />
					<div id="royal_sl_spWidgets_content_padding_gen" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_content-padding_tp" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Padding Top', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_content['padding_tp']); ?>" id="royal_rg_spWidgets_content_padding_tp" />
					<div id="royal_sl_spWidgets_content_padding_tp" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_content-padding_rt" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Padding Right', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_content['padding_rt']); ?>" id="royal_rg_spWidgets_content_padding_rt" />
					<div id="royal_sl_spWidgets_content_padding_rt" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_content-padding_bt" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Padding Bottom', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_content['padding_bt']); ?>" id="royal_rg_spWidgets_content_padding_bt" />
					<div id="royal_sl_spWidgets_content_padding_bt" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_content-padding_lt" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Padding Left', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_content['padding_lt']); ?>" id="royal_rg_spWidgets_content_padding_lt" />
					<div id="royal_sl_spWidgets_content_padding_lt" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_content-padding_ad" class="customize-control customize-control-checkbox" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $spWidgets_content['padding_ad'], true); ?>>
				</label>
			</li>

			<!-- Styling Options -->
			<li id="customize-control-royal_spWidgets_content-bg_col" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($spWidgets_content['bg_col']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_spWidgets_content-bg_col_tr" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Transparency', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_content['bg_col_tr']); ?>" id="royal_rg_spWidgets_content_bg_col_tr" />
					<div id="royal_sl_spWidgets_content_bg_col_tr" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_content-txt_col" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Text Color', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($spWidgets_content['txt_col']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_spWidgets_content-link_col" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Link Color', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($spWidgets_content['link_col']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_spWidgets_content-link_hcol" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Link Hover Color', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($spWidgets_content['link_hcol']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>


			<li id="customize-control-royal_spWidgets_content-radius_label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $spWidgets_content['radius_label'], true); ?>>
					<?php esc_html_e( 'Corner Radius', 'hyperx' ); ?>
				</label>
			</li>
			<li id="customize-control-royal_spWidgets_content-radius" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Radius', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_content['radius']); ?>" id="royal_rg_spWidgets_content_radius" />
					<div id="royal_sl_spWidgets_content_radius" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_content-shadow_label" class="customize-control customize-control-checkbox rf-tabs-label" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $spWidgets_content['shadow_label'], true); ?>>
					<?php esc_html_e( 'Shadow', 'hyperx' ); ?>
				</label>
			</li>
			<li id="customize-control-royal_spWidgets_content-shad_h" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Horizontal', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_content['shad_h']); ?>" id="royal_rg_spWidgets_content_shad_h" />
					<div id="royal_sl_spWidgets_content_shad_h" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_content-shad_v" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Vertical', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_content['shad_v']); ?>" id="royal_rg_spWidgets_content_shad_v" />
					<div id="royal_sl_spWidgets_content_shad_v" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_content-shad_bl" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Blur', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_content['shad_bl']); ?>" id="royal_rg_spWidgets_content_shad_bl" />
					<div id="royal_sl_spWidgets_content_shad_bl" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_content-shad_sp" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Spread', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_content['shad_sp']); ?>" id="royal_rg_spWidgets_content_shad_sp" />
					<div id="royal_sl_spWidgets_content_shad_sp" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_content-shad_col" class="customize-control customize-control-color" style="display: list-item;">
		        <label>
		            <span class="customize-control-title"><?php esc_html_e( 'Color', 'hyperx' ); ?></span>
		            <div class="customize-control-content">
		                <input class="color-picker-hex" type="text" maxlength="7" value="<?php echo esc_attr($spWidgets_content['shad_col']); ?>" placeholder="Hex Value"/>
		            </div>
		        </label>
	        </li>
			<li id="customize-control-royal_spWidgets_content-shad_col_tr" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Transparency', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_content['shad_col_tr']); ?>" id="royal_rg_spWidgets_content_shad_col_tr" />
					<div id="royal_sl_spWidgets_content_shad_col_tr" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_content-shad_in" class="customize-control customize-control-checkbox" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $spWidgets_content['shad_in'], true); ?>>
					<?php esc_html_e( 'Inner', 'hyperx' ); ?>
				</label>
			</li>

			<!-- Font Options -->
			<li id="customize-control-royal_spWidgets_content-font_family" class="customize-control customize-control-select" style="display: list-item;">
				<label>
				<span class="customize-control-title"><?php esc_html_e( 'Family', 'hyperx' ); ?></span>
				<?php echo royal_google_fonts_dropdown( 'royal_spWidgets_content_font_family', $spWidgets_content['font_family'], '' ); ?>
				</label>
			</li>
			<li id="customize-control-royal_spWidgets_content-font_size" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Size', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_content['font_size']); ?>" id="royal_rg_spWidgets_content_font_size" />
					<div id="royal_sl_spWidgets_content_font_size" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_content-line_height" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Line Height', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_content['line_height']); ?>" id="royal_rg_spWidgets_content_line_height" />
					<div id="royal_sl_spWidgets_content_line_height" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_content-letter_space" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Letter Spacing', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_content['letter_space']); ?>" id="royal_rg_spWidgets_content_letter_space" />
					<div id="royal_sl_spWidgets_content_letter_space" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_content-font_weight" class="customize-control customize-control-slider" style="display: list-item;">
				<div class="rf-slider-wrap">
					<span class="customize-control-title"><?php esc_html_e( 'Font Weight', 'hyperx' ); ?><strong></strong></span>
					<input type="text" value="<?php echo esc_attr($spWidgets_content['font_weight']); ?>" id="royal_rg_spWidgets_content_font_weight" />
					<div id="royal_sl_spWidgets_content_font_weight" class="rf-slider"></div>
				</div>
			</li>
			<li id="customize-control-royal_spWidgets_content-uppercase" class="customize-control customize-control-checkbox" style="display: list-item;">
				<label>
					<input type="checkbox" <?php checked(true, $spWidgets_content['uppercase'], true); ?>>
					<?php esc_html_e( 'Uppercase', 'hyperx' ); ?>
				</label>
			</li>

			<?php
	    }
	}


	// shop content
	$wp_customize->add_setting( 'royal_spWidgets_content[db_input]', array(
	    'default' 	=> 'spWidgets_content-label[true]',
	    'type' 		=> 'option',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'royal_sanitize_textarea'
	) );

	$wp_customize->add_control(
		new Royal_spWidgets_Content_Tabs( $wp_customize, 'royal_spWidgets_content[db_input]', array(
			'label'    => '',
			'section'  => 'shop_widgets',
			'priority' => 30
		)
	) );




/*
***************************************************************
* #Refresh Section
***************************************************************
*/

	// add Custom Css Section -------------------------------------------
	$wp_customize->add_section( 'fake_refresh', array(
	    'title' 		=> '',
	    'description' 	=> '',
	    'priority' 		=> 103
	) );

	// fake refresh
	$wp_customize->add_setting( 'royal_fake_refresh[refresh]', array(
	    'default' 	=> 'on',
	    'type' 		=> 'option',
	    'transport' => 'refresh',
	    'sanitize_callback' => 'royal_sanitize_dropdown'
	) );

	$wp_customize->add_control( 'royal_fake_refresh[refresh]', array(
		'label'    => '',
		'section'  => 'fake_refresh',
		'type'     => 'select',
		'choices'  => array(
			'on' 	=> 'On',
			'off' 	=> 'Off'
		),
		'priority' => 300
	) );


} // end royal_register_customizer()

add_action( 'customize_register', 'royal_register_customizer' );




/*
***************************************************************
* #Enqueue Scripts & Styles
***************************************************************
*/

// UI
function royal_customizer_enqueue_scripts() {

	// send home url to javascript
	$royal_home_url = array( esc_url(get_stylesheet_directory_uri()) );
	
	// Register
	wp_register_script( 'royal-customizer-ui', THEMEROOT .'/framework/customizer/js/customizer-ui.min.js', array('jquery'), null, true );

	wp_register_style( 'royal-customizer-ui', THEMEROOT .'/framework/customizer/css/customizer-ui.css' );
	wp_register_style( 'royal-fontawesome', THEMEROOT .'/css/font-awesome.min.css' );
	
	// Enqueue
	wp_enqueue_script( 'royal-customizer-ui' );

	// jquery ui scripts
	wp_enqueue_script( 'jquery-ui-tabs' );
	wp_enqueue_script( 'jquery-ui-button' );
	wp_enqueue_script( 'jquery-ui-slider' );
	wp_enqueue_script( 'wp-color-picker' );

	// styles
	wp_enqueue_style( 'royal-customizer-ui' );
	wp_enqueue_style( 'royal-fontawesome' );
	wp_enqueue_style( 'wp-color-picker' );

}

add_action( 'customize_controls_enqueue_scripts', 'royal_customizer_enqueue_scripts' );


// live preview
function royal_customizer_live_preview() {

	// send theme customizer data to js
	$options = array( 
		'body' 				=> get_option('royal_body'),				// body
		'content' 			=> get_option('royal_content'),				// content
		'inner_content' 	=> get_option('royal_inner_content'),		// inner content
		'sidebar' 			=> get_option('royal_sidebar'),				// sidebar left
		'sidebar_fold_btn' 	=> get_option('royal_sidebar_fold_btn'),	// sidebar left fold button
		'sidebar_scroll' 	=> get_option('royal_sidebar_scroll'),		// sidebar left scroll
		'sidebar_top' 		=> get_option('royal_sidebar_top'), 		// sidebar top
		'logo' 				=> get_option('royal_logo'),				// logo
		'tagline' 			=> get_option('royal_tagline'),				// tagline
		'menu_title' 		=> get_option('royal_menu_title'),			// menu title
		'menu_items' 		=> get_option('royal_menu_items'),			// menu items
		'menu_sub' 			=> get_option('royal_menu_sub'),			// menu sub items
		'menu_mobile' 		=> get_option('royal_menu_mobile'),			// mobile menu
		'filters_title' 	=> get_option('royal_filters_title'),		// filters title
		'filter_items' 		=> get_option('royal_filter_items'),		// filter items
		'bPage_general' 	=> get_option('royal_bPage_general'), 		// blog page general
		'bPage_post' 		=> get_option('royal_bPage_post'), 			// blog post
		'bPost_title' 		=> get_option('royal_bPost_title'), 		// blog post title
		'bPost_cats' 		=> get_option('royal_bPost_cats'), 			// blog post categories
		'bPost_meta' 		=> get_option('royal_bPost_meta'), 			// blog post meta
		'bPost_desc' 		=> get_option('royal_bPost_desc'), 			// blog post description
		'bPost_likes' 		=> get_option('royal_bPost_likes'), 		// blog post likes
		'bPost_more' 		=> get_option('royal_bPost_more'), 			// blog post read more
		'bPost_overlay' 	=> get_option('royal_bPost_overlay'), 		// blog post overlay
		'bPost_formats' 	=> get_option('royal_bPost_formats'), 		// blog post formats
		'bSingle_header' 	=> get_option('royal_bSingle_header'), 		// blog single header
		'bSingle_nav' 		=> get_option('royal_bSingle_nav'), 		// blog single navigation
		'bSingle_share' 	=> get_option('royal_bSingle_share'), 		// blog single sharing
		'pPage_general' 	=> get_option('royal_pPage_general'), 		// portfolio page
		'pPage_post' 		=> get_option('royal_pPage_post'), 			// portfolio post
		'pPost_media' 		=> get_option('royal_pPost_media'), 		// portfolio post media
		'pPost_title' 		=> get_option('royal_pPost_title'), 		// portfolio post title
		'pPost_cats' 		=> get_option('royal_pPost_cats'), 			// portfolio post categories
		'pPost_meta' 		=> get_option('royal_pPost_meta'), 			// portfolio post meta
		'pPost_desc' 		=> get_option('royal_pPost_desc'), 			// portfolio post description
		'pPost_likes' 		=> get_option('royal_pPost_likes'), 		// portfolio post likes
		'pPost_more' 		=> get_option('royal_pPost_more'), 			// portfolio post more info
		'pPost_test' 		=> get_option('royal_pPost_test'), 			// portfolio post testimonial
		'pPost_triangle' 	=> get_option('royal_pPost_triangle'),		// portfolio post decorational triangle
		'pPost_formats' 	=> get_option('royal_pPost_formats'), 		// portfolio post formats
		'pPost_effects' 	=> get_option('royal_pPost_effects'), 		// portfolio post image effects
		'pSingle_header' 	=> get_option('royal_pSingle_header'), 		// portfolio single header
		'pSingle_nav' 		=> get_option('royal_pSingle_nav'), 		// portfolio single navigation
		'pSingle_share' 	=> get_option('royal_pSingle_share'), 		// portfolio single sharing
		'pSingle_project' 	=> get_option('royal_pSingle_project'), 	// portfolio single project info
		'slideshow_caption' => get_option('royal_slideshow_caption'), 	// gallery slideshow caption
		'stacked_caption' 	=> get_option('royal_stacked_caption'), 	// gallery stacked caption
		'gallery_nav' 		=> get_option('royal_gallery_nav'), 		// gallery navigation
		'gallery_arrows' 	=> get_option('royal_gallery_arrows'), 		// gallery arrows
		'gallery_lightbox' 	=> get_option('royal_gallery_lightbox'), 	// gallery lightbox overlay
		'gallery_default' 	=> get_option('royal_gallery_default'), 	// gallery default shortcode
		'similars_general' 	=> get_option('royal_similars_general'), 	// similar posts general
		'similars_title' 	=> get_option('royal_similars_title'), 		// similar posts title
		'similars_arrows' 	=> get_option('royal_similars_arrows'), 	// similar posts arrows
		'similars_overlay' 	=> get_option('royal_similars_overlay'), 	// similar posts overlay
		'comments_general' 	=> get_option('royal_comments_general'), 	// comments general
		'comments_counter' 	=> get_option('royal_comments_counter'), 	// comments counter
		'comments_image' 	=> get_option('royal_comments_image'), 		// comments author image
		'comments_content' 	=> get_option('royal_comments_content'), 	// comments content
		'comments_reply' 	=> get_option('royal_comments_reply'), 		// comments reply
		'inputs_general' 	=> get_option('royal_inputs_general'), 		// inputs general
		'inputs_submit' 	=> get_option('royal_inputs_submit'), 		// inputs submit button
		'inputs_search' 	=> get_option('royal_inputs_search'),		// inputs search form
		'pagination' 		=> get_option('royal_pagination'), 			// pagination wrapper
		'pagination_nav' 	=> get_option('royal_pagination_nav'), 		// pagination navigation
		'cPage_general' 	=> get_option('royal_cPage_general'), 		// contact page general
		'cPage_title' 		=> get_option('royal_cPage_title'), 		// contact page title
		'copy_soc_general' 	=> get_option('royal_copy_soc_general'),	// copyright & socials general
		'socials' 			=> get_option('royal_socials'),				// socials
		'copyright' 		=> get_option('royal_copyright'),			// copyright
		'back_btn' 			=> get_option('royal_back_btn'),			// back to top button
		'typography' 		=> get_option('royal_typography'),			// typography
		'typography_p' 		=> get_option('royal_typography_p'),		// typography paragraph
		'sWidgets_title' 	=> get_option('royal_sWidgets_title'),		// sidebar widgets title
		'sWidgets_content' 	=> get_option('royal_sWidgets_content'),	// sidebar widgets content
		'fWidgets_general' 	=> get_option('royal_fWidgets_general'),	// top & footer widgets general
		'fWidgets_title' 	=> get_option('royal_fWidgets_title'),		// top & footer widgets title
		'fWidgets_content' 	=> get_option('royal_fWidgets_content'),	// top & footer widgets content
	);

	// register
	wp_register_script( 'royal-customizer-preview', THEMEROOT .'/framework/customizer/js/customizer-preview.min.js', array('jquery'), null, true );
	wp_localize_script( 'royal-customizer-preview', 'royal_options', $options );

	// enqueue
	wp_enqueue_script( 'royal-customizer-preview' );

}

add_action( 'customize_preview_init', 'royal_customizer_live_preview' );